
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest11 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test002"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.032373701559889d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.576339742670462E30d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test003"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(200.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test004"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test005"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, (-48.21273601220948d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(3.956763478491886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3232482045946719d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test007"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.201588407601501d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.201588407601501d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test008"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test009"); }


    int i2 = org.apache.commons.math.util.FastMath.max(10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.5063656411097588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1017612416682803d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test011"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.30389950299471935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.26535939227896727d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test013"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.4453609646811018d), 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04450668621432856d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.00002f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test015"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.1017612416682803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.032373701559889d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.6321813950585495d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test017"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, localizable14, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable7, obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "hi!", obj_array24);
    java.lang.Number number30 = outOfRangeException4.getLo();
    java.lang.Number number31 = outOfRangeException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test018"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(100.0d, 1.0845416358523312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22216950158552873d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test019"); }


    float f2 = org.apache.commons.math.util.FastMath.max(200.00002f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.00002f);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test020"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test021"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.13481625616717396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0023529875553292964d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test022"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i10 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction12 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d17 = levenbergMarquardtOptimizer16.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    double[] d_array23 = vectorialPointValuePair22.getPointRef();
    double[] d_array24 = gaussianFitter18.fit(d_array23);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker27 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d28 = simpleVectorialValueChecker27.getRelativeThreshold();
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array32 = new double[] {  };
    double[] d_array33 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array33, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array39 = new double[] {  };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array39);
    double[] d_array46 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array46);
    boolean b48 = simpleVectorialValueChecker27.converged((-1), vectorialPointValuePair36, vectorialPointValuePair47);
    double[] d_array49 = vectorialPointValuePair47.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array49, false);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array54 = new double[] {  };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54);
    double[] d_array59 = new double[] {  };
    double[] d_array60 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array60);
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array66 = new double[] {  };
    double[] d_array67 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array67, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66);
    double[] d_array71 = vectorialPointValuePair70.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array71, false);
    double[] d_array75 = new double[] { 100.0d };
    double[] d_array76 = new double[] {  };
    double[] d_array77 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array76, d_array77, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair80 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array76);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = levenbergMarquardtOptimizer3.optimize(0, differentiableMultivariateVectorialFunction12, d_array49, d_array60, d_array75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test023"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.01d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010000166674167114d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test025"); }


    int i2 = org.apache.commons.math.util.FastMath.min(100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test026"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.07011222389235412d, 11.000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0124781326504887E-13d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(81.09944031321317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.317818083460994E34d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test028"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter7.addObservedPoint(weightedObservedPoint20);
    curveFitter7.addObservedPoint(0.3678794411714424d, 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853981613362947d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.00000000000001d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test031"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(localizable0, obj_array2);
    java.lang.Object[] obj_array4 = mathException3.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable5 = mathException3.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable5);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999958776927d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test034"); }


    int i1 = org.apache.commons.math.util.FastMath.round(200.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 200);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.6045824459415917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test036"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.0d, (java.lang.Number)0.9443504370351302d, true);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.13481625616717396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13481625616717396d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test038"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException18);
    outOfRangeException12.addSuppressed((java.lang.Throwable)outOfRangeException18);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { outOfRangeException18 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.exception.ConvergenceException convergenceException23 = new org.apache.commons.math.exception.ConvergenceException(localizable6, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException(localizable25, (java.lang.Number)(short)(-1), number27, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable30 = outOfRangeException29.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException31 = new org.apache.commons.math.exception.ZeroException(localizable30);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException(localizable39, obj_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math.exception.MaxCountExceededException(localizable37, (java.lang.Number)0.0f, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Number number46 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException(localizable44, (java.lang.Number)(short)(-1), number46, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable49 = outOfRangeException48.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException(localizable51, obj_array53);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException55 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)0.0f, obj_array53);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(localizable56, obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(localizable49, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    java.lang.Number number63 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException65 = new org.apache.commons.math.exception.OutOfRangeException(localizable61, (java.lang.Number)(short)(-1), number63, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable66 = outOfRangeException65.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Number number69 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException71 = new org.apache.commons.math.exception.OutOfRangeException(localizable67, (java.lang.Number)(short)(-1), number69, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException71);
    java.lang.Throwable[] throwable_array73 = outOfRangeException71.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException43, localizable49, localizable66, (java.lang.Object[])throwable_array73);
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException(localizable30, (java.lang.Object[])throwable_array73);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0d, (java.lang.Object[])throwable_array73);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array73);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException78 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array73);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.07990196397902749d), (-2.3012989023072947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.3026855976464664d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test040"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.5864808031646639d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5864808031646639d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test041"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      notStrictlyPositiveException1.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test042"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.041851167628339195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04273927384214262d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test043"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1977461928657023d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.04273927384214262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test045"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)10L);
    org.apache.commons.math.exception.util.Localizable localizable2 = maxCountExceededException1.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable2);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test046"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = gaussianFitter5.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test047"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.06413343417854311d, 8.317818083460994E34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06413343417854311d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9376558078861459d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.07990196397902749d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6507835559664077d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test050"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1977461928657023d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.572976894487969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8305753471944518d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test052"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 200);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.5660211784423174d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009878933199836787d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test054"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-100.00001f), (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.00001f));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.0418633944622603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04187563202117844d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test056"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.0004378481191896d, 0.572976894487969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0004378481191896d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test057"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.041851167628339195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.304406709185855E-4d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test058"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.01d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00999966667999946d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test059"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    double d11 = simpleVectorialValueChecker8.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test060"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.04187563202117844d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(2.032373701559889d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test063"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = gaussianFitter8.getObservations();
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array12 = new double[] {  };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12);
    double[] d_array19 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array19);
    double[] d_array21 = gaussianFitter8.fit(d_array12);
    gaussianFitter8.clearObservations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array23 = gaussianFitter8.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test064"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.04273927384214262d, (-0.009878933199836787d), 1.4897444985114965E30d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.26535939227896727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2622560980208954d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test067"); }


    int i1 = org.apache.commons.math.util.FastMath.round(100.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.26535939227896727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2593815106158536d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test069"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.201588407601501d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1989013684858477d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.30389950299471935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6723209792330042d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test072"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1977461928657023d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5603191796950662d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test073"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.3354503653351284d, 7.304406709185855E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.048188959540933E-4d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.6507835559664077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.211061386146514d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test075"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.0124781326504887E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.012478132650489E-13d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test076"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9999999958776927d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999958776927d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test077"); }


    long long2 = org.apache.commons.math.util.FastMath.min(10L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(6.6321813950585495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999996529518958d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test079"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-100.00001f), 100.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.00001f);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.5698085287487659d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5152186467233689d));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test081"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test082"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(100.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test083"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    java.lang.Number number16 = numberIsTooSmallException15.getMin();
    java.lang.Number number17 = numberIsTooSmallException15.getMin();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable23 = outOfRangeException22.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Number number29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException31 = new org.apache.commons.math.exception.OutOfRangeException(localizable27, (java.lang.Number)(short)(-1), number29, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable32 = outOfRangeException31.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException(localizable33, obj_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable26, localizable32, obj_array35);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException(localizable40, obj_array42);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException37, "hi!", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException(localizable25, obj_array42);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22, "hi!", obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException48 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException47);
    org.apache.commons.math.exception.util.Localizable localizable49 = mathException47.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable55 = outOfRangeException54.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Throwable throwable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Number number61 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException(localizable59, (java.lang.Number)(short)(-1), number61, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable64 = outOfRangeException63.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException(localizable65, obj_array67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException(throwable58, localizable64, obj_array67);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException(localizable72, obj_array74);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException76 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable71, obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException69, "hi!", obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException(localizable57, obj_array74);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException54, "hi!", obj_array74);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException80 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException79);
    mathException47.addSuppressed((java.lang.Throwable)mathRuntimeException80);
    numberIsTooSmallException15.addSuppressed((java.lang.Throwable)mathRuntimeException80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 1+ "'", number16.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 1+ "'", number17.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test084"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1.0d));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.3026855976464664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1947359549711785d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test086"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(2.012478132650489E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5243548967072378E-29d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test087"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter7.addObservedPoint(weightedObservedPoint20);
    curveFitter7.addObservedPoint(1.7453292519943296E-4d, 11.000000000000002d, 1.4897444985114965E30d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint29 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    double d30 = weightedObservedPoint29.getX();
    curveFitter7.addObservedPoint(weightedObservedPoint29);
    curveFitter7.addObservedPoint((-48.21273601220948d), 0.0d);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction35 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer39 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i40 = levenbergMarquardtOptimizer39.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker41 = levenbergMarquardtOptimizer39.getConvergenceChecker();
    int i42 = levenbergMarquardtOptimizer39.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter43 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer39);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter44 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer39);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array45 = gaussianFitter44.getObservations();
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array48 = new double[] {  };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48);
    double[] d_array55 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array55);
    double[] d_array57 = gaussianFitter44.fit(d_array48);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array58 = curveFitter7.fit(parametricUnivariateRealFunction35, d_array57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.004425697988052562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test088"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    int i8 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array9 = levenbergMarquardtOptimizer3.getCovariances();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.041851167628339195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0427392738421426d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.04187563202117844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04185117191415032d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test091"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.04273927384214262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test092"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test093"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1), 200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test094"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(2.576339742670462E30d, (-1.5707963267948966d), 1.0004378481191896d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test095"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test096"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-100.00001f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.00001f));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.3678794411714424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6065306597126334d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-7.223181234835374E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test099"); }


    int i2 = org.apache.commons.math.util.FastMath.max(200, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 200);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.5698085287487659d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6472392715677459d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test102"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = levenbergMarquardtOptimizer3.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test103"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.6045824459415917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18044161820430601d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test106"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.5864808031646639d, (java.lang.Number)2.048188959540933E-4d, (java.lang.Number)5.211061386146514d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test107"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = optimizationException3.getPattern();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.3754263876807227d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.138437352065184d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test109"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(3.762613918721343d, (-0.6472392715677459d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.741147649100222d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.6045824459415917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6908852405256071d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test111"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException6 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.0f, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(localizable31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable24, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException46);
    java.lang.Throwable[] throwable_array48 = outOfRangeException46.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException18, localizable24, localizable41, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable5, (java.lang.Object[])throwable_array48);
    java.lang.Throwable[] throwable_array51 = optimizationException50.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test112"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.2676507E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.9443504370351302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3351820637427309d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test114"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.5394708390100346d), 0.0d, 0.7853981613362947d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test115"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-100));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test116"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    java.lang.String str23 = convergenceException22.toString();
    java.lang.String str24 = convergenceException22.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str23.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str24.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.5394708390100346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test118"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.569808528748766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test119"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.9440892412430647d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9440892412430646d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test121"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(5.510694365122006E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8054157232159725E-8d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(11.000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 29937.070849248164d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test123"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-100), 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test124"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.5258789E-5f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9342813E25f);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test125"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.06413343417854311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40027779490228416d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test126"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test127"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.0845416358523312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0414132877260263d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test128"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5698085287487659d), 0.5836293809324178d, 1.7453292519943296E-4d, 1.3354503653351284d, 10.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = levenbergMarquardtOptimizer5.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test129"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test130"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.04187563202117844d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04187563202117844d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8705751385100587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7016662261908625d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test132"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(6.6321813950585495d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.6321813950585495d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test133"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.320866362379626d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test134"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable36 = outOfRangeException35.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException(localizable38, obj_array40);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable36, (java.lang.Number)0.0f, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable43, obj_array45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable36, obj_array45);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable53 = outOfRangeException52.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    java.lang.Throwable[] throwable_array60 = outOfRangeException58.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException30, localizable36, localizable53, (java.lang.Object[])throwable_array60);
    java.lang.Throwable throwable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Number number65 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException67 = new org.apache.commons.math.exception.OutOfRangeException(localizable63, (java.lang.Number)(short)(-1), number65, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable68 = outOfRangeException67.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException72 = new org.apache.commons.math.optimization.OptimizationException(localizable69, obj_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException(throwable62, localizable68, obj_array71);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable76, obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable75, obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException73, "hi!", obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException16, localizable18, localizable36, obj_array78);
    org.apache.commons.math.exception.ConvergenceException convergenceException83 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test135"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2676506E31f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test136"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(11.000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3166247903554003d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test137"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 0.01d, 1.7182818284590453d);
    double d4 = weightedObservedPoint3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.7182818284590453d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test138"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.0008758879493544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8022680942787623E-4d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test139"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException6 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.0f, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(localizable31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable24, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException46);
    java.lang.Throwable[] throwable_array48 = outOfRangeException46.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException18, localizable24, localizable41, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable5, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable56, obj_array63);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException67 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 1, (-1));
    org.apache.commons.math.exception.NullArgumentException nullArgumentException68 = new org.apache.commons.math.exception.NullArgumentException(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test140"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-48.21273601220948d), 0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5500578929761424d));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test141"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-100.00001f), 100.000015f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.00001f));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test142"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.3026855976464664d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.3026855976464664d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.13481625616717396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13440823672781957d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test144"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i24 = levenbergMarquardtOptimizer23.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer23.getConvergenceChecker();
    int i26 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    curveFitter27.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint32 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d33 = weightedObservedPoint32.getY();
    double d34 = weightedObservedPoint32.getY();
    curveFitter27.addObservedPoint(weightedObservedPoint32);
    double d36 = weightedObservedPoint32.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint32);
    curveFitter7.addObservedPoint(1.3354503653351284d, 1.7453292519943296E-4d, (-1.1752011936438014d));
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction42 = null;
    double[] d_array43 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array44 = curveFitter7.fit(parametricUnivariateRealFunction42, d_array43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test145"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(3.8022680942787623E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.636209728869457E-6d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.5394708390100347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test147"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.6065306597126334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5700203803100397d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test148"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(30.9570417874309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.957041787430903d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test149"); }


    float f2 = org.apache.commons.math.util.FastMath.min(100.00001f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test150"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.07207750487389797d, 0.8705751385100587d, 1.3440585709080678E43d);
    double d5 = gaussian3.value(9.183549615799121E-41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.07207750487389797d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test151"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    double d10 = simpleVectorialValueChecker8.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test152"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6045824459415916d, 2.3026855976464664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6045824459415916d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test153"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.9342813E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.30584301E18f);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test154"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    java.lang.Number number16 = numberIsTooSmallException15.getMin();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)(short)(-1), number19, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable22 = outOfRangeException21.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException(localizable24, obj_array26);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException(localizable22, (java.lang.Number)0.0f, obj_array26);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException15, localizable22, obj_array29);
    boolean b31 = numberIsTooSmallException15.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 1+ "'", number16.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.7016662261908625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8705751385100586d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test156"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test157"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 1.4897444985114965E30d, 0.572976894487969d, (-0.569808528748766d), (-0.201588407601501d));
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test158"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0427392738421426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test159"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer12 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d13 = levenbergMarquardtOptimizer12.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter14 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer12);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getPointRef();
    double[] d_array20 = gaussianFitter14.fit(d_array19);
    double[] d_array21 = gaussianFitter8.fit(d_array19);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array24 = new double[] {  };
    double[] d_array25 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array30);
    double[] d_array35 = new double[] { 100.0d };
    double[] d_array36 = new double[] {  };
    double[] d_array37 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36);
    double[] d_array41 = vectorialPointValuePair40.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getValue();
    double[] d_array45 = gaussianFitter8.fit(d_array44);
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array47 = gaussianFitter8.fit(d_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test160"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.2622560980208954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2564045237815671d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.773775678340353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.893061714674763d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test162"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d11 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker10);
    double d13 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array17 = new double[] {  };
    double[] d_array18 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17);
    double[] d_array22 = new double[] {  };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array23);
    double[] d_array27 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array27, false);
    double[] d_array30 = null;
    double[] d_array31 = new double[] {  };
    double[] d_array32 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array32);
    double[] d_array36 = vectorialPointValuePair35.getValueRef();
    double[] d_array37 = vectorialPointValuePair35.getValueRef();
    // The following exception was thrown during execution in test generation
    try {
      boolean b38 = simpleVectorialValueChecker10.converged((-100), vectorialPointValuePair29, vectorialPointValuePair35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array37);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.6770136959079763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7794470159417075d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test164"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.009950330853168083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000049504950495d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test165"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0004378481191896d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.572976894487969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24186289077030354d));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test167"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.04450668621432856d), 0.010000166674167114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.010000166674167114d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test168"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i24 = levenbergMarquardtOptimizer23.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer23.getConvergenceChecker();
    int i26 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    curveFitter27.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint32 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d33 = weightedObservedPoint32.getY();
    double d34 = weightedObservedPoint32.getY();
    curveFitter27.addObservedPoint(weightedObservedPoint32);
    double d36 = weightedObservedPoint32.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint32);
    curveFitter7.addObservedPoint(1.3354503653351284d, 1.7453292519943296E-4d, (-1.1752011936438014d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i46 = levenbergMarquardtOptimizer45.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker47 = levenbergMarquardtOptimizer45.getConvergenceChecker();
    int i48 = levenbergMarquardtOptimizer45.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter49 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction50 = null;
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array53 = new double[] {  };
    double[] d_array54 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array52, d_array53);
    double[] d_array58 = curveFitter49.fit(parametricUnivariateRealFunction50, d_array53);
    curveFitter49.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint65 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    curveFitter49.addObservedPoint(weightedObservedPoint65);
    curveFitter7.addObservedPoint(weightedObservedPoint65);
    curveFitter7.addObservedPoint(0.2564045237815671d, 0.0d, 3.8022680942787623E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152435d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test170"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(4.610145351414675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08046221537769711d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test171"); }


    double d2 = org.apache.commons.math.util.FastMath.max(100.4987562112089d, 5.893061714674763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.4987562112089d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.9440892412430647d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test173"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, (-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test174"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test175"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(2.048188959540933E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014311495238237453d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test176"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.138437352065184d, 2.0124781326504887E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.138437352065184d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test177"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.07981718731031594d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test178"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(81.09944031321317d, 0.5836293809324178d, 0.041851167628339195d);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction5 = null;
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array8 = new double[] {  };
    double[] d_array9 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array9, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair12 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array8);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array14);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array25, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer31 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i32 = levenbergMarquardtOptimizer31.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker33 = levenbergMarquardtOptimizer31.getConvergenceChecker();
    int i34 = levenbergMarquardtOptimizer31.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter35 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer31);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter36 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer31);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array37 = gaussianFitter36.getObservations();
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40);
    double[] d_array47 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array47);
    double[] d_array49 = gaussianFitter36.fit(d_array40);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer53 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d54 = levenbergMarquardtOptimizer53.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter55 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer53);
    double[] d_array56 = new double[] {  };
    double[] d_array57 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array57, false);
    double[] d_array60 = vectorialPointValuePair59.getPointRef();
    double[] d_array61 = gaussianFitter55.fit(d_array60);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = levenbergMarquardtOptimizer3.optimize(200, differentiableMultivariateVectorialFunction5, d_array14, d_array40, d_array61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test179"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d11 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker10);
    int i13 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction15 = null;
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array18 = new double[] {  };
    double[] d_array19 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array24);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30);
    double[] d_array35 = vectorialPointValuePair34.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array35, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer43 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i44 = levenbergMarquardtOptimizer43.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter45 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer43);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array48 = new double[] {  };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48);
    double[] d_array53 = vectorialPointValuePair52.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer57 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i58 = levenbergMarquardtOptimizer57.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker59 = levenbergMarquardtOptimizer57.getConvergenceChecker();
    int i60 = levenbergMarquardtOptimizer57.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter61 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer57);
    curveFitter61.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction63 = null;
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array66 = new double[] {  };
    double[] d_array67 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array67, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66);
    double[] d_array73 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array73);
    double[] d_array75 = curveFitter61.fit(parametricUnivariateRealFunction63, d_array73);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array75, false);
    double[] d_array78 = gaussianFitter45.fit(d_array53);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer82 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i83 = levenbergMarquardtOptimizer82.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker84 = levenbergMarquardtOptimizer82.getConvergenceChecker();
    int i85 = levenbergMarquardtOptimizer82.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter86 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer82);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction87 = null;
    double[] d_array89 = new double[] { 100.0d };
    double[] d_array90 = new double[] {  };
    double[] d_array91 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair93 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array90, d_array91, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair94 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array89, d_array90);
    double[] d_array95 = curveFitter86.fit(parametricUnivariateRealFunction87, d_array90);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair96 = levenbergMarquardtOptimizer3.optimize(100, differentiableMultivariateVectorialFunction15, d_array24, d_array53, d_array95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i83 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test180"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.6582423028678988d, 0.07011222389235412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.070950182563153d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.26535939227896727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test182"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test183"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.4453609646811018d), 29937.070849248164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 29937.070849248164d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test184"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.9885283465646069d, 0.04185117191415032d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9885283465646069d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test185"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d11 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker10);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    double[] d_array18 = vectorialPointValuePair17.getValueRef();
    double[] d_array19 = vectorialPointValuePair17.getValue();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker22 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d23 = simpleVectorialValueChecker22.getRelativeThreshold();
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34);
    double[] d_array41 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array41);
    boolean b43 = simpleVectorialValueChecker22.converged((-1), vectorialPointValuePair31, vectorialPointValuePair42);
    double[] d_array44 = vectorialPointValuePair42.getValueRef();
    // The following exception was thrown during execution in test generation
    try {
      boolean b45 = simpleVectorialValueChecker10.converged(200, vectorialPointValuePair17, vectorialPointValuePair42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test186"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.569808528748766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6062728399202002d));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test187"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.298292365610485d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test189"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    java.lang.Object[] obj_array21 = mathException20.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(localizable6, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException(localizable25, (java.lang.Number)(short)(-1), number27, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable30 = outOfRangeException29.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException(localizable32, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)0.0f, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Number number39 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException41 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)(short)(-1), number39, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable42 = outOfRangeException41.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException(localizable44, obj_array46);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException48 = new org.apache.commons.math.exception.MaxCountExceededException(localizable42, (java.lang.Number)0.0f, obj_array46);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(localizable49, obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable42, obj_array51);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable59 = outOfRangeException58.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Number number62 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException64 = new org.apache.commons.math.exception.OutOfRangeException(localizable60, (java.lang.Number)(short)(-1), number62, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException64);
    java.lang.Throwable[] throwable_array66 = outOfRangeException64.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException36, localizable42, localizable59, (java.lang.Object[])throwable_array66);
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException(localizable59, obj_array68);
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException71 = new org.apache.commons.math.exception.ConvergenceException(localizable59, obj_array70);
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Number number74 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException76 = new org.apache.commons.math.exception.OutOfRangeException(localizable72, (java.lang.Number)(short)(-1), number74, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException76);
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    java.lang.Number number80 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException82 = new org.apache.commons.math.exception.OutOfRangeException(localizable78, (java.lang.Number)(short)(-1), number80, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable83 = outOfRangeException82.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException88 = new org.apache.commons.math.optimization.OptimizationException(localizable85, obj_array87);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException89 = new org.apache.commons.math.exception.MaxCountExceededException(localizable83, (java.lang.Number)0.0f, obj_array87);
    org.apache.commons.math.exception.util.Localizable localizable90 = null;
    java.lang.Object[] obj_array92 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException(localizable90, obj_array92);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException94 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException77, localizable83, obj_array92);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException95 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable24, localizable59, obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException(localizable6, obj_array92);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException97 = new org.apache.commons.math.exception.NullArgumentException(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test190"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    java.lang.Number number6 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4);
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException(localizable16, obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable9, localizable15, obj_array18);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable15, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    boolean b25 = numberIsTooSmallException24.getBoundIsAllowed();
    outOfRangeException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException24);
    java.lang.Number number27 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)(-1)+ "'", number6.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1.0f)+ "'", number27.equals((-1.0f)));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test191"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i24 = levenbergMarquardtOptimizer23.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer23.getConvergenceChecker();
    int i26 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    curveFitter27.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint32 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d33 = weightedObservedPoint32.getY();
    double d34 = weightedObservedPoint32.getY();
    curveFitter27.addObservedPoint(weightedObservedPoint32);
    double d36 = weightedObservedPoint32.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint32);
    curveFitter7.addObservedPoint(1.3354503653351284d, 1.7453292519943296E-4d, (-1.1752011936438014d));
    curveFitter7.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array43 = curveFitter7.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array43);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test192"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-1.5500578929761424d), 7.304406709185855E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5703250923847751d));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test193"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.1977461928657023d, (-1.5703250923847751d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4899891165348844d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test194"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7794470159417075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6620823915880564d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.30389950299471935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test196"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.223344385225087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.106048997660179d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test197"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 7.503164862174484E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.26535939227896727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test199"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number4 = notStrictlyPositiveException3.getMin();
    boolean b5 = notStrictlyPositiveException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException23);
    outOfRangeException17.addSuppressed((java.lang.Throwable)outOfRangeException23);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { outOfRangeException23 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array26);
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable11, obj_array26);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException3, localizable11, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException35);
    java.lang.Number number37 = outOfRangeException35.getArgument();
    java.lang.Throwable[] throwable_array38 = outOfRangeException35.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException(localizable11, (java.lang.Object[])throwable_array38);
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException("", (java.lang.Object[])throwable_array38);
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable0, (java.lang.Object[])throwable_array38);
    java.lang.String str42 = convergenceException41.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)(-1)+ "'", number37.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.exception.ConvergenceException: "+ "'", str42.equals("org.apache.commons.math.exception.ConvergenceException: "));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.1989013684858477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test201"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.1977461928657023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1977461928657023d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test203"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, localizable14, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable7, obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "hi!", obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException29);
    java.lang.String str31 = mathRuntimeException30.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.exception.MathRuntimeException: "+ "'", str31.equals("org.apache.commons.math.exception.MathRuntimeException: "));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test204"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.048188959540933E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0481889452204124E-4d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.9885283465646069d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test206"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(8.95470934962484E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.954706956127116E-4d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test207"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test208"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(2.576339742670462E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test210"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction11 = null;
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array14 = new double[] {  };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array20);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array26 = new double[] {  };
    double[] d_array27 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    double[] d_array31 = vectorialPointValuePair30.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getValue();
    double[] d_array35 = vectorialPointValuePair33.getValue();
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array38 = new double[] {  };
    double[] d_array39 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array39, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38);
    double[] d_array45 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array45);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer50 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i51 = levenbergMarquardtOptimizer50.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker52 = levenbergMarquardtOptimizer50.getConvergenceChecker();
    int i53 = levenbergMarquardtOptimizer50.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter54 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer50);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction55 = null;
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array58 = new double[] {  };
    double[] d_array59 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58);
    double[] d_array63 = curveFitter54.fit(parametricUnivariateRealFunction55, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = levenbergMarquardtOptimizer3.optimize(100, differentiableMultivariateVectorialFunction11, d_array35, d_array38, d_array63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.6472392715677459d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test212"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.3354503653351284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8017077182995904d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test213"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.8705751385100587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5144263158422416d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test214"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    double[] d_array32 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array31);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction33 = null;
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array38 = gaussianFitter8.fit(parametricUnivariateRealFunction33, d_array35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test215"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, localizable14, obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException(localizable0, obj_array39);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Number number46 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException(localizable44, (java.lang.Number)(short)(-1), number46, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable49 = outOfRangeException48.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException(localizable51, obj_array53);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException55 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)0.0f, obj_array53);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(localizable56, obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(localizable49, obj_array58);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException61 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException60);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException62 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException61);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException(localizable66, obj_array68);
    java.lang.Object[] obj_array70 = mathException69.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException71 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable65, obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException63, "hi!", obj_array70);
    java.lang.Object[] obj_array73 = mathException63.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException42, localizable43, obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test216"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(3.5603896875364365d, (-0.9440892412430646d), 0.5403023058681398d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.9440892412430646d));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test217"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.0418633944622603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04183896433529336d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test219"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)8.317818083460994E34d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test220"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0418633944622603d, 1.3232482045946719d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0418633944622603d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test221"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    java.lang.Number number6 = outOfRangeException4.getArgument();
    java.lang.Throwable[] throwable_array7 = outOfRangeException4.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException(localizable17, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException(localizable15, (java.lang.Number)0.0f, obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "org.apache.commons.math.ConvergenceException: hi!", obj_array19);
    java.lang.Number number23 = outOfRangeException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)(-1)+ "'", number6.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test222"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.106048997660179d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.106048997660179d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test223"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.000015f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.000015f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test224"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction10 = null;
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array13 = new double[] {  };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array19);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25);
    double[] d_array30 = vectorialPointValuePair29.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getValue();
    double[] d_array34 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d39 = levenbergMarquardtOptimizer38.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter40 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer38);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    double[] d_array45 = vectorialPointValuePair44.getPointRef();
    double[] d_array46 = gaussianFitter40.fit(d_array45);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker49 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d50 = simpleVectorialValueChecker49.getRelativeThreshold();
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array54 = new double[] {  };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54);
    double[] d_array60 = new double[] { 100.0d };
    double[] d_array61 = new double[] {  };
    double[] d_array62 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61);
    double[] d_array68 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array68);
    boolean b70 = simpleVectorialValueChecker49.converged((-1), vectorialPointValuePair58, vectorialPointValuePair69);
    double[] d_array71 = vectorialPointValuePair69.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array71, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = levenbergMarquardtOptimizer3.optimize(1, differentiableMultivariateVectorialFunction10, d_array33, d_array34, d_array45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.7453292519943296E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0001745481569566d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test226"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(11.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 630.2535746439056d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test227"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.1977461928657023d, 2.0124781326504887E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1977461928657023d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test228"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 10);
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    int i5 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.8017077182995904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8017077182995904d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.004425697988052562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004425726883483217d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test233"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer15 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i16 = levenbergMarquardtOptimizer15.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter17 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer15);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer29 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i30 = levenbergMarquardtOptimizer29.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker31 = levenbergMarquardtOptimizer29.getConvergenceChecker();
    int i32 = levenbergMarquardtOptimizer29.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter33 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer29);
    curveFitter33.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction35 = null;
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array38 = new double[] {  };
    double[] d_array39 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array39, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38);
    double[] d_array45 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array45);
    double[] d_array47 = curveFitter33.fit(parametricUnivariateRealFunction35, d_array45);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array47, false);
    double[] d_array50 = gaussianFitter17.fit(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array51 = curveFitter7.fit(0, parametricUnivariateRealFunction9, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test234"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer12 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d13 = levenbergMarquardtOptimizer12.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter14 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer12);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getPointRef();
    double[] d_array20 = gaussianFitter14.fit(d_array19);
    double[] d_array21 = gaussianFitter8.fit(d_array19);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction23 = null;
    double[] d_array24 = new double[] {  };
    double[] d_array25 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer31 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d32 = levenbergMarquardtOptimizer31.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter33 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer31);
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    double[] d_array38 = vectorialPointValuePair37.getPointRef();
    double[] d_array39 = gaussianFitter33.fit(d_array38);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker42 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d43 = simpleVectorialValueChecker42.getRelativeThreshold();
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array54 = new double[] {  };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54);
    double[] d_array61 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array61);
    boolean b63 = simpleVectorialValueChecker42.converged((-1), vectorialPointValuePair51, vectorialPointValuePair62);
    double[] d_array64 = vectorialPointValuePair62.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array64, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array68 = gaussianFitter8.fit((-100), parametricUnivariateRealFunction23, d_array38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test235"); }


    int i2 = org.apache.commons.math.util.FastMath.max(1, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test236"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.8705751385100586d, 100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8705751385100586d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test237"); }


    int i2 = org.apache.commons.math.util.FastMath.max(100, (-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-1.5500578929761424d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.8259324122591327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999999999998d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test241"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.741147649100222d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.319525539389148d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test242"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(localizable1, obj_array3);
    java.lang.Object[] obj_array5 = mathException4.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test243"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-100), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-100));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test244"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter7.addObservedPoint(weightedObservedPoint20);
    curveFitter7.addObservedPoint(1.7453292519943296E-4d, 11.000000000000002d, 1.4897444985114965E30d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint29 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    double d30 = weightedObservedPoint29.getX();
    curveFitter7.addObservedPoint(weightedObservedPoint29);
    curveFitter7.addObservedPoint((-48.21273601220948d), 0.0d);
    curveFitter7.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.004425697988052562d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test245"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable23 = outOfRangeException22.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException(localizable25, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)0.0f, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array27);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.3354503653351284d, number32, true);
    org.apache.commons.math.exception.ZeroException zeroException35 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.ConvergenceException convergenceException36 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test246"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6723209792330042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test247"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.004425697988052562d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.002212848994026281d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test248"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.010000333346667207d, (java.lang.Number)0.8705751385100587d, true);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException23);
    outOfRangeException17.addSuppressed((java.lang.Throwable)outOfRangeException23);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { outOfRangeException23 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array26);
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable11, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, localizable5, obj_array26);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException31 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable32 = tooManyEvaluationsException31.getGeneralPattern();
    java.lang.Number number33 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException36 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable32, number33, number34, false);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Number number39 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException41 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)(short)(-1), number39, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException41);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException(localizable50, obj_array52);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException54 = new org.apache.commons.math.exception.MaxCountExceededException(localizable48, (java.lang.Number)0.0f, obj_array52);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(localizable55, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException42, localizable48, obj_array57);
    org.apache.commons.math.exception.util.Localizable localizable60 = mathException42.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(localizable62, obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array68 = convergenceException67.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException29, localizable32, localizable60, obj_array68);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException75);
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Number number79 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException81 = new org.apache.commons.math.exception.OutOfRangeException(localizable77, (java.lang.Number)(short)(-1), number79, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException81);
    outOfRangeException75.addSuppressed((java.lang.Throwable)outOfRangeException81);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { outOfRangeException81 };
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("hi!", obj_array84);
    org.apache.commons.math.exception.ConvergenceException convergenceException86 = new org.apache.commons.math.exception.ConvergenceException(localizable32, obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0008758879493544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.223344385225087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34050312033662644d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(5.893061714674763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 361.5134998891312d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test252"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.5660211784423174d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test253"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5689240493544077d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test254"); }


    long long1 = org.apache.commons.math.util.FastMath.round(7.503164862174484E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.1989013684858477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.19631925954314863d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test256"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.3354503653351284d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number8 = notStrictlyPositiveException7.getMin();
    boolean b9 = notStrictlyPositiveException7.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)(short)(-1), number19, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException21);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException27);
    outOfRangeException21.addSuppressed((java.lang.Throwable)outOfRangeException27);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { outOfRangeException27 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array30);
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable15, obj_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException7, localizable15, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(localizable36, obj_array38);
    java.lang.Object[] obj_array40 = mathException39.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, obj_array40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5, localizable15, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException54);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Number number58 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException60 = new org.apache.commons.math.exception.OutOfRangeException(localizable56, (java.lang.Number)(short)(-1), number58, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException60);
    outOfRangeException54.addSuppressed((java.lang.Throwable)outOfRangeException60);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { outOfRangeException60 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("hi!", obj_array63);
    org.apache.commons.math.exception.ConvergenceException convergenceException65 = new org.apache.commons.math.exception.ConvergenceException(localizable48, obj_array63);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException67 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number68 = notStrictlyPositiveException67.getMin();
    boolean b69 = notStrictlyPositiveException67.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Number number72 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, (java.lang.Number)(short)(-1), number72, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable75 = outOfRangeException74.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Number number79 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException81 = new org.apache.commons.math.exception.OutOfRangeException(localizable77, (java.lang.Number)(short)(-1), number79, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException81);
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Number number85 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException87 = new org.apache.commons.math.exception.OutOfRangeException(localizable83, (java.lang.Number)(short)(-1), number85, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException87);
    outOfRangeException81.addSuppressed((java.lang.Throwable)outOfRangeException87);
    java.lang.Object[] obj_array90 = new java.lang.Object[] { outOfRangeException87 };
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("hi!", obj_array90);
    org.apache.commons.math.exception.ConvergenceException convergenceException92 = new org.apache.commons.math.exception.ConvergenceException(localizable75, obj_array90);
    java.lang.Object[] obj_array93 = null;
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException67, localizable75, obj_array93);
    java.lang.Object[] obj_array95 = convergenceException94.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException96 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException1, localizable15, localizable48, obj_array95);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException99 = new org.apache.commons.math.exception.DimensionMismatchException(localizable48, 100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number68 + "' != '" + 0+ "'", number68.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array95);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.741147649100222d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.7038857271415235d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.012478132650489E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.012478132650489E-13d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(2.048188959540933E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0002048398727763d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.004425697988052562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.354018225880389d));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test261"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-100.00001f), (-1.1752011936438014d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test262"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.00002f, 200.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.00002f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(33.43950032726054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.0d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test264"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7794470159417075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test265"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.00002f, (-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.00002f));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.009878933199836787d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009879093886937643d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.004582445941591594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004582413866555887d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test268"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)6.636209728869457E-6d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test269"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.5394708390100347d), 0.5864808031646639d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.047009964154629214d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test270"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.0427392738421426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8637876658428674d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test271"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-1.5703250923847751d), 81.09944031321317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.570325092384775d));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.18044161820430601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9837645341340948d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.8414709848078964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8418176412695306d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test274"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    java.lang.Number number4 = outOfRangeException3.getArgument();
    java.lang.Number number5 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.6045824459415916d+ "'", number5.equals(0.6045824459415916d));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.002212848994026281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.002212850799969915d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.30759257903683007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3126619101265145d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test277"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(81.09944031321317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 82.0d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(5.510694365122006E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test279"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 1.0845416358523314d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test280"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker6);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i12 = levenbergMarquardtOptimizer11.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    int i14 = levenbergMarquardtOptimizer11.getJacobianEvaluations();
    int i15 = levenbergMarquardtOptimizer11.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker18 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d19 = simpleVectorialValueChecker18.getAbsoluteThreshold();
    levenbergMarquardtOptimizer11.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker18);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker18);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array28, true);
    double[] d_array33 = vectorialPointValuePair32.getPointRef();
    double[] d_array35 = new double[] { 100.0d };
    double[] d_array36 = new double[] {  };
    double[] d_array37 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36);
    double[] d_array41 = vectorialPointValuePair40.getPoint();
    double[] d_array42 = vectorialPointValuePair40.getValue();
    // The following exception was thrown during execution in test generation
    try {
      boolean b43 = simpleVectorialValueChecker18.converged(200, vectorialPointValuePair32, vectorialPointValuePair40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(361.5134998891312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.893061714674763d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.1947359549711785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test283"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable25 = outOfRangeException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException(localizable27, obj_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable25, (java.lang.Number)0.0f, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable32, obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(localizable25, obj_array34);
    org.apache.commons.math.exception.ConvergenceException convergenceException37 = new org.apache.commons.math.exception.ConvergenceException(localizable25);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable43 = outOfRangeException42.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException48 = new org.apache.commons.math.optimization.OptimizationException(localizable45, obj_array47);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException49 = new org.apache.commons.math.exception.MaxCountExceededException(localizable43, (java.lang.Number)0.0f, obj_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException(localizable25, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(localizable63, obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable56, obj_array65);
    org.apache.commons.math.exception.ConvergenceException convergenceException68 = new org.apache.commons.math.exception.ConvergenceException(localizable56);
    java.lang.Throwable throwable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Number number72 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, (java.lang.Number)(short)(-1), number72, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable75 = outOfRangeException74.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable76, obj_array78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException(throwable69, localizable75, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException17, localizable25, localizable56, obj_array78);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException84 = new org.apache.commons.math.exception.DimensionMismatchException(localizable56, 0, 10);
    int i85 = dimensionMismatchException84.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 10);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.04187563202117844d, 2.8017077182995904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.014945354174690265d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test285"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-100.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test286"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.30389950299471935d, 1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.744949096659555d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.8637876658428674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015075938807074597d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.30759065917144446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.30293593781471656d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test289"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(5.298292365610485d, 81.09944031321317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.333567303367922E58d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5729.5779513082325d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.06413343417854311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.746789456989371d));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test292"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.5404881143480985E-22d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test293"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.454545454545455d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test294"); }


    double d2 = org.apache.commons.math.util.FastMath.min(3.8054157232159725E-8d, 1.0008758879493544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.8054157232159725E-8d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test295"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(2.032373701559889d, (-0.6472392715677459d), 0.13440823672781957d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test296"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(57.345964195906696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49321676688550387d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test298"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.048188959540933E-4d, (-0.9440892412430647d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.944089263460657d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test299"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.2676507E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2089258E24f);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test300"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.5258789E-5f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5258789E-5f);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test301"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.8414709848078964d), 0.010000166674167114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5589127370929596d));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test302"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, localizable14, obj_array39);
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathRuntimeException: ", obj_array39);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test303"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5698085287487659d), 0.5836293809324178d, 1.7453292519943296E-4d, 1.3354503653351284d, 10.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test304"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.13481625616717396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4355683034250042d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test305"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.5603191796950662d, (-0.5689240493544077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6608041776374785d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test306"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(6.6321813950585495d, 100.0d, 0.8705751385100587d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test307"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(localizable34, obj_array43);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException46 = new org.apache.commons.math.exception.ConvergenceException(localizable34, obj_array45);
    org.apache.commons.math.exception.ZeroException zeroException47 = new org.apache.commons.math.exception.ZeroException(localizable34);
    org.apache.commons.math.exception.ZeroException zeroException48 = new org.apache.commons.math.exception.ZeroException(localizable34);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException49 = new org.apache.commons.math.exception.NullArgumentException(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test308"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9443504370351302d, 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3757447568054897d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.764725154011207d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7647251540112069d));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test310"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.04273927384214262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test311"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(29937.070849248164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.637978807091713E-12d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.9376558078861459d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9376558078861459d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test314"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-1.1752011936438014d), 200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.888475507724801E60d));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test315"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(100.00000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3440585709080869E43d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.5152186467233689d), (-0.5394708390100347d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test317"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.7453292519943296E-4d, 200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8046359747877745E56d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test318"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.6582423028678988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8259324122591327d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test319"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(6.636209728869457E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-18));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.6507835559664077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6507835559664077d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test321"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-100.0f), (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test322"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = levenbergMarquardtOptimizer3.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test323"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, (java.lang.Number)0.0f, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable25, obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable18, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable35 = outOfRangeException34.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException40);
    java.lang.Throwable[] throwable_array42 = outOfRangeException40.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException12, localizable18, localizable35, (java.lang.Object[])throwable_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException44 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException12);
    java.lang.Number number45 = maxCountExceededException12.getMax();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { number45 };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("", obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array46);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException52 = new org.apache.commons.math.exception.DimensionMismatchException(localizable49, (-1), 100);
    int i53 = dimensionMismatchException52.getDimension();
    org.apache.commons.math.exception.util.Localizable localizable54 = dimensionMismatchException52.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable55 = dimensionMismatchException52.getGeneralPattern();
    mathIllegalStateException48.addSuppressed((java.lang.Throwable)dimensionMismatchException52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + 0.0f+ "'", number45.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable55);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test324"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    java.lang.Number number6 = outOfRangeException5.getArgument();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, localizable13, obj_array16);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable13, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException(localizable39, obj_array41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable32, localizable38, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException43, "hi!", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException(localizable31, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException5, localizable13, obj_array48);
    org.apache.commons.math.exception.ConvergenceException convergenceException54 = new org.apache.commons.math.exception.ConvergenceException(localizable13);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException59 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException61 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number62 = notStrictlyPositiveException61.getMin();
    boolean b63 = notStrictlyPositiveException61.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Number number66 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException68 = new org.apache.commons.math.exception.OutOfRangeException(localizable64, (java.lang.Number)(short)(-1), number66, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable69 = outOfRangeException68.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException75);
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Number number79 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException81 = new org.apache.commons.math.exception.OutOfRangeException(localizable77, (java.lang.Number)(short)(-1), number79, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException81);
    outOfRangeException75.addSuppressed((java.lang.Throwable)outOfRangeException81);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { outOfRangeException81 };
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("hi!", obj_array84);
    org.apache.commons.math.exception.ConvergenceException convergenceException86 = new org.apache.commons.math.exception.ConvergenceException(localizable69, obj_array84);
    java.lang.Object[] obj_array87 = null;
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException61, localizable69, obj_array87);
    org.apache.commons.math.exception.util.Localizable localizable89 = null;
    org.apache.commons.math.exception.util.Localizable localizable90 = null;
    java.lang.Object[] obj_array92 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException(localizable90, obj_array92);
    java.lang.Object[] obj_array94 = mathException93.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException95 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable89, obj_array94);
    org.apache.commons.math.MathException mathException96 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException59, localizable69, obj_array94);
    org.apache.commons.math.ConvergenceException convergenceException97 = new org.apache.commons.math.ConvergenceException(localizable55, obj_array94);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException98 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable13, obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)(-1)+ "'", number6.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number62 + "' != '" + 0+ "'", number62.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test325"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.9443504370351302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2356142630521656d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test326"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.201588407601501d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.403176815203002d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test327"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.6770136959079763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9679919258594991d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test328"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2089258E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 80);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.7647251540112069d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test330"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.1017612416682803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.8637876658428674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test332"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker6);
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    int i17 = levenbergMarquardtOptimizer13.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker20 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d21 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    levenbergMarquardtOptimizer13.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    double d23 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    double d24 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    double d26 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 2.3978952727983707d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test333"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(5729.5779513082325d, (-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.5198400492033626E-27d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.9999999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test335"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.30584301E18f);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test336"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.4355683034250042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test337"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker6);
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    int i17 = levenbergMarquardtOptimizer13.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker20 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d21 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    levenbergMarquardtOptimizer13.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    double d23 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    double d24 = simpleVectorialValueChecker20.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter26 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.3978952727983707d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test338"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.5394708390100347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test340"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(9.183549615799121E-41d, 0.3126619101265145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.0336006673238655E-13d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test341"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0008758879493542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0008758879493542d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test342"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.041851167628339195d, 0.8305753471944518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8305753471944518d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test343"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker11 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d12 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter13 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array14 = levenbergMarquardtOptimizer3.getCovariances();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test344"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.009878933199836787d), 2.1017612416682803d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test345"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction10 = null;
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array13 = new double[] {  };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13);
    double[] d_array18 = vectorialPointValuePair17.getPoint();
    double[] d_array19 = vectorialPointValuePair17.getValueRef();
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array22 = new double[] {  };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22);
    double[] d_array27 = vectorialPointValuePair26.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer31 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i32 = levenbergMarquardtOptimizer31.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker33 = levenbergMarquardtOptimizer31.getConvergenceChecker();
    int i34 = levenbergMarquardtOptimizer31.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter35 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer31);
    curveFitter35.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction37 = null;
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40);
    double[] d_array47 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array47);
    double[] d_array49 = curveFitter35.fit(parametricUnivariateRealFunction37, d_array47);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array49, false);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array54 = new double[] {  };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54);
    double[] d_array59 = vectorialPointValuePair58.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array59);
    double[] d_array62 = new double[] { 100.0d };
    double[] d_array63 = new double[] {  };
    double[] d_array64 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array64, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array63);
    double[] d_array68 = new double[] {  };
    double[] d_array69 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair71 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array68, d_array69, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array69);
    double[] d_array73 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair75 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array73, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair76 = levenbergMarquardtOptimizer3.optimize((-1), differentiableMultivariateVectorialFunction10, d_array19, d_array49, d_array63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-1.888475507724801E60d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267948966d));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test347"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.5258789E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test348"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.2676506E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2089258E24f);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test349"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test350"); }


    int i2 = org.apache.commons.math.util.FastMath.max(200, 200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 200);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test351"); }


    int i1 = org.apache.commons.math.util.FastMath.round(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.0002048398727763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5581096314259046d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test353"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i24 = levenbergMarquardtOptimizer23.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer23.getConvergenceChecker();
    int i26 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    curveFitter27.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint32 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d33 = weightedObservedPoint32.getY();
    double d34 = weightedObservedPoint32.getY();
    curveFitter27.addObservedPoint(weightedObservedPoint32);
    double d36 = weightedObservedPoint32.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint32);
    curveFitter7.addObservedPoint(1.3354503653351284d, 1.7453292519943296E-4d, (-1.1752011936438014d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i46 = levenbergMarquardtOptimizer45.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker47 = levenbergMarquardtOptimizer45.getConvergenceChecker();
    int i48 = levenbergMarquardtOptimizer45.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter49 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction50 = null;
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array53 = new double[] {  };
    double[] d_array54 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array52, d_array53);
    double[] d_array58 = curveFitter49.fit(parametricUnivariateRealFunction50, d_array53);
    curveFitter49.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint65 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    curveFitter49.addObservedPoint(weightedObservedPoint65);
    curveFitter7.addObservedPoint(weightedObservedPoint65);
    double d68 = weightedObservedPoint65.getWeight();
    double d69 = weightedObservedPoint65.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == (-0.201588407601501d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-0.201588407601501d));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.04450668621432856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.044491994194185494d));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test355"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable36 = outOfRangeException35.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException(localizable38, obj_array40);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable36, (java.lang.Number)0.0f, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable43, obj_array45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable36, obj_array45);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable53 = outOfRangeException52.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    java.lang.Throwable[] throwable_array60 = outOfRangeException58.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException30, localizable36, localizable53, (java.lang.Object[])throwable_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)1.0845416358523312d, (java.lang.Object[])throwable_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable64, obj_array66);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException68 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable63, obj_array66);
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException(localizable5, obj_array66);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException(localizable72, obj_array74);
    java.lang.Object[] obj_array76 = mathException75.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable71, obj_array76);
    java.lang.Object[] obj_array78 = mathIllegalArgumentException77.getArguments();
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException("", obj_array78);
    org.apache.commons.math.exception.ConvergenceException convergenceException80 = new org.apache.commons.math.exception.ConvergenceException(localizable5, obj_array78);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException81 = new org.apache.commons.math.exception.NullArgumentException(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test356"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.3754263876807227d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.0124781326504887E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0124781326504887E-13d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test358"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker6);
    double d8 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test359"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.8705751385100586d, 0.6045824459415917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8705751385100586d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test360"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.0f, (-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test361"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.7647251540112069d), 0.7794470159417075d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(5.454545454545455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0904510166774706d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test363"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0427392738421426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2913357366443073d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test364"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = levenbergMarquardtOptimizer5.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.0001745481569566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test366"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.004582413866555887d, 0.0d, 0.009950330853168083d, 0.30759065917144446d, 0.8637876658428674d);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction7 = null;
    double[] d_array8 = null;
    double[] d_array9 = null;
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array12 = new double[] {  };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12);
    double[] d_array17 = vectorialPointValuePair16.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer21 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i22 = levenbergMarquardtOptimizer21.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker23 = levenbergMarquardtOptimizer21.getConvergenceChecker();
    int i24 = levenbergMarquardtOptimizer21.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter25 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer21);
    curveFitter25.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction27 = null;
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30);
    double[] d_array37 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array37);
    double[] d_array39 = curveFitter25.fit(parametricUnivariateRealFunction27, d_array37);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array39, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i46 = levenbergMarquardtOptimizer45.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker47 = levenbergMarquardtOptimizer45.getConvergenceChecker();
    int i48 = levenbergMarquardtOptimizer45.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker49 = levenbergMarquardtOptimizer45.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter50 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer54 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d55 = levenbergMarquardtOptimizer54.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter56 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer54);
    double[] d_array57 = new double[] {  };
    double[] d_array58 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58, false);
    double[] d_array61 = vectorialPointValuePair60.getPointRef();
    double[] d_array62 = gaussianFitter56.fit(d_array61);
    double[] d_array63 = gaussianFitter50.fit(d_array61);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array61);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = levenbergMarquardtOptimizer5.optimize((-100), differentiableMultivariateVectorialFunction7, d_array8, d_array9, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test367"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = gaussianFitter4.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.07011222389235412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07005479595293078d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test369"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = gaussianFitter8.fit(d_array10);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d21 = weightedObservedPoint20.getY();
    double d22 = weightedObservedPoint20.getX();
    double d23 = weightedObservedPoint20.getX();
    double d24 = weightedObservedPoint20.getX();
    gaussianFitter8.addObservedPoint(weightedObservedPoint20);
    gaussianFitter8.addObservedPoint(0.0d, 1.4897444985114965E30d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array29 = gaussianFitter8.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.3978952727983707d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test370"); }


    int i2 = org.apache.commons.math.util.FastMath.max(200, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 200);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test371"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.8017077182995904d, 2.032373701559889d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8017077182995904d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test372"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-100.00001f), (-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.00001f));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test373"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 1.0001745481569566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test374"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(82.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 82.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test375"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(3.762613918721343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test376"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(localizable34, obj_array43);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException46 = new org.apache.commons.math.exception.ConvergenceException(localizable34, obj_array45);
    java.lang.Throwable throwable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Number number51 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException53 = new org.apache.commons.math.exception.OutOfRangeException(localizable49, (java.lang.Number)(short)(-1), number51, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable54 = outOfRangeException53.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException(localizable55, obj_array57);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(throwable48, localizable54, obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException46, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [100, 10] range", obj_array57);
    org.apache.commons.math.exception.util.Localizable localizable61 = convergenceException60.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable61);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test377"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-7.223181234835374E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 99);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test378"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.010000333346667207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010050503781081086d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.22216950158552873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test380"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.19631925954314863d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0190884415336925d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test381"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(8.95470934962484E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000895871988762d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test383"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.3351820637427309d, number1, (java.lang.Number)6.6321813950585495d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test384"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable6);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable6, (java.lang.Number)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException20 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable6, (java.lang.Number)1.5258789E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.3351820637427309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6946407499250977d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0427392738421426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test387"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-1.5703250923847751d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9170774563983448d));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test388"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.576339742670462E30d, 0.5403023058681399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.576339742670462E30d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test389"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.0023529875553292964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0023529853840908517d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test390"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.183549615799121E-41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-133));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test391"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.5698085287487659d), 0.8414709848078964d, 0.3678794411714424d);
    double d5 = gaussian3.value(0.0418633944622603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.05368434859196988d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test392"); }


    double[] d_array0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair4 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array2, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array2);
    double[] d_array6 = vectorialPointValuePair5.getValueRef();
    double[] d_array7 = vectorialPointValuePair5.getValueRef();
    double[] d_array8 = vectorialPointValuePair5.getValue();
    double[] d_array9 = vectorialPointValuePair5.getPointRef();
    double[] d_array10 = vectorialPointValuePair5.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array10);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test393"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.5403023058681399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5143952585235493d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test394"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.5589127370929596d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test395"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.9443504370351302d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1971063983333736E30d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test396"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.1947359549711785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.093039777396586d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test397"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.9885283465646069d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 113.93428170027987d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test398"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.13440823672781957d, 0.8414709848078964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1344082367278196d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test399"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8259324122591327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6782858550610652d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.07005479595293078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.06999762110926101d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test401"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.041851167628339195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20457557925700515d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.7016662261908625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1538694271792407d));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test403"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable6, obj_array15);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException20 = new org.apache.commons.math.exception.DimensionMismatchException(localizable6, 0, (-1));
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException20);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable28 = outOfRangeException27.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException(localizable30, obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable28, (java.lang.Number)0.0f, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable40 = outOfRangeException39.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException(localizable42, obj_array44);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException(localizable40, (java.lang.Number)0.0f, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(localizable47, obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(localizable40, obj_array49);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Number number60 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException62 = new org.apache.commons.math.exception.OutOfRangeException(localizable58, (java.lang.Number)(short)(-1), number60, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException62);
    java.lang.Throwable[] throwable_array64 = outOfRangeException62.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException34, localizable40, localizable57, (java.lang.Object[])throwable_array64);
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException(localizable57, obj_array66);
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException69 = new org.apache.commons.math.exception.ConvergenceException(localizable57, obj_array68);
    java.lang.Throwable throwable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Number number74 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException76 = new org.apache.commons.math.exception.OutOfRangeException(localizable72, (java.lang.Number)(short)(-1), number74, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable77 = outOfRangeException76.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException81 = new org.apache.commons.math.optimization.OptimizationException(localizable78, obj_array80);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException(throwable71, localizable77, obj_array80);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException69, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [100, 10] range", obj_array80);
    java.lang.Object[] obj_array84 = convergenceException83.getArguments();
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException21, "", obj_array84);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException("hi!", obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test404"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.9999999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974482d));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test405"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)200);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 200+ "'", number2.equals(200));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test406"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.0f, 200.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test407"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.8046359747877745E56d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 187);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test408"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.6946407499250977d, 0.06413343417854311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.01082702603887653d));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test409"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(33.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test410"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker6);
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker10 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker10);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test411"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test412"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)33.43950032726054d);
    org.apache.commons.math.exception.util.Localizable localizable2 = notStrictlyPositiveException1.getGeneralPattern();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b4 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.0414132877260263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9103561443121718d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.4897444985114965E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.837868498345516d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test415"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.20457557925700515d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test416"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.106048997660179d, 0.5403023058681399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.106048997660179d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.944089263460657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5864807851692332d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test418"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    java.lang.Number number5 = outOfRangeException4.getArgument();
    java.lang.Number number6 = outOfRangeException4.getLo();
    java.lang.Number number7 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable8 = outOfRangeException4.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable9 = outOfRangeException4.getGeneralPattern();
    java.lang.Number number10 = outOfRangeException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)(-1)+ "'", number5.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)(-1)+ "'", number7.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test419"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)57.320866362379626d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test420"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1756936241000449d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test421"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2089258E24f, 0.30389950299471935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.20892575E24f);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.5864807851692332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.797650950602629d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test423"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 99);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test424"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.9679919258594991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test425"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(113.93428170027987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7426013336163995d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test426"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.093039777396586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.045485426678242d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test427"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable21 = outOfRangeException20.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException(localizable23, obj_array25);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException27 = new org.apache.commons.math.exception.MaxCountExceededException(localizable21, (java.lang.Number)0.0f, obj_array25);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(localizable28, obj_array30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(localizable21, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Number number42 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException44 = new org.apache.commons.math.exception.OutOfRangeException(localizable40, (java.lang.Number)(short)(-1), number42, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException44);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Number number48 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException50 = new org.apache.commons.math.exception.OutOfRangeException(localizable46, (java.lang.Number)(short)(-1), number48, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException50);
    outOfRangeException44.addSuppressed((java.lang.Throwable)outOfRangeException50);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { outOfRangeException50 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("hi!", obj_array53);
    org.apache.commons.math.exception.ConvergenceException convergenceException55 = new org.apache.commons.math.exception.ConvergenceException(localizable38, obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException15, localizable21, obj_array53);
    org.apache.commons.math.exception.util.Localizable localizable57 = mathException56.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = mathException56.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable58);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test428"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-100.00001f), 1.5258789E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.00001f);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test429"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i6 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array10 = new double[] {  };
    double[] d_array11 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array10);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i20 = levenbergMarquardtOptimizer19.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker21 = levenbergMarquardtOptimizer19.getConvergenceChecker();
    int i22 = levenbergMarquardtOptimizer19.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter23 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer19);
    curveFitter23.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction25 = null;
    double[] d_array27 = new double[] { 100.0d };
    double[] d_array28 = new double[] {  };
    double[] d_array29 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28);
    double[] d_array35 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array35);
    double[] d_array37 = curveFitter23.fit(parametricUnivariateRealFunction25, d_array35);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array37, false);
    double[] d_array40 = gaussianFitter7.fit(d_array15);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction41 = null;
    double[] d_array43 = new double[] { 100.0d };
    double[] d_array44 = new double[] {  };
    double[] d_array45 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44);
    double[] d_array49 = vectorialPointValuePair48.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer53 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i54 = levenbergMarquardtOptimizer53.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker55 = levenbergMarquardtOptimizer53.getConvergenceChecker();
    int i56 = levenbergMarquardtOptimizer53.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter57 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer53);
    curveFitter57.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction59 = null;
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array62 = new double[] {  };
    double[] d_array63 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62);
    double[] d_array69 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array69);
    double[] d_array71 = curveFitter57.fit(parametricUnivariateRealFunction59, d_array69);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array71, false);
    double[] d_array74 = gaussianFitter7.fit(parametricUnivariateRealFunction41, d_array71);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer78 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i79 = levenbergMarquardtOptimizer78.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker80 = levenbergMarquardtOptimizer78.getConvergenceChecker();
    int i81 = levenbergMarquardtOptimizer78.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter82 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer78);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter83 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer78);
    double[] d_array85 = new double[] { 100.0d };
    double[] d_array86 = new double[] {  };
    double[] d_array87 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair89 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array86, d_array87, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair90 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array85, d_array86);
    double[] d_array91 = gaussianFitter83.fit(d_array85);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair92 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test430"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable47 = outOfRangeException46.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException(localizable48, obj_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable41, localizable47, obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable13, obj_array50);
    java.lang.Object[] obj_array54 = mathException53.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable55 = mathException53.getSpecificPattern();
    java.lang.String str56 = mathException53.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "org.apache.commons.math.MathException: 0 out of [{1}, {2}] range"+ "'", str56.equals("org.apache.commons.math.MathException: 0 out of [{1}, {2}] range"));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-2.3012989023072947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test432"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.045485426678242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7800449822767326d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test433"); }


    int i2 = org.apache.commons.math.util.FastMath.min(80, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.572976894487969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1686916356126562d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test435"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(localizable1, obj_array3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("hi!", obj_array3);
    org.apache.commons.math.exception.util.Localizable localizable6 = mathException5.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test436"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0f, 1.3754263876807227d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test437"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable44, obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable17, obj_array46);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException53 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable17, (java.lang.Number)0.010000333346667207d, (java.lang.Number)0.40027779490228416d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test438"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.6620823915880564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6147605946163983d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test440"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test441"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.3026855976464664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.743913175839536d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test442"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-100.00001f), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-200.00002f));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test443"); }


    float f2 = org.apache.commons.math.util.FastMath.max(100.00002f, (-200.00002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.00002f);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test444"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.01d, 0.8705751385100587d, 1.5607966601082315d);
    double d5 = gaussian3.value(1.2969827869405939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.009633689931879255d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test445"); }


    long long2 = org.apache.commons.math.util.FastMath.max(10L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.138437352065184d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13799893297724022d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.16635474629375877d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test448"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(11.000000000000002d, 3.5603896875364365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.31883093739069235d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test449"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, (-0.1989013684858477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.0023529853840908517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.052070380862301d));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test451"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.0418633944622603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.1977461928657023d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5988730964328511d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.201588407601501d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test455"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable6, obj_array15);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException17);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException18);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable26 = outOfRangeException25.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException(localizable28, obj_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable26, (java.lang.Number)0.0f, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(localizable33, obj_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable26, obj_array35);
    org.apache.commons.math.exception.ConvergenceException convergenceException38 = new org.apache.commons.math.exception.ConvergenceException(localizable26);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Number number41 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException43 = new org.apache.commons.math.exception.OutOfRangeException(localizable39, (java.lang.Number)(short)(-1), number41, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable44 = outOfRangeException43.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array48);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException(localizable44, (java.lang.Number)0.0f, obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException(localizable26, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException(localizable59, obj_array61);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException(localizable57, (java.lang.Number)0.0f, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable64, obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(localizable57, obj_array66);
    org.apache.commons.math.exception.ConvergenceException convergenceException69 = new org.apache.commons.math.exception.ConvergenceException(localizable57);
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable76 = outOfRangeException75.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException(localizable77, obj_array79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable70, localizable76, obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException18, localizable26, localizable57, obj_array79);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException("hi!", obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test456"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22);
    outOfRangeException16.addSuppressed((java.lang.Throwable)outOfRangeException22);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { outOfRangeException22 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.exception.ConvergenceException convergenceException27 = new org.apache.commons.math.exception.ConvergenceException(localizable10, obj_array25);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException2, localizable10, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException34);
    java.lang.Number number36 = outOfRangeException34.getArgument();
    java.lang.Throwable[] throwable_array37 = outOfRangeException34.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException(localizable10, (java.lang.Object[])throwable_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException("", (java.lang.Object[])throwable_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (short)(-1)+ "'", number36.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test457"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.045485426678242d, 0.5144263158422416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1135326078353143d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test458"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(57.320866362379626d, 1.744949096659555d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5403639469128183d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test459"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.5258789E-5f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5258789E-5f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test460"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(5.510694365122006E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.01d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5607961601207294d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test462"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker11 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d12 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter13 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = gaussianFitter13.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test463"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.20892575E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.20892575E24f);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-1.888475507724801E60d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.888475507724801E60d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.1344082367278196d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.990980803303968d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test466"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.010000166674167114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010000000006666778d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.223344385225087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 70.09247016442382d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(57.345964195906696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.345964195906696d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test469"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException15);
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathRuntimeException16);
    java.lang.Throwable[] throwable_array18 = optimizationException17.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test470"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.956763478491886d, 1.3440585709080869E43d, 4.5198400492033626E-27d, 33.43950032726054d, 33.43950032726054d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test471"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 2.30584301E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test472"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable6 = tooManyEvaluationsException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(localizable7, obj_array9);
    java.lang.Object[] obj_array11 = mathException10.getArguments();
    java.lang.Object[] obj_array12 = mathException10.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable6, obj_array12);
    org.apache.commons.math.exception.ZeroException zeroException14 = new org.apache.commons.math.exception.ZeroException(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test473"); }


    int i2 = org.apache.commons.math.util.FastMath.min(10, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-18));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test474"); }


    double d1 = org.apache.commons.math.util.FastMath.log(6.636209728869457E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-11.9229695814234d));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test475"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.3754263876807227d, (java.lang.Number)2.6582423028678988d, (java.lang.Number)0.5403023058681398d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.5403023058681398d+ "'", number4.equals(0.5403023058681398d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test476"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, (-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test477"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.012478132650489E-13d, (-2.354018225880389d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.012478132650489E-13d));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test478"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.3026855976464664d, 1.0008758879493544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5107993756345555d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test479"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-100.00001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-100.0f));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test480"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.40027779490228416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4231207090919036d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test481"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter7.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint12 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d13 = weightedObservedPoint12.getY();
    double d14 = weightedObservedPoint12.getY();
    curveFitter7.addObservedPoint(weightedObservedPoint12);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array16 = curveFitter7.getObservations();
    curveFitter7.clearObservations();
    curveFitter7.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array16);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 0.8414709848078964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test483"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable36 = outOfRangeException35.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException(localizable38, obj_array40);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable36, (java.lang.Number)0.0f, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable43, obj_array45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable36, obj_array45);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable53 = outOfRangeException52.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    java.lang.Throwable[] throwable_array60 = outOfRangeException58.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException30, localizable36, localizable53, (java.lang.Object[])throwable_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)1.0845416358523312d, (java.lang.Object[])throwable_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable64, obj_array66);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException68 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable63, obj_array66);
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException(localizable5, obj_array66);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException72 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 0, 1);
    java.lang.String str73 = dimensionMismatchException72.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 0 out of [1, {2}] range"+ "'", str73.equals("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 0 out of [1, {2}] range"));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.18044161820430601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test485"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.6472392715677459d), 0.015075938807074597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6472392715677459d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test486"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.8414709848078965d), (-7.223181234835374E29d), 1.0008758879493542d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test487"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.30584301E18f, 100.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.30584301E18f);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test488"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.04450668621432856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.044521381145021514d));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test489"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, localizable14, obj_array39);
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable49, obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable42, localizable48, obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(localizable14, obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [{1}, {2}] range", obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(2.0124781326504887E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.486065238770485E-7d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test491"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9376558078861459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.081221371125345d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test492"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.002212850799969915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test493"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(200.00002f, 1.2089258E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.00002f);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test494"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable6);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable6, (java.lang.Number)1);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    java.lang.Number number25 = outOfRangeException24.getArgument();
    java.lang.Throwable throwable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Number number29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException31 = new org.apache.commons.math.exception.OutOfRangeException(localizable27, (java.lang.Number)(short)(-1), number29, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable32 = outOfRangeException31.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException(localizable33, obj_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(throwable26, localizable32, obj_array35);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException41 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable32, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable43, obj_array45);
    java.lang.Object[] obj_array47 = mathException46.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable32, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Throwable throwable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException(throwable51, localizable57, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException(localizable65, obj_array67);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException69 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable64, obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException62, "hi!", obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException(localizable50, obj_array67);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException24, localizable32, obj_array67);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException73 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, obj_array67);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException(localizable6, obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (short)(-1)+ "'", number25.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test495"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.010000333346667207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010000500030835238d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test496"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.30584301E18f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.30584301E18f);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test497"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable6 = tooManyEvaluationsException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException(localizable7, obj_array9);
    java.lang.Object[] obj_array11 = mathException10.getArguments();
    java.lang.Object[] obj_array12 = mathException10.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable6, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable19 = outOfRangeException18.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException20 = new org.apache.commons.math.exception.ZeroException(localizable19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable26 = outOfRangeException25.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException(localizable28, obj_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable26, (java.lang.Number)0.0f, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException(localizable40, obj_array42);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException(localizable38, (java.lang.Number)0.0f, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException(localizable45, obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable38, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable55 = outOfRangeException54.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Number number58 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException60 = new org.apache.commons.math.exception.OutOfRangeException(localizable56, (java.lang.Number)(short)(-1), number58, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException60);
    java.lang.Throwable[] throwable_array62 = outOfRangeException60.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException32, localizable38, localizable55, (java.lang.Object[])throwable_array62);
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException(localizable19, (java.lang.Object[])throwable_array62);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Number number67 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException69 = new org.apache.commons.math.exception.OutOfRangeException(localizable65, (java.lang.Number)(short)(-1), number67, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable70 = outOfRangeException69.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException(localizable72, obj_array74);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException(localizable70, (java.lang.Number)0.0f, obj_array74);
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException78 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable70, obj_array77);
    java.lang.Number number79 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException82 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, number79, (java.lang.Number)(-1.0d), (java.lang.Number)(-0.569808528748766d));
    java.lang.Throwable throwable83 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    java.lang.Number number86 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException88 = new org.apache.commons.math.exception.OutOfRangeException(localizable84, (java.lang.Number)(short)(-1), number86, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable89 = outOfRangeException88.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable90 = null;
    java.lang.Object[] obj_array92 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException93 = new org.apache.commons.math.optimization.OptimizationException(localizable90, obj_array92);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException(throwable83, localizable89, obj_array92);
    java.lang.Object[] obj_array95 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException96 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException13, localizable70, localizable89, obj_array95);
    java.lang.Object[] obj_array98 = null;
    org.apache.commons.math.ConvergenceException convergenceException99 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13, "", obj_array98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test498"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.1989013684858477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18036926923367788d));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test499"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2676506E31f, 0.0023529875553292964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676505E31f);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest11.test500"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(4.7038857271415235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 110.37522827973153d);

  }

}
