
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest17 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test001"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(100.0d, 0.015075938807074597d);
    double d4 = gaussian2.value(0.46052569050892345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test002"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(7.139270047773366d, 0.01762129047610234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.002647404951918935d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test003"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.ConvergenceException convergenceException12 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 10, 100);
    java.lang.Object[] obj_array16 = dimensionMismatchException15.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable17 = dimensionMismatchException15.getSpecificPattern();
    org.apache.commons.math.exception.ZeroException zeroException18 = new org.apache.commons.math.exception.ZeroException(localizable17);
    org.apache.commons.math.exception.util.Localizable localizable19 = zeroException18.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.6723209792330042d, 1.3354503653351284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3354503653351284d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test005"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.5660211784423174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.0008758879493544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.720663781765358d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.1530650336324204E-11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1530650336324204E-11d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(630.2535746439057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.573768886120112d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.00955199796023255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test010"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(byte)(-1));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test011"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.0481889452204124E-4d, (-48.21273601220948d), 0.2622560980208954d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    double d8 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test012"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(6.2389305740965E-5d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test013"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.8189898E-12f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.8189898E-12f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.9342812E25f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.671406E24f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test015"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    java.lang.Number number4 = outOfRangeException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(localizable6, obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8);
    outOfRangeException3.addSuppressed((java.lang.Throwable)mathException10);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable12, localizable18, obj_array21);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException27 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable18, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException28 = new org.apache.commons.math.exception.NullArgumentException(localizable18);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable18, (java.lang.Number)25.104851615652017d, (java.lang.Number)0.05894631663121024d, false);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException38 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number39 = notStrictlyPositiveException38.getMin();
    boolean b40 = notStrictlyPositiveException38.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException45.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException52);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    outOfRangeException52.addSuppressed((java.lang.Throwable)outOfRangeException58);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { outOfRangeException58 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array61);
    org.apache.commons.math.exception.ConvergenceException convergenceException63 = new org.apache.commons.math.exception.ConvergenceException(localizable46, obj_array61);
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException38, localizable46, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathException70.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable66, obj_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException36, localizable46, obj_array71);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException74 = new org.apache.commons.math.exception.NullArgumentException(localizable46);
    java.lang.Throwable[] throwable_array75 = nullArgumentException74.getSuppressed();
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, localizable18, (java.lang.Object[])throwable_array75);
    org.apache.commons.math.exception.ConvergenceException convergenceException77 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + 0+ "'", number39.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.8305753471944518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0946969423198354d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test017"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(2.3026855976464664d, (-0.033041429972612744d));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test018"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable6, obj_array15);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException17);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException18);
    java.lang.Throwable[] throwable_array20 = mathRuntimeException18.getSuppressed();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array20);
    org.apache.commons.math.exception.util.Localizable localizable22 = mathException21.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)133, (java.lang.Number)2.209430621264856d, (java.lang.Number)1.0845416358523312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable22);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test019"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.2483067412619426d, 79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.545551251552804E23d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test020"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.07011222389235412d, 2.3514122307786103d, 11013.232874703393d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test021"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.2089257E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test022"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i8 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    gaussianFitter18.clearObservations();
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    double[] d_array42 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array42);
    double[] d_array44 = gaussianFitter18.fit(d_array42);
    double[] d_array45 = gaussianFitter9.fit(d_array42);
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array46, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test023"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable6);
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)0.3351820637427309d, number18, true);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException23 = new org.apache.commons.math.exception.DimensionMismatchException(localizable6, 133, 18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test024"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1102229E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-54));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test025"); }


    long long2 = org.apache.commons.math.util.FastMath.min(12L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test026"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.0481889452204124E-4d, (-48.21273601220948d), 0.2622560980208954d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5405025668761214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test028"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.3754263876807227d, 0.0d, 0.3678794411714424d);
    int i4 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d11 = levenbergMarquardtOptimizer10.getChiSquare();
    int i12 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    double d17 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d19 = simpleVectorialValueChecker15.getRelativeThreshold();
    double[] d_array22 = new double[] { 100.0d };
    double[] d_array23 = new double[] {  };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array29);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    double[] d_array40 = vectorialPointValuePair39.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getPointRef();
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array46 = new double[] {  };
    double[] d_array47 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array52);
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array58 = new double[] {  };
    double[] d_array59 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58);
    double[] d_array63 = vectorialPointValuePair62.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array52, d_array63, false);
    boolean b66 = simpleVectorialValueChecker15.converged(10, vectorialPointValuePair42, vectorialPointValuePair65);
    double d67 = simpleVectorialValueChecker15.getRelativeThreshold();
    double d68 = simpleVectorialValueChecker15.getRelativeThreshold();
    double d69 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 2.3978952727983707d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test029"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-133), (-16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test030"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable19 = outOfRangeException18.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException24 = new org.apache.commons.math.optimization.OptimizationException(localizable21, obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)0.0f, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable26, obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable19, obj_array28);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException30);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException31);
    java.lang.Object[] obj_array34 = mathRuntimeException31.getArguments();
    java.lang.Object[] obj_array35 = mathRuntimeException31.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException12, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [0.308, 0.014] range: 0 out of [0.308, 0.014] range", obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test031"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException(localizable1, obj_array3);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array3);
    java.lang.Object[] obj_array6 = mathIllegalArgumentException5.getArguments();
    java.lang.Throwable[] throwable_array7 = mathIllegalArgumentException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test032"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.440491238405534d, 0.6657737487535582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.440491238405534d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.8637876658428674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.06359300160204855d));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test034"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(3.802268277513148E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.802268460747566E-4d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test035"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array2 = new double[] {  };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair6 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array2);
    double[] d_array7 = vectorialPointValuePair6.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i12 = levenbergMarquardtOptimizer11.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    int i14 = levenbergMarquardtOptimizer11.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter15 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    curveFitter15.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction17 = null;
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20);
    double[] d_array27 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array27);
    double[] d_array29 = curveFitter15.fit(parametricUnivariateRealFunction17, d_array27);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array29, false);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34);
    double[] d_array39 = vectorialPointValuePair38.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array39);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array43 = new double[] {  };
    double[] d_array44 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array43);
    double[] d_array48 = vectorialPointValuePair47.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer52 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i53 = levenbergMarquardtOptimizer52.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker54 = levenbergMarquardtOptimizer52.getConvergenceChecker();
    int i55 = levenbergMarquardtOptimizer52.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter56 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer52);
    curveFitter56.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction58 = null;
    double[] d_array60 = new double[] { 100.0d };
    double[] d_array61 = new double[] {  };
    double[] d_array62 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61);
    double[] d_array68 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array68);
    double[] d_array70 = curveFitter56.fit(parametricUnivariateRealFunction58, d_array68);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array70, false);
    double[] d_array74 = new double[] { 100.0d };
    double[] d_array75 = new double[] {  };
    double[] d_array76 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array76, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75);
    double[] d_array80 = vectorialPointValuePair79.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array70, d_array80);
    double[] d_array82 = vectorialPointValuePair81.getValue();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array82, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.5127906733717587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5384322334422106d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test037"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = simpleVectorialValueChecker8.getRelativeThreshold();
    double d11 = simpleVectorialValueChecker8.getRelativeThreshold();
    double d12 = simpleVectorialValueChecker8.getRelativeThreshold();
    double d13 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3978952727983707d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test038"); }


    float f2 = org.apache.commons.math.util.FastMath.min(200.00002f, (-200.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-200.0f));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test039"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5430806348152435d, (java.lang.Number)3.8022680942787623E-4d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 3.8022680942787623E-4d+ "'", number4.equals(3.8022680942787623E-4d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test040"); }


    long long2 = org.apache.commons.math.util.FastMath.min(57L, 57L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 57L);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test041"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(84, 103);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 103);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test042"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("{0} out of [{1}, {2}] range", obj_array1);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test043"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.07207750487389797d, 3.0336006673234056E-13d);
    double[] d_array5 = new double[] { 100.0d };
    double[] d_array6 = new double[] {  };
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair10 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array5, d_array6);
    double[] d_array11 = vectorialPointValuePair10.getPoint();
    double[] d_array12 = vectorialPointValuePair10.getValue();
    double[] d_array13 = vectorialPointValuePair10.getValueRef();
    double[] d_array14 = vectorialPointValuePair10.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = simpleVectorialValueChecker2.converged((-1), vectorialPointValuePair10, vectorialPointValuePair15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test044"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.13843735206518404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3720717028546837d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.0000000000003033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test047"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, (-0.5063656411097588d), (-7.223181234835374E29d));
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-7.223181234835374E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test048"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.2593815106158536d, 2.012478132650489E-13d, 0.04183896433529336d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test049"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)7.139270047773366d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test050"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.015462607415695405d), (-3.6886299822266873d));
    double[] d_array4 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer8 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i9 = levenbergMarquardtOptimizer8.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker10 = levenbergMarquardtOptimizer8.getConvergenceChecker();
    int i11 = levenbergMarquardtOptimizer8.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer8);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction13 = null;
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array16 = new double[] {  };
    double[] d_array17 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16);
    double[] d_array21 = curveFitter12.fit(parametricUnivariateRealFunction13, d_array16);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getPointRef();
    double[] d_array26 = vectorialPointValuePair23.getValueRef();
    double[] d_array27 = vectorialPointValuePair23.getPoint();
    double[] d_array28 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer32 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d33 = levenbergMarquardtOptimizer32.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter34 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer32);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction36 = null;
    double[] d_array38 = new double[] { 1.0d };
    double[] d_array39 = new double[] {  };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer46 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d47 = levenbergMarquardtOptimizer46.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter48 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer46);
    double[] d_array49 = new double[] {  };
    double[] d_array50 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50, false);
    double[] d_array53 = vectorialPointValuePair52.getPointRef();
    double[] d_array54 = gaussianFitter48.fit(d_array53);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker57 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d58 = simpleVectorialValueChecker57.getRelativeThreshold();
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array62 = new double[] {  };
    double[] d_array63 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62);
    double[] d_array68 = new double[] { 100.0d };
    double[] d_array69 = new double[] {  };
    double[] d_array70 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array68, d_array69);
    double[] d_array76 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array76);
    boolean b78 = simpleVectorialValueChecker57.converged((-1), vectorialPointValuePair66, vectorialPointValuePair77);
    double[] d_array79 = vectorialPointValuePair77.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array79, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair82 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array53);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array53, true);
    double[] d_array85 = gaussianFitter34.fit(100, parametricUnivariateRealFunction36, d_array53);
    double[] d_array87 = new double[] { 100.0d };
    double[] d_array88 = new double[] {  };
    double[] d_array89 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair91 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array88, d_array89, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair92 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array87, d_array88);
    double[] d_array93 = vectorialPointValuePair92.getPoint();
    double[] d_array94 = gaussianFitter34.fit(d_array93);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair95 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array93);
    double[] d_array96 = vectorialPointValuePair95.getPoint();
    boolean b97 = simpleVectorialValueChecker2.converged(10, vectorialPointValuePair23, vectorialPointValuePair95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == true);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test051"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException6 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.0f, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(localizable31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable24, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException46);
    java.lang.Throwable[] throwable_array48 = outOfRangeException46.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException18, localizable24, localizable41, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable5, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable56, obj_array63);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer68 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i69 = levenbergMarquardtOptimizer68.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker70 = levenbergMarquardtOptimizer68.getConvergenceChecker();
    int i71 = levenbergMarquardtOptimizer68.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter72 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer68);
    curveFitter72.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint77 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d78 = weightedObservedPoint77.getY();
    double d79 = weightedObservedPoint77.getY();
    curveFitter72.addObservedPoint(weightedObservedPoint77);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array81 = curveFitter72.getObservations();
    org.apache.commons.math.exception.ConvergenceException convergenceException82 = new org.apache.commons.math.exception.ConvergenceException(localizable5, (java.lang.Object[])weightedObservedPoint_array81);
    java.lang.Object[] obj_array84 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException85 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)(short)10, obj_array84);
    java.lang.Throwable[] throwable_array86 = maxCountExceededException85.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array86);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test052"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.183554E-39f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.183554E-39f);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test053"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    org.apache.commons.math.exception.util.Localizable localizable41 = mathException40.getGeneralPattern();
    java.lang.String str42 = mathException40.toString();
    java.lang.String str43 = mathException40.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MathException: false out of [{1}, {2}] range"+ "'", str42.equals("org.apache.commons.math.MathException: false out of [{1}, {2}] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "{0} out of [{1}, {2}] range"+ "'", str43.equals("{0} out of [{1}, {2}] range"));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test054"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.3754263876807227d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3754263876807227d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test055"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(361.5134998891312d, 4.5198400492033626E-27d, 0.5988730964328511d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker6 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.07207750487389797d, 3.0336006673234056E-13d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker6);
    double[] d_array9 = null;
    double[] d_array10 = new double[] {  };
    double[] d_array11 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array11);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array17 = new double[] {  };
    double[] d_array18 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17);
    double[] d_array22 = vectorialPointValuePair21.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer26 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i27 = levenbergMarquardtOptimizer26.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker28 = levenbergMarquardtOptimizer26.getConvergenceChecker();
    int i29 = levenbergMarquardtOptimizer26.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter30 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer26);
    curveFitter30.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction32 = null;
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    double[] d_array42 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array42);
    double[] d_array44 = curveFitter30.fit(parametricUnivariateRealFunction32, d_array42);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array44, false);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array49 = new double[] {  };
    double[] d_array50 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49);
    double[] d_array54 = vectorialPointValuePair53.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array54);
    double[] d_array56 = vectorialPointValuePair55.getValue();
    // The following exception was thrown during execution in test generation
    try {
      boolean b57 = simpleVectorialValueChecker6.converged((-54), vectorialPointValuePair14, vectorialPointValuePair55);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test056"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable6, obj_array15);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException17);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException18);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable26 = outOfRangeException25.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException(localizable28, obj_array30);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException(localizable26, (java.lang.Number)0.0f, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(localizable33, obj_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable26, obj_array35);
    org.apache.commons.math.exception.ConvergenceException convergenceException38 = new org.apache.commons.math.exception.ConvergenceException(localizable26);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Number number41 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException43 = new org.apache.commons.math.exception.OutOfRangeException(localizable39, (java.lang.Number)(short)(-1), number41, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable44 = outOfRangeException43.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array48);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException(localizable44, (java.lang.Number)0.0f, obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException(localizable26, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException(localizable59, obj_array61);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException(localizable57, (java.lang.Number)0.0f, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable64, obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(localizable57, obj_array66);
    org.apache.commons.math.exception.ConvergenceException convergenceException69 = new org.apache.commons.math.exception.ConvergenceException(localizable57);
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable76 = outOfRangeException75.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException(localizable77, obj_array79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable70, localizable76, obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException18, localizable26, localizable57, obj_array79);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException82);
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException(localizable85, obj_array87);
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException82, localizable84, obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException("", obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test057"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException40);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException45 = new org.apache.commons.math.exception.DimensionMismatchException(localizable42, (-1), 100);
    int i46 = dimensionMismatchException45.getDimension();
    mathException40.addSuppressed((java.lang.Throwable)dimensionMismatchException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 100);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test058"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.486065238770485E-7d, 2.0481889452204124E-4d, 0.201588407601501d, (-2.3012989023072947d), 1.7182818172534524d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer9 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.3754263876807227d, 0.0d, 0.3678794411714424d);
    int i10 = levenbergMarquardtOptimizer9.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker11 = levenbergMarquardtOptimizer9.getConvergenceChecker();
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker11);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.7911828982074368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0116369158953746d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test060"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.8897144733649323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.11685468417245234d));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test061"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5403639469128183d, (java.lang.Number)0.004582445941591594d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.004582445941591594d+ "'", number4.equals(0.004582445941591594d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test062"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(13.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test063"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    java.lang.String str23 = convergenceException22.toString();
    java.lang.String str24 = convergenceException22.getPattern();
    java.lang.String str25 = convergenceException22.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str23.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test064"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0177793180102874d, 0.09638671180115503d, 0.5403023058681399d);
    int i4 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.015462607415695405d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999880456267814d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test066"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.18044161820430601d, (java.lang.Number)1.9885283465646069d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException11 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number12 = notStrictlyPositiveException11.getMin();
    boolean b13 = notStrictlyPositiveException11.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable19 = outOfRangeException18.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Number number29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException31 = new org.apache.commons.math.exception.OutOfRangeException(localizable27, (java.lang.Number)(short)(-1), number29, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException31);
    outOfRangeException25.addSuppressed((java.lang.Throwable)outOfRangeException31);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { outOfRangeException31 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array34);
    org.apache.commons.math.exception.ConvergenceException convergenceException36 = new org.apache.commons.math.exception.ConvergenceException(localizable19, obj_array34);
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException11, localizable19, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(localizable40, obj_array42);
    java.lang.Object[] obj_array44 = mathException43.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, obj_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException9, localizable19, obj_array44);
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable53 = outOfRangeException52.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException57 = new org.apache.commons.math.optimization.OptimizationException(localizable54, obj_array56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(throwable47, localizable53, obj_array56);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(localizable19, obj_array56);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)30.9570417874309d, (java.lang.Number)(-0.07990196397902749d), (java.lang.Number)0L);
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException65 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException3, localizable5, localizable19, obj_array64);
    boolean b66 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0+ "'", number12.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test067"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17);
    outOfRangeException11.addSuppressed((java.lang.Throwable)outOfRangeException17);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { outOfRangeException17 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.ConvergenceException convergenceException22 = new org.apache.commons.math.exception.ConvergenceException(localizable5, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable28 = outOfRangeException27.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException(localizable30, obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable28, (java.lang.Number)0.0f, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable40 = outOfRangeException39.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException(localizable42, obj_array44);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException(localizable40, (java.lang.Number)0.0f, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(localizable47, obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(localizable40, obj_array49);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Number number60 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException62 = new org.apache.commons.math.exception.OutOfRangeException(localizable58, (java.lang.Number)(short)(-1), number60, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException62);
    java.lang.Throwable[] throwable_array64 = outOfRangeException62.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException34, localizable40, localizable57, (java.lang.Object[])throwable_array64);
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(localizable67, obj_array69);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("hi!", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(localizable40, obj_array69);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { mathException72 };
    org.apache.commons.math.exception.ConvergenceException convergenceException74 = new org.apache.commons.math.exception.ConvergenceException(localizable5, obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array73);
    java.lang.Object[] obj_array76 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test068"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.37438953E11f, (-1.1752011936438014d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.37438945E11f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test069"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-0.551122320799487d), false);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.7727682159193527d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38651136601626657d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(2.6582423028678988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 152.30606487746732d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test072"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathRuntimeException: ", obj_array10);
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable20 = outOfRangeException19.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException24 = new org.apache.commons.math.optimization.OptimizationException(localizable21, obj_array23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(throwable14, localizable20, obj_array23);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    boolean b30 = numberIsTooSmallException29.getBoundIsAllowed();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException29);
    convergenceException13.addSuppressed((java.lang.Throwable)numberIsTooSmallException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test073"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.0019887361895741073d, number1, false);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(3.802268277513148E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07244597340017617d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test075"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.06413343417854311d);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException3);
    java.lang.Throwable[] throwable_array5 = maxCountExceededException3.getSuppressed();
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NotStrictlyPositiveException: 100 is smaller than, or equal to, the minimum (0)", (java.lang.Object[])throwable_array5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathIllegalStateException: illegal state: 0 out of [{1}, {2}] range", (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test076"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.ConvergenceException convergenceException12 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable19 = outOfRangeException18.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException24 = new org.apache.commons.math.optimization.OptimizationException(localizable21, obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)0.0f, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable26, obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable19, obj_array28);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException30);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException(localizable40, obj_array42);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException(localizable38, (java.lang.Number)0.0f, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Number number47 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException49 = new org.apache.commons.math.exception.OutOfRangeException(localizable45, (java.lang.Number)(short)(-1), number47, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable50 = outOfRangeException49.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException55 = new org.apache.commons.math.optimization.OptimizationException(localizable52, obj_array54);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException56 = new org.apache.commons.math.exception.MaxCountExceededException(localizable50, (java.lang.Number)0.0f, obj_array54);
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(localizable57, obj_array59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException(localizable50, obj_array59);
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Number number64 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException66 = new org.apache.commons.math.exception.OutOfRangeException(localizable62, (java.lang.Number)(short)(-1), number64, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable67 = outOfRangeException66.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Number number70 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException72 = new org.apache.commons.math.exception.OutOfRangeException(localizable68, (java.lang.Number)(short)(-1), number70, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException72);
    java.lang.Throwable[] throwable_array74 = outOfRangeException72.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException44, localizable50, localizable67, (java.lang.Object[])throwable_array74);
    java.lang.Throwable throwable76 = null;
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Number number79 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException81 = new org.apache.commons.math.exception.OutOfRangeException(localizable77, (java.lang.Number)(short)(-1), number79, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable82 = outOfRangeException81.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException(localizable83, obj_array85);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(throwable76, localizable82, obj_array85);
    org.apache.commons.math.exception.util.Localizable localizable89 = null;
    org.apache.commons.math.exception.util.Localizable localizable90 = null;
    java.lang.Object[] obj_array92 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException93 = new org.apache.commons.math.optimization.OptimizationException(localizable90, obj_array92);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException94 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable89, obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException87, "hi!", obj_array92);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException96 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException30, localizable32, localizable50, obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException97 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException12, "{0} out of [{1}, {2}] range", obj_array92);
    java.lang.Object[] obj_array98 = convergenceException97.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array98);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test077"); }


    double[] d_array0 = null;
    double[] d_array1 = new double[] {  };
    double[] d_array2 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair4 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array2, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array2);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getPoint();
    double[] d_array8 = vectorialPointValuePair5.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(5.890299384993195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 360.51349988913114d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test079"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException43 = new org.apache.commons.math.exception.NullArgumentException(localizable34);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable34, (java.lang.Number)1.20892575E24f, (java.lang.Number)0.047009964154629214d, (java.lang.Number)2.576339742670462E30d);
    java.lang.Number number48 = outOfRangeException47.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + 1.20892575E24f+ "'", number48.equals(1.20892575E24f));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test080"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = levenbergMarquardtOptimizer3.getChiSquare();
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test081"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction7 = null;
    double[] d_array8 = null;
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer18 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d19 = levenbergMarquardtOptimizer18.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter20 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer18);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    double[] d_array26 = gaussianFitter20.fit(d_array25);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker29 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d30 = simpleVectorialValueChecker29.getRelativeThreshold();
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array41 = new double[] {  };
    double[] d_array42 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41);
    double[] d_array48 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array48);
    boolean b50 = simpleVectorialValueChecker29.converged((-1), vectorialPointValuePair38, vectorialPointValuePair49);
    double[] d_array51 = vectorialPointValuePair49.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array51, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array25);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array25, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array10, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array59 = gaussianFitter6.fit(parametricUnivariateRealFunction7, d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test082"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.7038857271415235d, 0.0d, 0.0d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test083"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(6.447707643375763d, 0.004425697988052562d, (-0.3217141449389348d));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test084"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.24186289077030354d), 2.388284052728235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.2418628907703035d));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test085"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, localizable14, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable7, obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "hi!", obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array31 = mathRuntimeException30.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test086"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)0.0f, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, localizable11, obj_array20);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)8.954706956127116E-4d, (java.lang.Number)1.2969827869405939d, (java.lang.Number)1.5258789E-5f);
    java.lang.Number number27 = outOfRangeException26.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 8.954706956127116E-4d+ "'", number27.equals(8.954706956127116E-4d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test087"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.08037450966354677d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4315582720149179d));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test088"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException22);
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Number number28 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException30 = new org.apache.commons.math.exception.OutOfRangeException(localizable26, (java.lang.Number)(short)(-1), number28, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable31 = outOfRangeException30.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException(localizable32, obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(throwable25, localizable31, obj_array34);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException40 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable31, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException45.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException(localizable48, obj_array50);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException52 = new org.apache.commons.math.exception.MaxCountExceededException(localizable46, (java.lang.Number)0.0f, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(localizable53, obj_array55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException(localizable46, obj_array55);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Number number60 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException62 = new org.apache.commons.math.exception.OutOfRangeException(localizable58, (java.lang.Number)(short)(-1), number60, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable63 = outOfRangeException62.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Number number67 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException69 = new org.apache.commons.math.exception.OutOfRangeException(localizable65, (java.lang.Number)(short)(-1), number67, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException69);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException75);
    outOfRangeException69.addSuppressed((java.lang.Throwable)outOfRangeException75);
    java.lang.Object[] obj_array78 = new java.lang.Object[] { outOfRangeException75 };
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException("hi!", obj_array78);
    org.apache.commons.math.exception.ConvergenceException convergenceException80 = new org.apache.commons.math.exception.ConvergenceException(localizable63, obj_array78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException40, localizable46, obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException22, "", obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException22);
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test089"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.002212850799969915d, (-0.5689240493544077d), 2.032373701559889d);
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test090"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    java.lang.Number number6 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)outOfRangeException4);
    java.lang.Object[] obj_array9 = optimizationException8.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)(-1)+ "'", number6.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test091"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22);
    outOfRangeException16.addSuppressed((java.lang.Throwable)outOfRangeException22);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { outOfRangeException22 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.exception.ConvergenceException convergenceException27 = new org.apache.commons.math.exception.ConvergenceException(localizable10, obj_array25);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException2, localizable10, obj_array28);
    java.lang.Object[] obj_array30 = convergenceException29.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable31 = convergenceException29.getGeneralPattern();
    java.lang.Object[] obj_array32 = convergenceException29.getArguments();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test092"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getValue();
    double[] d_array5 = vectorialPointValuePair3.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array5);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test093"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(99, (-133));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test094"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(35.22318748247254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7865042331448913d));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test095"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d4 = simpleVectorialValueChecker2.getRelativeThreshold();
    double d5 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d6 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double[] d_array8 = null;
    double[] d_array9 = new double[] {  };
    double[] d_array10 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair12 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array10, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array10);
    double[] d_array14 = vectorialPointValuePair13.getValueRef();
    double[] d_array15 = vectorialPointValuePair13.getPoint();
    double[] d_array16 = vectorialPointValuePair13.getPoint();
    double[] d_array17 = vectorialPointValuePair13.getPointRef();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer21 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i22 = levenbergMarquardtOptimizer21.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker23 = levenbergMarquardtOptimizer21.getConvergenceChecker();
    int i24 = levenbergMarquardtOptimizer21.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter25 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer21);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter26 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer21);
    double[] d_array28 = new double[] { 100.0d };
    double[] d_array29 = new double[] {  };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29);
    double[] d_array34 = gaussianFitter26.fit(d_array28);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer42 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d43 = levenbergMarquardtOptimizer42.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter44 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer42);
    double[] d_array45 = new double[] {  };
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46, false);
    double[] d_array49 = vectorialPointValuePair48.getPointRef();
    double[] d_array50 = gaussianFitter44.fit(d_array49);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker53 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d54 = simpleVectorialValueChecker53.getRelativeThreshold();
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array58 = new double[] {  };
    double[] d_array59 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array65 = new double[] {  };
    double[] d_array66 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array64, d_array65);
    double[] d_array72 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array72);
    boolean b74 = simpleVectorialValueChecker53.converged((-1), vectorialPointValuePair62, vectorialPointValuePair73);
    double[] d_array75 = vectorialPointValuePair73.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array75, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array49);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array36);
    double[] d_array80 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array80);
    double[] d_array82 = vectorialPointValuePair81.getValueRef();
    // The following exception was thrown during execution in test generation
    try {
      boolean b83 = simpleVectorialValueChecker2.converged(84, vectorialPointValuePair13, vectorialPointValuePair81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.3583498679639454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1074833735497203d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5690607320924976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2969474493355055d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test098"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, 200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test099"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.04273927831112621d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0009134619902134d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test100"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(100.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00003f);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test101"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException8 = new org.apache.commons.math.exception.OutOfRangeException(localizable4, (java.lang.Number)(short)(-1), number6, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable9 = outOfRangeException8.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)(short)(-1), number13, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException15);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)(short)(-1), number19, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException21);
    outOfRangeException15.addSuppressed((java.lang.Throwable)outOfRangeException21);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { outOfRangeException21 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array24);
    org.apache.commons.math.exception.ConvergenceException convergenceException26 = new org.apache.commons.math.exception.ConvergenceException(localizable9, obj_array24);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException1, localizable9, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException33);
    java.lang.Number number35 = outOfRangeException33.getArgument();
    java.lang.Throwable[] throwable_array36 = outOfRangeException33.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException(localizable9, (java.lang.Object[])throwable_array36);
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, obj_array38);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException43 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)(-0.07981718731031594d), (java.lang.Number)0.3678794411714424d, false);
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)numberIsTooSmallException43);
    java.lang.Number number45 = numberIsTooSmallException43.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable46 = numberIsTooSmallException43.getSpecificPattern();
    boolean b47 = numberIsTooSmallException43.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + (short)(-1)+ "'", number35.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + (-0.07981718731031594d)+ "'", number45.equals((-0.07981718731031594d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test102"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5698085287487659d), 0.5836293809324178d, 1.7453292519943296E-4d, 1.3354503653351284d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test103"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)0.0f, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, localizable11, obj_array20);
    org.apache.commons.math.exception.ZeroException zeroException23 = new org.apache.commons.math.exception.ZeroException(localizable11);
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException26 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.6723209792330042d);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Number number30 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException32 = new org.apache.commons.math.exception.OutOfRangeException(localizable28, (java.lang.Number)(short)(-1), number30, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable33 = outOfRangeException32.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException45);
    outOfRangeException39.addSuppressed((java.lang.Throwable)outOfRangeException45);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { outOfRangeException45 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("hi!", obj_array48);
    org.apache.commons.math.exception.ConvergenceException convergenceException50 = new org.apache.commons.math.exception.ConvergenceException(localizable33, obj_array48);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException54 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number55 = notStrictlyPositiveException54.getMin();
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException(localizable58, obj_array60);
    java.lang.Object[] obj_array62 = mathException61.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable57, obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException54, "", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("", obj_array62);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException66 = new org.apache.commons.math.exception.MaxCountExceededException(localizable33, (java.lang.Number)57.320866362379626d, obj_array62);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException26, localizable27, obj_array62);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, number24, obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + 0+ "'", number55.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.4619893190163897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.350295192698457d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test105"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(3.240779607899303d, 0.04183896433529336d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker6 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.041851167628339195d, 0.01d);
    double d7 = simpleVectorialValueChecker6.getRelativeThreshold();
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array17);
    double[] d_array22 = new double[] { 100.0d };
    double[] d_array23 = new double[] {  };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23);
    double[] d_array28 = vectorialPointValuePair27.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array28, false);
    double[] d_array31 = vectorialPointValuePair30.getValue();
    double[] d_array32 = vectorialPointValuePair30.getValue();
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array41);
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array52 = vectorialPointValuePair51.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array52, false);
    boolean b55 = simpleVectorialValueChecker6.converged(0, vectorialPointValuePair30, vectorialPointValuePair54);
    double[] d_array56 = new double[] {  };
    double[] d_array57 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array57, false);
    double[] d_array60 = vectorialPointValuePair59.getPointRef();
    double[] d_array61 = vectorialPointValuePair59.getValue();
    // The following exception was thrown during execution in test generation
    try {
      boolean b62 = simpleVectorialValueChecker2.converged((-39), vectorialPointValuePair54, vectorialPointValuePair59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.041851167628339195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array61);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test106"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable23 = outOfRangeException22.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException(localizable25, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)0.0f, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array27);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.3354503653351284d, number32, true);
    org.apache.commons.math.exception.ConvergenceException convergenceException35 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException(localizable5);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException40 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)0.9999999999999998d, (java.lang.Number)1.1977461928657023d, true);
    java.lang.Number number41 = numberIsTooSmallException40.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 0.9999999999999998d+ "'", number41.equals(0.9999999999999998d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test107"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.183551E-39f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test108"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter7.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array12 = new double[] {  };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12);
    double[] d_array19 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array19);
    double[] d_array21 = curveFitter7.fit(parametricUnivariateRealFunction9, d_array19);
    curveFitter7.addObservedPoint(1.2969827869405939d, 0.6723209792330042d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array25 = curveFitter7.getObservations();
    curveFitter7.addObservedPoint(1.5707963177080158d, 0.5700203803100397d, 0.8455744356579752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array25);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test109"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.208926E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.208926E24f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test110"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPointRef();
    double[] d_array11 = gaussianFitter5.fit(d_array10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d15 = simpleVectorialValueChecker14.getRelativeThreshold();
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array19 = new double[] {  };
    double[] d_array20 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array26 = new double[] {  };
    double[] d_array27 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    double[] d_array33 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33);
    boolean b35 = simpleVectorialValueChecker14.converged((-1), vectorialPointValuePair23, vectorialPointValuePair34);
    double[] d_array36 = vectorialPointValuePair34.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array36, false);
    double[] d_array39 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array39);
    double[] d_array41 = vectorialPointValuePair40.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array41);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test111"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.8307379662568923E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8307379662568923E-23d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test112"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i12 = levenbergMarquardtOptimizer11.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker13);
    int i15 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test113"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-28.348931896719566d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test114"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(6.6321813950585495d, 100.0d, 0.8705751385100587d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d9 = simpleVectorialValueChecker8.getRelativeThreshold();
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array13 = new double[] {  };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20);
    double[] d_array27 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array27);
    boolean b29 = simpleVectorialValueChecker8.converged((-1), vectorialPointValuePair17, vectorialPointValuePair28);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i31 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(303.56979117586576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test116"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.5607966601082315d, (java.lang.Number)0.004425697988052562d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test117"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.367809070551756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.926738058028277d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test118"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(2.30584328E18f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test119"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414709848078965d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test120"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(1.2233443852250867d, 0.0d, 8.317818083460994E34d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction5);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test121"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint13 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 0.01d, 1.7182818284590453d);
    curveFitter9.addObservedPoint(weightedObservedPoint13);
    curveFitter9.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint19 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d20 = weightedObservedPoint19.getY();
    curveFitter9.addObservedPoint(weightedObservedPoint19);
    double d22 = weightedObservedPoint19.getX();
    double d23 = weightedObservedPoint19.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test122"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable7 = outOfRangeException4.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable7);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.07207750487389797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07195307428887435d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test124"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException(localizable2, (java.lang.Number)(short)(-1), number4, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable7 = outOfRangeException6.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException(localizable9, obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException(localizable7, (java.lang.Number)0.0f, obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException(localizable14, (java.lang.Number)(short)(-1), number16, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable19 = outOfRangeException18.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException24 = new org.apache.commons.math.optimization.OptimizationException(localizable21, obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math.exception.MaxCountExceededException(localizable19, (java.lang.Number)0.0f, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable26, obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable19, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable36 = outOfRangeException35.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Number number39 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException41 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)(short)(-1), number39, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException41);
    java.lang.Throwable[] throwable_array43 = outOfRangeException41.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException13, localizable19, localizable36, (java.lang.Object[])throwable_array43);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(localizable36, obj_array45);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException48 = new org.apache.commons.math.exception.ConvergenceException(localizable36, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Number number51 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException53 = new org.apache.commons.math.exception.OutOfRangeException(localizable49, (java.lang.Number)(short)(-1), number51, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException53);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Number number57 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException59 = new org.apache.commons.math.exception.OutOfRangeException(localizable55, (java.lang.Number)(short)(-1), number57, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable60 = outOfRangeException59.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException65 = new org.apache.commons.math.optimization.OptimizationException(localizable62, obj_array64);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException66 = new org.apache.commons.math.exception.MaxCountExceededException(localizable60, (java.lang.Number)0.0f, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(localizable67, obj_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException54, localizable60, obj_array69);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable36, obj_array69);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException78 = new org.apache.commons.math.optimization.OptimizationException(localizable75, obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException79 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable74, obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable73, obj_array77);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("", obj_array77);
    org.apache.commons.math.exception.util.Localizable localizable82 = mathException81.getGeneralPattern();
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException85 = new org.apache.commons.math.exception.DimensionMismatchException(localizable82, (-1), 79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable82);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test125"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter7.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint12 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d13 = weightedObservedPoint12.getY();
    double d14 = weightedObservedPoint12.getY();
    curveFitter7.addObservedPoint(weightedObservedPoint12);
    curveFitter7.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array17 = curveFitter7.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array18 = curveFitter7.getObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i23 = levenbergMarquardtOptimizer22.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker24 = levenbergMarquardtOptimizer22.getConvergenceChecker();
    int i25 = levenbergMarquardtOptimizer22.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter26 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction27 = null;
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30);
    double[] d_array35 = curveFitter26.fit(parametricUnivariateRealFunction27, d_array30);
    curveFitter26.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint42 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    curveFitter26.addObservedPoint(weightedObservedPoint42);
    curveFitter7.addObservedPoint(weightedObservedPoint42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test126"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(3.5747641046986208E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000063896d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test127"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.6749423090986337d, (java.lang.Number)2.5404881143480985E-22d, (java.lang.Number)0.004571978501657985d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test128"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(6.6321813950585495d, 100.0d, 0.8705751385100587d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d9 = simpleVectorialValueChecker8.getRelativeThreshold();
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array13 = new double[] {  };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20);
    double[] d_array27 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array27);
    boolean b29 = simpleVectorialValueChecker8.converged((-1), vectorialPointValuePair17, vectorialPointValuePair28);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i31 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.24716731879660522d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2523267234633936d));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test130"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d9 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test131"); }


    int i2 = org.apache.commons.math.util.FastMath.max(61, 74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 74);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test132"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint23 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.9376558078861459d, 1.0004378481191896d, (-0.764725154011207d));
    double d24 = weightedObservedPoint23.getX();
    double d25 = weightedObservedPoint23.getX();
    curveFitter7.addObservedPoint(weightedObservedPoint23);
    curveFitter7.addObservedPoint(0.005304046922432221d, (-1.5589127370929596d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0004378481191896d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test133"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.2368071188850909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5771440165951338d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test134"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.6849950009356778d, (-0.7853981633974482d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6849950009356776d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test135"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.4987562112089d, 30.9570417874309d, (-0.201588407601501d), 0.26535939227896727d, 0.0418633944622603d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    int i10 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test136"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(0, 10);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test137"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable25 = outOfRangeException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException(localizable27, obj_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable25, (java.lang.Number)0.0f, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable32, obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(localizable25, obj_array34);
    org.apache.commons.math.exception.ConvergenceException convergenceException37 = new org.apache.commons.math.exception.ConvergenceException(localizable25);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable43 = outOfRangeException42.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException48 = new org.apache.commons.math.optimization.OptimizationException(localizable45, obj_array47);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException49 = new org.apache.commons.math.exception.MaxCountExceededException(localizable43, (java.lang.Number)0.0f, obj_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException(localizable25, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(localizable63, obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable56, obj_array65);
    org.apache.commons.math.exception.ConvergenceException convergenceException68 = new org.apache.commons.math.exception.ConvergenceException(localizable56);
    java.lang.Throwable throwable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Number number72 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, (java.lang.Number)(short)(-1), number72, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable75 = outOfRangeException74.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable76, obj_array78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException(throwable69, localizable75, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException17, localizable25, localizable56, obj_array78);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException85 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable25, (java.lang.Number)(short)(-1), (java.lang.Number)0.999996529518958d, false);
    org.apache.commons.math.exception.ConvergenceException convergenceException86 = new org.apache.commons.math.exception.ConvergenceException(localizable25);
    java.lang.Number number87 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException88 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable25, number87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test138"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter7.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter7.getObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter17 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    curveFitter17.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint22 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d23 = weightedObservedPoint22.getY();
    double d24 = weightedObservedPoint22.getY();
    curveFitter17.addObservedPoint(weightedObservedPoint22);
    double d26 = weightedObservedPoint22.getWeight();
    double d27 = weightedObservedPoint22.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint22);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer32 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i33 = levenbergMarquardtOptimizer32.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker34 = levenbergMarquardtOptimizer32.getConvergenceChecker();
    int i35 = levenbergMarquardtOptimizer32.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter36 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer32);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction37 = null;
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40);
    double[] d_array45 = curveFitter36.fit(parametricUnivariateRealFunction37, d_array40);
    curveFitter36.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer52 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i53 = levenbergMarquardtOptimizer52.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker54 = levenbergMarquardtOptimizer52.getConvergenceChecker();
    int i55 = levenbergMarquardtOptimizer52.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter56 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer52);
    curveFitter56.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint61 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d62 = weightedObservedPoint61.getY();
    double d63 = weightedObservedPoint61.getY();
    curveFitter56.addObservedPoint(weightedObservedPoint61);
    double d65 = weightedObservedPoint61.getWeight();
    curveFitter36.addObservedPoint(weightedObservedPoint61);
    curveFitter7.addObservedPoint(weightedObservedPoint61);
    double d68 = weightedObservedPoint61.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test139"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.9999999999999998d), 0.7800449822767326d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2682547750255497d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.4141887714156928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5131427380227387d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.5173102630874193d, (-0.24669205786527057d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0157729515824414d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681399d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test143"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)(short)(-1), number5, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable8 = outOfRangeException7.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.0f, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable20 = outOfRangeException19.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable20, (java.lang.Number)0.0f, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable27, obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(localizable20, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException42);
    java.lang.Throwable[] throwable_array44 = outOfRangeException42.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException14, localizable20, localizable37, (java.lang.Object[])throwable_array44);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array46);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException54);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Number number58 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException60 = new org.apache.commons.math.exception.OutOfRangeException(localizable56, (java.lang.Number)(short)(-1), number58, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable61 = outOfRangeException60.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException(localizable63, obj_array65);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException67 = new org.apache.commons.math.exception.MaxCountExceededException(localizable61, (java.lang.Number)0.0f, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Object[] obj_array70 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException(localizable68, obj_array70);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException55, localizable61, obj_array70);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException73 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable37, obj_array70);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException74 = new org.apache.commons.math.exception.MaxCountExceededException(localizable0, (java.lang.Number)6.583448478441936d, obj_array70);
    java.lang.String str75 = maxCountExceededException74.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: "+ "'", str75.equals("org.apache.commons.math.exception.MaxCountExceededException: "));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.3999016203740719d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.39804683613131375d));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test145"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.0481889452204124E-4d, (-48.21273601220948d), 0.2622560980208954d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    curveFitter6.addObservedPoint((-0.942793031882757d), 3.666935128723562d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test146"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-1.8884755077248007E60d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5681192317648997E44d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test147"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0468763759195053E-63d, 0.5073019294230935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0636159951333496E-63d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test148"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.01d, 0.0d, 1.2969827869405939d, 11.000000000000002d, 1.0845416358523312d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d11 = levenbergMarquardtOptimizer10.getChiSquare();
    int i12 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    double d17 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d19 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d21 = simpleVectorialValueChecker15.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test149"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-200.00002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test150"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5698085287487659d), 0.5836293809324178d, 1.7453292519943296E-4d, 1.3354503653351284d, 10.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test151"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(8.317818083460994E34d, 0.5864808031646639d, (-0.9440892412430646d), 1.0004378481191896d, 0.7794470159417075d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    curveFitter6.addObservedPoint(0.004582445941591594d, 3.3166247903554003d, 3.0336006673234056E-13d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array11 = curveFitter6.getObservations();
    curveFitter6.addObservedPoint(1.2564347206171305d, 1.4167983555735615E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array11);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test152"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number8 = notStrictlyPositiveException7.getMin();
    boolean b9 = notStrictlyPositiveException7.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)(short)(-1), number19, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException21);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException27);
    outOfRangeException21.addSuppressed((java.lang.Throwable)outOfRangeException27);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { outOfRangeException27 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array30);
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable15, obj_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException7, localizable15, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(localizable36, obj_array38);
    java.lang.Object[] obj_array40 = mathException39.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, obj_array40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5, localizable15, obj_array40);
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathRuntimeException: ", obj_array40);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 0 out of [1, {2}] range", obj_array40);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test153"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8159234637099116d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.6620823915880564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6620823915880565d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test155"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-0.8705751385100586d), 0.9999999999999339d);
    double d4 = gaussian2.value(0.04273927831112621d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.2628924817077453d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test156"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.773775678340353d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException1);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.010050503781081086d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10025220087898862d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test158"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(3.666935128723562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5015093272072252d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.9860659706051818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16713174267541178d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test160"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.00607942257702614d, 2.576339742670462E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.3597130752346414E-33d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test161"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.8189894E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test162"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array8 = curveFitter7.getObservations();
    curveFitter7.addObservedPoint(0.8705751385100587d, (-0.4442695353008483d));
    curveFitter7.addObservedPoint((-0.4315582720149179d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array8);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test163"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(30.9570417874309d, 0.0d, 0.07195307428887435d, (-3.0992004126176227E-6d), 1.087853702953039d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test164"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array2 = tooManyEvaluationsException1.getSuppressed();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.0f+ "'", number3.equals(0.0f));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test165"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer7 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d8 = levenbergMarquardtOptimizer7.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer7);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    double[] d_array14 = vectorialPointValuePair13.getPointRef();
    double[] d_array15 = gaussianFitter9.fit(d_array14);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker18 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d19 = simpleVectorialValueChecker18.getRelativeThreshold();
    double[] d_array22 = new double[] { 100.0d };
    double[] d_array23 = new double[] {  };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30);
    double[] d_array37 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array37);
    boolean b39 = simpleVectorialValueChecker18.converged((-1), vectorialPointValuePair27, vectorialPointValuePair38);
    double[] d_array40 = vectorialPointValuePair38.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array40, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array14);
    double[] d_array44 = vectorialPointValuePair43.getValue();
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array52 = vectorialPointValuePair51.getPoint();
    double[] d_array53 = vectorialPointValuePair51.getValue();
    double[] d_array54 = vectorialPointValuePair51.getValueRef();
    double[] d_array55 = vectorialPointValuePair51.getValueRef();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer59 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i60 = levenbergMarquardtOptimizer59.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker61 = levenbergMarquardtOptimizer59.getConvergenceChecker();
    int i62 = levenbergMarquardtOptimizer59.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker63 = levenbergMarquardtOptimizer59.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter64 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer59);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction65 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer69 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i70 = levenbergMarquardtOptimizer69.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker71 = levenbergMarquardtOptimizer69.getConvergenceChecker();
    int i72 = levenbergMarquardtOptimizer69.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker73 = levenbergMarquardtOptimizer69.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter74 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer69);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer78 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d79 = levenbergMarquardtOptimizer78.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter80 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer78);
    double[] d_array81 = new double[] {  };
    double[] d_array82 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array81, d_array82, false);
    double[] d_array85 = vectorialPointValuePair84.getPointRef();
    double[] d_array86 = gaussianFitter80.fit(d_array85);
    double[] d_array87 = gaussianFitter74.fit(d_array85);
    double[] d_array88 = gaussianFitter64.fit(parametricUnivariateRealFunction65, d_array87);
    double[] d_array90 = new double[] { 100.0d };
    double[] d_array91 = new double[] {  };
    double[] d_array92 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair94 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array91, d_array92, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair95 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array90, d_array91);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair96 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array87, d_array91);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair98 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array87, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair99 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test166"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    java.lang.Throwable throwable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable47 = outOfRangeException46.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException(localizable48, obj_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(throwable41, localizable47, obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable13, obj_array50);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)30.9570417874309d, (java.lang.Number)(-0.07990196397902749d), (java.lang.Number)0L);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException60 = new org.apache.commons.math.exception.DimensionMismatchException(localizable13, 99, (-39));
    int i61 = dimensionMismatchException60.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == (-39));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.0011615245634107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1769943128626328d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test168"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.5243548967072378E-29d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test169"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(2.0481889452204124E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0481889308998923E-4d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test170"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.3126619101265145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(15.174119582065703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 16.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test172"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(3.5747641046986208E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.574764104698621E-6d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test173"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.06999750899015628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.072505509629107d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test174"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)0.572976894487969d, (java.lang.Number)1.0427392783111262d, number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test175"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(57.345964195906696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7585028592186d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test176"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.005303997183560399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005289980531509114d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test177"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.010476870700546079d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.010476870700546079d));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test178"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(localizable22, obj_array24);
    java.lang.Object[] obj_array26 = mathException25.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = convergenceException28.getGeneralPattern();
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable29, obj_array30);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)0.4947822010213975d, (java.lang.Number)1.000204839872776d, (java.lang.Number)0.302937772833678d);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException37 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable29, (java.lang.Number)(-0.2418628907703035d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable29);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.010000333346667207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000500037502458d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test180"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.183551E-39f, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.5E-44f);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test181"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)0.0f, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, localizable11, obj_array20);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException25 = new org.apache.commons.math.exception.DimensionMismatchException(localizable11, 0, 10);
    java.lang.Number number28 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)10.0f, (java.lang.Number)(-1.8418176412695306d), number28);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable35 = outOfRangeException34.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException(localizable37, obj_array39);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException41 = new org.apache.commons.math.exception.MaxCountExceededException(localizable35, (java.lang.Number)0.0f, obj_array39);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(localizable42, obj_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable35, obj_array44);
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable35);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable53 = outOfRangeException52.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException(localizable55, obj_array57);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException(localizable53, (java.lang.Number)0.0f, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, obj_array57);
    java.lang.Number number62 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException64 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable35, (java.lang.Number)1.3354503653351284d, number62, true);
    org.apache.commons.math.exception.ConvergenceException convergenceException65 = new org.apache.commons.math.exception.ConvergenceException(localizable35);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException66 = new org.apache.commons.math.exception.NullArgumentException(localizable35);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer70 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i71 = levenbergMarquardtOptimizer70.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker72 = levenbergMarquardtOptimizer70.getConvergenceChecker();
    int i73 = levenbergMarquardtOptimizer70.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter74 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer70);
    curveFitter74.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction76 = null;
    double[] d_array78 = new double[] { 100.0d };
    double[] d_array79 = new double[] {  };
    double[] d_array80 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair82 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array79, d_array80, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array78, d_array79);
    double[] d_array86 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair87 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array79, d_array86);
    double[] d_array88 = curveFitter74.fit(parametricUnivariateRealFunction76, d_array86);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array89 = curveFitter74.getObservations();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException90 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, (java.lang.Object[])weightedObservedPoint_array89);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, (java.lang.Object[])weightedObservedPoint_array89);
    java.lang.Object[] obj_array92 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test182"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test183"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException1.getArgument();
    boolean b5 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number6 = notStrictlyPositiveException1.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.0f, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException(localizable19, obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(localizable12, obj_array21);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException23);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException24);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(localizable29, obj_array31);
    java.lang.Object[] obj_array33 = mathException32.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException34 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable28, obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26, "hi!", obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = convergenceException35.getGeneralPattern();
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable36, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Number number42 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException44 = new org.apache.commons.math.exception.OutOfRangeException(localizable40, (java.lang.Number)(short)(-1), number42, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable45 = outOfRangeException44.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable47, obj_array49);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException51 = new org.apache.commons.math.exception.MaxCountExceededException(localizable45, (java.lang.Number)0.0f, obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathRuntimeException: ", obj_array49);
    java.lang.Object[] obj_array53 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, localizable36, obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10L+ "'", number4.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10L+ "'", number6.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test184"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.010000833427511362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5730055470097544d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test185"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.3351820637427309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3981949226514307d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test186"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7387517397411905d, (java.lang.Number)2.1684043E-19f, false);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test187"); }


    float f2 = org.apache.commons.math.util.FastMath.min(2.1684043E-19f, 100.00002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1684043E-19f);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test188"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 100);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException2);
    org.apache.commons.math.exception.util.Localizable localizable4 = mathException3.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException12 = new org.apache.commons.math.exception.ZeroException(localizable11);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, (java.lang.Number)0.0f, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException(localizable25, (java.lang.Number)(short)(-1), number27, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable30 = outOfRangeException29.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException(localizable32, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException(localizable30, (java.lang.Number)0.0f, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException(localizable37, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException(localizable30, obj_array39);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable47 = outOfRangeException46.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException52);
    java.lang.Throwable[] throwable_array54 = outOfRangeException52.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException24, localizable30, localizable47, (java.lang.Object[])throwable_array54);
    org.apache.commons.math.optimization.OptimizationException optimizationException56 = new org.apache.commons.math.optimization.OptimizationException(localizable11, (java.lang.Object[])throwable_array54);
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Number number59 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException61 = new org.apache.commons.math.exception.OutOfRangeException(localizable57, (java.lang.Number)(short)(-1), number59, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable62 = outOfRangeException61.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable64, obj_array66);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException(localizable62, (java.lang.Number)0.0f, obj_array66);
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, localizable62, obj_array69);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable62, (java.lang.Number)3.956763478491886d, (java.lang.Number)1.0008758879493542d, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array75 = outOfRangeException74.getArguments();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException(localizable4, (java.lang.Number)2.035469664193036d, obj_array75);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer81 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i82 = levenbergMarquardtOptimizer81.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker83 = levenbergMarquardtOptimizer81.getConvergenceChecker();
    int i84 = levenbergMarquardtOptimizer81.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter85 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer81);
    curveFitter85.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint90 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d91 = weightedObservedPoint90.getY();
    double d92 = weightedObservedPoint90.getY();
    curveFitter85.addObservedPoint(weightedObservedPoint90);
    curveFitter85.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array95 = curveFitter85.getObservations();
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [{1}, {2}] range", (java.lang.Object[])weightedObservedPoint_array95);
    org.apache.commons.math.exception.ConvergenceException convergenceException97 = new org.apache.commons.math.exception.ConvergenceException(localizable4, (java.lang.Object[])weightedObservedPoint_array95);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException98 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])weightedObservedPoint_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array95);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test189"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.1102229E-16f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1102229E-16f);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.4180782619474884d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.49321676688550387d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5157837238723002d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test192"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable44, obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable17, obj_array46);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException53 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)0.08002443783237255d, (java.lang.Number)1.1752011936436995d, (java.lang.Number)0.7853981613362947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test193"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-1.7757110350819305E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test194"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 10);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)(short)(-1), number5, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable8 = outOfRangeException7.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.0f, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable20 = outOfRangeException19.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable20, (java.lang.Number)0.0f, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable27, obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(localizable20, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException42);
    java.lang.Throwable[] throwable_array44 = outOfRangeException42.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException14, localizable20, localizable37, (java.lang.Object[])throwable_array44);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array46);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array48);
    org.apache.commons.math.exception.ZeroException zeroException50 = new org.apache.commons.math.exception.ZeroException(localizable37);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException52 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number53 = notStrictlyPositiveException52.getMin();
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(localizable56, obj_array58);
    java.lang.Object[] obj_array60 = mathException59.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable55, obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException52, "", obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException2, localizable37, obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException63);
    java.lang.Throwable throwable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Number number68 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException70 = new org.apache.commons.math.exception.OutOfRangeException(localizable66, (java.lang.Number)(short)(-1), number68, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable71 = outOfRangeException70.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException(localizable72, obj_array74);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException(throwable65, localizable71, obj_array74);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException80 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable71, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.ConvergenceException convergenceException81 = new org.apache.commons.math.exception.ConvergenceException(localizable71);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException85 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException87 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable88 = tooManyEvaluationsException87.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable89 = null;
    java.lang.Object[] obj_array91 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException(localizable89, obj_array91);
    java.lang.Object[] obj_array93 = mathException92.getArguments();
    java.lang.Object[] obj_array94 = mathException92.getArguments();
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException85, localizable88, obj_array94);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException64, localizable71, obj_array94);
    java.lang.Object[] obj_array97 = convergenceException64.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number53 + "' != '" + 0+ "'", number53.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array97);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7194722836453267d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test196"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(3.8146973E-6f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146973E-6f);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test197"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.208926E24f, 100.00003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.208926E24f);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test198"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(100.0d, 10.0d);
    double d4 = gaussian2.value(3.5603896875364365d);
    double d6 = gaussian2.value((-2.3012989023072947d));
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.5404881143480985E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 7.503164862174484E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction9);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test199"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.784066702912704d, 2.504208608837782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7840667029127041d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test200"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.6065306597126334d, 0.05884417329266837d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6093784357047268d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test201"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter7.addObservedPoint(weightedObservedPoint20);
    double d22 = weightedObservedPoint20.getWeight();
    double d23 = weightedObservedPoint20.getWeight();
    double d24 = weightedObservedPoint20.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.773775678340353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.773775678340353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.8259324122591327d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test202"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.9440892412430646d), 2.7706679866260906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7706679866260906d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test203"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = gaussianFitter8.getObservations();
    gaussianFitter8.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint11 = null;
    gaussianFitter8.addObservedPoint(weightedObservedPoint11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array13 = gaussianFitter8.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint17 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d18 = weightedObservedPoint17.getY();
    double d19 = weightedObservedPoint17.getX();
    double d20 = weightedObservedPoint17.getX();
    double d21 = weightedObservedPoint17.getX();
    gaussianFitter8.addObservedPoint(weightedObservedPoint17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 2.3978952727983707d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test204"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(16.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test205"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint10 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(5.510694365122006E-23d, 0.34050312033662644d, 0.3678794411714424d);
    double d11 = weightedObservedPoint10.getY();
    double d12 = weightedObservedPoint10.getWeight();
    curveFitter6.addObservedPoint(weightedObservedPoint10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.3678794411714424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 5.510694365122006E-23d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test206"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.6472392715677459d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test207"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.183554E-39f, 1.2676507E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676507E31f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test208"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 1.4897444985114965E30d, 0.572976894487969d, (-0.569808528748766d), (-0.201588407601501d));
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker10 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker10);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test209"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)100);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.000002453780178d, (java.lang.Number)30.957041787430903d, number5);
    java.lang.Number number7 = outOfRangeException6.getLo();
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)outOfRangeException6);
    java.lang.Object[] obj_array9 = outOfRangeException6.getArguments();
    java.lang.Number number10 = outOfRangeException6.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 100+ "'", number2.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 30.957041787430903d+ "'", number7.equals(30.957041787430903d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 30.957041787430903d+ "'", number10.equals(30.957041787430903d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test210"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = gaussianFitter8.getObservations();
    gaussianFitter8.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction11 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer15 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker16 = levenbergMarquardtOptimizer15.getConvergenceChecker();
    double d17 = levenbergMarquardtOptimizer15.getRMS();
    int i18 = levenbergMarquardtOptimizer15.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter19 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer15);
    int i20 = levenbergMarquardtOptimizer15.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer15);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer25 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i26 = levenbergMarquardtOptimizer25.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker27 = levenbergMarquardtOptimizer25.getConvergenceChecker();
    int i28 = levenbergMarquardtOptimizer25.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker29 = levenbergMarquardtOptimizer25.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer34 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d35 = levenbergMarquardtOptimizer34.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter36 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer34);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38, false);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    double[] d_array42 = gaussianFitter36.fit(d_array41);
    double[] d_array43 = gaussianFitter30.fit(d_array41);
    gaussianFitter30.clearObservations();
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array54 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array54);
    double[] d_array56 = gaussianFitter30.fit(d_array54);
    double[] d_array57 = gaussianFitter21.fit(d_array54);
    double[] d_array58 = gaussianFitter8.fit(parametricUnivariateRealFunction11, d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test211"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17);
    outOfRangeException11.addSuppressed((java.lang.Throwable)outOfRangeException17);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { outOfRangeException17 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.ConvergenceException convergenceException22 = new org.apache.commons.math.exception.ConvergenceException(localizable5, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable28 = outOfRangeException27.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException(localizable30, obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable28, (java.lang.Number)0.0f, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable40 = outOfRangeException39.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException(localizable42, obj_array44);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException(localizable40, (java.lang.Number)0.0f, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(localizable47, obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(localizable40, obj_array49);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Number number60 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException62 = new org.apache.commons.math.exception.OutOfRangeException(localizable58, (java.lang.Number)(short)(-1), number60, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException62);
    java.lang.Throwable[] throwable_array64 = outOfRangeException62.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException34, localizable40, localizable57, (java.lang.Object[])throwable_array64);
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(localizable67, obj_array69);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("hi!", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(localizable40, obj_array69);
    java.lang.Object[] obj_array73 = new java.lang.Object[] { mathException72 };
    org.apache.commons.math.exception.ConvergenceException convergenceException74 = new org.apache.commons.math.exception.ConvergenceException(localizable5, obj_array73);
    org.apache.commons.math.exception.ZeroException zeroException75 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException76 = new org.apache.commons.math.exception.NullArgumentException(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test212"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.891933768945461d, 0.2559815619132291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4363114630151843d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test213"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.4987562112089d, 30.9570417874309d, (-0.201588407601501d), 0.26535939227896727d, 0.0418633944622603d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i9 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test214"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NotStrictlyPositiveException: 100 is smaller than, or equal to, the minimum (0)", obj_array1);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test215"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5988730964328511d, (-0.19631925954314863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.598873096432851d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test216"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)3.8054157232159725E-8d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test217"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.027208160013548883d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.027214875923810587d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test218"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(3.0336006673234056E-13d, 1.2368071188850909d, (-0.6857440697959974d), 0.3642568921390267d, 1.087853702953039d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test219"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(byte)10);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    java.lang.String str4 = notStrictlyPositiveException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NotStrictlyPositiveException: 10 is smaller than, or equal to, the minimum (0)"+ "'", str4.equals("org.apache.commons.math.exception.NotStrictlyPositiveException: 10 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test220"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-212.49483108161348d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test221"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.07207750487389797d, 3.0336006673234056E-13d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.0336006673234056E-13d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(8.954704562630929E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.958715096336609E-4d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test223"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException(localizable22, obj_array24);
    java.lang.Object[] obj_array26 = mathException25.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = convergenceException28.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable29);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.24669205786527057d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24926532608136687d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test225"); }


    float f2 = org.apache.commons.math.util.FastMath.min(200.0f, (-9.183554E-39f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.183554E-39f));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test226"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(200, (-1));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test227"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 200);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable4 = dimensionMismatchException2.getGeneralPattern();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1+ "'", number3.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test228"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.3126619101265145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test229"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.1989013684858477d), (java.lang.Number)360.51349988913114d, (java.lang.Number)0.017469628241141778d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test230"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-1.0001745481569566d), 1.0149280275816277d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0001745481569566d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test231"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.499531464678099d, (-7.223181234835374E29d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4995314646780988d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test232"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.5015093272072252d), (-0.2418628907703035d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5567847548268643d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test233"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.3292283E36f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test234"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.16635474629375877d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test235"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.4180782619474884d), 1.7206637817653567d, (-0.015461375262696456d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer9 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 1.4897444985114965E30d, 0.572976894487969d, (-0.569808528748766d), (-0.201588407601501d));
    double d10 = levenbergMarquardtOptimizer9.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d15 = levenbergMarquardtOptimizer14.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter16 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer14);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker21 = null;
    levenbergMarquardtOptimizer20.setConvergenceChecker(convergenceChecker21);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker25 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer20.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker25);
    double d27 = levenbergMarquardtOptimizer20.getChiSquare();
    int i28 = levenbergMarquardtOptimizer20.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter29 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer33 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d34 = levenbergMarquardtOptimizer33.getChiSquare();
    int i35 = levenbergMarquardtOptimizer33.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker36 = levenbergMarquardtOptimizer33.getConvergenceChecker();
    levenbergMarquardtOptimizer20.setConvergenceChecker(convergenceChecker36);
    levenbergMarquardtOptimizer14.setConvergenceChecker(convergenceChecker36);
    levenbergMarquardtOptimizer9.setConvergenceChecker(convergenceChecker36);
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker36);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test236"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)(short)(-1), number5, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable8 = outOfRangeException7.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException(localizable10, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable8, (java.lang.Number)0.0f, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable20 = outOfRangeException19.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable20, (java.lang.Number)0.0f, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable27, obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(localizable20, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException42);
    java.lang.Throwable[] throwable_array44 = outOfRangeException42.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException14, localizable20, localizable37, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable1, (java.lang.Object[])throwable_array44);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(localizable49, obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException47, "org.apache.commons.math.exception.MathRuntimeException: ", obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test237"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test238"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)10, (java.lang.Number)0.572976894487969d, (java.lang.Number)0.6045824459415916d);
    java.lang.Number number4 = outOfRangeException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException(localizable6, obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array8);
    outOfRangeException3.addSuppressed((java.lang.Throwable)mathException10);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(throwable12, localizable18, obj_array21);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException27 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable18, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException28 = new org.apache.commons.math.exception.NullArgumentException(localizable18);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable18, (java.lang.Number)25.104851615652017d, (java.lang.Number)0.05894631663121024d, false);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException38 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number39 = notStrictlyPositiveException38.getMin();
    boolean b40 = notStrictlyPositiveException38.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException45.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Number number50 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable48, (java.lang.Number)(short)(-1), number50, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException52);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    outOfRangeException52.addSuppressed((java.lang.Throwable)outOfRangeException58);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { outOfRangeException58 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array61);
    org.apache.commons.math.exception.ConvergenceException convergenceException63 = new org.apache.commons.math.exception.ConvergenceException(localizable46, obj_array61);
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException38, localizable46, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException(localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathException70.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable66, obj_array71);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException36, localizable46, obj_array71);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException74 = new org.apache.commons.math.exception.NullArgumentException(localizable46);
    java.lang.Throwable[] throwable_array75 = nullArgumentException74.getSuppressed();
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, localizable18, (java.lang.Object[])throwable_array75);
    java.lang.Number number78 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException80 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.29484991080718775d, number78, (java.lang.Number)0.0010293984612050788d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + 0+ "'", number39.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array75);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test239"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable13);
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable49, obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable42, localizable48, obj_array51);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException57 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable48, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException58 = new org.apache.commons.math.exception.NullArgumentException(localizable48);
    org.apache.commons.math.exception.ZeroException zeroException59 = new org.apache.commons.math.exception.ZeroException(localizable48);
    java.lang.Throwable[] throwable_array60 = zeroException59.getSuppressed();
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable13, (java.lang.Object[])throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.2622560980208954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0045772323938976095d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test241"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    double[] d_array32 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array31);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i37 = levenbergMarquardtOptimizer36.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker38 = levenbergMarquardtOptimizer36.getConvergenceChecker();
    int i39 = levenbergMarquardtOptimizer36.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter40 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    curveFitter40.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction42 = null;
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array45 = new double[] {  };
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45);
    double[] d_array52 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array52);
    double[] d_array54 = curveFitter40.fit(parametricUnivariateRealFunction42, d_array52);
    double[] d_array55 = gaussianFitter8.fit(d_array52);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint59 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d60 = weightedObservedPoint59.getY();
    gaussianFitter8.addObservedPoint(weightedObservedPoint59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test242"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array2 = new double[] {  };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair6 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array2);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair10 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array8, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array8);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array14 = new double[] {  };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14);
    double[] d_array19 = vectorialPointValuePair18.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array19, false);
    double[] d_array22 = vectorialPointValuePair21.getValue();
    double[] d_array23 = vectorialPointValuePair21.getValue();
    double[] d_array24 = vectorialPointValuePair21.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array24);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test243"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-18), 84);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 84);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test244"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(6.6321813950585495d, 2.4619893190163897d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test245"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i11 = levenbergMarquardtOptimizer10.getMaxEvaluations();
    int i12 = levenbergMarquardtOptimizer10.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d17 = simpleVectorialValueChecker15.getRelativeThreshold();
    double d18 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter20 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[][] d_array_array21 = levenbergMarquardtOptimizer3.getCovariances();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test246"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(84, 9);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test247"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.1971063983333736E30d, 1.087853702953039d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test248"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0008758879493544d, (-0.5698085287487659d), (-0.07990196397902749d));
    double d4 = levenbergMarquardtOptimizer3.getRMS();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer12 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = null;
    levenbergMarquardtOptimizer12.setConvergenceChecker(convergenceChecker13);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker17 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer12.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker17);
    double d19 = levenbergMarquardtOptimizer12.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker20 = levenbergMarquardtOptimizer12.getConvergenceChecker();
    int i21 = levenbergMarquardtOptimizer12.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer12);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer26 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i27 = levenbergMarquardtOptimizer26.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker28 = levenbergMarquardtOptimizer26.getConvergenceChecker();
    int i29 = levenbergMarquardtOptimizer26.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker30 = levenbergMarquardtOptimizer26.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter31 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer26);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction32 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i37 = levenbergMarquardtOptimizer36.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker38 = levenbergMarquardtOptimizer36.getConvergenceChecker();
    int i39 = levenbergMarquardtOptimizer36.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker40 = levenbergMarquardtOptimizer36.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter41 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d46 = levenbergMarquardtOptimizer45.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter47 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    double[] d_array52 = vectorialPointValuePair51.getPointRef();
    double[] d_array53 = gaussianFitter47.fit(d_array52);
    double[] d_array54 = gaussianFitter41.fit(d_array52);
    double[] d_array55 = gaussianFitter31.fit(parametricUnivariateRealFunction32, d_array54);
    double[] d_array56 = gaussianFitter22.fit(d_array54);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array57 = gaussianFitter6.fit(0, parametricUnivariateRealFunction8, d_array54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.4615166089623094d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.49733908113309466d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(7.414355431188291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.414355431188291d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test251"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i11 = levenbergMarquardtOptimizer10.getMaxEvaluations();
    int i12 = levenbergMarquardtOptimizer10.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d17 = simpleVectorialValueChecker15.getRelativeThreshold();
    double d18 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter20 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d21 = levenbergMarquardtOptimizer3.getRMS();
    int i22 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0010288689939331572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0010288686308895449d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test253"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, localizable14, obj_array39);
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable49, obj_array51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable42, localizable48, obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(localizable14, obj_array51);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("{0} out of [{1}, {2}] range", obj_array51);
    java.lang.String str56 = mathException55.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "{0} out of [{1}, {2}] range"+ "'", str56.equals("{0} out of [{1}, {2}] range"));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test254"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 9.999999995877692d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test255"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(8.95470934962484E-4d, 1.338474404104274d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.95470934962484E-4d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test256"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException(localizable16, obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable9, localizable15, obj_array18);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException(localizable23, obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException20, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable8, obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5, "hi!", obj_array25);
    java.lang.Object[] obj_array31 = mathException30.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable32 = mathException30.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException39 = new org.apache.commons.math.exception.ZeroException(localizable38);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Number number42 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException44 = new org.apache.commons.math.exception.OutOfRangeException(localizable40, (java.lang.Number)(short)(-1), number42, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable45 = outOfRangeException44.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable47, obj_array49);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException51 = new org.apache.commons.math.exception.MaxCountExceededException(localizable45, (java.lang.Number)0.0f, obj_array49);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException(localizable59, obj_array61);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException(localizable57, (java.lang.Number)0.0f, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable64, obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException(localizable57, obj_array66);
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    java.lang.Number number71 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException73 = new org.apache.commons.math.exception.OutOfRangeException(localizable69, (java.lang.Number)(short)(-1), number71, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable74 = outOfRangeException73.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Number number77 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException79 = new org.apache.commons.math.exception.OutOfRangeException(localizable75, (java.lang.Number)(short)(-1), number77, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException79);
    java.lang.Throwable[] throwable_array81 = outOfRangeException79.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException51, localizable57, localizable74, (java.lang.Object[])throwable_array81);
    org.apache.commons.math.optimization.OptimizationException optimizationException83 = new org.apache.commons.math.optimization.OptimizationException(localizable38, (java.lang.Object[])throwable_array81);
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException(localizable85, obj_array87);
    java.lang.Object[] obj_array89 = mathException88.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException90 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable84, obj_array89);
    java.lang.Object[] obj_array91 = mathIllegalArgumentException90.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException92 = new org.apache.commons.math.exception.ConvergenceException(localizable38, obj_array91);
    org.apache.commons.math.optimization.OptimizationException optimizationException93 = new org.apache.commons.math.optimization.OptimizationException(localizable32, obj_array91);
    java.lang.Object[] obj_array94 = optimizationException93.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 103 out of [61, {2}] range", obj_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test257"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.01d, 0.0d, 1.2969827869405939d, 11.000000000000002d, 1.0845416358523312d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction10 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i15 = levenbergMarquardtOptimizer14.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker16 = levenbergMarquardtOptimizer14.getConvergenceChecker();
    int i17 = levenbergMarquardtOptimizer14.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer14);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction19 = null;
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array22 = new double[] {  };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array28);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array34 = new double[] {  };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34);
    double[] d_array39 = vectorialPointValuePair38.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array39, false);
    double[] d_array42 = gaussianFitter18.fit(parametricUnivariateRealFunction19, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array43 = gaussianFitter8.fit(0, parametricUnivariateRealFunction10, d_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test258"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.7182818284590455d, 1.0845416358523314d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test259"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i10 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i12 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test260"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: -0.841 is smaller than, or equal to, the minimum (1): -0.841 out of [1, {2}] range", obj_array1);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test261"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.07981718731031594d, 1.5405025668761214d, 0.9999999999999998d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test262"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)45.707795082764456d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.8344681575483615d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18096069412970026d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test264"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.010000500030835238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test265"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test266"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.3999016203740719d, 1.1756936241000449d, 2.209430621264856d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test267"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(57.295779276891516d, (-28.348931896719566d), 0.010000833427511362d, 0.010000333346667207d, 0.1750989345439992d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test268"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.8997806283454519d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test269"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(6.6321813950585495d, 100.0d, 0.8705751385100587d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test270"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.07207750487389797d, (-0.19631925954314863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07207750487389795d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.302937772833678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2646215401593959d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test272"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.671406E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 82);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.01082702603887653d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test274"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.5988730964328511d, 0.9921192070174668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5988730964328511d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test275"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i5 = levenbergMarquardtOptimizer4.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer4.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array12 = new double[] {  };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12);
    double[] d_array17 = curveFitter8.fit(parametricUnivariateRealFunction9, d_array12);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint21 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter8.addObservedPoint(weightedObservedPoint21);
    curveFitter8.addObservedPoint(1.7453292519943296E-4d, 11.000000000000002d, 1.4897444985114965E30d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint30 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    double d31 = weightedObservedPoint30.getX();
    curveFitter8.addObservedPoint(weightedObservedPoint30);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array33 = curveFitter8.getObservations();
    java.lang.Object[] obj_array34 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array33);
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.MathException: false out of [{1}, {2}] range", obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.004425697988052562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test276"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    java.lang.Number number5 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number9 = notStrictlyPositiveException8.getMin();
    boolean b10 = notStrictlyPositiveException8.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)(short)(-1), number13, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable16 = outOfRangeException15.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Number number26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math.exception.OutOfRangeException(localizable24, (java.lang.Number)(short)(-1), number26, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException28);
    outOfRangeException22.addSuppressed((java.lang.Throwable)outOfRangeException28);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { outOfRangeException28 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable16, obj_array31);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException8, localizable16, obj_array34);
    java.lang.Object[] obj_array36 = convergenceException35.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4, "org.apache.commons.math.exception.MathRuntimeException: ", obj_array36);
    java.lang.Number number38 = outOfRangeException4.getArgument();
    java.lang.Number number39 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)(-1)+ "'", number5.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0+ "'", number9.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (short)(-1)+ "'", number38.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + (-1.0f)+ "'", number39.equals((-1.0f)));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test277"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.8897144733649323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4740769841801067d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.9267542402906604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.747401357636582d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test279"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = gaussianFitter8.fit(d_array10);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i21 = levenbergMarquardtOptimizer20.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker22 = levenbergMarquardtOptimizer20.getConvergenceChecker();
    int i23 = levenbergMarquardtOptimizer20.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter24 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter25 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array26 = gaussianFitter25.getObservations();
    double[] d_array28 = new double[] { 100.0d };
    double[] d_array29 = new double[] {  };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29);
    double[] d_array36 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array36);
    double[] d_array38 = gaussianFitter25.fit(d_array29);
    double[] d_array39 = gaussianFitter8.fit(d_array29);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint43 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    gaussianFitter8.addObservedPoint(weightedObservedPoint43);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer48 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i49 = levenbergMarquardtOptimizer48.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker50 = levenbergMarquardtOptimizer48.getConvergenceChecker();
    int i51 = levenbergMarquardtOptimizer48.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter52 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer48);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction53 = null;
    double[] d_array55 = new double[] { 100.0d };
    double[] d_array56 = new double[] {  };
    double[] d_array57 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array57, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array56);
    double[] d_array61 = curveFitter52.fit(parametricUnivariateRealFunction53, d_array56);
    curveFitter52.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint68 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    curveFitter52.addObservedPoint(weightedObservedPoint68);
    double d70 = weightedObservedPoint68.getX();
    gaussianFitter8.addObservedPoint(weightedObservedPoint68);
    double d72 = weightedObservedPoint68.getWeight();
    double d73 = weightedObservedPoint68.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.004425697988052562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == (-0.201588407601501d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.3754263876807227d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test280"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 100, 1);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test281"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, (java.lang.Number)0.0f, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable25, obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable18, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable35 = outOfRangeException34.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException40);
    java.lang.Throwable[] throwable_array42 = outOfRangeException40.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException12, localizable18, localizable35, (java.lang.Object[])throwable_array42);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, obj_array44);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable35, obj_array46);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException50 = new org.apache.commons.math.exception.DimensionMismatchException(localizable35, (-1), 1);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException54 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable35, (java.lang.Number)10.0f, (java.lang.Number)2.956763478491886d, true);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException(localizable55, obj_array57);
    java.lang.Throwable[] throwable_array59 = optimizationException58.getSuppressed();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(throwable0, localizable35, (java.lang.Object[])throwable_array59);
    java.lang.String str61 = mathException60.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "{0} out of [{1}, {2}] range"+ "'", str61.equals("{0} out of [{1}, {2}] range"));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test282"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    int i8 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test283"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.30759257903683007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5546102947447245d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.009950330853168083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21508618036471874d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test285"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i11 = levenbergMarquardtOptimizer10.getMaxEvaluations();
    double d12 = levenbergMarquardtOptimizer10.getRMS();
    int i13 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker14 = levenbergMarquardtOptimizer10.getConvergenceChecker();
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker14);
    int i16 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array17 = levenbergMarquardtOptimizer3.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test286"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.24710683986841825d, 0.28736436550438194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.24710683986841825d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test287"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.041851167628339195d, 0.6045824459415917d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6045824459415917d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test288"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.01d, 0.0d, 1.2969827869405939d, 11.000000000000002d, 1.0845416358523312d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d11 = levenbergMarquardtOptimizer10.getChiSquare();
    int i12 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    double d17 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double d19 = simpleVectorialValueChecker15.getRelativeThreshold();
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer25 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i26 = levenbergMarquardtOptimizer25.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker27 = levenbergMarquardtOptimizer25.getConvergenceChecker();
    int i28 = levenbergMarquardtOptimizer25.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker29 = levenbergMarquardtOptimizer25.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer34 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d35 = levenbergMarquardtOptimizer34.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter36 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer34);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38, false);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    double[] d_array42 = gaussianFitter36.fit(d_array41);
    double[] d_array43 = gaussianFitter30.fit(d_array41);
    gaussianFitter30.clearObservations();
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array54 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array54);
    double[] d_array56 = gaussianFitter30.fit(d_array54);
    double[] d_array57 = gaussianFitter21.fit(d_array56);
    gaussianFitter21.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test289"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, (java.lang.Number)0.0f, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable25, obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable18, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException29);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException30);
    java.lang.Object[] obj_array33 = mathRuntimeException30.getArguments();
    java.lang.Object[] obj_array34 = mathRuntimeException30.getArguments();
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException11, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [0.308, 0.014] range: 0 out of [0.308, 0.014] range", obj_array34);
    java.lang.Object[] obj_array36 = mathException35.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.9679919258594991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.383838949737004d));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test291"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer9 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i10 = levenbergMarquardtOptimizer9.getMaxEvaluations();
    int i11 = levenbergMarquardtOptimizer9.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker12 = levenbergMarquardtOptimizer9.getConvergenceChecker();
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker12);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer17 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker18 = null;
    levenbergMarquardtOptimizer17.setConvergenceChecker(convergenceChecker18);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker22 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer17.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker22);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker22);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter25 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array26 = gaussianFitter25.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker12);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test292"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.209430621264856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test293"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)0.0f, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, localizable11, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathException5.getGeneralPattern();
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException27 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)2.956763478491886d, number25, true);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException32 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0L, (java.lang.Number)(byte)100, (java.lang.Number)10.0d);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException32);
    java.lang.Object[] obj_array34 = outOfRangeException32.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, localizable28, obj_array34);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.7794470159417075d, (java.lang.Number)3.3166247903554003d, (java.lang.Number)0.004582445941591594d);
    org.apache.commons.math.exception.util.Localizable localizable40 = outOfRangeException39.getGeneralPattern();
    java.lang.Throwable throwable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException47);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Number number51 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException53 = new org.apache.commons.math.exception.OutOfRangeException(localizable49, (java.lang.Number)(short)(-1), number51, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable54 = outOfRangeException53.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException59 = new org.apache.commons.math.optimization.OptimizationException(localizable56, obj_array58);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math.exception.MaxCountExceededException(localizable54, (java.lang.Number)0.0f, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException(localizable61, obj_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException48, localizable54, obj_array63);
    java.lang.Object[] obj_array66 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, obj_array66);
    java.lang.Throwable throwable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    java.lang.Number number71 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException73 = new org.apache.commons.math.exception.OutOfRangeException(localizable69, (java.lang.Number)(short)(-1), number71, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable74 = outOfRangeException73.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException78 = new org.apache.commons.math.optimization.OptimizationException(localizable75, obj_array77);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException(throwable68, localizable74, obj_array77);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer83 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i84 = levenbergMarquardtOptimizer83.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker85 = levenbergMarquardtOptimizer83.getConvergenceChecker();
    int i86 = levenbergMarquardtOptimizer83.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter87 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer83);
    curveFitter87.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array89 = curveFitter87.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math.exception.MathIllegalStateException(throwable42, localizable54, localizable74, (java.lang.Object[])weightedObservedPoint_array89);
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])weightedObservedPoint_array89);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException92 = new org.apache.commons.math.exception.MathIllegalStateException(localizable28, localizable40, (java.lang.Object[])weightedObservedPoint_array89);
    java.lang.String str93 = mathIllegalStateException92.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "org.apache.commons.math.exception.MathIllegalStateException: "+ "'", str93.equals("org.apache.commons.math.exception.MathIllegalStateException: "));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.010826603009376282d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test295"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable44, obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable17, obj_array46);
    org.apache.commons.math.exception.ZeroException zeroException50 = new org.apache.commons.math.exception.ZeroException(localizable17);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException53 = new org.apache.commons.math.exception.DimensionMismatchException(localizable17, (-1), 1);
    java.lang.Number number54 = dimensionMismatchException53.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + (-1)+ "'", number54.equals((-1)));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test296"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.2233443852250871d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test297"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-2.33890568951491d), 7.414355431188291d, 6.583448478441936d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    double d6 = gaussian3.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.2404906500137185d));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test298"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = gaussianFitter8.getObservations();
    gaussianFitter8.clearObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i15 = levenbergMarquardtOptimizer14.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker16 = levenbergMarquardtOptimizer14.getConvergenceChecker();
    int i17 = levenbergMarquardtOptimizer14.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer14);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction19 = null;
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array22 = new double[] {  };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22);
    double[] d_array27 = curveFitter18.fit(parametricUnivariateRealFunction19, d_array22);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint31 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter18.addObservedPoint(weightedObservedPoint31);
    double d33 = weightedObservedPoint31.getWeight();
    gaussianFitter8.addObservedPoint(weightedObservedPoint31);
    double d35 = weightedObservedPoint31.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.773775678340353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.6582423028678988d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test299"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.14261603525435554d), 0.8344681575483615d, 0.0d, 0.010050503781081086d, 25.104851615652017d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test300"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-4.9E-324d), 0.8221333212055794d, 0.0022153009612485078d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test301"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.7080476388712469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5353509865882147d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(113.93428170027987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1088008688457436d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test303"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.19903708441102297d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test304"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(localizable34, obj_array43);
    org.apache.commons.math.exception.ConvergenceException convergenceException45 = new org.apache.commons.math.exception.ConvergenceException(localizable34);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException48 = new org.apache.commons.math.exception.DimensionMismatchException(localizable34, 100, 99);
    org.apache.commons.math.exception.util.Localizable localizable49 = dimensionMismatchException48.getSpecificPattern();
    org.apache.commons.math.exception.ZeroException zeroException50 = new org.apache.commons.math.exception.ZeroException(localizable49);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException53 = new org.apache.commons.math.exception.DimensionMismatchException(localizable49, 0, 133);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.3154791767516278d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test306"); }


    float f2 = org.apache.commons.math.util.FastMath.min(200.0f, 4194304.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.0f);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test307"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.335450365335128d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test308"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(3.8146977E-6f, 0.34050312033662644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.814698E-6f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(3.5603896875364365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9135788014990339d));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test310"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(1.3354503653351284d, 0.5864808031646639d, 1.3583498679639454d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test311"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)1);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException8 = new org.apache.commons.math.exception.OutOfRangeException(localizable4, (java.lang.Number)(short)(-1), number6, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable9 = outOfRangeException8.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException(localizable11, obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)0.0f, obj_array13);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(localizable16, obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable9, obj_array18);
    org.apache.commons.math.exception.ConvergenceException convergenceException21 = new org.apache.commons.math.exception.ConvergenceException(localizable9);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException25 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)(-0.9999999999999999d), (java.lang.Number)(-1.0d), false);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)0.5403023058681398d, (java.lang.Number)(-0.8414709848078965d), true);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException(localizable31, (java.lang.Number)(short)(-1), number33, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable36 = outOfRangeException35.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException(localizable38, obj_array40);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException(localizable36, (java.lang.Number)0.0f, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException(localizable50, obj_array52);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException54 = new org.apache.commons.math.exception.MaxCountExceededException(localizable48, (java.lang.Number)0.0f, obj_array52);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(localizable55, obj_array57);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException(localizable48, obj_array57);
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Number number62 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException64 = new org.apache.commons.math.exception.OutOfRangeException(localizable60, (java.lang.Number)(short)(-1), number62, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable65 = outOfRangeException64.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Number number68 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException70 = new org.apache.commons.math.exception.OutOfRangeException(localizable66, (java.lang.Number)(short)(-1), number68, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException70);
    java.lang.Throwable[] throwable_array72 = outOfRangeException70.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException42, localizable48, localizable65, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException74 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable30, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException3, localizable9, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException(localizable1, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException(localizable0, (java.lang.Object[])throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9860659706051818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test313"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(70.16930459812568d, 0.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test314"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.5698085287487659d), 0.8414709848078964d, 0.3678794411714424d);
    double d5 = gaussian3.value((-0.4947822010213975d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-7.775964596015762E-4d));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test315"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.MathException: 0 out of [{1}, {2}] range", obj_array1);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test316"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(4.5584297591263114E-63d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-208));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test317"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 0, (-1));
    java.lang.String str20 = dimensionMismatchException19.toString();
    int i21 = dimensionMismatchException19.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 0 out of [-1, {2}] range"+ "'", str20.equals("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 0 out of [-1, {2}] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.5567847548268643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5905100295439214d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test319"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.24669205786527057d), 0.5073019294230935d, 0.0010293984612050788d, 0.7273669386288848d, 0.2564045237815671d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.087853702953039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test321"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.3754263876807227d, 0.0d, 0.3678794411714424d);
    int i4 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i7 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.4916779397046799d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test323"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array6 = gaussianFitter5.getObservations();
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test324"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.926738058028277d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.926738058028277d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test325"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-9.6714065E24f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.6714065E24f));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test326"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i5 = levenbergMarquardtOptimizer4.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer4.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    curveFitter8.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint13 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d14 = weightedObservedPoint13.getY();
    double d15 = weightedObservedPoint13.getY();
    curveFitter8.addObservedPoint(weightedObservedPoint13);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array17 = curveFitter8.getObservations();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NotStrictlyPositiveException: 100 is smaller than, or equal to, the minimum (0)", (java.lang.Object[])weightedObservedPoint_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array17);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test327"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(1.045485426678242d, 0.028811608289393897d, 0.30389950299471935d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test328"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double[] d_array6 = new double[] {  };
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPointRef();
    double[] d_array11 = gaussianFitter5.fit(d_array10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d15 = simpleVectorialValueChecker14.getRelativeThreshold();
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array19 = new double[] {  };
    double[] d_array20 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array26 = new double[] {  };
    double[] d_array27 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    double[] d_array33 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33);
    boolean b35 = simpleVectorialValueChecker14.converged((-1), vectorialPointValuePair23, vectorialPointValuePair34);
    double[] d_array36 = vectorialPointValuePair34.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array36, false);
    double[] d_array39 = vectorialPointValuePair38.getValueRef();
    double[] d_array40 = vectorialPointValuePair38.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test329"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.0052872295374836d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17421119308526886d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test330"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.18044161820430601d, (java.lang.Number)1.9885283465646069d, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Number number36 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException38 = new org.apache.commons.math.exception.OutOfRangeException(localizable34, (java.lang.Number)(short)(-1), number36, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException38);
    java.lang.Number number40 = outOfRangeException38.getArgument();
    java.lang.Throwable[] throwable_array41 = outOfRangeException38.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException(localizable14, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker45 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d46 = simpleVectorialValueChecker45.getRelativeThreshold();
    double[] d_array49 = new double[] { 100.0d };
    double[] d_array50 = new double[] {  };
    double[] d_array51 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array51, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50);
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array57 = new double[] {  };
    double[] d_array58 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array57);
    double[] d_array64 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array64);
    boolean b66 = simpleVectorialValueChecker45.converged((-1), vectorialPointValuePair54, vectorialPointValuePair65);
    double[] d_array67 = vectorialPointValuePair65.getValueRef();
    java.lang.Object[] obj_array68 = new java.lang.Object[] { vectorialPointValuePair65 };
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array68);
    java.lang.Object[] obj_array70 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [0.308, 0.014] range: 0 out of [0.308, 0.014] range", obj_array68);
    java.lang.Number number72 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (short)(-1)+ "'", number40.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number72 + "' != '" + 0.18044161820430601d+ "'", number72.equals(0.18044161820430601d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test331"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.3743897E11f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.3743897E11f);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test332"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.551122320799487d, 0.07207750487389797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5558155981908564d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test333"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(8.052514932188244E-23d, 2.4899891165348844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.052514932188244E-23d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test334"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    java.lang.Number number5 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number9 = notStrictlyPositiveException8.getMin();
    boolean b10 = notStrictlyPositiveException8.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)(short)(-1), number13, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable16 = outOfRangeException15.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Number number26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math.exception.OutOfRangeException(localizable24, (java.lang.Number)(short)(-1), number26, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException28);
    outOfRangeException22.addSuppressed((java.lang.Throwable)outOfRangeException28);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { outOfRangeException28 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable16, obj_array31);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException8, localizable16, obj_array34);
    java.lang.Object[] obj_array36 = convergenceException35.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4, "org.apache.commons.math.exception.MathRuntimeException: ", obj_array36);
    java.lang.Number number38 = outOfRangeException4.getArgument();
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "org.apache.commons.math.exception.NumberIsTooSmallException: -0.841 is smaller than, or equal to, the minimum (1): -0.841 out of [1, {2}] range", obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)(-1)+ "'", number5.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0+ "'", number9.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (short)(-1)+ "'", number38.equals((short)(-1)));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test335"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.8221333212055794d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test336"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.2714925488847557d), 0.797650950602629d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test337"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.0427392783111262d, 4.486065238770485E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.486065238770485E-7d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test338"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException(localizable0, obj_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = convergenceException2.getPattern();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test339"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test340"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException(localizable11, (java.lang.Number)0.0f, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, localizable11, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathException5.getGeneralPattern();
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException27 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)2.956763478491886d, number25, true);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException30 = new org.apache.commons.math.exception.DimensionMismatchException(localizable23, 1, 0);
    org.apache.commons.math.exception.ZeroException zeroException31 = new org.apache.commons.math.exception.ZeroException(localizable23);
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable23);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException34 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable23, (java.lang.Number)1.891933768945461d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test341"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.13440823672781962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.36661728918290204d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test342"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.010000333346667207d, (java.lang.Number)0.8705751385100587d, true);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable6, (java.lang.Number)(short)(-1), number8, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable11 = outOfRangeException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException23);
    outOfRangeException17.addSuppressed((java.lang.Throwable)outOfRangeException23);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { outOfRangeException23 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array26);
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable11, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, localizable5, obj_array26);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException31 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable32 = tooManyEvaluationsException31.getGeneralPattern();
    java.lang.Number number33 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException36 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable32, number33, number34, false);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Number number39 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException41 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)(short)(-1), number39, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException41);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Number number45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException(localizable43, (java.lang.Number)(short)(-1), number45, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable48 = outOfRangeException47.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException(localizable50, obj_array52);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException54 = new org.apache.commons.math.exception.MaxCountExceededException(localizable48, (java.lang.Number)0.0f, obj_array52);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException(localizable55, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException42, localizable48, obj_array57);
    org.apache.commons.math.exception.util.Localizable localizable60 = mathException42.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(localizable62, obj_array64);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array68 = convergenceException67.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException29, localizable32, localizable60, obj_array68);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer73 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i74 = levenbergMarquardtOptimizer73.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker75 = levenbergMarquardtOptimizer73.getConvergenceChecker();
    int i76 = levenbergMarquardtOptimizer73.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter77 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer73);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter78 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer73);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array79 = gaussianFitter78.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException(localizable32, (java.lang.Object[])weightedObservedPoint_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])weightedObservedPoint_array79);
    org.apache.commons.math.optimization.OptimizationException optimizationException82 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array79);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test343"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.7182818172534524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1364210953770169d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-1.1929155041205133d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test345"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.4363114630151843d, 18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 376520.4321606525d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test346"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array2 = new double[] {  };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair6 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array1, d_array2);
    double[] d_array7 = new double[] {  };
    double[] d_array8 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair10 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array8, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array8);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array14 = new double[] {  };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14);
    double[] d_array19 = vectorialPointValuePair18.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array19, false);
    double[] d_array22 = vectorialPointValuePair21.getValue();
    double[] d_array23 = vectorialPointValuePair21.getValue();
    double[] d_array24 = vectorialPointValuePair21.getValue();
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27);
    double[] d_array34 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array34);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array34, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test347"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable10, (java.lang.Number)(short)(-1), number12, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable15 = outOfRangeException14.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException(localizable16, obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable9, localizable15, obj_array18);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException(localizable23, obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException20, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable8, obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5, "hi!", obj_array25);
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException31);
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)optimizationException31);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException34 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test348"); }


    int i2 = org.apache.commons.math.util.FastMath.max(82, 103);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 103);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test349"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.598873096432851d, (-11.9229695814234d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.598873096432851d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test350"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5698085287487659d), 0.5836293809324178d, 1.7453292519943296E-4d, 1.3354503653351284d, 10.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    gaussianFitter8.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.0536712127723512E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0536712127723514E-8d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test352"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test353"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-0.5362780123654328d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(4.486065238770485E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.4860662450097015E-7d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test355"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.070950182563153d, (-0.5394708390100347d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test356"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(18, (-200));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-200));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.9440892412430647d), 11.000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9440892412430647d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test358"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = gaussianFitter8.fit(d_array10);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer24 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d25 = levenbergMarquardtOptimizer24.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter26 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer24);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    double[] d_array31 = vectorialPointValuePair30.getPointRef();
    double[] d_array32 = gaussianFitter26.fit(d_array31);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker35 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d36 = simpleVectorialValueChecker35.getRelativeThreshold();
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40);
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array54 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array54);
    boolean b56 = simpleVectorialValueChecker35.converged((-1), vectorialPointValuePair44, vectorialPointValuePair55);
    double[] d_array57 = vectorialPointValuePair55.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array57, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array31);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array18);
    double[] d_array62 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array62);
    double[] d_array64 = vectorialPointValuePair63.getValueRef();
    double[] d_array65 = vectorialPointValuePair63.getPoint();
    double[] d_array66 = vectorialPointValuePair63.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array66);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test359"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-2.746789456989371d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.005304046922432221d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005290030007956766d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test361"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("", obj_array1);
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException2);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.6827656575773231d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5933144215794577d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test363"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9697255170510823d, 0.7080476388712469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9697255170510823d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(19.509391706323886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6129871149631231d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test365"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.525879E-5f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.015625002f);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.004425726883483217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.420320746558831d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test367"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(3.5E-44f, 0.010000500044171239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.6E-44f);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test368"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.2646215401593959d, 303.56979117586576d, 0.5546102947447245d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test369"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.1783869328551047d, (-0.5660303851350186d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test370"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0008758879493544d, (-0.5698085287487659d), (-0.07990196397902749d));
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test371"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(4.5474735E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.013194007325799756d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01319362454962926d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(30.9570417874309d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test374"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.335450365335128d, 0.8493076131834542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.004346672255516d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test375"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker14 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    double d15 = levenbergMarquardtOptimizer13.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i20 = levenbergMarquardtOptimizer19.getMaxEvaluations();
    int i21 = levenbergMarquardtOptimizer19.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker22 = levenbergMarquardtOptimizer19.getConvergenceChecker();
    levenbergMarquardtOptimizer13.setConvergenceChecker(convergenceChecker22);
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker22);
    double d25 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test376"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    double[] d_array32 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array31);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i37 = levenbergMarquardtOptimizer36.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker38 = levenbergMarquardtOptimizer36.getConvergenceChecker();
    int i39 = levenbergMarquardtOptimizer36.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker40 = levenbergMarquardtOptimizer36.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter41 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction42 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer46 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i47 = levenbergMarquardtOptimizer46.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker48 = levenbergMarquardtOptimizer46.getConvergenceChecker();
    int i49 = levenbergMarquardtOptimizer46.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker50 = levenbergMarquardtOptimizer46.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter51 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer46);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer55 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d56 = levenbergMarquardtOptimizer55.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter57 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer55);
    double[] d_array58 = new double[] {  };
    double[] d_array59 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    double[] d_array62 = vectorialPointValuePair61.getPointRef();
    double[] d_array63 = gaussianFitter57.fit(d_array62);
    double[] d_array64 = gaussianFitter51.fit(d_array62);
    double[] d_array65 = gaussianFitter41.fit(parametricUnivariateRealFunction42, d_array64);
    double[] d_array67 = new double[] { 100.0d };
    double[] d_array68 = new double[] {  };
    double[] d_array69 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair71 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array68, d_array69, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array67, d_array68);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array64, d_array68);
    double[] d_array74 = vectorialPointValuePair73.getValue();
    double[] d_array75 = gaussianFitter8.fit(d_array74);
    double[] d_array76 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array77 = gaussianFitter8.fit(d_array76);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test377"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.30878308620640876d, 0.04182675034619939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.30878308620640876d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test378"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(3.6537540933272573E47d, (-0.6438517469625917d), 1.2969827869405939d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.6438517469625917d));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test379"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)(-0.9999999999999999d), (java.lang.Number)(-1.0d), false);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)1.20892575E24f, (java.lang.Number)1.1752011936438014d, (java.lang.Number)2.0124781326504887E-13d);
    java.lang.Number number26 = outOfRangeException25.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 1.1752011936438014d+ "'", number26.equals(1.1752011936438014d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-3.173635582117121d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test381"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable23 = outOfRangeException22.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException(localizable25, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)0.0f, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array27);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.3354503653351284d, number32, true);
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException(localizable42, obj_array44);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(throwable35, localizable41, obj_array44);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException50 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable41, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    java.lang.Number number51 = numberIsTooSmallException50.getMin();
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Number number54 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException56 = new org.apache.commons.math.exception.OutOfRangeException(localizable52, (java.lang.Number)(short)(-1), number54, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable57 = outOfRangeException56.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException(localizable59, obj_array61);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException(localizable57, (java.lang.Number)0.0f, obj_array61);
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException50, localizable57, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable66 = numberIsTooSmallException50.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Throwable throwable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Number number72 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, (java.lang.Number)(short)(-1), number72, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable75 = outOfRangeException74.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable76, obj_array78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException(throwable69, localizable75, obj_array78);
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException(localizable83, obj_array85);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException87 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable82, obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException80, "hi!", obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException(localizable68, obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array85);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException91 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException34, localizable66, localizable67, obj_array85);
    java.lang.Number number92 = numberIsTooSmallException34.getMin();
    org.apache.commons.math.exception.util.Localizable localizable93 = numberIsTooSmallException34.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number51 + "' != '" + 1+ "'", number51.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable93);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test382"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i24 = levenbergMarquardtOptimizer23.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer23.getConvergenceChecker();
    int i26 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    curveFitter27.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint32 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d33 = weightedObservedPoint32.getY();
    double d34 = weightedObservedPoint32.getY();
    curveFitter27.addObservedPoint(weightedObservedPoint32);
    double d36 = weightedObservedPoint32.getWeight();
    curveFitter7.addObservedPoint(weightedObservedPoint32);
    curveFitter7.addObservedPoint(1.3354503653351284d, 1.7453292519943296E-4d, (-1.1752011936438014d));
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i46 = levenbergMarquardtOptimizer45.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker47 = levenbergMarquardtOptimizer45.getConvergenceChecker();
    int i48 = levenbergMarquardtOptimizer45.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter49 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction50 = null;
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array53 = new double[] {  };
    double[] d_array54 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array52, d_array53);
    double[] d_array58 = curveFitter49.fit(parametricUnivariateRealFunction50, d_array53);
    curveFitter49.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint65 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    curveFitter49.addObservedPoint(weightedObservedPoint65);
    curveFitter7.addObservedPoint(weightedObservedPoint65);
    double d68 = weightedObservedPoint65.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.3754263876807227d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test383"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    java.lang.Number number6 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.0f)+ "'", number6.equals((-1.0f)));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test384"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.04273927384214262d, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test385"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    java.lang.String str23 = optimizationException3.toString();
    org.apache.commons.math.exception.util.Localizable localizable24 = optimizationException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.optimization.OptimizationException: "+ "'", str23.equals("org.apache.commons.math.optimization.OptimizationException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable24);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.04273927831112621d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04271328361906062d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test387"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 0, (-1));
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException20 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException19);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable27 = outOfRangeException26.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException(localizable29, obj_array31);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException33 = new org.apache.commons.math.exception.MaxCountExceededException(localizable27, (java.lang.Number)0.0f, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Number number36 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException38 = new org.apache.commons.math.exception.OutOfRangeException(localizable34, (java.lang.Number)(short)(-1), number36, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable39 = outOfRangeException38.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException(localizable41, obj_array43);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException45 = new org.apache.commons.math.exception.MaxCountExceededException(localizable39, (java.lang.Number)0.0f, obj_array43);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable46, obj_array48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(localizable39, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Number number59 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException61 = new org.apache.commons.math.exception.OutOfRangeException(localizable57, (java.lang.Number)(short)(-1), number59, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException61);
    java.lang.Throwable[] throwable_array63 = outOfRangeException61.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException33, localizable39, localizable56, (java.lang.Object[])throwable_array63);
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(localizable56, obj_array65);
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException68 = new org.apache.commons.math.exception.ConvergenceException(localizable56, obj_array67);
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Number number73 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException75 = new org.apache.commons.math.exception.OutOfRangeException(localizable71, (java.lang.Number)(short)(-1), number73, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable76 = outOfRangeException75.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException(localizable77, obj_array79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable70, localizable76, obj_array79);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException68, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [100, 10] range", obj_array79);
    java.lang.Object[] obj_array83 = convergenceException82.getArguments();
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException20, "", obj_array83);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException85 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test388"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    java.lang.Number number5 = outOfRangeException4.getArgument();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number9 = notStrictlyPositiveException8.getMin();
    boolean b10 = notStrictlyPositiveException8.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)(short)(-1), number13, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable16 = outOfRangeException15.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Number number26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math.exception.OutOfRangeException(localizable24, (java.lang.Number)(short)(-1), number26, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException28);
    outOfRangeException22.addSuppressed((java.lang.Throwable)outOfRangeException28);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { outOfRangeException28 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable16, obj_array31);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException8, localizable16, obj_array34);
    java.lang.Object[] obj_array36 = convergenceException35.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4, "org.apache.commons.math.exception.MathRuntimeException: ", obj_array36);
    java.lang.String str38 = convergenceException37.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)(-1)+ "'", number5.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0+ "'", number9.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.exception.MathRuntimeException: "+ "'", str38.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.exception.MathRuntimeException: "));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test389"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable44, obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable17, obj_array46);
    org.apache.commons.math.exception.ZeroException zeroException50 = new org.apache.commons.math.exception.ZeroException(localizable17);
    org.apache.commons.math.exception.util.Localizable localizable51 = zeroException50.getGeneralPattern();
    org.apache.commons.math.exception.ConvergenceException convergenceException52 = new org.apache.commons.math.exception.ConvergenceException(localizable51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable51);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test390"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    boolean b8 = notStrictlyPositiveException6.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Number number18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException(localizable16, (java.lang.Number)(short)(-1), number18, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException(localizable22, (java.lang.Number)(short)(-1), number24, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException26);
    outOfRangeException20.addSuppressed((java.lang.Throwable)outOfRangeException26);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { outOfRangeException26 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable14, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException6, localizable14, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    java.lang.Object[] obj_array39 = mathException38.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, obj_array39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, localizable14, obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array39);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Number number46 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException(localizable44, (java.lang.Number)(short)(-1), number46, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable49 = outOfRangeException48.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException(localizable51, obj_array53);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException55 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)0.0f, obj_array53);
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Number number58 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException60 = new org.apache.commons.math.exception.OutOfRangeException(localizable56, (java.lang.Number)(short)(-1), number58, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable61 = outOfRangeException60.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException(localizable63, obj_array65);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException67 = new org.apache.commons.math.exception.MaxCountExceededException(localizable61, (java.lang.Number)0.0f, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Object[] obj_array70 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException(localizable68, obj_array70);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(localizable61, obj_array70);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    java.lang.Number number75 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException77 = new org.apache.commons.math.exception.OutOfRangeException(localizable73, (java.lang.Number)(short)(-1), number75, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable78 = outOfRangeException77.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable79 = null;
    java.lang.Number number81 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException83 = new org.apache.commons.math.exception.OutOfRangeException(localizable79, (java.lang.Number)(short)(-1), number81, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException83);
    java.lang.Throwable[] throwable_array85 = outOfRangeException83.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException86 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException55, localizable61, localizable78, (java.lang.Object[])throwable_array85);
    org.apache.commons.math.exception.util.Localizable localizable88 = null;
    java.lang.Object[] obj_array90 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException(localizable88, obj_array90);
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException("hi!", obj_array90);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException(localizable61, obj_array90);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException42, localizable43, obj_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException95 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array90);
    org.apache.commons.math.MathException mathException96 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test391"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 1.4897444985114965E30d, 0.572976894487969d, (-0.569808528748766d), (-0.201588407601501d));
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker14 = null;
    levenbergMarquardtOptimizer13.setConvergenceChecker(convergenceChecker14);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker18 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer13.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker18);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker20 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker20);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.1236154399855407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0851454395048363d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(localizable6, obj_array15);
    org.apache.commons.math.exception.ConvergenceException convergenceException18 = new org.apache.commons.math.exception.ConvergenceException(localizable6);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)(-0.9999999999999999d), (java.lang.Number)(-1.0d), false);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Number number25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)(short)(-1), number25, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable28 = outOfRangeException27.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException(localizable30, obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException(localizable28, (java.lang.Number)0.0f, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable35, obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(localizable28, obj_array37);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException40 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException39);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException40);
    java.lang.Object[] obj_array43 = mathRuntimeException40.getArguments();
    java.lang.Object[] obj_array44 = mathRuntimeException40.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, obj_array44);
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.MathException: 0 out of [{1}, {2}] range", obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test394"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.0414132877260263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test395"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d4 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.3978952727983707d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test396"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.2622560980208954d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test397"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(2.74877907E11f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.74877907E11f);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test398"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(8.954704562630928E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.95470216913666E-4d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(110.37522827973153d, 4.511665144855782E-14d, (-0.7865042331448913d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test400"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent((-99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test401"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d11 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker10);
    double d13 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    double[] d_array15 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i20 = levenbergMarquardtOptimizer19.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker21 = levenbergMarquardtOptimizer19.getConvergenceChecker();
    int i22 = levenbergMarquardtOptimizer19.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter23 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer19);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction24 = null;
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27);
    double[] d_array32 = curveFitter23.fit(parametricUnivariateRealFunction24, d_array27);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getPoint();
    double[] d_array36 = vectorialPointValuePair34.getPointRef();
    double[] d_array37 = vectorialPointValuePair34.getValueRef();
    double[] d_array38 = vectorialPointValuePair34.getValue();
    double[] d_array39 = null;
    double[] d_array40 = new double[] {  };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array41);
    double[] d_array45 = vectorialPointValuePair44.getValueRef();
    double[] d_array46 = vectorialPointValuePair44.getValueRef();
    double[] d_array47 = vectorialPointValuePair44.getValue();
    double[] d_array48 = vectorialPointValuePair44.getPointRef();
    boolean b49 = simpleVectorialValueChecker10.converged((-133), vectorialPointValuePair34, vectorialPointValuePair44);
    double[] d_array50 = vectorialPointValuePair44.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array50);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException(localizable44, obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException(localizable17, obj_array46);
    org.apache.commons.math.exception.ZeroException zeroException50 = new org.apache.commons.math.exception.ZeroException(localizable17);
    java.lang.String str51 = zeroException50.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.exception.ZeroException: zero not allowed here: 0 out of [{1}, {2}] range"+ "'", str51.equals("org.apache.commons.math.exception.ZeroException: zero not allowed here: 0 out of [{1}, {2}] range"));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.252647926920168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2319391652534157d));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test404"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(337.6475646609921d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test405"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.18096069412970026d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test406"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.9103561443121718d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test407"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.31883093739069235d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test408"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.13440823672781957d, 8.954703365883459E-4d, 2.576339742670462E30d, 0.009633689931879255d, 0.22216950158552873d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test409"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 1.4897444985114965E30d, 0.572976894487969d, (-0.569808528748766d), (-0.201588407601501d));
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = levenbergMarquardtOptimizer5.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test410"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer9 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker10 = null;
    levenbergMarquardtOptimizer9.setConvergenceChecker(convergenceChecker10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    levenbergMarquardtOptimizer9.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker14);
    double d16 = levenbergMarquardtOptimizer9.getChiSquare();
    int i17 = levenbergMarquardtOptimizer9.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer9);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    int i24 = levenbergMarquardtOptimizer22.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker25 = levenbergMarquardtOptimizer22.getConvergenceChecker();
    levenbergMarquardtOptimizer9.setConvergenceChecker(convergenceChecker25);
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker25);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker25);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.07981718731031594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9968162990658923d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test412"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(byte)0, (java.lang.Number)(byte)(-1), (java.lang.Number)100L);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number6 = notStrictlyPositiveException5.getMin();
    boolean b7 = notStrictlyPositiveException5.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException(localizable21, (java.lang.Number)(short)(-1), number23, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException25);
    outOfRangeException19.addSuppressed((java.lang.Throwable)outOfRangeException25);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { outOfRangeException25 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable13, obj_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException5, localizable13, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException(localizable34, obj_array36);
    java.lang.Object[] obj_array38 = mathException37.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array38);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, localizable13, obj_array38);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException45.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException(localizable48, obj_array50);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException52 = new org.apache.commons.math.exception.MaxCountExceededException(localizable46, (java.lang.Number)0.0f, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Number number55 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)(short)(-1), number55, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException57);
    java.lang.Throwable[] throwable_array59 = outOfRangeException57.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable13, localizable46, (java.lang.Object[])throwable_array59);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException64 = new org.apache.commons.math.exception.OutOfRangeException(localizable46, (java.lang.Number)0.0418633944622603d, (java.lang.Number)0.201588407601501d, (java.lang.Number)1L);
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Number number69 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException71 = new org.apache.commons.math.exception.OutOfRangeException(localizable67, (java.lang.Number)(short)(-1), number69, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException71);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    java.lang.Number number75 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException77 = new org.apache.commons.math.exception.OutOfRangeException(localizable73, (java.lang.Number)(short)(-1), number75, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable78 = outOfRangeException77.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    java.lang.Object[] obj_array82 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException83 = new org.apache.commons.math.optimization.OptimizationException(localizable80, obj_array82);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException84 = new org.apache.commons.math.exception.MaxCountExceededException(localizable78, (java.lang.Number)0.0f, obj_array82);
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException(localizable85, obj_array87);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException89 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException72, localizable78, obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException(localizable66, obj_array87);
    java.lang.Throwable[] throwable_array91 = convergenceException90.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: -1 out of [null, -1] range", (java.lang.Object[])throwable_array91);
    java.lang.Object[] obj_array93 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array91);
    org.apache.commons.math.optimization.OptimizationException optimizationException94 = new org.apache.commons.math.optimization.OptimizationException(localizable46, (java.lang.Object[])throwable_array91);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException96 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable46, (java.lang.Number)(-43.815523812334035d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-2.746789456989371d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-1.60693804425899E60d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7840596158824499E44d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test415"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.010826814517928213d));
    java.lang.String str2 = maxCountExceededException1.toString();
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException8 = new org.apache.commons.math.exception.OutOfRangeException(localizable4, (java.lang.Number)(short)(-1), number6, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable9 = outOfRangeException8.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException(localizable10, obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException(throwable3, localizable9, obj_array12);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    java.lang.Number number19 = numberIsTooSmallException18.getMin();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable25 = outOfRangeException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException(localizable27, obj_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable25, (java.lang.Number)0.0f, obj_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException18, localizable25, obj_array32);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException36 = new org.apache.commons.math.exception.DimensionMismatchException(localizable25, (-1), 133);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer40 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i41 = levenbergMarquardtOptimizer40.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker42 = levenbergMarquardtOptimizer40.getConvergenceChecker();
    int i43 = levenbergMarquardtOptimizer40.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter44 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer40);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter45 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer40);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array48 = new double[] {  };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48);
    double[] d_array53 = gaussianFitter45.fit(d_array47);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer57 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i58 = levenbergMarquardtOptimizer57.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker59 = levenbergMarquardtOptimizer57.getConvergenceChecker();
    int i60 = levenbergMarquardtOptimizer57.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter61 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer57);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter62 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer57);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array63 = gaussianFitter62.getObservations();
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array66 = new double[] {  };
    double[] d_array67 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array67, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66);
    double[] d_array73 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array73);
    double[] d_array75 = gaussianFitter62.fit(d_array66);
    double[] d_array76 = gaussianFitter45.fit(d_array66);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint80 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.201588407601501d), 0.004425697988052562d, 1.3754263876807227d);
    gaussianFitter45.addObservedPoint(weightedObservedPoint80);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array82 = gaussianFitter45.getObservations();
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1, localizable25, (java.lang.Object[])weightedObservedPoint_array82);
    java.lang.String str84 = convergenceException83.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: "+ "'", str2.equals("org.apache.commons.math.exception.MaxCountExceededException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 1+ "'", number19.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array82);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9837645341340948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.007108838320188851d));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test417"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    curveFitter7.addObservedPoint(0.010000333346667207d, (-0.8414709848078964d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint23 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.201588407601501d, 1.7182818284590453d, (-2.3012989023072947d));
    curveFitter7.addObservedPoint(weightedObservedPoint23);
    curveFitter7.clearObservations();
    curveFitter7.addObservedPoint(0.0d, 4.049102469624155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(3.0336006673238655E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test419"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    org.apache.commons.math.exception.util.Localizable localizable23 = optimizationException3.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable23);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test420"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    gaussianFitter8.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = gaussianFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test421"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.574432013567747d), 82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.777782771261081E24d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test422"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-1.9342812E25f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.9342811E25f));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test423"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-7.223181234835374E29d), 51.287821136357294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.223181234835372E29d));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test424"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(7.1746481373430634E-43d, (-11.9229695814234d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test425"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.30389950299471935d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Throwable[] throwable_array3 = tooManyEvaluationsException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0.30389950299471935d+ "'", number2.equals(0.30389950299471935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test426"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.012478132650489E-13d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = tooManyEvaluationsException1.getGeneralPattern();
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math.exception.DimensionMismatchException(localizable3, 61, 100);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)(-0.14132048461627095d), (java.lang.Number)0.302937772833678d, (java.lang.Number)2.3978952727983707d);
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, number11, (java.lang.Number)5.8629771212763016E-24d, (java.lang.Number)0.773538838756546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 2.012478132650489E-13d+ "'", number2.equals(2.012478132650489E-13d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test427"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d3 = simpleVectorialValueChecker2.getRelativeThreshold();
    double[] d_array6 = new double[] { 100.0d };
    double[] d_array7 = new double[] {  };
    double[] d_array8 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair10 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array8, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array14 = new double[] {  };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14);
    double[] d_array21 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array21);
    boolean b23 = simpleVectorialValueChecker2.converged((-1), vectorialPointValuePair11, vectorialPointValuePair22);
    double[] d_array24 = vectorialPointValuePair22.getValueRef();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d29 = levenbergMarquardtOptimizer28.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i37 = levenbergMarquardtOptimizer36.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter38 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array41 = new double[] {  };
    double[] d_array42 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41);
    double[] d_array46 = vectorialPointValuePair45.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer50 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i51 = levenbergMarquardtOptimizer50.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker52 = levenbergMarquardtOptimizer50.getConvergenceChecker();
    int i53 = levenbergMarquardtOptimizer50.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter54 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer50);
    curveFitter54.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction56 = null;
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array59 = new double[] {  };
    double[] d_array60 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59);
    double[] d_array66 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array66);
    double[] d_array68 = curveFitter54.fit(parametricUnivariateRealFunction56, d_array66);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array68, false);
    double[] d_array71 = gaussianFitter38.fit(d_array46);
    double[] d_array72 = gaussianFitter30.fit(d_array71);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array71, true);
    double[] d_array75 = vectorialPointValuePair74.getValue();
    double[] d_array76 = vectorialPointValuePair74.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test428"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.5567847548268643d, 0.31883093739069235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.31883093739069235d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, 1.775868711232031E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test430"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array11 = new double[] {  };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11);
    double[] d_array16 = curveFitter7.fit(parametricUnivariateRealFunction8, d_array11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.773775678340353d, 0.8259324122591327d, 2.6582423028678988d);
    curveFitter7.addObservedPoint(weightedObservedPoint20);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction23 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer27 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d28 = levenbergMarquardtOptimizer27.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter29 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer27);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getPointRef();
    double[] d_array35 = gaussianFitter29.fit(d_array34);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer39 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i40 = levenbergMarquardtOptimizer39.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker41 = levenbergMarquardtOptimizer39.getConvergenceChecker();
    int i42 = levenbergMarquardtOptimizer39.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter43 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer39);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction44 = null;
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array47 = new double[] {  };
    double[] d_array48 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47);
    double[] d_array52 = curveFitter43.fit(parametricUnivariateRealFunction44, d_array47);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array47);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array54 = curveFitter7.fit(100, parametricUnivariateRealFunction23, d_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(182.28849485853178d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.501425660223138d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test432"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.01d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test433"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-208), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.08115744229734626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0812467983915407d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test435"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.1769943128626328d, 0.18902796039406775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1769943128626328d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test436"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)10L);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException8 = new org.apache.commons.math.exception.OutOfRangeException(localizable4, (java.lang.Number)(short)(-1), number6, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable9 = outOfRangeException8.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException(localizable11, (java.lang.Number)(short)(-1), number13, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException15);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Number number19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException(localizable17, (java.lang.Number)(short)(-1), number19, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException21);
    outOfRangeException15.addSuppressed((java.lang.Throwable)outOfRangeException21);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { outOfRangeException21 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array24);
    org.apache.commons.math.exception.ConvergenceException convergenceException26 = new org.apache.commons.math.exception.ConvergenceException(localizable9, obj_array24);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException1, localizable9, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException33);
    java.lang.Number number35 = outOfRangeException33.getArgument();
    java.lang.Throwable[] throwable_array36 = outOfRangeException33.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException(localizable9, (java.lang.Object[])throwable_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException37);
    java.lang.Throwable throwable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Number number43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException(localizable41, (java.lang.Number)(short)(-1), number43, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException45.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable47, obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(throwable40, localizable46, obj_array49);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException55 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable46, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException56 = new org.apache.commons.math.exception.NullArgumentException(localizable46);
    org.apache.commons.math.exception.ZeroException zeroException57 = new org.apache.commons.math.exception.ZeroException(localizable46);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer61 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i62 = levenbergMarquardtOptimizer61.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker63 = levenbergMarquardtOptimizer61.getConvergenceChecker();
    int i64 = levenbergMarquardtOptimizer61.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter65 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer61);
    curveFitter65.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint70 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d71 = weightedObservedPoint70.getY();
    double d72 = weightedObservedPoint70.getY();
    curveFitter65.addObservedPoint(weightedObservedPoint70);
    curveFitter65.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array75 = curveFitter65.getObservations();
    org.apache.commons.math.exception.ConvergenceException convergenceException76 = new org.apache.commons.math.exception.ConvergenceException(localizable46, (java.lang.Object[])weightedObservedPoint_array75);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException38, "org.apache.commons.math.exception.NumberIsTooSmallException: 1 is smaller than the minimum (1.198): 1 out of [1.198, {2}] range", (java.lang.Object[])weightedObservedPoint_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + (short)(-1)+ "'", number35.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array75);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test437"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-2L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2L));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test438"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.012040400836851569d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5587556350204002d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test439"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.4453609646811018d), 1.6507835559664077d, 0.8259324122591327d, 0.30389950299471935d, 0.6045824459415916d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test440"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    java.lang.Number number5 = outOfRangeException4.getArgument();
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException(localizable13, obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException(throwable6, localizable12, obj_array15);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable12, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException(localizable23, obj_array25);
    java.lang.Object[] obj_array27 = mathException26.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable22, obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable12, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Throwable throwable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException(localizable38, obj_array40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException(throwable31, localizable37, obj_array40);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException48 = new org.apache.commons.math.optimization.OptimizationException(localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable44, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException42, "hi!", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException(localizable30, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4, localizable12, obj_array47);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException54 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable12, (java.lang.Number)0.005304046922432221d);
    java.lang.Number number55 = notStrictlyPositiveException54.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)(-1)+ "'", number5.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + 0+ "'", number55.equals(0));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test441"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(102400.016f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0078125f);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test442"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Number number20 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)(short)(-1), number20, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable23 = outOfRangeException22.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException(localizable25, obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)0.0f, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, obj_array27);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)1.3354503653351284d, number32, true);
    org.apache.commons.math.exception.ConvergenceException convergenceException35 = new org.apache.commons.math.exception.ConvergenceException(localizable5);
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException39 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)2.1682580260712272E-23d, number37, false);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException41 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable5, (java.lang.Number)0.014311495238237453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test443"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-9.6714065E24f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-9.671406E24f));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test444"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.18904396064845583d, 0.29484991080718775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.18904396064845586d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test445"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException6 = new org.apache.commons.math.exception.ZeroException(localizable5);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Number number9 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException(localizable7, (java.lang.Number)(short)(-1), number9, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable12 = outOfRangeException11.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)0.0f, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException(localizable19, (java.lang.Number)(short)(-1), number21, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable24 = outOfRangeException23.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException(localizable26, obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)0.0f, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(localizable31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable24, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Number number44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException46 = new org.apache.commons.math.exception.OutOfRangeException(localizable42, (java.lang.Number)(short)(-1), number44, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException46);
    java.lang.Throwable[] throwable_array48 = outOfRangeException46.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException18, localizable24, localizable41, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException(localizable5, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable56, obj_array63);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer68 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i69 = levenbergMarquardtOptimizer68.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker70 = levenbergMarquardtOptimizer68.getConvergenceChecker();
    int i71 = levenbergMarquardtOptimizer68.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter72 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer68);
    curveFitter72.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint77 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d78 = weightedObservedPoint77.getY();
    double d79 = weightedObservedPoint77.getY();
    curveFitter72.addObservedPoint(weightedObservedPoint77);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array81 = curveFitter72.getObservations();
    org.apache.commons.math.exception.ConvergenceException convergenceException82 = new org.apache.commons.math.exception.ConvergenceException(localizable5, (java.lang.Object[])weightedObservedPoint_array81);
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    java.lang.Object[] obj_array86 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(localizable84, obj_array86);
    java.lang.Object[] obj_array88 = mathException87.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException89 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable83, obj_array88);
    java.lang.Object[] obj_array90 = mathIllegalArgumentException89.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array90);
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException(localizable5, obj_array90);
    java.lang.String str93 = mathException92.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str93 + "' != '" + "{0} out of [{1}, {2}] range"+ "'", str93.equals("{0} out of [{1}, {2}] range"));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test446"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.015625002f, 4194304.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.015625002f);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(5.69264512733328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test448"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    double[] d_array32 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array31);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction34 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i39 = levenbergMarquardtOptimizer38.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker40 = levenbergMarquardtOptimizer38.getConvergenceChecker();
    int i41 = levenbergMarquardtOptimizer38.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker42 = levenbergMarquardtOptimizer38.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter43 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer38);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction44 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer48 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i49 = levenbergMarquardtOptimizer48.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker50 = levenbergMarquardtOptimizer48.getConvergenceChecker();
    int i51 = levenbergMarquardtOptimizer48.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker52 = levenbergMarquardtOptimizer48.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter53 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer48);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer57 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d58 = levenbergMarquardtOptimizer57.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter59 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer57);
    double[] d_array60 = new double[] {  };
    double[] d_array61 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array64 = vectorialPointValuePair63.getPointRef();
    double[] d_array65 = gaussianFitter59.fit(d_array64);
    double[] d_array66 = gaussianFitter53.fit(d_array64);
    double[] d_array67 = gaussianFitter43.fit(parametricUnivariateRealFunction44, d_array66);
    double[] d_array69 = new double[] { 100.0d };
    double[] d_array70 = new double[] {  };
    double[] d_array71 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array70, d_array71, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair75 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array70);
    double[] d_array76 = gaussianFitter8.fit(200, parametricUnivariateRealFunction34, d_array66);
    gaussianFitter8.addObservedPoint((-0.6472392715677459d), 1.741147649100222d);
    double[] d_array80 = new double[] {  };
    double[] d_array81 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array80, d_array81, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array84 = gaussianFitter8.fit(d_array81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test449"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i5 = levenbergMarquardtOptimizer4.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer4.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    curveFitter8.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint13 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 2.3978952727983707d, 0.0d);
    double d14 = weightedObservedPoint13.getY();
    double d15 = weightedObservedPoint13.getY();
    curveFitter8.addObservedPoint(weightedObservedPoint13);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array17 = curveFitter8.getObservations();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.OutOfRangeException: 1.041 out of [0.341, -100] range: 1.041 out of [0.341, -100] range", (java.lang.Object[])weightedObservedPoint_array17);
    org.apache.commons.math.exception.util.Localizable localizable19 = mathException18.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable19);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test450"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException(localizable1, obj_array3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("hi!", obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array7 = convergenceException6.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable8 = convergenceException6.getGeneralPattern();
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)convergenceException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable8);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test451"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-1.5703250923847751d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(6.554155348603184E59d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.755254397480572E61d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test453"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-133), (-18));
    java.lang.Object[] obj_array3 = dimensionMismatchException2.getArguments();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test454"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.3762845860817357d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test455"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5173102630874193d, 1.0000410681854786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5173102630874195d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test456"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException17);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable25 = outOfRangeException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException(localizable27, obj_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math.exception.MaxCountExceededException(localizable25, (java.lang.Number)0.0f, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException(localizable32, obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException(localizable25, obj_array34);
    org.apache.commons.math.exception.ConvergenceException convergenceException37 = new org.apache.commons.math.exception.ConvergenceException(localizable25);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Number number40 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException(localizable38, (java.lang.Number)(short)(-1), number40, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable43 = outOfRangeException42.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException48 = new org.apache.commons.math.optimization.OptimizationException(localizable45, obj_array47);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException49 = new org.apache.commons.math.exception.MaxCountExceededException(localizable43, (java.lang.Number)0.0f, obj_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException(localizable25, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(localizable63, obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable56, obj_array65);
    org.apache.commons.math.exception.ConvergenceException convergenceException68 = new org.apache.commons.math.exception.ConvergenceException(localizable56);
    java.lang.Throwable throwable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Number number72 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException74 = new org.apache.commons.math.exception.OutOfRangeException(localizable70, (java.lang.Number)(short)(-1), number72, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable75 = outOfRangeException74.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable76, obj_array78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException(throwable69, localizable75, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException17, localizable25, localizable56, obj_array78);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException82 = new org.apache.commons.math.exception.NullArgumentException(localizable56);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException85 = new org.apache.commons.math.exception.DimensionMismatchException(localizable56, 133, 1);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException86 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException85);
    java.lang.Number number87 = dimensionMismatchException85.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number87 + "' != '" + 133+ "'", number87.equals(133));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test457"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.007487970620142502d, 2.5404881143480985E-22d, 0.8705751385100587d, 1.7453292519943296E-4d, 1.773775678340353d);
    int i6 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(7.503164862174484E-25d, 70.09247016442382d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair12 = null;
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array15 = new double[] {  };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array21);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array27 = new double[] {  };
    double[] d_array28 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27);
    double[] d_array32 = vectorialPointValuePair31.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getValue();
    double[] d_array36 = vectorialPointValuePair34.getValue();
    double[] d_array37 = vectorialPointValuePair34.getValue();
    double[] d_array38 = vectorialPointValuePair34.getValue();
    // The following exception was thrown during execution in test generation
    try {
      boolean b39 = simpleVectorialValueChecker9.converged(106, vectorialPointValuePair12, vectorialPointValuePair34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test458"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math.exception.MaxCountExceededException(localizable6, (java.lang.Number)0.0f, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Number number15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException(localizable13, (java.lang.Number)(short)(-1), number15, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable18 = outOfRangeException17.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array22);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, (java.lang.Number)0.0f, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable25, obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException(localizable18, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable35 = outOfRangeException34.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException40);
    java.lang.Throwable[] throwable_array42 = outOfRangeException40.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException12, localizable18, localizable35, (java.lang.Object[])throwable_array42);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, obj_array44);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable35, obj_array46);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException(localizable52, obj_array54);
    java.lang.Object[] obj_array56 = mathException55.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable51, obj_array56);
    java.lang.Object[] obj_array58 = mathIllegalArgumentException57.getArguments();
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException61 = new org.apache.commons.math.exception.MaxCountExceededException(localizable35, (java.lang.Number)100L, obj_array58);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException61);
    java.lang.Throwable throwable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Number number67 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException69 = new org.apache.commons.math.exception.OutOfRangeException(localizable65, (java.lang.Number)(short)(-1), number67, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable70 = outOfRangeException69.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    java.lang.Object[] obj_array73 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException74 = new org.apache.commons.math.optimization.OptimizationException(localizable71, obj_array73);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException(throwable64, localizable70, obj_array73);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException79 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable70, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    java.lang.Object[] obj_array83 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException(localizable81, obj_array83);
    java.lang.Object[] obj_array85 = mathException84.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException86 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable80, obj_array85);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(localizable70, obj_array85);
    org.apache.commons.math.exception.ConvergenceException convergenceException88 = new org.apache.commons.math.exception.ConvergenceException(localizable70);
    java.lang.Throwable[] throwable_array89 = convergenceException88.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException61, "org.apache.commons.math.exception.OutOfRangeException: 0 out of [100, 10] range", (java.lang.Object[])throwable_array89);
    java.lang.Throwable[] throwable_array91 = convergenceException90.getSuppressed();
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NumberIsTooSmallException: 1.543 is smaller than the minimum (0)", (java.lang.Object[])throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test459"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.010000333356668702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010000166674167116d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test460"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, localizable14, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable7, obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "hi!", obj_array24);
    java.lang.Object[] obj_array30 = mathException29.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable31 = mathException29.getGeneralPattern();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.7080476388712469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8561396030489234d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.04187563202117844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.173051195907738d));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test463"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException(localizable2, (java.lang.Number)(short)(-1), number4, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException6);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable13, (java.lang.Number)0.0f, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException(localizable20, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException7, localizable13, obj_array22);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array25);
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Number number30 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException32 = new org.apache.commons.math.exception.OutOfRangeException(localizable28, (java.lang.Number)(short)(-1), number30, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable33 = outOfRangeException32.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException(localizable34, obj_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(throwable27, localizable33, obj_array36);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer42 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i43 = levenbergMarquardtOptimizer42.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker44 = levenbergMarquardtOptimizer42.getConvergenceChecker();
    int i45 = levenbergMarquardtOptimizer42.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter46 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer42);
    curveFitter46.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array48 = curveFitter46.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, localizable13, localizable33, (java.lang.Object[])weightedObservedPoint_array48);
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException54);
    java.lang.Number number56 = outOfRangeException54.getArgument();
    java.lang.Throwable[] throwable_array57 = outOfRangeException54.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException54);
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Number number62 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException64 = new org.apache.commons.math.exception.OutOfRangeException(localizable60, (java.lang.Number)(short)(-1), number62, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable65 = outOfRangeException64.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException70 = new org.apache.commons.math.optimization.OptimizationException(localizable67, obj_array69);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException71 = new org.apache.commons.math.exception.MaxCountExceededException(localizable65, (java.lang.Number)0.0f, obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException54, "org.apache.commons.math.ConvergenceException: hi!", obj_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException(localizable33, obj_array69);
    org.apache.commons.math.optimization.OptimizationException optimizationException74 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.MathException: hi!", obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number56 + "' != '" + (short)(-1)+ "'", number56.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test464"); }


    int i1 = org.apache.commons.math.util.FastMath.round(3.8146977E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test465"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.19631925954314863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.21855317764789417d));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test466"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.2676506E31f, 1.8189898E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E31f);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test467"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException11 = new org.apache.commons.math.exception.DimensionMismatchException(localizable8, 80, 0);
    java.lang.Throwable[] throwable_array12 = dimensionMismatchException11.getSuppressed();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, number6, (java.lang.Object[])throwable_array12);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Number number17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException(localizable15, (java.lang.Number)(short)(-1), number17, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable20 = outOfRangeException19.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException(localizable20, (java.lang.Number)0.0f, obj_array24);
    org.apache.commons.math.exception.ConvergenceException convergenceException27 = new org.apache.commons.math.exception.ConvergenceException(localizable20);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException30 = new org.apache.commons.math.exception.DimensionMismatchException(localizable20, 10, 100);
    java.lang.Object[] obj_array31 = dimensionMismatchException30.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable32 = dimensionMismatchException30.getSpecificPattern();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException(localizable32);
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable40 = outOfRangeException39.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException(localizable41, obj_array43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(throwable34, localizable40, obj_array43);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException49 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable40, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException50 = new org.apache.commons.math.exception.NullArgumentException(localizable40);
    org.apache.commons.math.exception.ZeroException zeroException51 = new org.apache.commons.math.exception.ZeroException(localizable40);
    java.lang.Throwable[] throwable_array52 = zeroException51.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException14, localizable32, (java.lang.Object[])throwable_array52);
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Number number57 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException59 = new org.apache.commons.math.exception.OutOfRangeException(localizable55, (java.lang.Number)(short)(-1), number57, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable60 = outOfRangeException59.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException(localizable61, obj_array63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException(throwable54, localizable60, obj_array63);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException69 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable60, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException70 = new org.apache.commons.math.exception.NullArgumentException(localizable60);
    org.apache.commons.math.exception.ZeroException zeroException71 = new org.apache.commons.math.exception.ZeroException(localizable60);
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException76 = new org.apache.commons.math.optimization.OptimizationException(localizable73, obj_array75);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable72, obj_array75);
    java.lang.Object[] obj_array78 = mathIllegalArgumentException77.getArguments();
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException(localizable60, obj_array78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(localizable32, obj_array78);
    org.apache.commons.math.optimization.OptimizationException optimizationException82 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.1472765264269655d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9817778627643851d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test469"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test470"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.36978154639380867d), 0.5556825408508069d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test471"); }


    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.0d, (java.lang.Number)(-0.3803027240466025d), number2);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException6 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)10);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException6);
    java.lang.Number number8 = tooManyEvaluationsException6.getMax();
    java.lang.Object[] obj_array9 = tooManyEvaluationsException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "org.apache.commons.math.MathException: -1 out of [null, -1] range", obj_array9);
    java.lang.String str11 = mathException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)10+ "'", number8.equals((short)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MathException: -1 out of [null, -1] range"+ "'", str11.equals("org.apache.commons.math.MathException: -1 out of [null, -1] range"));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test472"); }


    int i1 = org.apache.commons.math.util.FastMath.round(4.5474735E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test473"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-9), 1);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test474"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)2.1770691667150968d, number1, (java.lang.Number)0.6164716811733241d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test475"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.1017612416682803d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test476"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)0.04183896433529336d, (java.lang.Number)0.5173102630874195d, (java.lang.Number)1.000002453780178d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test477"); }


    double[] d_array0 = null;
    double[] d_array1 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test478"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException(localizable9, (java.lang.Number)(short)(-1), number11, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable14 = outOfRangeException13.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(throwable8, localizable14, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException(localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable7, obj_array24);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4, "hi!", obj_array24);
    java.lang.Object[] obj_array30 = mathException29.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable31 = mathException29.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException36 = new org.apache.commons.math.exception.OutOfRangeException(localizable32, (java.lang.Number)(short)(-1), number34, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException36.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException38 = new org.apache.commons.math.exception.ZeroException(localizable37);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Number number41 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException43 = new org.apache.commons.math.exception.OutOfRangeException(localizable39, (java.lang.Number)(short)(-1), number41, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable44 = outOfRangeException43.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array48);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException(localizable44, (java.lang.Number)0.0f, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Number number53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException55 = new org.apache.commons.math.exception.OutOfRangeException(localizable51, (java.lang.Number)(short)(-1), number53, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable56 = outOfRangeException55.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException(localizable58, obj_array60);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable56, (java.lang.Number)0.0f, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException(localizable63, obj_array65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable56, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Number number70 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException72 = new org.apache.commons.math.exception.OutOfRangeException(localizable68, (java.lang.Number)(short)(-1), number70, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable73 = outOfRangeException72.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    java.lang.Number number76 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException78 = new org.apache.commons.math.exception.OutOfRangeException(localizable74, (java.lang.Number)(short)(-1), number76, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException78);
    java.lang.Throwable[] throwable_array80 = outOfRangeException78.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException50, localizable56, localizable73, (java.lang.Object[])throwable_array80);
    org.apache.commons.math.optimization.OptimizationException optimizationException82 = new org.apache.commons.math.optimization.OptimizationException(localizable37, (java.lang.Object[])throwable_array80);
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    java.lang.Object[] obj_array86 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(localizable84, obj_array86);
    java.lang.Object[] obj_array88 = mathException87.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException89 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable83, obj_array88);
    java.lang.Object[] obj_array90 = mathIllegalArgumentException89.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException91 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array90);
    org.apache.commons.math.optimization.OptimizationException optimizationException92 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array90);
    java.lang.Object[] obj_array93 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test479"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-100.00002f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-100));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test480"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.5063656411097588d), 0.0023529875553292964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5063656411097587d));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test481"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.9376558078861459d, 1.0004378481191896d, (-0.764725154011207d));
    double d4 = weightedObservedPoint3.getX();
    double d5 = weightedObservedPoint3.getX();
    double d6 = weightedObservedPoint3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0004378481191896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.764725154011207d));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.0000000000001006d, 0.010000500030835238d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.010000500030835238d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test483"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(2.012478132650489E-13d, 1.3440585709080678E43d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test484"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.19903708441102297d), 1.5707552678632224d, 0.10753749137750186d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(6.636209728869457E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.636209728918166E-6d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test486"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException(localizable12, obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException(localizable5, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException16);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)(short)(-1), number22, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable25 = outOfRangeException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Throwable throwable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException(localizable35, obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException(throwable28, localizable34, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException(localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException39, "hi!", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException(localizable27, obj_array44);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException24, "hi!", obj_array44);
    java.lang.Object[] obj_array50 = mathException49.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable51 = mathException49.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException53 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable51, (java.lang.Number)0.7800449822767326d);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException(localizable54, (java.lang.Number)(short)(-1), number56, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException58);
    java.lang.Number number60 = outOfRangeException58.getArgument();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException61 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException58);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException58);
    java.lang.Object[] obj_array63 = convergenceException62.getArguments();
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException(localizable51, obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException16, "", obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable66 = mathException16.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException70 = new org.apache.commons.math.exception.OutOfRangeException(localizable66, (java.lang.Number)0.0022153009612485078d, (java.lang.Number)6.447707643375763d, (java.lang.Number)2.7196241874833964d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + (short)(-1)+ "'", number60.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable66);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test487"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 2.3978952727983707d);
    double d11 = simpleVectorialValueChecker10.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker10);
    int i13 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i14 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter15 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker16 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.3978952727983707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker16);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test488"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException5.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException(throwable0, localizable6, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException11, "hi!", obj_array16);
    java.lang.String str20 = convergenceException19.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test489"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array2);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException3, "hi!", obj_array19);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException22);
    java.lang.Object[] obj_array24 = convergenceException22.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.2714925488847557d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2749434889714774d));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test491"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test492"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction8 = null;
    double[] d_array9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = curveFitter6.fit(79, parametricUnivariateRealFunction8, d_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test493"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException(localizable2, (java.lang.Number)(short)(-1), number4, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable7 = outOfRangeException6.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable8, obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException(throwable1, localizable7, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException(localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable14, obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12, "hi!", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable0, obj_array17);
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)convergenceException21);
    java.lang.Throwable throwable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Number number26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math.exception.OutOfRangeException(localizable24, (java.lang.Number)(short)(-1), number26, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException28);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException(localizable30, (java.lang.Number)(short)(-1), number32, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable35 = outOfRangeException34.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException(localizable37, obj_array39);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException41 = new org.apache.commons.math.exception.MaxCountExceededException(localizable35, (java.lang.Number)0.0f, obj_array39);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException(localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException29, localizable35, obj_array44);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, obj_array47);
    java.lang.Throwable throwable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException(localizable50, (java.lang.Number)(short)(-1), number52, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable55 = outOfRangeException54.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException59 = new org.apache.commons.math.optimization.OptimizationException(localizable56, obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(throwable49, localizable55, obj_array58);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer64 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i65 = levenbergMarquardtOptimizer64.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker66 = levenbergMarquardtOptimizer64.getConvergenceChecker();
    int i67 = levenbergMarquardtOptimizer64.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter68 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer64);
    curveFitter68.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array70 = curveFitter68.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException(throwable23, localizable35, localizable55, (java.lang.Object[])weightedObservedPoint_array70);
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    java.lang.Number number75 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException77 = new org.apache.commons.math.exception.OutOfRangeException(localizable73, (java.lang.Number)(short)(-1), number75, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException77);
    java.lang.Number number79 = outOfRangeException77.getArgument();
    java.lang.Throwable[] throwable_array80 = outOfRangeException77.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException77);
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Number number85 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException87 = new org.apache.commons.math.exception.OutOfRangeException(localizable83, (java.lang.Number)(short)(-1), number85, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable88 = outOfRangeException87.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable90 = null;
    java.lang.Object[] obj_array92 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException93 = new org.apache.commons.math.optimization.OptimizationException(localizable90, obj_array92);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException94 = new org.apache.commons.math.exception.MaxCountExceededException(localizable88, (java.lang.Number)0.0f, obj_array92);
    org.apache.commons.math.MathException mathException95 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException77, "org.apache.commons.math.ConvergenceException: hi!", obj_array92);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException(localizable72, obj_array92);
    org.apache.commons.math.MathException mathException97 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException21, localizable35, obj_array92);
    java.lang.Object[] obj_array98 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number79 + "' != '" + (short)(-1)+ "'", number79.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array98);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test494"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, (java.lang.Number)(short)(-1), number3, (java.lang.Number)(-1.0f));
    java.lang.Number number6 = outOfRangeException5.getArgument();
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, (java.lang.Number)(short)(-1), number10, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable13 = outOfRangeException12.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException(throwable7, localizable13, obj_array16);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable13, (java.lang.Number)(-0.8414709848078965d), (java.lang.Number)1, false);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    java.lang.Object[] obj_array28 = mathException27.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException(localizable13, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    java.lang.Number number35 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)(short)(-1), number35, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable38 = outOfRangeException37.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException(localizable39, obj_array41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException(throwable32, localizable38, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException43, "hi!", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException(localizable31, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException5, localizable13, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("hi!", obj_array48);
    java.lang.String str55 = convergenceException54.getPattern();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException56 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException54);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer61 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d62 = levenbergMarquardtOptimizer61.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter63 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer61);
    double[] d_array64 = new double[] {  };
    double[] d_array65 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array64, d_array65, false);
    double[] d_array68 = vectorialPointValuePair67.getPointRef();
    double[] d_array69 = gaussianFitter63.fit(d_array68);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction70 = null;
    double[] d_array72 = new double[] { 100.0d };
    double[] d_array73 = new double[] {  };
    double[] d_array74 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair76 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array74, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array72, d_array73);
    double[] d_array78 = new double[] {  };
    double[] d_array79 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array78, d_array79, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair82 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array79);
    double[] d_array84 = new double[] { 100.0d };
    double[] d_array85 = new double[] {  };
    double[] d_array86 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair88 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array85, d_array86, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair89 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array84, d_array85);
    double[] d_array90 = vectorialPointValuePair89.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair92 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array79, d_array90, false);
    double[] d_array93 = gaussianFitter63.fit(parametricUnivariateRealFunction70, d_array90);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array94 = gaussianFitter63.getObservations();
    java.lang.Object[] obj_array95 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array94);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException56, "org.apache.commons.math.MathException: false out of [{1}, {2}] range", (java.lang.Object[])weightedObservedPoint_array94);
    org.apache.commons.math.exception.util.Localizable localizable97 = mathRuntimeException56.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)(-1)+ "'", number6.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "hi!"+ "'", str55.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable97);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test495"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.07878335481527755d, (-0.6002804736455605d), 1.0177793180102874d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test496"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i14 = levenbergMarquardtOptimizer13.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    int i16 = levenbergMarquardtOptimizer13.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer13.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 2.6582423028678988d, 10.0d);
    double d23 = levenbergMarquardtOptimizer22.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter24 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer22);
    double[] d_array25 = new double[] {  };
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26, false);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    double[] d_array30 = gaussianFitter24.fit(d_array29);
    double[] d_array31 = gaussianFitter18.fit(d_array29);
    double[] d_array32 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array31);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = new double[] {  };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array35);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array43 = new double[] {  };
    double[] d_array44 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array43);
    double[] d_array48 = vectorialPointValuePair47.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer52 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 10.0d, (-1.0d));
    int i53 = levenbergMarquardtOptimizer52.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker54 = levenbergMarquardtOptimizer52.getConvergenceChecker();
    int i55 = levenbergMarquardtOptimizer52.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter56 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer52);
    curveFitter56.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction58 = null;
    double[] d_array60 = new double[] { 100.0d };
    double[] d_array61 = new double[] {  };
    double[] d_array62 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61);
    double[] d_array68 = new double[] { (-1.0d), 0.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array68);
    double[] d_array70 = curveFitter56.fit(parametricUnivariateRealFunction58, d_array68);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array70, false);
    double[] d_array74 = new double[] { 100.0d };
    double[] d_array75 = new double[] {  };
    double[] d_array76 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array76, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75);
    double[] d_array80 = vectorialPointValuePair79.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array70, d_array80);
    double[] d_array82 = vectorialPointValuePair81.getValue();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array82, false);
    double[] d_array85 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair87 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array82, d_array85, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test497"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.20457557925700515d, 0.10319562358974477d);
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test498"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException(localizable7, obj_array9);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)0.0f, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException(localizable12, (java.lang.Number)(short)(-1), number14, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable17 = outOfRangeException16.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array21);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, (java.lang.Number)0.0f, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException(localizable24, obj_array26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException(localizable17, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Number number31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException(localizable29, (java.lang.Number)(short)(-1), number31, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable34 = outOfRangeException33.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException(localizable35, (java.lang.Number)(short)(-1), number37, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException39);
    java.lang.Throwable[] throwable_array41 = outOfRangeException39.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable17, localizable34, (java.lang.Object[])throwable_array41);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException11);
    org.apache.commons.math.exception.util.Localizable localizable44 = maxCountExceededException11.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Number number49 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException51 = new org.apache.commons.math.exception.OutOfRangeException(localizable47, (java.lang.Number)(short)(-1), number49, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException51);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Number number55 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)(short)(-1), number55, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException57);
    outOfRangeException51.addSuppressed((java.lang.Throwable)outOfRangeException57);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { outOfRangeException57 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", obj_array60);
    java.lang.Object[] obj_array62 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException11, localizable45, obj_array60);
    java.lang.String str64 = maxCountExceededException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.exception.MaxCountExceededException: MAX_COUNT_EXCEEDED out of [0, 0] range"+ "'", str64.equals("org.apache.commons.math.exception.MaxCountExceededException: MAX_COUNT_EXCEEDED out of [0, 0] range"));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test499"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(1, 100);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, (java.lang.Number)(short)(-1), number7, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable10 = outOfRangeException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)0.0f, obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(localizable17, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException(localizable10, obj_array19);
    org.apache.commons.math.exception.ConvergenceException convergenceException22 = new org.apache.commons.math.exception.ConvergenceException(localizable10);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Number number26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math.exception.OutOfRangeException(localizable24, (java.lang.Number)(short)(-1), number26, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable29 = outOfRangeException28.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException34 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array33);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException35 = new org.apache.commons.math.exception.MaxCountExceededException(localizable29, (java.lang.Number)0.0f, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Number number38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException(localizable36, (java.lang.Number)(short)(-1), number38, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable41 = outOfRangeException40.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException(localizable43, obj_array45);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException47 = new org.apache.commons.math.exception.MaxCountExceededException(localizable41, (java.lang.Number)0.0f, obj_array45);
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(localizable48, obj_array50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException(localizable41, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Number number55 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)(short)(-1), number55, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable58 = outOfRangeException57.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Number number61 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException(localizable59, (java.lang.Number)(short)(-1), number61, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException63);
    java.lang.Throwable[] throwable_array65 = outOfRangeException63.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException35, localizable41, localizable58, (java.lang.Object[])throwable_array65);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException67 = new org.apache.commons.math.exception.MaxCountExceededException(localizable10, (java.lang.Number)1.0845416358523312d, (java.lang.Object[])throwable_array65);
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Object[] obj_array70 = new java.lang.Object[] { false };
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException(localizable68, obj_array70);
    java.lang.Object[] obj_array72 = mathException71.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, obj_array72);
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    java.lang.Throwable throwable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Number number78 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException80 = new org.apache.commons.math.exception.OutOfRangeException(localizable76, (java.lang.Number)(short)(-1), number78, (java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.Localizable localizable81 = outOfRangeException80.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    java.lang.Object[] obj_array84 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException85 = new org.apache.commons.math.optimization.OptimizationException(localizable82, obj_array84);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException(throwable75, localizable81, obj_array84);
    org.apache.commons.math.exception.util.Localizable localizable88 = null;
    org.apache.commons.math.exception.util.Localizable localizable89 = null;
    java.lang.Object[] obj_array91 = new java.lang.Object[] { 0L };
    org.apache.commons.math.optimization.OptimizationException optimizationException92 = new org.apache.commons.math.optimization.OptimizationException(localizable89, obj_array91);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException93 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable88, obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException86, "hi!", obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException(localizable74, obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException3, localizable10, obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException97 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: false out of [{1}, {2}] range", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test500"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)(short)(-1), number2, (java.lang.Number)(-1.0f));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException4);
    java.lang.String str8 = convergenceException7.getPattern();
    java.lang.String str9 = convergenceException7.toString();
    org.apache.commons.math.exception.util.Localizable localizable10 = convergenceException7.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0}"+ "'", str8.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.ConvergenceException: -1 out of [null, -1] range"+ "'", str9.equals("org.apache.commons.math.ConvergenceException: -1 out of [null, -1] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable10);

  }

}
