
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest24 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test001"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.34245224568076815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.34245224568076815d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test002"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.999999998750125d, 0.03582763300024814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999987501249d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test003"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.33806723060032d, (java.lang.Number)3.9939405740966345d, (java.lang.Number)(-0.7413591152950743d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test004"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d8 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker11 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker11);
    double d13 = simpleVectorialValueChecker11.getAbsoluteThreshold();
    double d14 = simpleVectorialValueChecker11.getRelativeThreshold();
    double d15 = simpleVectorialValueChecker11.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.9534903170187385d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test005"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException3.getSpecificPattern();
    boolean b6 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.9534903170187385d)+ "'", number4.equals((-0.9534903170187385d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test006"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 5.046178869499785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test007"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 1.2980742E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test008"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.2980742E35f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.7398983613676335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01291366253597602d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test011"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.7241400178893856d, 0.8430323737328528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7241400178893858d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(6.253101590505044E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test013"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-0.946026671867751d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-54.20333560482974d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test014"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    curveFitter10.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test015"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.7398983613676335d, 1.0006424281843056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7398983613676335d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.0840669682797015d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0840669682797015d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.01255683262887499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.734723475976807E-18d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test018"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = null;
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker7);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker10 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker10);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test019"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.18819393554633074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test020"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, localizable4, obj_array10);
    optimizationException2.addSuppressed((java.lang.Throwable)mathIllegalArgumentException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test021"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(7917.822216560756d, 0.7141515718981495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 608.4087085432599d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test022"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.9129031725059056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7912822198440062d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.0594630943592955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05776226504666236d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test024"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.4677992676220695d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4677992676220695d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test025"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.0f, 0.585446030826508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test026"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-1.0d), 0.999999998750125d);
    double d4 = gaussian2.value(0.7398983613676335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.08781159815012134d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.1262684148563817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test028"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.6584020804826582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6584020804826582d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test029"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array10 = gaussianFitter7.fit(d_array9);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction11 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer17 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer17);
    double[] d_array21 = new double[] { 10.0d, 0.0d };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    double[] d_array26 = vectorialPointValuePair24.getValue();
    double[] d_array27 = vectorialPointValuePair24.getPointRef();
    double[] d_array30 = new double[] { 10.0d, 0.0d };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array34, false);
    double[] d_array39 = new double[] { 10.0d, 0.0d };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getPoint();
    double[] d_array44 = vectorialPointValuePair42.getValue();
    double[] d_array45 = vectorialPointValuePair42.getPointRef();
    double[] d_array48 = new double[] { 10.0d, 0.0d };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    double[] d_array52 = vectorialPointValuePair51.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array52, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array45, false);
    double[] d_array57 = gaussianFitter18.fit(d_array34);
    double[] d_array58 = gaussianFitter7.fit(parametricUnivariateRealFunction11, d_array34);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer64 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter65 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer64);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter66 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer64);
    double[] d_array68 = new double[] { 100.0d };
    double[] d_array69 = gaussianFitter66.fit(d_array68);
    double[] d_array70 = gaussianFitter7.fit(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test030"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test031"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7677811602062291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.5036840977237058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6548065234306949d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.log(907258.2997263392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.718182473257599d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test034"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException4);
    java.lang.Number number8 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test035"); }


    float f2 = org.apache.commons.math.util.FastMath.max(6.3382526E29f, 6.3382526E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.3382526E29f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(7917.822216560756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test037"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array7 = outOfRangeException6.getSuppressed();
    java.lang.Number number8 = outOfRangeException6.getHi();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = mathException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable14, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array28 = outOfRangeException27.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable23, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException20, localizable22, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = mathIllegalStateException30.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number34 = tooManyEvaluationsException33.getMax();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable35, localizable36, obj_array38);
    java.lang.Object[] obj_array40 = tooManyEvaluationsException33.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable31, obj_array40);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException43 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable31, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException45 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number46 = tooManyEvaluationsException45.getMax();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException45, localizable47, localizable48, obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable12, obj_array50);
    java.lang.Object[] obj_array55 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException56 = new org.apache.commons.math.exception.MaxCountExceededException(localizable12, (java.lang.Number)148.4097900908384d, obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0}"+ "'", str11.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1)+ "'", number34.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + (-1)+ "'", number46.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(608.4087085432599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.665942279654754d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test039"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.176192754713436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test040"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.6548065234306949d, 5.293329949408896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.654806523430695d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test041"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.3840789902012867d, 0.0d, 13.718182473257599d, 1.4828289138443336d, 2.397652446875243d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test042"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.2230847363456419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.397652446875243d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test043"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(3.1622776601683795d, 84.95983850324826d, 0.0d, 1.002503189024042d, 0.6194671773490041d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double[] d_array13 = new double[] { 10.0d, 0.0d };
    double[] d_array14 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    double[] d_array17 = vectorialPointValuePair16.getPoint();
    double[] d_array18 = vectorialPointValuePair16.getValue();
    double[] d_array19 = vectorialPointValuePair16.getPointRef();
    double[] d_array22 = new double[] { 10.0d, 0.0d };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    double[] d_array26 = vectorialPointValuePair25.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array26, false);
    double[] d_array31 = new double[] { 10.0d, 0.0d };
    double[] d_array32 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getPoint();
    double[] d_array36 = vectorialPointValuePair34.getValue();
    double[] d_array37 = vectorialPointValuePair34.getPointRef();
    double[] d_array38 = vectorialPointValuePair34.getPointRef();
    double[] d_array41 = new double[] { 10.0d, 0.0d };
    double[] d_array42 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    double[] d_array45 = vectorialPointValuePair44.getPoint();
    double[] d_array46 = vectorialPointValuePair44.getValue();
    double[] d_array47 = vectorialPointValuePair44.getPointRef();
    double[] d_array50 = new double[] { 10.0d, 0.0d };
    double[] d_array51 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array51, false);
    double[] d_array54 = vectorialPointValuePair53.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array54, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array54, false);
    boolean b59 = simpleVectorialValueChecker9.converged(100, vectorialPointValuePair28, vectorialPointValuePair58);
    double d60 = simpleVectorialValueChecker9.getRelativeThreshold();
    double d61 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test044"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.2980742E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2980742E35f);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test045"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(100.0f, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.48488424893963356d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5293502333035661d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test047"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.25939447501706747d), 0.654806523430695d, 2.73974764037252d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test048"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.5f);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.exception.util.Localizable localizable4 = optimizationException3.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable5 = optimizationException3.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable5);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test049"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = tooManyEvaluationsException1.getArguments();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = outOfRangeException12.getSuppressed();
    java.lang.Number number14 = outOfRangeException12.getHi();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException15);
    java.lang.String str17 = mathException15.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = mathException15.getGeneralPattern();
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, localizable18, obj_array19);
    org.apache.commons.math.exception.ConvergenceException convergenceException21 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.0f+ "'", number14.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{0}"+ "'", str17.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test050"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    gaussianFitter6.clearObservations();
    gaussianFitter6.clearObservations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker11 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(10.0d, 1.4142135623730951d);
    double[] d_array15 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array21 = new double[] { 10.0d, 0.0d };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    double[] d_array26 = vectorialPointValuePair24.getValue();
    double[] d_array27 = vectorialPointValuePair24.getPointRef();
    double[] d_array28 = vectorialPointValuePair24.getPointRef();
    double[] d_array31 = new double[] { 10.0d, 0.0d };
    double[] d_array32 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getPoint();
    double[] d_array36 = vectorialPointValuePair34.getValue();
    double[] d_array37 = vectorialPointValuePair34.getPointRef();
    double[] d_array40 = new double[] { 10.0d, 0.0d };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array44, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array44, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array44, false);
    double[] d_array53 = new double[] { 10.0d, 0.0d };
    double[] d_array54 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    double[] d_array59 = new double[] { 10.0d, 0.0d };
    double[] d_array60 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    double[] d_array63 = vectorialPointValuePair62.getPoint();
    double[] d_array64 = vectorialPointValuePair62.getValue();
    double[] d_array65 = vectorialPointValuePair62.getPointRef();
    double[] d_array66 = vectorialPointValuePair62.getPointRef();
    double[] d_array69 = new double[] { 10.0d, 0.0d };
    double[] d_array70 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    double[] d_array73 = vectorialPointValuePair72.getPoint();
    double[] d_array74 = vectorialPointValuePair72.getValue();
    double[] d_array75 = vectorialPointValuePair72.getPointRef();
    double[] d_array78 = new double[] { 10.0d, 0.0d };
    double[] d_array79 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array78, d_array79, false);
    double[] d_array82 = vectorialPointValuePair81.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array82, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array82, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair88 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array82, false);
    boolean b89 = simpleVectorialValueChecker11.converged(1, vectorialPointValuePair50, vectorialPointValuePair88);
    double[] d_array90 = vectorialPointValuePair88.getValueRef();
    double[] d_array91 = gaussianFitter6.fit(d_array90);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array92 = gaussianFitter6.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array92);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(9.67001865888779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.67001865888779d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test052"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array8 = gaussianFitter7.getObservations();
    gaussianFitter7.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array8);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test053"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test054"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array7 = outOfRangeException6.getSuppressed();
    java.lang.Number number8 = outOfRangeException6.getHi();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = mathException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable14, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array28 = outOfRangeException27.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable23, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException20, localizable22, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = mathIllegalStateException30.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number34 = tooManyEvaluationsException33.getMax();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable35, localizable36, obj_array38);
    java.lang.Object[] obj_array40 = tooManyEvaluationsException33.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable31, obj_array40);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException43 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable31, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException45 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number46 = tooManyEvaluationsException45.getMax();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException45, localizable47, localizable48, obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable12, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable54 = mathIllegalStateException53.getGeneralPattern();
    java.lang.Object[] obj_array55 = null;
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException(localizable54, obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0}"+ "'", str11.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1)+ "'", number34.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + (-1)+ "'", number46.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable54);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.2128896174559671d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test056"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.9972995522302548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.369129256675704d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test057"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(4.985559465994038E-84d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.105212893177895E-81d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test058"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.002503189024042d, 2.397652446875243d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test059"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array13 = outOfRangeException12.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException(localizable8, obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "hi!", obj_array13);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(localizable19, localizable20, obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, localizable18, obj_array22);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException24);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException31 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array32 = outOfRangeException31.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException(localizable27, obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException24, localizable26, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = mathIllegalStateException34.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException37 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number38 = tooManyEvaluationsException37.getMax();
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException37, localizable39, localizable40, obj_array42);
    java.lang.Object[] obj_array44 = tooManyEvaluationsException37.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException45 = new org.apache.commons.math.exception.ConvergenceException(localizable35, obj_array44);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException47 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable35, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException49 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable35, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException(localizable52, localizable53, obj_array55);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable50, localizable51, obj_array55);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException57);
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException64 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array65 = outOfRangeException64.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException(localizable60, obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException57, localizable59, obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "org.apache.commons.math.exception.MathIllegalArgumentException: 0", obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (-1)+ "'", number38.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test060"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.4142135623730951d, (java.lang.Number)0.6414631560782394d, (java.lang.Number)0.09558237531998345d);
    java.lang.Object[] obj_array4 = outOfRangeException3.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test061"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.4142135623730951d, 199.00499987500626d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    double d5 = gaussian2.value(2.613734598507254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0020046482930485524d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test062"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test063"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test064"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 98);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.8657694824296718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3768343147353799d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(5.293304824724491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 197.9999999999998d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.4828289138443334d, 2.673690533784562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.673690533784562d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test068"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2980741E35f, 3.9939405740966345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.298074E35f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test069"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException6);
    java.lang.String str8 = mathException6.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable9 = mathException6.getGeneralPattern();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException(localizable9, obj_array10);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException14 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable17, localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable15, localizable16, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array30 = outOfRangeException29.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException(localizable25, obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException22, localizable24, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = mathIllegalStateException32.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException35 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number36 = tooManyEvaluationsException35.getMax();
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException35, localizable37, localizable38, obj_array40);
    java.lang.Object[] obj_array42 = tooManyEvaluationsException35.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException43 = new org.apache.commons.math.exception.ConvergenceException(localizable33, obj_array42);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException45 = new org.apache.commons.math.exception.ConvergenceException(localizable33, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException(localizable50, localizable51, obj_array53);
    java.lang.Object[] obj_array55 = mathIllegalStateException54.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array55);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException57 = new org.apache.commons.math.exception.MaxCountExceededException(localizable47, (java.lang.Number)1.0d, obj_array55);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException14, localizable33, localizable46, obj_array55);
    java.lang.Object[] obj_array59 = mathRuntimeException58.getArguments();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)(-0.07074101207510715d), obj_array59);
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)maxCountExceededException60);
    java.lang.String str62 = optimizationException61.getPattern();
    java.lang.String str63 = optimizationException61.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0}"+ "'", str8.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (-1)+ "'", number36.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "{0}"+ "'", str62.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "{0}"+ "'", str63.equals("{0}"));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test070"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-1.7925274837903817d), 0.19300562619709644d, 0.3327167400578282d, 148.4097900908384d, (-0.07085937052398829d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test071"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(2.397652446875243d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.0393855634200846E30d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test072"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, localizable5, obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array9);
    org.apache.commons.math.exception.ConvergenceException convergenceException14 = new org.apache.commons.math.exception.ConvergenceException(localizable1, obj_array9);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.MathIllegalArgumentException: 0", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test073"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    int i10 = levenbergMarquardtOptimizer5.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test074"); }


    int i2 = org.apache.commons.math.util.FastMath.min(98, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 98);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test075"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.07085937052398829d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07080020602895686d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test076"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 6.253101590505044E-4d, 6.253101590505044E-4d, (-0.47162571251991114d), 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test077"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(2.301812843306464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 131.8841611504683d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test078"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.6239870197449137d);
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)notStrictlyPositiveException1);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test079"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array1);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test080"); }


    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array7);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array10);
    java.lang.String str13 = mathException12.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test081"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711012241324821d, 0.0d, 1.0d, 7917.822216560756d, 199.0d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(9.67001865888779d, (-0.47162571251991114d), 0.0d, 22025.46579480672d, (-0.07062336226086595d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker12 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker12);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test082"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test083"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 1);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test084"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = curveFitter8.getObservations();
    curveFitter8.addObservedPoint(5.293304824724492d, 3.2552549410485776d, 7917.822216560756d);
    curveFitter8.addObservedPoint(7.212180862927325d, (-0.07074101207510715d), 0.9317031607516325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test085"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException(localizable52, localizable53, obj_array55);
    java.lang.Object[] obj_array57 = mathIllegalStateException56.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array57);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)1.0d, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, obj_array57);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException62 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable63 = convergenceException62.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable63);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test086"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.542591947522209d, 2.2163925864078933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5425919475222091d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test087"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 0.03582763300024814d);
    double d4 = gaussian2.value(0.036831885898048485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 6.564486674631742d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test088"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(15834.644496270188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test089"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.5844699810348659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(131.8841611504683d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 131.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test091"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test092"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 0.0d, 0.0d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(10.0d, 1.4142135623730951d);
    double d8 = simpleVectorialValueChecker7.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker7);
    int i10 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test093"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    gaussianFitter9.addObservedPoint((-0.6290837498277201d), (-0.6290837498277201d), 1.4142135623730954d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array14 = gaussianFitter9.getObservations();
    gaussianFitter9.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array14);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test094"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, localizable4, obj_array8);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array8);
    java.lang.String str14 = convergenceException13.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)"+ "'", str14.equals("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)"));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test095"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = optimizationException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, localizable9, obj_array13);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException(localizable5, obj_array16);
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 100 != 10", obj_array16);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test096"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.6414631560782394d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test097"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(3.1622776601683795d, 84.95983850324826d, 0.0d, 1.002503189024042d, 0.6194671773490041d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d12 = levenbergMarquardtOptimizer11.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = null;
    levenbergMarquardtOptimizer11.setConvergenceChecker(convergenceChecker13);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter15 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    double d16 = levenbergMarquardtOptimizer11.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer22 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.9997860728793259d), 0.0d, 2.2726630486287798d, 2.397652446875243d, 199.25595741951275d);
    double d23 = levenbergMarquardtOptimizer22.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker26 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double d27 = simpleVectorialValueChecker26.getRelativeThreshold();
    double d28 = simpleVectorialValueChecker26.getRelativeThreshold();
    levenbergMarquardtOptimizer22.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker26);
    levenbergMarquardtOptimizer11.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker26);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-0.9534903170187385d));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test098"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable31 = convergenceException30.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test099"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math.exception.DimensionMismatchException(localizable1, (-1), 0);
    int i5 = dimensionMismatchException4.getDimension();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(localizable13, localizable14, obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, localizable12, obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException19 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException18);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array26 = outOfRangeException25.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException(localizable21, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException18, localizable20, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable29 = mathIllegalStateException28.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException31 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number32 = tooManyEvaluationsException31.getMax();
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException37 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException31, localizable33, localizable34, obj_array36);
    java.lang.Object[] obj_array38 = tooManyEvaluationsException31.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException39 = new org.apache.commons.math.exception.ConvergenceException(localizable29, obj_array38);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException43 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable29, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException(localizable47, localizable48, obj_array50);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, localizable46, obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException(localizable44, obj_array50);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException9, localizable29, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    java.lang.Object[] obj_array63 = mathIllegalStateException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException65 = new org.apache.commons.math.exception.MaxCountExceededException(localizable55, (java.lang.Number)1.0d, obj_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(localizable29, obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    java.lang.Object[] obj_array75 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException(localizable72, localizable73, obj_array75);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable70, localizable71, obj_array75);
    java.lang.Object[] obj_array78 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array75);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException79 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable68, localizable69, obj_array75);
    org.apache.commons.math.exception.ConvergenceException convergenceException80 = new org.apache.commons.math.exception.ConvergenceException(localizable67, obj_array75);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException4, localizable29, obj_array75);
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException84 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable82, (java.lang.Number)10.0d);
    java.lang.Object[] obj_array85 = notStrictlyPositiveException84.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException86 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, localizable29, obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + (-1)+ "'", number32.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test100"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array7 = outOfRangeException6.getSuppressed();
    java.lang.Number number8 = outOfRangeException6.getHi();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = mathException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable14, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array28 = outOfRangeException27.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable23, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException20, localizable22, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = mathIllegalStateException30.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number34 = tooManyEvaluationsException33.getMax();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable35, localizable36, obj_array38);
    java.lang.Object[] obj_array40 = tooManyEvaluationsException33.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable31, obj_array40);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException43 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable31, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException45 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number46 = tooManyEvaluationsException45.getMax();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException45, localizable47, localizable48, obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable12, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable56, localizable57, obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException(localizable55, obj_array61);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException("hi!", obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array61);
    java.lang.Object[] obj_array67 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0}"+ "'", str11.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1)+ "'", number34.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + (-1)+ "'", number46.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(5.293304824724492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test102"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i9 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i10 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test103"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(6.3382526E29f, 1.1262684148563817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.3382522E29f);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test104"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.2980742E35f, 1.298074E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2980742E35f);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test105"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    curveFitter8.addObservedPoint(0.1849470383556199d, 0.0d, 3.4104090866372165d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array13 = curveFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array13);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test106"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array12, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction22 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter29 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array33 = gaussianFitter30.fit(d_array32);
    double[] d_array34 = gaussianFitter21.fit(parametricUnivariateRealFunction22, d_array32);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(907258.2997263392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.5884041554044311d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test109"); }


    double d1 = org.apache.commons.math.util.FastMath.log(112.35772798555834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.7216877811839515d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test110"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(197.9999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07983177054278258d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test111"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException26 = new org.apache.commons.math.exception.DimensionMismatchException(100, 10);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(localizable30, localizable31, obj_array33);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable28, localizable29, obj_array33);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException36 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException35);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array43 = outOfRangeException42.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException35, localizable37, obj_array43);
    org.apache.commons.math.exception.util.Localizable localizable46 = mathIllegalStateException45.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number49 = tooManyEvaluationsException48.getMax();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException54 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException48, localizable50, localizable51, obj_array53);
    java.lang.Object[] obj_array55 = tooManyEvaluationsException48.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException56 = new org.apache.commons.math.exception.ConvergenceException(localizable46, obj_array55);
    java.lang.Object[] obj_array57 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException26, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable23, obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number49 + "' != '" + (-1)+ "'", number49.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test112"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getValue();
    double[] d_array7 = vectorialPointValuePair5.getPoint();
    double[] d_array8 = vectorialPointValuePair5.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test113"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException51 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number52 = tooManyEvaluationsException51.getMax();
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException51, localizable53, localizable54, obj_array56);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException(localizable61, localizable62, obj_array64);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable59, localizable60, obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException51, localizable58, obj_array64);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)100.0d, obj_array64);
    java.lang.Object[] obj_array69 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException70 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1)+ "'", number52.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test114"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)9.67001865888779d);
    java.lang.Object[] obj_array2 = maxCountExceededException1.getArguments();
    java.lang.Object[] obj_array3 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test115"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.6415964735668072d, 0.036831885898048485d, 0.9653724449687696d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.036831885898048485d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test116"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException6 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array13 = outOfRangeException12.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException(localizable8, obj_array13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "hi!", obj_array13);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException20 = new org.apache.commons.math.exception.DimensionMismatchException(localizable17, (-1), 0);
    int i21 = dimensionMismatchException20.getDimension();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException25 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException25);
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException(localizable29, localizable30, obj_array32);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException34 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable27, localizable28, obj_array32);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException35 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException34);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException41 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array42 = outOfRangeException41.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException(localizable37, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException34, localizable36, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable45 = mathIllegalStateException44.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException47 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number48 = tooManyEvaluationsException47.getMax();
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException53 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException47, localizable49, localizable50, obj_array52);
    java.lang.Object[] obj_array54 = tooManyEvaluationsException47.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException55 = new org.apache.commons.math.exception.ConvergenceException(localizable45, obj_array54);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException59 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable45, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException(localizable63, localizable64, obj_array66);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException68 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable61, localizable62, obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException(localizable60, obj_array66);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException25, localizable45, obj_array66);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException78 = new org.apache.commons.math.exception.MathIllegalStateException(localizable74, localizable75, obj_array77);
    java.lang.Object[] obj_array79 = mathIllegalStateException78.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array79);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException81 = new org.apache.commons.math.exception.MaxCountExceededException(localizable71, (java.lang.Number)1.0d, obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(localizable45, obj_array79);
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    org.apache.commons.math.exception.util.Localizable localizable86 = null;
    org.apache.commons.math.exception.util.Localizable localizable87 = null;
    org.apache.commons.math.exception.util.Localizable localizable88 = null;
    org.apache.commons.math.exception.util.Localizable localizable89 = null;
    java.lang.Object[] obj_array91 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException92 = new org.apache.commons.math.exception.MathIllegalStateException(localizable88, localizable89, obj_array91);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException93 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable86, localizable87, obj_array91);
    java.lang.Object[] obj_array94 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array91);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException95 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable84, localizable85, obj_array91);
    org.apache.commons.math.exception.ConvergenceException convergenceException96 = new org.apache.commons.math.exception.ConvergenceException(localizable83, obj_array91);
    org.apache.commons.math.MathException mathException97 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException20, localizable45, obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException98 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException15, "org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 100 != 10", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + (-1)+ "'", number48.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array94);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test117"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.1849470383556199d, 0.025512326077763464d, 0.0d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.025512326077763464d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test118"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.5741645208925991d, 0.5844699810348659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5741645208925992d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test119"); }


    float f2 = org.apache.commons.math.util.FastMath.max(3.2451855E34f, 1.2980741E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2980741E35f);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test120"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double d3 = simpleVectorialValueChecker2.getRelativeThreshold();
    double d4 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test121"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array7);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array17 = outOfRangeException16.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException(localizable12, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException9, localizable11, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable20 = mathIllegalStateException19.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException22 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number23 = tooManyEvaluationsException22.getMax();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException28 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException22, localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = tooManyEvaluationsException22.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable20, obj_array29);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable20, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    java.lang.Object[] obj_array42 = mathIllegalStateException41.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array42);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException(localizable34, (java.lang.Number)1.0d, obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable20, localizable33, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException51 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array52 = outOfRangeException51.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException(localizable47, obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException45, "", obj_array52);
    java.lang.Object[] obj_array55 = convergenceException54.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + (-1)+ "'", number23.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test122"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.999999998750125d, 2.673690533784562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999987501251d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test123"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711012241324821d, 0.0d, 1.0d, 7917.822216560756d, 199.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test124"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.3007237881607816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.040155205282362175d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test125"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.2980741E35f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2980741E35f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test126"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.3296648970518279d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.178999046219271E29d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test127"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.0006424281843056d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test128"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(6.3382522E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.7778932E22f);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(265.44828591636826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test130"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)2.8421709430404007E-14d);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException45 = new org.apache.commons.math.exception.DimensionMismatchException(localizable18, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test131"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(1.3840789902012867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3840789902012867d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test132"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.122462048309373d, (-0.47162571251991114d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2175187319317873d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test133"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, localizable7, obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException15 = new org.apache.commons.math.exception.MathRuntimeException(throwable3, localizable4, localizable5, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array11);
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException(localizable0, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test134"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(76.66560501815661d, 5.585180175681635d, 4.985559465994038E-84d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test135"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7004350643250137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test136"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-1.0f), 3.2451855E34f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test137"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)7917.822216560757d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test138"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = optimizationException2.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)1.4142135623730951d, (java.lang.Number)(-3.0790862902844696d), (java.lang.Number)(-0.9534903170187385d));
    java.lang.Throwable throwable8 = null;
    // The following exception was thrown during execution in test generation
    try {
      outOfRangeException7.addSuppressed(throwable8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test139"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = outOfRangeException5.getSuppressed();
    java.lang.Number number7 = outOfRangeException5.getHi();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException8);
    java.lang.String str10 = mathException8.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable11 = mathException8.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException13 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable20, obj_array24);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable17, localizable18, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException13, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array24);
    org.apache.commons.math.exception.ConvergenceException convergenceException31 = new org.apache.commons.math.exception.ConvergenceException(localizable11, obj_array24);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException(throwable0, "hi!", obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{0}"+ "'", str10.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test140"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, number1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.542591947522209d, 0.654806523430695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.542591947522209d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test142"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 4.641588833612779d, 0.025512326077763464d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test143"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array12, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array25 = gaussianFitter22.fit(d_array24);
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array25);
    double[] d_array29 = vectorialPointValuePair28.getValue();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker32 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double[] d_array36 = new double[] { 10.0d, 0.0d };
    double[] d_array37 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    double[] d_array40 = vectorialPointValuePair39.getPoint();
    double[] d_array41 = vectorialPointValuePair39.getValue();
    double[] d_array42 = vectorialPointValuePair39.getPointRef();
    double[] d_array45 = new double[] { 10.0d, 0.0d };
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46, false);
    double[] d_array49 = vectorialPointValuePair48.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array49, false);
    double[] d_array54 = new double[] { 10.0d, 0.0d };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    double[] d_array58 = vectorialPointValuePair57.getPoint();
    double[] d_array59 = vectorialPointValuePair57.getValue();
    double[] d_array60 = vectorialPointValuePair57.getPointRef();
    double[] d_array61 = vectorialPointValuePair57.getPointRef();
    double[] d_array64 = new double[] { 10.0d, 0.0d };
    double[] d_array65 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array64, d_array65, false);
    double[] d_array68 = vectorialPointValuePair67.getPoint();
    double[] d_array69 = vectorialPointValuePair67.getValue();
    double[] d_array70 = vectorialPointValuePair67.getPointRef();
    double[] d_array73 = new double[] { 10.0d, 0.0d };
    double[] d_array74 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair76 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array74, false);
    double[] d_array77 = vectorialPointValuePair76.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array70, d_array77, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array77, false);
    boolean b82 = simpleVectorialValueChecker32.converged(100, vectorialPointValuePair51, vectorialPointValuePair81);
    double[] d_array83 = vectorialPointValuePair51.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair85 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array83, true);
    double[] d_array86 = vectorialPointValuePair85.getValueRef();
    double[] d_array87 = vectorialPointValuePair85.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.7241400178893858d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test145"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d9 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test146"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(10.0d, 1.0d, 5.298342365610589d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = gaussian3.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction6);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test147"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 1.6415964735668072d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test148"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array7 = outOfRangeException6.getSuppressed();
    java.lang.Number number8 = outOfRangeException6.getHi();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = mathException9.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable14, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException20);
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array28 = outOfRangeException27.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable23, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException20, localizable22, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable31 = mathIllegalStateException30.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number34 = tooManyEvaluationsException33.getMax();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable35, localizable36, obj_array38);
    java.lang.Object[] obj_array40 = tooManyEvaluationsException33.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException41 = new org.apache.commons.math.exception.ConvergenceException(localizable31, obj_array40);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException43 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable31, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException45 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number46 = tooManyEvaluationsException45.getMax();
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException45, localizable47, localizable48, obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException(localizable31, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable12, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable56, localizable57, obj_array59);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, localizable55, obj_array59);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException(localizable65, localizable66, obj_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable63, localizable64, obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException61, "hi!", obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException73 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, obj_array68);
    java.lang.Object[] obj_array74 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException(localizable12, obj_array74);
    org.apache.commons.math.exception.ZeroException zeroException76 = new org.apache.commons.math.exception.ZeroException(localizable12);
    java.lang.Number number77 = zeroException76.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0}"+ "'", str11.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1)+ "'", number34.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + (-1)+ "'", number46.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number77 + "' != '" + 0+ "'", number77.equals(0));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.2128896174559671d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test150"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array12, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array25 = gaussianFitter22.fit(d_array24);
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array25);
    double[] d_array29 = vectorialPointValuePair28.getValue();
    double[] d_array30 = vectorialPointValuePair28.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test151"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.8657694824296718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9530903911138372d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test152"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.4142135623730951d, 199.00499987500626d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test153"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.293304824724492d, 1.6415964735668072d, 4.178999046219271E29d, 0.0d, 9.67001865888779d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test154"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException32 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, localizable36, obj_array40);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException42);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException49 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array50 = outOfRangeException49.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException(localizable45, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException42, localizable44, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable53 = mathIllegalStateException52.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException34, localizable53, obj_array58);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array64 = outOfRangeException63.getSuppressed();
    java.lang.Number number65 = outOfRangeException63.getHi();
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException63);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException67 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array68 = mathRuntimeException67.getArguments();
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException32, localizable53, obj_array68);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException73 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable53, (java.lang.Number)1.4142135623730951d, (java.lang.Number)(-0.6290837498277201d), true);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException77 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)15834.644496270188d, (java.lang.Number)4.065075015005977d, (java.lang.Number)6.564486674631742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number65 + "' != '" + 0.0f+ "'", number65.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test155"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.07062336226086595d), (java.lang.Number)0.05681491671311159d, (java.lang.Number)1.1262684148563817d);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException3);
    java.lang.Number number5 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.1262684148563817d+ "'", number5.equals(1.1262684148563817d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test156"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.3741700499638097d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1872946738799006d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test157"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, localizable4, obj_array8);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.Localizable localizable15 = mathIllegalArgumentException14.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable15);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test158"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.Number number6 = outOfRangeException3.getLo();
    java.lang.Number number7 = outOfRangeException3.getLo();
    java.lang.Number number8 = outOfRangeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100+ "'", number6.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100+ "'", number7.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0d+ "'", number8.equals(0.0d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test159"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.12627369409889844d), 0.035842974497802965d, 0.8818613799344036d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test160"); }


    double d1 = org.apache.commons.math.util.FastMath.cos((-0.07080020602895686d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.997494712190387d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test161"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.951097883847997d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test162"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(5.293304824724491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999494975001263d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test163"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.673690533784562d, 0.9469044187132551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8364148230870363d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test164"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.50000006f);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test165"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.881373587019543d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test166"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.951097883847997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 54.49389464831401d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(22025.46579480672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 28.03120067683914d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.999999998750125d, (-3.66859356800754d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test169"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, localizable6, obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, localizable4, obj_array8);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException(throwable1, localizable2, obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test170"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i11 = levenbergMarquardtOptimizer5.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test171"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 4.985559465994038E-84d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test172"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(3.7778932E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.7778932E22f);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test173"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    mathException6.addSuppressed((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable20, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException26);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array34 = outOfRangeException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException26, localizable28, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = mathIllegalStateException36.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException39 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number40 = tooManyEvaluationsException39.getMax();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException39, localizable41, localizable42, obj_array44);
    java.lang.Object[] obj_array46 = tooManyEvaluationsException39.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array46);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable37, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException(localizable55, localizable56, obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable53, localizable54, obj_array58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException(localizable52, obj_array58);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17, localizable37, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathIllegalStateException70.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array71);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException73 = new org.apache.commons.math.exception.MaxCountExceededException(localizable63, (java.lang.Number)1.0d, obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array71);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException10, localizable37, obj_array78);
    java.lang.Number number83 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException85 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)0.0020046482930485524d, number83, (java.lang.Number)0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-1)+ "'", number40.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.036831885898048485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03681524421224381d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test175"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.301812843306464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6676267724171199d));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test176"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.5538979213935188d, 0.040155205282362175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9765564849524493d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test177"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(100, 10);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, localizable5, obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException11);
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array19 = outOfRangeException18.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException(localizable14, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException11, localizable13, obj_array19);
    org.apache.commons.math.exception.util.Localizable localizable22 = mathIllegalStateException21.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException24 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number25 = tooManyEvaluationsException24.getMax();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException24, localizable26, localizable27, obj_array29);
    java.lang.Object[] obj_array31 = tooManyEvaluationsException24.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable22, obj_array31);
    java.lang.Object[] obj_array33 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable35 = convergenceException34.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (-1)+ "'", number25.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable35);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.6414631560782394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test179"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array28 = outOfRangeException27.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException(localizable23, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array35 = outOfRangeException34.getSuppressed();
    java.lang.Number number36 = outOfRangeException34.getHi();
    java.lang.Number number37 = outOfRangeException34.getLo();
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    java.lang.Object[] obj_array47 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException34, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array47);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException29, localizable30, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array47);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException52 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number53 = tooManyEvaluationsException52.getMax();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException52, localizable54, localizable55, obj_array57);
    java.lang.Object[] obj_array59 = tooManyEvaluationsException52.getArguments();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException(localizable18, obj_array59);
    org.apache.commons.math.exception.util.Localizable localizable61 = mathException60.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 0.0f+ "'", number36.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 100+ "'", number37.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number53 + "' != '" + (-1)+ "'", number53.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable61);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test180"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.1752011917151435d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test181"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException4);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, localizable10, obj_array14);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, obj_array14);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException18);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalArgumentException18);
    org.apache.commons.math.exception.util.Localizable localizable21 = mathIllegalArgumentException18.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable21);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test182"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.4260624389053682d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test183"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, localizable43, obj_array47);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array47);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable18, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    java.lang.Object[] obj_array63 = mathIllegalStateException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException(throwable55, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, obj_array63);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array63);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException71 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array72 = outOfRangeException71.getSuppressed();
    java.lang.Number number73 = outOfRangeException71.getHi();
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException71);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException75 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException74);
    java.lang.String str76 = mathException74.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable77 = mathException74.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException79 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    org.apache.commons.math.exception.util.Localizable localizable86 = null;
    org.apache.commons.math.exception.util.Localizable localizable87 = null;
    org.apache.commons.math.exception.util.Localizable localizable88 = null;
    java.lang.Object[] obj_array90 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException(localizable87, localizable88, obj_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException92 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable85, localizable86, obj_array90);
    java.lang.Object[] obj_array93 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException94 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable83, localizable84, obj_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException95 = new org.apache.commons.math.exception.MathIllegalStateException(localizable81, localizable82, obj_array90);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException79, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array90);
    org.apache.commons.math.exception.ConvergenceException convergenceException97 = new org.apache.commons.math.exception.ConvergenceException(localizable77, obj_array90);
    org.apache.commons.math.MathException mathException98 = new org.apache.commons.math.MathException(localizable18, obj_array90);
    org.apache.commons.math.exception.ConvergenceException convergenceException99 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number73 + "' != '" + 0.0f+ "'", number73.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "{0}"+ "'", str76.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test184"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d8 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker11 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker11);
    double d13 = simpleVectorialValueChecker11.getAbsoluteThreshold();
    double d14 = simpleVectorialValueChecker11.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test185"); }


    int i2 = org.apache.commons.math.util.FastMath.min(1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test186"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable2, obj_array6);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalArgumentException10);
    java.lang.String str12 = convergenceException11.getPattern();
    java.lang.Throwable[] throwable_array13 = convergenceException11.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "{0}"+ "'", str12.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.4617486098173957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test188"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.046664702993945296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test189"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test190"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.6239870197449136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5842754832606791d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test191"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(5.046178869499785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08807243591733652d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.6584020804826582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7909709339027736d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test193"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException32 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, localizable36, obj_array38);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, localizable34, obj_array38);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException40);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException47 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array48 = outOfRangeException47.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException(localizable43, obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException40, localizable42, obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array48);
    java.lang.Object[] obj_array52 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test194"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.9972995522302548d, 2.3007237881607816d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test195"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9765564849524493d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9921236205068098d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test196"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(54.49389464831401d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.319357781159113E23d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test197"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException(number0, (java.lang.Number)(byte)1, (java.lang.Number)4.641588833612779d);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException3);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test198"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-3.0790862902844696d), 3.4104090866372165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.594742922213981d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test199"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.03582763300024814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03581231118691503d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.2175187319317873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02124971057691591d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test201"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = curveFitter8.getObservations();
    curveFitter8.addObservedPoint(2.301812843306464d, 1.3840789902012867d);
    curveFitter8.addObservedPoint(15834.644496270188d, 1.8848216963519244d, 1.3768343147353799d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array18 = curveFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array18);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test202"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.3296648970518279d, 0.6929844564513293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.44403366439580927d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test203"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.298074E35f, (java.lang.Number)22026.0d, (java.lang.Number)0.08781159815012134d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test204"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathIllegalArgumentException: 0", obj_array1);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(131.8841611504683d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.06281271316414207d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test206"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array1);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test207"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable2, obj_array6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array16 = outOfRangeException15.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException(localizable11, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException8, localizable10, obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable19 = mathIllegalStateException18.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException21 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number22 = tooManyEvaluationsException21.getMax();
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException21, localizable23, localizable24, obj_array26);
    java.lang.Object[] obj_array28 = tooManyEvaluationsException21.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException29 = new org.apache.commons.math.exception.ConvergenceException(localizable19, obj_array28);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable19, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number34 = tooManyEvaluationsException33.getMax();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable35, localizable36, obj_array38);
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException(localizable19, obj_array38);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(localizable45, localizable46, obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable43, localizable44, obj_array48);
    java.lang.Object[] obj_array51 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array48);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException(localizable19, obj_array48);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 100 != 10", obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (-1)+ "'", number22.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (-1)+ "'", number34.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test208"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, localizable43, obj_array47);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array47);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable18, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    java.lang.Object[] obj_array63 = mathIllegalStateException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException(throwable55, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, obj_array63);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException(localizable68, localizable69, obj_array71);
    java.lang.Object[] obj_array73 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array71);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException74 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array73);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException(localizable18, obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test209"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    double[] d_array16 = vectorialPointValuePair14.getValue();
    double[] d_array17 = vectorialPointValuePair14.getPointRef();
    double[] d_array21 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array21, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer29 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer29);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter31 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer29);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array34 = gaussianFitter31.fit(d_array33);
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array34);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array17, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer45 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter46 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter47 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer45);
    double[] d_array49 = new double[] { 100.0d };
    double[] d_array50 = gaussianFitter47.fit(d_array49);
    double[] d_array51 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array51);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array51);
    double[] d_array54 = vectorialPointValuePair53.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array54);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test210"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException4);
    java.lang.Object[] obj_array8 = numberIsTooSmallException4.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException4);
    boolean b10 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.1849470383556199d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2031547173880032d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test212"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    curveFitter8.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test213"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array20 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getValue();
    double[] d_array26 = vectorialPointValuePair23.getPointRef();
    double[] d_array29 = new double[] { 10.0d, 0.0d };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array26, false);
    double[] d_array40 = new double[] { 10.0d, 0.0d };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getPoint();
    double[] d_array45 = vectorialPointValuePair43.getValue();
    double[] d_array46 = vectorialPointValuePair43.getPointRef();
    double[] d_array50 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array50, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array46, false);
    double[] d_array57 = new double[] { 10.0d, 0.0d };
    double[] d_array58 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58, false);
    double[] d_array61 = vectorialPointValuePair60.getPoint();
    double[] d_array62 = vectorialPointValuePair60.getValue();
    double[] d_array63 = vectorialPointValuePair60.getPointRef();
    double[] d_array67 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array67, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer75 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter76 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer75);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter77 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer75);
    double[] d_array79 = new double[] { 100.0d };
    double[] d_array80 = gaussianFitter77.fit(d_array79);
    double[] d_array81 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair82 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array80, d_array81);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array80);
    double[] d_array84 = vectorialPointValuePair83.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array84, true);
    double[] d_array87 = vectorialPointValuePair86.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test214"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException(number0, (java.lang.Number)200.0d, (java.lang.Number)0.18493244781757842d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test215"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = null;
    curveFitter6.addObservedPoint(weightedObservedPoint7);
    curveFitter6.addObservedPoint(3.1622776601683795d, 9.997329239123708d, 1.4142135623730951d);
    curveFitter6.addObservedPoint((-0.9997860728793259d), 0.7141515718981495d, (-0.47162571251991114d));
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction17 = null;
    double[] d_array20 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getValue();
    double[] d_array26 = vectorialPointValuePair23.getPointRef();
    double[] d_array30 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array30, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter39 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer38);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter40 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer38);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array43 = gaussianFitter40.fit(d_array42);
    double[] d_array44 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array43);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array47 = curveFitter6.fit(parametricUnivariateRealFunction17, d_array43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test216"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.7241400178893858d, 0.9530903911138372d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7241400178893858d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test217"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.exception.util.Localizable localizable7 = numberIsTooSmallException4.getSpecificPattern();
    boolean b8 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test218"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = optimizationException2.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable3, (java.lang.Number)1.4260624389053682d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException7 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number8 = tooManyEvaluationsException7.getMax();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException7, localizable9, localizable10, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException17 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable15, (java.lang.Number)10.0d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array22 = outOfRangeException21.getSuppressed();
    java.lang.Number number23 = outOfRangeException21.getHi();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException21);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException24);
    java.lang.String str26 = mathException24.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable27 = mathException24.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(localizable30, localizable31, obj_array33);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable28, localizable29, obj_array33);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException36 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException35);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array43 = outOfRangeException42.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException35, localizable37, obj_array43);
    org.apache.commons.math.exception.util.Localizable localizable46 = mathIllegalStateException45.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number49 = tooManyEvaluationsException48.getMax();
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException54 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException48, localizable50, localizable51, obj_array53);
    java.lang.Object[] obj_array55 = tooManyEvaluationsException48.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException56 = new org.apache.commons.math.exception.ConvergenceException(localizable46, obj_array55);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException58 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable46, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException60 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number61 = tooManyEvaluationsException60.getMax();
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException66 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException60, localizable62, localizable63, obj_array65);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable46, obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException17, localizable27, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable73, localizable74, obj_array78);
    java.lang.Object[] obj_array81 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException82 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable71, localizable72, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException83 = new org.apache.commons.math.exception.MathIllegalStateException(localizable69, localizable70, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException13, localizable14, localizable27, obj_array78);
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    org.apache.commons.math.exception.util.Localizable localizable86 = null;
    java.lang.Object[] obj_array88 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException89 = new org.apache.commons.math.exception.MathIllegalStateException(localizable85, localizable86, obj_array88);
    java.lang.Object[] obj_array90 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array88);
    org.apache.commons.math.optimization.OptimizationException optimizationException91 = new org.apache.commons.math.optimization.OptimizationException(localizable14, obj_array90);
    org.apache.commons.math.optimization.OptimizationException optimizationException92 = new org.apache.commons.math.optimization.OptimizationException(localizable3, obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1)+ "'", number8.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 0.0f+ "'", number23.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "{0}"+ "'", str26.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number49 + "' != '" + (-1)+ "'", number49.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number61 + "' != '" + (-1)+ "'", number61.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.47162571251991114d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.47162571251991114d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test220"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9921236205068098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0034342105484189414d));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test221"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0013044516813218322d, 0.9772341085868214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0015173922090170727d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test222"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException32 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, localizable36, obj_array40);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException42);
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException49 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array50 = outOfRangeException49.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException(localizable45, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException42, localizable44, obj_array50);
    org.apache.commons.math.exception.util.Localizable localizable53 = mathIllegalStateException52.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException(localizable53, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array58 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException34, localizable53, obj_array58);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array64 = outOfRangeException63.getSuppressed();
    java.lang.Number number65 = outOfRangeException63.getHi();
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException63);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException67 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array68 = mathRuntimeException67.getArguments();
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException32, localizable53, obj_array68);
    org.apache.commons.math.exception.util.Localizable localizable70 = notStrictlyPositiveException32.getGeneralPattern();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException71 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number65 + "' != '" + 0.0f+ "'", number65.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable70);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test223"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array4 = outOfRangeException3.getArguments();
    java.lang.Number number5 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100+ "'", number5.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.306867299253627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test225"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException32 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(-0.47162571251991114d));
    java.lang.Throwable throwable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, localizable36, obj_array40);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array40);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException(throwable33, localizable34, obj_array43);
    java.lang.Object[] obj_array45 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException(localizable18, obj_array45);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException(localizable51, localizable52, obj_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable49, localizable50, obj_array54);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException56);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException63 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array64 = outOfRangeException63.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException(localizable59, obj_array64);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException56, localizable58, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable67 = mathIllegalStateException66.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException69 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number70 = tooManyEvaluationsException69.getMax();
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException75 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException69, localizable71, localizable72, obj_array74);
    java.lang.Object[] obj_array76 = tooManyEvaluationsException69.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException77 = new org.apache.commons.math.exception.ConvergenceException(localizable67, obj_array76);
    java.lang.Object[] obj_array78 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException79 = new org.apache.commons.math.exception.ConvergenceException(localizable67, obj_array78);
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    org.apache.commons.math.exception.util.Localizable localizable84 = null;
    org.apache.commons.math.exception.util.Localizable localizable85 = null;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException88 = new org.apache.commons.math.exception.MathIllegalStateException(localizable84, localizable85, obj_array87);
    java.lang.Object[] obj_array89 = mathIllegalStateException88.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array89);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException91 = new org.apache.commons.math.exception.MaxCountExceededException(localizable81, (java.lang.Number)1.0d, obj_array89);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException92 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException48, localizable67, localizable80, obj_array89);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException93 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number70 + "' != '" + (-1)+ "'", number70.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test226"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = mathException4.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = outOfRangeException17.getSuppressed();
    java.lang.Number number19 = outOfRangeException17.getHi();
    mathException13.addSuppressed((java.lang.Throwable)outOfRangeException17);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException24);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException(localizable28, localizable29, obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable26, localizable27, obj_array31);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException34 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException33);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array41 = outOfRangeException40.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException(localizable36, obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException33, localizable35, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = mathIllegalStateException43.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException46 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number47 = tooManyEvaluationsException46.getMax();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException52 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException46, localizable48, localizable49, obj_array51);
    java.lang.Object[] obj_array53 = tooManyEvaluationsException46.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException54 = new org.apache.commons.math.exception.ConvergenceException(localizable44, obj_array53);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException58 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable44, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(localizable62, localizable63, obj_array65);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable60, localizable61, obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException(localizable59, obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException24, localizable44, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException(localizable73, localizable74, obj_array76);
    java.lang.Object[] obj_array78 = mathIllegalStateException77.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array78);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException80 = new org.apache.commons.math.exception.MaxCountExceededException(localizable70, (java.lang.Number)1.0d, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, obj_array78);
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException86 = new org.apache.commons.math.exception.MathIllegalStateException(localizable82, localizable83, obj_array85);
    java.lang.Object[] obj_array87 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException88 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException17, localizable44, obj_array85);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException89 = new org.apache.commons.math.exception.MaxCountExceededException(localizable5, (java.lang.Number)5.298342365610589d, obj_array85);
    java.lang.Number number90 = null;
    java.lang.Number number92 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException93 = new org.apache.commons.math.exception.OutOfRangeException(localizable5, number90, (java.lang.Number)1.3768343147353799d, number92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0.0f+ "'", number19.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + (-1)+ "'", number47.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(199.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.9864583181965525d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test228"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.0f, 98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(907258.2997263392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 907258.2997263393d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test230"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(2.372564279228625d, (-0.2427898279887161d), (-0.2565702646222614d));
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.2427898279887161d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test231"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    java.lang.Object[] obj_array3 = notStrictlyPositiveException2.getArguments();
    java.lang.Object[] obj_array4 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test232"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.25939447501706747d), 1.0594630943592953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.25939447501706747d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.01291366253597602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11363829696003025d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.3296648970518279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 18.888407254684513d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test235"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array7);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array17 = outOfRangeException16.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException(localizable12, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException9, localizable11, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable20 = mathIllegalStateException19.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException1, localizable20, obj_array25);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException30 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array31 = outOfRangeException30.getSuppressed();
    java.lang.Number number32 = outOfRangeException30.getHi();
    java.lang.Number number33 = outOfRangeException30.getLo();
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable35, localizable36, obj_array40);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException30, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array43);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable20, obj_array43);
    org.apache.commons.math.exception.ConvergenceException convergenceException46 = new org.apache.commons.math.exception.ConvergenceException(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 0.0f+ "'", number32.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 100+ "'", number33.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test236"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array20 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getValue();
    double[] d_array26 = vectorialPointValuePair23.getPointRef();
    double[] d_array29 = new double[] { 10.0d, 0.0d };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array26, false);
    double[] d_array38 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array38, true);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    double[] d_array42 = vectorialPointValuePair40.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array42);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.12627369409889844d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test238"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.372564279228625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1719067704517978d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test239"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction7 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter14 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter15 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array18 = gaussianFitter15.fit(d_array17);
    double[] d_array19 = gaussianFitter6.fit(parametricUnivariateRealFunction7, d_array17);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction20 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer26 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter27 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer26);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter28 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer26);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array31 = gaussianFitter28.fit(d_array30);
    double[] d_array34 = new double[] { 10.0d, 0.0d };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    double[] d_array40 = new double[] { 10.0d, 0.0d };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getPoint();
    double[] d_array45 = vectorialPointValuePair43.getValue();
    double[] d_array46 = vectorialPointValuePair43.getPointRef();
    double[] d_array47 = vectorialPointValuePair43.getPointRef();
    double[] d_array50 = new double[] { 10.0d, 0.0d };
    double[] d_array51 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array51, false);
    double[] d_array54 = vectorialPointValuePair53.getPoint();
    double[] d_array55 = vectorialPointValuePair53.getValue();
    double[] d_array56 = vectorialPointValuePair53.getPointRef();
    double[] d_array59 = new double[] { 10.0d, 0.0d };
    double[] d_array60 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    double[] d_array63 = vectorialPointValuePair62.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array63);
    double[] d_array71 = gaussianFitter6.fit(parametricUnivariateRealFunction20, d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test240"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian((-0.2427898279887161d), 0.0020046482930485524d, 0.05681491671311159d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test241"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test242"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(3.1622776601683795d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.008663174000767E30d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.3296648970518279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9461508781830721d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test244"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array4 = outOfRangeException3.getArguments();
    java.lang.Number number5 = outOfRangeException3.getLo();
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100+ "'", number5.equals(100));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test245"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(6.564486674631742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.580573125032043d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test246"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 6.338253E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test247"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.09558237531998345d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09558237531998345d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test248"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.1849470383556199d, 0.025512326077763464d, 0.0d);
    double d4 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.1849470383556199d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test249"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d9 = levenbergMarquardtOptimizer5.getChiSquare();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = levenbergMarquardtOptimizer5.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test250"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array53 = outOfRangeException52.getSuppressed();
    java.lang.Number number54 = outOfRangeException52.getHi();
    java.lang.Number number55 = outOfRangeException52.getLo();
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException(localizable59, localizable60, obj_array62);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable57, localizable58, obj_array62);
    java.lang.Object[] obj_array65 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException52, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array65);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable23, obj_array65);
    java.lang.Object[] obj_array68 = optimizationException67.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)optimizationException67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + 0.0f+ "'", number54.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + 100+ "'", number55.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test251"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.08807243591733652d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.03581231118691503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.250427429604657E-4d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test253"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    boolean b5 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.9534903170187385d)+ "'", number4.equals((-0.9534903170187385d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test254"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-1.7925274837903817d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2147547549947098d));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test255"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d15 = levenbergMarquardtOptimizer14.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker16 = null;
    levenbergMarquardtOptimizer14.setConvergenceChecker(convergenceChecker16);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer14);
    double d19 = levenbergMarquardtOptimizer14.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer25 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.9997860728793259d), 0.0d, 2.2726630486287798d, 2.397652446875243d, 199.25595741951275d);
    double d26 = levenbergMarquardtOptimizer25.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker29 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double d30 = simpleVectorialValueChecker29.getRelativeThreshold();
    double d31 = simpleVectorialValueChecker29.getRelativeThreshold();
    levenbergMarquardtOptimizer25.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker29);
    levenbergMarquardtOptimizer14.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker29);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == (-0.9534903170187385d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test256"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, 1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, localizable10, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array24 = outOfRangeException23.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException(localizable19, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException16, localizable18, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable27 = mathIllegalStateException26.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException29 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number30 = tooManyEvaluationsException29.getMax();
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException35 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException29, localizable31, localizable32, obj_array34);
    java.lang.Object[] obj_array36 = tooManyEvaluationsException29.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException37 = new org.apache.commons.math.exception.ConvergenceException(localizable27, obj_array36);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException41 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable27, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(localizable45, localizable46, obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable43, localizable44, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException(localizable42, obj_array48);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException7, localizable27, obj_array48);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable56, localizable57, obj_array59);
    java.lang.Object[] obj_array61 = mathIllegalStateException60.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array61);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException(localizable53, (java.lang.Number)1.0d, obj_array61);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException(localizable27, obj_array61);
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException66 = new org.apache.commons.math.exception.ConvergenceException(localizable27, obj_array65);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException70 = new org.apache.commons.math.exception.OutOfRangeException(localizable27, (java.lang.Number)30.126058863556334d, (java.lang.Number)(-1.0f), (java.lang.Number)(-0.522837588808634d));
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException74 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0, (java.lang.Number)1L, true);
    java.lang.Object[] obj_array75 = numberIsTooSmallException74.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException3, localizable27, obj_array75);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException79 = new org.apache.commons.math.exception.DimensionMismatchException(localizable27, 10, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (-1)+ "'", number30.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test257"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0015173922090170727d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0015173922090170727d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.01255683262887499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999211640130391d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test259"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction7 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer13 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter14 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter15 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer13);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array18 = gaussianFitter15.fit(d_array17);
    double[] d_array19 = gaussianFitter6.fit(parametricUnivariateRealFunction7, d_array17);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer25 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter26 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter27 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = gaussianFitter27.fit(d_array29);
    double[] d_array33 = new double[] { 10.0d, 0.0d };
    double[] d_array34 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    double[] d_array39 = new double[] { 10.0d, 0.0d };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getPoint();
    double[] d_array44 = vectorialPointValuePair42.getValue();
    double[] d_array45 = vectorialPointValuePair42.getPointRef();
    double[] d_array46 = vectorialPointValuePair42.getPointRef();
    double[] d_array49 = new double[] { 10.0d, 0.0d };
    double[] d_array50 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50, false);
    double[] d_array53 = vectorialPointValuePair52.getPoint();
    double[] d_array54 = vectorialPointValuePair52.getValue();
    double[] d_array55 = vectorialPointValuePair52.getPointRef();
    double[] d_array58 = new double[] { 10.0d, 0.0d };
    double[] d_array59 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    double[] d_array62 = vectorialPointValuePair61.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array62, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array62);
    double[] d_array70 = gaussianFitter6.fit(d_array62);
    gaussianFitter6.addObservedPoint(2.1056185231381375d, (-0.946026671867751d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test260"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i12 = levenbergMarquardtOptimizer11.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter13 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    double d14 = levenbergMarquardtOptimizer11.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker17 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    levenbergMarquardtOptimizer11.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker17);
    double[] d_array22 = new double[] { 10.0d, 0.0d };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer31 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter32 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer31);
    double[] d_array35 = new double[] { 10.0d, 0.0d };
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    double[] d_array39 = vectorialPointValuePair38.getPoint();
    double[] d_array40 = vectorialPointValuePair38.getValue();
    double[] d_array41 = vectorialPointValuePair38.getPointRef();
    double[] d_array42 = vectorialPointValuePair38.getPointRef();
    double[] d_array45 = new double[] { 10.0d, 0.0d };
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46, false);
    double[] d_array49 = vectorialPointValuePair48.getPoint();
    double[] d_array50 = vectorialPointValuePair48.getValue();
    double[] d_array51 = vectorialPointValuePair48.getPointRef();
    double[] d_array54 = new double[] { 10.0d, 0.0d };
    double[] d_array55 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array55, false);
    double[] d_array58 = vectorialPointValuePair57.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array58, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array58, false);
    double[] d_array63 = gaussianFitter32.fit(d_array58);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array63);
    double[] d_array67 = new double[] { 10.0d, 0.0d };
    double[] d_array68 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array67, d_array68, false);
    double[] d_array71 = vectorialPointValuePair70.getPoint();
    double[] d_array72 = vectorialPointValuePair70.getValue();
    double[] d_array73 = vectorialPointValuePair70.getPointRef();
    double[] d_array77 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array77, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer85 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter86 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer85);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter87 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer85);
    double[] d_array89 = new double[] { 100.0d };
    double[] d_array90 = gaussianFitter87.fit(d_array89);
    double[] d_array91 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair92 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array90, d_array91);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair93 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array90);
    double[] d_array94 = vectorialPointValuePair93.getPointRef();
    boolean b95 = simpleVectorialValueChecker17.converged((-5), vectorialPointValuePair64, vectorialPointValuePair93);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test261"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException42 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException42);
    org.apache.commons.math.exception.util.Localizable localizable44 = optimizationException43.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException(localizable44, (java.lang.Number)1.4142135623730951d, (java.lang.Number)(-3.0790862902844696d), (java.lang.Number)(-0.9534903170187385d));
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)9.67001865888779d);
    java.lang.Object[] obj_array51 = maxCountExceededException50.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable44, obj_array51);
    org.apache.commons.math.exception.ZeroException zeroException53 = new org.apache.commons.math.exception.ZeroException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test262"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)10.0f, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable6 = numberIsTooSmallException4.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6116944089688983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5489739855026775d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test264"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1149.401137468798d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test265"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 0.0d, 0.5842754832606791d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test266"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = outOfRangeException4.getSuppressed();
    java.lang.Number number6 = outOfRangeException4.getHi();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.util.Localizable localizable8 = mathException7.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable9 = mathException7.getSpecificPattern();
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    java.lang.Object[] obj_array11 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.MathIllegalArgumentException: 0", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test267"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)2.2726630486287798d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test268"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test269"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    int i7 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i15 = levenbergMarquardtOptimizer14.getJacobianEvaluations();
    int i16 = levenbergMarquardtOptimizer14.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer14.getConvergenceChecker();
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker17);
    int i19 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter20 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    int i21 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test270"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable2, obj_array6);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(localizable12, localizable13, obj_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable10, localizable11, obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException8, "hi!", obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable19 = mathException18.getGeneralPattern();
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException(localizable27, localizable28, obj_array30);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable25, localizable26, obj_array30);
    java.lang.Object[] obj_array33 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array30);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException34 = new org.apache.commons.math.exception.MathRuntimeException(throwable22, localizable23, localizable24, obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array30);
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array30);
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array30);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException(localizable19, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException(localizable43, localizable44, obj_array46);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, localizable42, obj_array46);
    java.lang.Object[] obj_array49 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("hi!", obj_array49);
    org.apache.commons.math.exception.ConvergenceException convergenceException52 = new org.apache.commons.math.exception.ConvergenceException(localizable19, obj_array49);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test271"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array12, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array25 = gaussianFitter22.fit(d_array24);
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array25);
    double[] d_array29 = vectorialPointValuePair28.getValue();
    double[] d_array30 = vectorialPointValuePair28.getPoint();
    double[] d_array31 = vectorialPointValuePair28.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.585446030826508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6194671773490041d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test273"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.34245224568076815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.22127060417143d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test274"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.9317031607516325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7313869774785857d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test275"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = null;
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker7);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d10 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.9997860728793259d), 0.0d, 2.2726630486287798d, 2.397652446875243d, 199.25595741951275d);
    double d17 = levenbergMarquardtOptimizer16.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker20 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double d21 = simpleVectorialValueChecker20.getRelativeThreshold();
    double d22 = simpleVectorialValueChecker20.getRelativeThreshold();
    levenbergMarquardtOptimizer16.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker20);
    double d25 = simpleVectorialValueChecker20.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == (-0.9534903170187385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == (-0.9534903170187385d));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test276"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)7.369129256675704d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test277"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.50000006f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.5000001f);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test278"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.05681491671311159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05687612736278956d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test279"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException(localizable1, number2, number3, (java.lang.Number)(-1.0d));
    java.lang.Number number6 = outOfRangeException5.getLo();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException(localizable11, localizable12, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable9, localizable10, obj_array14);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException16);
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array24 = outOfRangeException23.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException(localizable19, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException16, localizable18, obj_array24);
    org.apache.commons.math.exception.util.Localizable localizable27 = mathIllegalStateException26.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException31 = new org.apache.commons.math.exception.OutOfRangeException(localizable27, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException8, localizable27, obj_array32);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException5, localizable27, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    java.lang.Object[] obj_array47 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable38, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable36, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable27, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test280"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.5000001f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test281"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.07062336226086595d), (java.lang.Number)0.05681491671311159d, (java.lang.Number)1.1262684148563817d);
    java.lang.Number number4 = outOfRangeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.07062336226086595d)+ "'", number4.equals((-0.07062336226086595d)));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test282"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    mathException6.addSuppressed((java.lang.Throwable)outOfRangeException10);
    java.lang.Number number14 = outOfRangeException10.getLo();
    java.lang.Number number15 = outOfRangeException10.getArgument();
    java.lang.Number number16 = outOfRangeException10.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100+ "'", number14.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 0.0d+ "'", number15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 100+ "'", number16.equals(100));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test283"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    mathException6.addSuppressed((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable20, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException26);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array34 = outOfRangeException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException26, localizable28, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = mathIllegalStateException36.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException39 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number40 = tooManyEvaluationsException39.getMax();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException39, localizable41, localizable42, obj_array44);
    java.lang.Object[] obj_array46 = tooManyEvaluationsException39.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array46);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable37, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException(localizable55, localizable56, obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable53, localizable54, obj_array58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException(localizable52, obj_array58);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17, localizable37, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathIllegalStateException70.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array71);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException73 = new org.apache.commons.math.exception.MaxCountExceededException(localizable63, (java.lang.Number)1.0d, obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array71);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException10, localizable37, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-1)+ "'", number40.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test284"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, localizable9, obj_array13);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, localizable7, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException2, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array13);
    org.apache.commons.math.exception.util.Localizable localizable21 = convergenceException20.getGeneralPattern();
    java.lang.Object[] obj_array22 = convergenceException20.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test285"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = null;
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test286"); }


    long long1 = org.apache.commons.math.util.FastMath.round(4.199608317468506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4L);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test287"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.5000001f, 0.9999211640130391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5000002f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test288"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(100.0d, 0.0d, 0.0d);
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker12 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    int i13 = levenbergMarquardtOptimizer11.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker14 = levenbergMarquardtOptimizer11.getConvergenceChecker();
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker14);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test289"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.1056185231381375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test290"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.6194671773490041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test291"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(5.9864583181965525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 199.0025125469525d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test292"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.7912822198440062d), 5.293304824724491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.791282219844006d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test293"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-1.2147547549947098d), 0.05776226504666236d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.4711012241324821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9737818332731452d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test295"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.7413591152950743d));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.7413591152950743d)+ "'", number2.equals((-0.7413591152950743d)));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test296"); }


    float f2 = org.apache.commons.math.util.FastMath.max(3.7778932E22f, 6.3382522E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.3382522E29f);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test297"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i10 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter11 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test298"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, localizable6, obj_array8);
    java.lang.Object[] obj_array10 = mathIllegalStateException9.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException(throwable2, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test299"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array12, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter21 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array25 = gaussianFitter22.fit(d_array24);
    double[] d_array26 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array26);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array25);
    double[] d_array29 = vectorialPointValuePair28.getValue();
    double[] d_array30 = vectorialPointValuePair28.getPoint();
    double[] d_array33 = new double[] { 10.0d, 0.0d };
    double[] d_array34 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    double[] d_array37 = vectorialPointValuePair36.getPoint();
    double[] d_array38 = vectorialPointValuePair36.getValue();
    double[] d_array39 = vectorialPointValuePair36.getPointRef();
    double[] d_array42 = new double[] { 10.0d, 0.0d };
    double[] d_array43 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array43, false);
    double[] d_array46 = vectorialPointValuePair45.getPoint();
    double[] d_array47 = vectorialPointValuePair45.getValue();
    double[] d_array48 = vectorialPointValuePair45.getPointRef();
    double[] d_array51 = new double[] { 10.0d, 0.0d };
    double[] d_array52 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    double[] d_array55 = vectorialPointValuePair54.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array55, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array55, true);
    double[] d_array60 = vectorialPointValuePair59.getValue();
    double[] d_array61 = vectorialPointValuePair59.getValue();
    double[] d_array62 = vectorialPointValuePair59.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test300"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(0.5000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test301"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(22026.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test302"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.03582763300024814d, 3.1622776601683795d, 2.397652446875243d);
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getWeight();
    double d6 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.397652446875243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.03582763300024814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03582763300024814d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test303"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.797297900344121d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test304"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.7241400178893858d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test305"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = gaussianFitter7.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test306"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(907258.2997263392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1641532182693481E-10d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test308"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = mathIllegalStateException28.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException(localizable35, localizable36, obj_array38);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, localizable34, obj_array38);
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array38);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException31, "hi!", obj_array38);
    java.lang.String str43 = mathException42.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str43.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test309"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(9.997329239123708d, 1.3840789902012867d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test310"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.6414631560782394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8743923259176789d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test311"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getLo();
    java.lang.Number number7 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100+ "'", number5.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100+ "'", number6.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(13.718182473257599d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 453629.1498637207d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test313"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, localizable2, obj_array4);
    java.lang.Object[] obj_array6 = mathIllegalStateException5.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.util.Localizable localizable8 = optimizationException7.getGeneralPattern();
    java.lang.String str9 = optimizationException7.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9999211640130391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.4239383778056814E-5d));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test315"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.05776226504666236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test316"); }


    double d2 = org.apache.commons.math.util.FastMath.max(199.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 199.0d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test317"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4);
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(localizable8, localizable9, obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable6, localizable7, obj_array11);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException14 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException13);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException20 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array21 = outOfRangeException20.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException(localizable16, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException13, localizable15, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable24 = mathIllegalStateException23.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException26 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number27 = tooManyEvaluationsException26.getMax();
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException26, localizable28, localizable29, obj_array31);
    java.lang.Object[] obj_array33 = tooManyEvaluationsException26.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException34 = new org.apache.commons.math.exception.ConvergenceException(localizable24, obj_array33);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException38 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable24, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(localizable42, localizable43, obj_array45);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable40, localizable41, obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException(localizable39, obj_array45);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4, localizable24, obj_array45);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException52 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number53 = tooManyEvaluationsException52.getMax();
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException52, localizable54, localizable55, obj_array57);
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(localizable62, localizable63, obj_array65);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable60, localizable61, obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException52, localizable59, obj_array65);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException69 = new org.apache.commons.math.exception.MaxCountExceededException(localizable24, (java.lang.Number)100.0d, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException(localizable73, localizable74, obj_array76);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException78 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable71, localizable72, obj_array76);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array76);
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException(throwable0, localizable24, obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1)+ "'", number27.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number53 + "' != '" + (-1)+ "'", number53.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test318"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.9534903170187385d), 1.0d);
    double[] d_array6 = new double[] { 10.0d, 0.0d };
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPoint();
    double[] d_array11 = vectorialPointValuePair9.getValue();
    double[] d_array12 = vectorialPointValuePair9.getPointRef();
    double[] d_array15 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array19, false);
    double[] d_array24 = new double[] { 10.0d, 0.0d };
    double[] d_array25 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPoint();
    double[] d_array29 = vectorialPointValuePair27.getValue();
    double[] d_array30 = vectorialPointValuePair27.getPointRef();
    double[] d_array31 = vectorialPointValuePair27.getPointRef();
    double[] d_array34 = new double[] { 10.0d, 0.0d };
    double[] d_array35 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    double[] d_array38 = vectorialPointValuePair37.getPoint();
    double[] d_array39 = vectorialPointValuePair37.getValue();
    double[] d_array40 = vectorialPointValuePair37.getPointRef();
    double[] d_array43 = new double[] { 10.0d, 0.0d };
    double[] d_array44 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    double[] d_array47 = vectorialPointValuePair46.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array47, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array47, false);
    boolean b52 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair21, vectorialPointValuePair51);
    double[] d_array56 = new double[] { 10.0d, 0.0d };
    double[] d_array57 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array56, d_array57, false);
    double[] d_array60 = vectorialPointValuePair59.getPoint();
    double[] d_array61 = vectorialPointValuePair59.getValue();
    double[] d_array62 = vectorialPointValuePair59.getValue();
    double[] d_array65 = new double[] { 10.0d, 0.0d };
    double[] d_array66 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66, false);
    double[] d_array69 = vectorialPointValuePair68.getPoint();
    double[] d_array70 = vectorialPointValuePair68.getValue();
    double[] d_array71 = vectorialPointValuePair68.getPointRef();
    double[] d_array74 = new double[] { 10.0d, 0.0d };
    double[] d_array75 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75, false);
    double[] d_array78 = vectorialPointValuePair77.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair80 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array71, d_array78, false);
    double[] d_array83 = new double[] { 10.0d, 0.0d };
    double[] d_array84 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array83, d_array84, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair88 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array71, d_array83, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b89 = simpleVectorialValueChecker2.converged(0, vectorialPointValuePair59, vectorialPointValuePair88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test319"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = tooManyEvaluationsException1.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1);
    java.lang.String str10 = convergenceException9.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{0}"+ "'", str10.equals("{0}"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test320"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    gaussianFitter6.clearObservations();
    gaussianFitter6.clearObservations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = gaussianFitter6.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test321"); }


    int i2 = org.apache.commons.math.util.FastMath.min(98, 98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 98);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test322"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0020046482930485524d, 0.6548065234306949d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.017114215878983246d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test323"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(5.046178869499785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.246370154159769d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test324"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.3840789902012867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1144321319440562d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test325"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array10 = gaussianFitter7.fit(d_array9);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction11 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer17 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer17);
    double[] d_array21 = new double[] { 10.0d, 0.0d };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    double[] d_array26 = vectorialPointValuePair24.getValue();
    double[] d_array27 = vectorialPointValuePair24.getPointRef();
    double[] d_array30 = new double[] { 10.0d, 0.0d };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array34, false);
    double[] d_array39 = new double[] { 10.0d, 0.0d };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getPoint();
    double[] d_array44 = vectorialPointValuePair42.getValue();
    double[] d_array45 = vectorialPointValuePair42.getPointRef();
    double[] d_array48 = new double[] { 10.0d, 0.0d };
    double[] d_array49 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    double[] d_array52 = vectorialPointValuePair51.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array52, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array45, false);
    double[] d_array57 = gaussianFitter18.fit(d_array34);
    double[] d_array58 = gaussianFitter7.fit(parametricUnivariateRealFunction11, d_array34);
    gaussianFitter7.addObservedPoint(0.0d, 0.0d, 0.0d);
    double[] d_array65 = new double[] { 10.0d, 0.0d };
    double[] d_array66 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66, false);
    double[] d_array69 = vectorialPointValuePair68.getPoint();
    double[] d_array70 = vectorialPointValuePair68.getValue();
    double[] d_array71 = vectorialPointValuePair68.getPointRef();
    double[] d_array74 = new double[] { 10.0d, 0.0d };
    double[] d_array75 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75, false);
    double[] d_array78 = vectorialPointValuePair77.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair80 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array71, d_array78, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array81 = gaussianFitter7.fit(d_array78);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException");
    } catch (org.apache.commons.math.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test326"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter7 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double[] d_array10 = new double[] { 10.0d, 0.0d };
    double[] d_array11 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    double[] d_array14 = vectorialPointValuePair13.getPoint();
    double[] d_array15 = vectorialPointValuePair13.getValue();
    double[] d_array16 = vectorialPointValuePair13.getPointRef();
    double[] d_array20 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array20, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter29 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array33 = gaussianFitter30.fit(d_array32);
    double[] d_array34 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array33);
    double[] d_array37 = vectorialPointValuePair36.getPointRef();
    double[] d_array38 = gaussianFitter7.fit(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test327"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)2.8421709430404007E-14d);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException44 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(-0.47162571251991114d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test328"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable33, localizable34, obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable31, localizable32, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException38);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array46 = outOfRangeException45.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable41, obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException38, localizable40, obj_array46);
    org.apache.commons.math.exception.util.Localizable localizable49 = mathIllegalStateException48.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException51 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number52 = tooManyEvaluationsException51.getMax();
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException51, localizable53, localizable54, obj_array56);
    java.lang.Object[] obj_array58 = tooManyEvaluationsException51.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException59 = new org.apache.commons.math.exception.ConvergenceException(localizable49, obj_array58);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException63 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable49, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException71 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable64, localizable65, obj_array69);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable73, localizable74, obj_array78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException71, "hi!", obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable49, obj_array78);
    org.apache.commons.math.exception.ConvergenceException convergenceException83 = new org.apache.commons.math.exception.ConvergenceException(localizable49);
    java.lang.Object[] obj_array84 = convergenceException83.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1)+ "'", number52.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test329"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test330"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4828289138443334d, 1.0594630943592955d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test331"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = mathIllegalStateException7.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array8);
    org.apache.commons.math.exception.util.Localizable localizable11 = convergenceException10.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, localizable13, obj_array17);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException20 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array27 = outOfRangeException26.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable22, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException19, localizable21, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = mathIllegalStateException29.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    java.lang.Object[] obj_array39 = tooManyEvaluationsException32.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable30, obj_array39);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable30, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException44 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable30, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException(localizable48, localizable49, obj_array51);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable46, localizable47, obj_array51);
    java.lang.Object[] obj_array54 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array51);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException55 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, obj_array51);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10, localizable30, obj_array51);
    org.apache.commons.math.exception.util.Localizable localizable57 = convergenceException10.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    java.lang.Object[] obj_array62 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException(localizable59, localizable60, obj_array62);
    java.lang.Object[] obj_array64 = mathIllegalStateException63.getArguments();
    java.lang.Object[] obj_array65 = mathIllegalStateException63.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array65);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException67 = new org.apache.commons.math.exception.MaxCountExceededException(localizable57, (java.lang.Number)76.66560501815661d, obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test332"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.73974764037252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2208240123273224d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test333"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(5.6843418860808015E-14d, 0.9999999987501251d, 2.8364148230870363d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test334"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(3.7778932E22f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.8889466E22f);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test335"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, localizable43, obj_array47);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array47);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable18, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    java.lang.Object[] obj_array63 = mathIllegalStateException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException(throwable55, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, obj_array63);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array63);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException69 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)1.2980741E35f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException70 = new org.apache.commons.math.exception.NullArgumentException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test336"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)10.0f, false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    java.lang.Number number7 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0f+ "'", number7.equals(10.0f));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test337"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, localizable43, obj_array47);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array47);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable18, obj_array47);
    org.apache.commons.math.exception.ConvergenceException convergenceException54 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test338"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = tooManyEvaluationsException1.getArguments();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = outOfRangeException12.getSuppressed();
    java.lang.Number number14 = outOfRangeException12.getHi();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException15);
    java.lang.String str17 = mathException15.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = mathException15.getGeneralPattern();
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, localizable18, obj_array19);
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(localizable25, localizable26, obj_array28);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, localizable24, obj_array28);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException(localizable34, localizable35, obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable32, localizable33, obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException30, "hi!", obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array37);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, number21, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException(localizable47, localizable48, obj_array50);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, localizable46, obj_array50);
    java.lang.Object[] obj_array53 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array53);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, obj_array53);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException56 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.0f+ "'", number14.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{0}"+ "'", str17.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test339"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.19300562619709644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6450359392218494d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test340"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.5842754832606791d, 907258.2997263393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5842754832606791d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test341"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.5844699810348659d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test342"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, localizable45, obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable42, localizable43, obj_array47);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array47);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable41, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array47);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(localizable18, obj_array47);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Throwable throwable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException(localizable58, localizable59, obj_array61);
    java.lang.Object[] obj_array63 = mathIllegalStateException62.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException(throwable55, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, obj_array63);
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable68 = optimizationException67.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable68);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test343"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = null;
    curveFitter6.addObservedPoint(weightedObservedPoint7);
    curveFitter6.addObservedPoint(3.1622776601683795d, 9.997329239123708d, 1.4142135623730951d);
    curveFitter6.addObservedPoint((-0.9997860728793259d), 0.7141515718981495d, (-0.47162571251991114d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array17 = curveFitter6.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array17);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test344"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.2980741E35f, 5.105212893177895E-81d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.298074E35f);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test345"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d9 = levenbergMarquardtOptimizer5.getChiSquare();
    double d10 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.09238559750314373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09238559750314373d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test347"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.025512326077763464d, (java.lang.Number)(-0.9997860728793259d), (java.lang.Number)199.00499987500626d);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, localizable10, obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable7, localizable8, obj_array12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException15 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException14);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException21 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array22 = outOfRangeException21.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException(localizable17, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException14, localizable16, obj_array22);
    org.apache.commons.math.exception.util.Localizable localizable25 = mathIllegalStateException24.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException(localizable25, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException6, localizable25, obj_array30);
    mathException4.addSuppressed((java.lang.Throwable)maxCountExceededException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable25);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test348"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPoint();
    double[] d_array17 = vectorialPointValuePair15.getValue();
    double[] d_array18 = vectorialPointValuePair15.getPointRef();
    double[] d_array21 = new double[] { 10.0d, 0.0d };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array25, false);
    double[] d_array30 = new double[] { 10.0d, 0.0d };
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getPoint();
    double[] d_array35 = vectorialPointValuePair33.getValue();
    double[] d_array36 = vectorialPointValuePair33.getPointRef();
    double[] d_array39 = new double[] { 10.0d, 0.0d };
    double[] d_array40 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array43, false);
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array46, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array36, false);
    double[] d_array51 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test349"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = curveFitter8.getObservations();
    curveFitter8.addObservedPoint(5.293304824724492d, 3.2552549410485776d, 7917.822216560756d);
    curveFitter8.addObservedPoint(1.1752011917151435d, 0.9999999987501251d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test350"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9999999987501251d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test351"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 1);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test352"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, (-0.47162571251991114d), 5.298342365610589d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = gaussianFitter4.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test353"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException(localizable52, localizable53, obj_array55);
    java.lang.Object[] obj_array57 = mathIllegalStateException56.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array57);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)1.0d, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, obj_array57);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException62 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array61);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException63 = new org.apache.commons.math.exception.NullArgumentException(localizable23);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException67 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array68 = outOfRangeException67.getSuppressed();
    java.lang.Number number69 = outOfRangeException67.getHi();
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException67);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException71 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException70);
    java.lang.Throwable[] throwable_array72 = mathRuntimeException71.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, (java.lang.Object[])throwable_array72);
    org.apache.commons.math.exception.ConvergenceException convergenceException74 = new org.apache.commons.math.exception.ConvergenceException(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number69 + "' != '" + 0.0f+ "'", number69.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.122462048309373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0392592260318434d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test355"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(localizable1, localizable2, obj_array4);
    java.lang.Object[] obj_array6 = mathIllegalStateException5.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array6);
    org.apache.commons.math.exception.util.Localizable localizable8 = convergenceException7.getSpecificPattern();
    java.lang.Object[] obj_array9 = convergenceException7.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test356"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.50000006f, 6.3382526E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.50000006f);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test357"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.4142135623730951d, (java.lang.Number)10.0f, (java.lang.Number)13.718182473257599d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test358"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.9530903911138372d, 0.7241400178893856d, 2.673690533784562d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test359"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    double d8 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test360"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array18 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array18, true);
    double[] d_array21 = vectorialPointValuePair20.getPoint();
    double[] d_array22 = vectorialPointValuePair20.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test361"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.3840789902012867d, 99.49748743718582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3840789902012867d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test362"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 98);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test363"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(22025.46579480672d, (-0.7398983613676335d));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test364"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test365"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException3.getSpecificPattern();
    java.lang.Number number7 = outOfRangeException3.getArgument();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0d+ "'", number7.equals(0.0d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test366"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = outOfRangeException4.getSuppressed();
    java.lang.Number number6 = outOfRangeException4.getHi();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException4);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array12 = outOfRangeException11.getSuppressed();
    java.lang.Number number13 = outOfRangeException11.getHi();
    mathException7.addSuppressed((java.lang.Throwable)outOfRangeException11);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException18);
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException(localizable22, localizable23, obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable20, localizable21, obj_array25);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException28 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException27);
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException34 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array35 = outOfRangeException34.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException(localizable30, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException27, localizable29, obj_array35);
    org.apache.commons.math.exception.util.Localizable localizable38 = mathIllegalStateException37.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException40 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number41 = tooManyEvaluationsException40.getMax();
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException46 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException40, localizable42, localizable43, obj_array45);
    java.lang.Object[] obj_array47 = tooManyEvaluationsException40.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException48 = new org.apache.commons.math.exception.ConvergenceException(localizable38, obj_array47);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException52 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable38, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable56, localizable57, obj_array59);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable54, localizable55, obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException(localizable53, obj_array59);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException18, localizable38, obj_array59);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    java.lang.Object[] obj_array70 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException(localizable67, localizable68, obj_array70);
    java.lang.Object[] obj_array72 = mathIllegalStateException71.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array72);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException74 = new org.apache.commons.math.exception.MaxCountExceededException(localizable64, (java.lang.Number)1.0d, obj_array72);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException(localizable38, obj_array72);
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    java.lang.Object[] obj_array79 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException80 = new org.apache.commons.math.exception.MathIllegalStateException(localizable76, localizable77, obj_array79);
    java.lang.Object[] obj_array81 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException11, localizable38, obj_array79);
    org.apache.commons.math.optimization.OptimizationException optimizationException83 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array79);
    java.lang.Object[] obj_array84 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0.0f+ "'", number13.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (-1)+ "'", number41.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test367"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.1056185231381375d, 4.065075015005977d, 0.05681491671311159d, 0.0d, 4.178999046219271E29d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test368"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.9996745782604675d, (-0.6290837498277201d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9996745782604675d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(2.1056185231381375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.970777286706621d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test370"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test371"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.util.Localizable localizable7 = mathException6.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = mathException6.getSpecificPattern();
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test372"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.5000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.5000002f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test373"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = outOfRangeException5.getSuppressed();
    java.lang.Number number7 = outOfRangeException5.getHi();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException5);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = outOfRangeException12.getSuppressed();
    java.lang.Number number14 = outOfRangeException12.getHi();
    mathException8.addSuppressed((java.lang.Throwable)outOfRangeException12);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, localizable24, obj_array26);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable21, localizable22, obj_array26);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException29 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException28);
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array36 = outOfRangeException35.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException(localizable31, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException28, localizable30, obj_array36);
    org.apache.commons.math.exception.util.Localizable localizable39 = mathIllegalStateException38.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException41 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number42 = tooManyEvaluationsException41.getMax();
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException47 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException41, localizable43, localizable44, obj_array46);
    java.lang.Object[] obj_array48 = tooManyEvaluationsException41.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException(localizable39, obj_array48);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException53 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable39, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException(localizable57, localizable58, obj_array60);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException62 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable55, localizable56, obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException(localizable54, obj_array60);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException19, localizable39, obj_array60);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException(localizable68, localizable69, obj_array71);
    java.lang.Object[] obj_array73 = mathIllegalStateException72.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array73);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException75 = new org.apache.commons.math.exception.MaxCountExceededException(localizable65, (java.lang.Number)1.0d, obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException(localizable39, obj_array73);
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    java.lang.Object[] obj_array80 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException(localizable77, localizable78, obj_array80);
    java.lang.Object[] obj_array82 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array80);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException83 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException12, localizable39, obj_array80);
    java.lang.Throwable[] throwable_array84 = mathIllegalStateException83.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", (java.lang.Object[])throwable_array84);
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException(localizable0, (java.lang.Object[])throwable_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.0f+ "'", number14.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number42 + "' != '" + (-1)+ "'", number42.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array84);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test374"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.7241400178893858d, 0.7141515718981495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7923427117015205d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test375"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array7);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array17 = outOfRangeException16.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException(localizable12, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException9, localizable11, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable20 = mathIllegalStateException19.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException24 = new org.apache.commons.math.exception.OutOfRangeException(localizable20, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException1, localizable20, obj_array25);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable20, (java.lang.Number)(-0.9129031725059056d));
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array34 = outOfRangeException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array34);
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException(localizable20, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test376"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-1)+ "'", number3.equals((-1)));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test377"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-3.6685935680075406d), 0.18493244781757842d, 907258.0d, 0.0d, 2.8364148230870363d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test378"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 1.4142135623730954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4142135623730954d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test379"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.1719067704517978d, 0.5844699810348659d, 5.9864583181965525d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test380"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array20 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getValue();
    double[] d_array26 = vectorialPointValuePair23.getPointRef();
    double[] d_array29 = new double[] { 10.0d, 0.0d };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array26, false);
    double[] d_array40 = new double[] { 10.0d, 0.0d };
    double[] d_array41 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getPoint();
    double[] d_array45 = vectorialPointValuePair43.getValue();
    double[] d_array46 = vectorialPointValuePair43.getPointRef();
    double[] d_array49 = new double[] { 10.0d, 0.0d };
    double[] d_array50 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50, false);
    double[] d_array53 = vectorialPointValuePair52.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array53, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array46, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test381"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, (-0.47162571251991114d), 5.298342365610589d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction5 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d12 = levenbergMarquardtOptimizer11.getRMS();
    int i13 = levenbergMarquardtOptimizer11.getEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter14 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter21 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter22 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction23 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer29 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter30 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer29);
    double[] d_array33 = new double[] { 10.0d, 0.0d };
    double[] d_array34 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    double[] d_array37 = vectorialPointValuePair36.getPoint();
    double[] d_array38 = vectorialPointValuePair36.getValue();
    double[] d_array39 = vectorialPointValuePair36.getPointRef();
    double[] d_array42 = new double[] { 10.0d, 0.0d };
    double[] d_array43 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array43, false);
    double[] d_array46 = vectorialPointValuePair45.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array46, false);
    double[] d_array51 = new double[] { 10.0d, 0.0d };
    double[] d_array52 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    double[] d_array55 = vectorialPointValuePair54.getPoint();
    double[] d_array56 = vectorialPointValuePair54.getValue();
    double[] d_array57 = vectorialPointValuePair54.getPointRef();
    double[] d_array60 = new double[] { 10.0d, 0.0d };
    double[] d_array61 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array64 = vectorialPointValuePair63.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array64, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array57, false);
    double[] d_array69 = gaussianFitter30.fit(d_array46);
    double[] d_array70 = gaussianFitter22.fit(parametricUnivariateRealFunction23, d_array69);
    double[] d_array71 = gaussianFitter14.fit(d_array70);
    double[] d_array72 = curveFitter4.fit(parametricUnivariateRealFunction5, d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test382"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(2.673690533784562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.45101488669810486d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test383"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(9.67001865888779d, (-0.47162571251991114d), 0.0d, 22025.46579480672d, (-0.07062336226086595d));
    int i6 = levenbergMarquardtOptimizer5.getEvaluations();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test384"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.6194671773490041d, 0.9653724449687696d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double[] d_array7 = new double[] { 10.0d, 0.0d };
    double[] d_array8 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair10 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array8, false);
    double[] d_array11 = vectorialPointValuePair10.getPoint();
    double[] d_array12 = vectorialPointValuePair10.getValue();
    double[] d_array13 = vectorialPointValuePair10.getPointRef();
    double[] d_array17 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array17, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer25 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter26 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter27 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer25);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array30 = gaussianFitter27.fit(d_array29);
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array30);
    double[] d_array36 = new double[] { 10.0d, 0.0d };
    double[] d_array37 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    double[] d_array40 = vectorialPointValuePair39.getPoint();
    double[] d_array41 = vectorialPointValuePair39.getValue();
    double[] d_array42 = vectorialPointValuePair39.getPointRef();
    double[] d_array43 = vectorialPointValuePair39.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      boolean b44 = simpleVectorialValueChecker2.converged(0, vectorialPointValuePair33, vectorialPointValuePair39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.9653724449687696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-3.6685935680075406d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test386"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.5f);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.exception.util.Localizable localizable4 = optimizationException3.getGeneralPattern();
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException(localizable4, obj_array5);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = outOfRangeException17.getSuppressed();
    java.lang.Number number19 = outOfRangeException17.getHi();
    mathException13.addSuppressed((java.lang.Throwable)outOfRangeException17);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException24);
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException(localizable28, localizable29, obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable26, localizable27, obj_array31);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException34 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException33);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException40 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array41 = outOfRangeException40.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException(localizable36, obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException33, localizable35, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable44 = mathIllegalStateException43.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException46 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number47 = tooManyEvaluationsException46.getMax();
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException52 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException46, localizable48, localizable49, obj_array51);
    java.lang.Object[] obj_array53 = tooManyEvaluationsException46.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException54 = new org.apache.commons.math.exception.ConvergenceException(localizable44, obj_array53);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException58 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable44, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math.exception.MathIllegalStateException(localizable62, localizable63, obj_array65);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable60, localizable61, obj_array65);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException(localizable59, obj_array65);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException24, localizable44, obj_array65);
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException(localizable73, localizable74, obj_array76);
    java.lang.Object[] obj_array78 = mathIllegalStateException77.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array78);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException80 = new org.apache.commons.math.exception.MaxCountExceededException(localizable70, (java.lang.Number)1.0d, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException(localizable44, obj_array78);
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    org.apache.commons.math.exception.util.Localizable localizable83 = null;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException86 = new org.apache.commons.math.exception.MathIllegalStateException(localizable82, localizable83, obj_array85);
    java.lang.Object[] obj_array87 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException88 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException17, localizable44, obj_array85);
    java.lang.Throwable[] throwable_array89 = mathIllegalStateException88.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])throwable_array89);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, (java.lang.Object[])throwable_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0.0f+ "'", number19.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + (-1)+ "'", number47.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array89);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test387"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = optimizationException2.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException(localizable3, (java.lang.Number)1.4142135623730951d, (java.lang.Number)(-3.0790862902844696d), (java.lang.Number)(-0.9534903170187385d));
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = outOfRangeException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array13);
    org.apache.commons.math.exception.ConvergenceException convergenceException15 = new org.apache.commons.math.exception.ConvergenceException(localizable3, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test388"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.017114215878983246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-6));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test389"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(9.67001865888779d, (-0.47162571251991114d), 0.0d, 22025.46579480672d, (-0.07062336226086595d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test390"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.542591947522209d, 0.6584020804826582d, 0.6239870197449137d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test391"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.4711012241324821d, 5.046178869499785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.28366608836420304d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test392"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException6 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number7 = tooManyEvaluationsException6.getMax();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException12 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException6, localizable8, localizable9, obj_array11);
    java.lang.Object[] obj_array13 = tooManyEvaluationsException6.getArguments();
    outOfRangeException3.addSuppressed((java.lang.Throwable)tooManyEvaluationsException6);
    org.apache.commons.math.exception.util.Localizable localizable15 = tooManyEvaluationsException6.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1)+ "'", number7.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test393"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(10.0d, 1.4142135623730951d);
    double[] d_array6 = new double[] { 10.0d, 0.0d };
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPoint();
    double[] d_array17 = vectorialPointValuePair15.getValue();
    double[] d_array18 = vectorialPointValuePair15.getPointRef();
    double[] d_array19 = vectorialPointValuePair15.getPointRef();
    double[] d_array22 = new double[] { 10.0d, 0.0d };
    double[] d_array23 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array23, false);
    double[] d_array26 = vectorialPointValuePair25.getPoint();
    double[] d_array27 = vectorialPointValuePair25.getValue();
    double[] d_array28 = vectorialPointValuePair25.getPointRef();
    double[] d_array31 = new double[] { 10.0d, 0.0d };
    double[] d_array32 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array35, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array35, false);
    double[] d_array44 = new double[] { 10.0d, 0.0d };
    double[] d_array45 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    double[] d_array50 = new double[] { 10.0d, 0.0d };
    double[] d_array51 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array51, false);
    double[] d_array54 = vectorialPointValuePair53.getPoint();
    double[] d_array55 = vectorialPointValuePair53.getValue();
    double[] d_array56 = vectorialPointValuePair53.getPointRef();
    double[] d_array57 = vectorialPointValuePair53.getPointRef();
    double[] d_array60 = new double[] { 10.0d, 0.0d };
    double[] d_array61 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array64 = vectorialPointValuePair63.getPoint();
    double[] d_array65 = vectorialPointValuePair63.getValue();
    double[] d_array66 = vectorialPointValuePair63.getPointRef();
    double[] d_array69 = new double[] { 10.0d, 0.0d };
    double[] d_array70 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    double[] d_array73 = vectorialPointValuePair72.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair75 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array73, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array73, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array73, false);
    boolean b80 = simpleVectorialValueChecker2.converged(1, vectorialPointValuePair41, vectorialPointValuePair79);
    double[] d_array81 = vectorialPointValuePair41.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test394"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.9469044187132551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5777177610488182d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test395"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException42 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException42);
    org.apache.commons.math.exception.util.Localizable localizable44 = optimizationException43.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException(localizable44, (java.lang.Number)1.4142135623730951d, (java.lang.Number)(-3.0790862902844696d), (java.lang.Number)(-0.9534903170187385d));
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)9.67001865888779d);
    java.lang.Object[] obj_array51 = maxCountExceededException50.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable44, obj_array51);
    org.apache.commons.math.exception.ZeroException zeroException53 = new org.apache.commons.math.exception.ZeroException(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test396"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException51 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number52 = tooManyEvaluationsException51.getMax();
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException51, localizable53, localizable54, obj_array56);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException(localizable61, localizable62, obj_array64);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable59, localizable60, obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException51, localizable58, obj_array64);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)100.0d, obj_array64);
    java.lang.Number number69 = maxCountExceededException68.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1)+ "'", number52.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number69 + "' != '" + 100.0d+ "'", number69.equals(100.0d));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test397"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, localizable4, obj_array6);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException(localizable15, localizable16, obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, localizable14, obj_array18);
    java.lang.Object[] obj_array21 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable11, localizable12, obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(localizable9, localizable10, obj_array18);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, "hi!", obj_array18);
    java.lang.Number number25 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (-1)+ "'", number25.equals((-1)));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test398"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.8421709430404007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-45));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test399"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(5.9864583181965525d, 0.2031547173880032d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test400"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(6.3382526E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.7778932E22f);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test401"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-5), 1);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test402"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, localizable2, obj_array6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException9 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException8);
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array16 = outOfRangeException15.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException(localizable11, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException8, localizable10, obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: 100 != 10", obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.7004350643250137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.012224898068889762d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test404"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.25939447501706747d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.22848138181248195d));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test405"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.946026671867751d), 0.0d, 10.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1262684148563817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11890988040064276d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test407"); }


    long long2 = org.apache.commons.math.util.FastMath.max(10L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test408"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.0034342105484189414d), 1.2230847363456419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.002807819786664274d));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test409"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.7398983613676335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0957224973007147d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test410"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(3.0393855634200846E30d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1123308169421666E33d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.03581231118691503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03581231118691503d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test412"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = mathIllegalStateException7.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array8);
    org.apache.commons.math.exception.util.Localizable localizable11 = convergenceException10.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(localizable14, localizable15, obj_array17);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable12, localizable13, obj_array17);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException20 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException26 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array27 = outOfRangeException26.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException(localizable22, obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException19, localizable21, obj_array27);
    org.apache.commons.math.exception.util.Localizable localizable30 = mathIllegalStateException29.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    java.lang.Object[] obj_array39 = tooManyEvaluationsException32.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable30, obj_array39);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable30, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException44 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable30, (java.lang.Number)(-0.47162571251991114d));
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException(localizable48, localizable49, obj_array51);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable46, localizable47, obj_array51);
    java.lang.Object[] obj_array54 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array51);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException55 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable45, obj_array51);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10, localizable30, obj_array51);
    org.apache.commons.math.exception.util.Localizable localizable57 = convergenceException10.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable57);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.22127060417143d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2212706041714303d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test414"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, (-0.47162571251991114d), 5.298342365610589d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter5.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.1752011917151435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test416"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.5538979213935188d, number1, (java.lang.Number)100);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.025512326077763464d, (java.lang.Number)(-0.9997860728793259d), (java.lang.Number)199.00499987500626d);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException7);
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException7);
    java.lang.Number number10 = outOfRangeException7.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.9997860728793259d)+ "'", number10.equals((-0.9997860728793259d)));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test417"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = null;
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker7);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint13 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 1.6415964735668072d, 1.3847783560889007d);
    curveFitter9.addObservedPoint(weightedObservedPoint13);
    double d15 = weightedObservedPoint13.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.3847783560889007d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(131.8841611504683d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.889477779914584d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test419"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1L, (java.lang.Number)15834.644496270188d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 15834.644496270188d+ "'", number4.equals(15834.644496270188d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test420"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.5000002f, 0.5000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5000002f);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test421"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(6.338253E29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.5557864E22f);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test422"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    mathException6.addSuppressed((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable20, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException26);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array34 = outOfRangeException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException26, localizable28, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = mathIllegalStateException36.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException39 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number40 = tooManyEvaluationsException39.getMax();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException39, localizable41, localizable42, obj_array44);
    java.lang.Object[] obj_array46 = tooManyEvaluationsException39.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array46);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable37, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException(localizable55, localizable56, obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable53, localizable54, obj_array58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException(localizable52, obj_array58);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17, localizable37, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathIllegalStateException70.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array71);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException73 = new org.apache.commons.math.exception.MaxCountExceededException(localizable63, (java.lang.Number)1.0d, obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array71);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException10, localizable37, obj_array78);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException85 = new org.apache.commons.math.exception.OutOfRangeException(localizable37, (java.lang.Number)7.212180862927325d, (java.lang.Number)3.1622776601683795d, (java.lang.Number)6.253100775490992E-4d);
    org.apache.commons.math.exception.ZeroException zeroException86 = new org.apache.commons.math.exception.ZeroException(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-1)+ "'", number40.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test423"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable3, localizable4, obj_array6);
    java.lang.Object[] obj_array8 = tooManyEvaluationsException1.getArguments();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = outOfRangeException12.getSuppressed();
    java.lang.Number number14 = outOfRangeException12.getHi();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException15);
    java.lang.String str17 = mathException15.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable18 = mathException15.getGeneralPattern();
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, localizable18, obj_array19);
    org.apache.commons.math.exception.ZeroException zeroException21 = new org.apache.commons.math.exception.ZeroException(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-1)+ "'", number2.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.0f+ "'", number14.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{0}"+ "'", str17.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test424"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    int i10 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test425"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(localizable33, localizable34, obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable31, localizable32, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException38);
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException45 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array46 = outOfRangeException45.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable41, obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException38, localizable40, obj_array46);
    org.apache.commons.math.exception.util.Localizable localizable49 = mathIllegalStateException48.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException51 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number52 = tooManyEvaluationsException51.getMax();
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException51, localizable53, localizable54, obj_array56);
    java.lang.Object[] obj_array58 = tooManyEvaluationsException51.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException59 = new org.apache.commons.math.exception.ConvergenceException(localizable49, obj_array58);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException63 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable49, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException71 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable64, localizable65, obj_array69);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable73, localizable74, obj_array78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException71, "hi!", obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable49, obj_array78);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException85 = new org.apache.commons.math.exception.DimensionMismatchException(localizable18, (-1), 10);
    int i86 = dimensionMismatchException85.getDimension();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException87 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1)+ "'", number52.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 10);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test426"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.970777286706621d, 0.7141515718981495d, 5.046178869499785d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test427"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = mathIllegalStateException28.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array29);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException(localizable36, localizable37, obj_array39);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, localizable35, obj_array39);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException41);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException48 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array49 = outOfRangeException48.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException(localizable44, obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException41, localizable43, obj_array49);
    org.apache.commons.math.exception.util.Localizable localizable52 = mathIllegalStateException51.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException54 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number55 = tooManyEvaluationsException54.getMax();
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException60 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException54, localizable56, localizable57, obj_array59);
    java.lang.Object[] obj_array61 = tooManyEvaluationsException54.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException62 = new org.apache.commons.math.exception.ConvergenceException(localizable52, obj_array61);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException64 = new org.apache.commons.math.exception.ConvergenceException(localizable52, obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    java.lang.Object[] obj_array72 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException(localizable69, localizable70, obj_array72);
    java.lang.Object[] obj_array74 = mathIllegalStateException73.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array74);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException(localizable66, (java.lang.Number)1.0d, obj_array74);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException77 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException33, localizable52, localizable65, obj_array74);
    java.lang.Object[] obj_array78 = mathRuntimeException77.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException79 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array78);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException81 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + (-1)+ "'", number55.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test428"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.040155205282362175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test429"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.1752011917151435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.394575322520246d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test430"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.44403366439580927d, (-0.9534903170187385d), 0.036831885898048485d, 4.065075015005977d, 4.7216877811839515d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test431"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.06281271316414207d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.39751103045828473d));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test432"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-3.66859356800754d), 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-60106.23701823554d));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test433"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.exception.util.Localizable localizable7 = numberIsTooSmallException4.getGeneralPattern();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Number number9 = null;
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math.exception.OutOfRangeException(localizable8, number9, number10, (java.lang.Number)(-1.0d));
    java.lang.Number number13 = outOfRangeException12.getLo();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException(localizable18, localizable19, obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, localizable17, obj_array21);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException23);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException30 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array31 = outOfRangeException30.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException(localizable26, obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException23, localizable25, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable34 = mathIllegalStateException33.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException38 = new org.apache.commons.math.exception.OutOfRangeException(localizable34, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException15, localizable34, obj_array39);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException12, localizable34, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.util.Localizable localizable45 = null;
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(localizable45, localizable46, obj_array48);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable43, localizable44, obj_array48);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException50);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException57 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array58 = outOfRangeException57.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException(localizable53, obj_array58);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException50, localizable52, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable61 = mathIllegalStateException60.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException63 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number64 = tooManyEvaluationsException63.getMax();
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException69 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException63, localizable65, localizable66, obj_array68);
    java.lang.Object[] obj_array70 = tooManyEvaluationsException63.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException71 = new org.apache.commons.math.exception.ConvergenceException(localizable61, obj_array70);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException73 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable61, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException75 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable61, (java.lang.Number)(-0.47162571251991114d));
    java.lang.Throwable throwable76 = null;
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    org.apache.commons.math.exception.util.Localizable localizable79 = null;
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException(localizable80, localizable81, obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException85 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable78, localizable79, obj_array83);
    java.lang.Object[] obj_array86 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array83);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException(throwable76, localizable77, obj_array86);
    java.lang.Object[] obj_array88 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array86);
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException(localizable61, obj_array88);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4, localizable34, obj_array88);
    org.apache.commons.math.ConvergenceException convergenceException91 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number64 + "' != '" + (-1)+ "'", number64.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test434"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException51 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number52 = tooManyEvaluationsException51.getMax();
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException51, localizable53, localizable54, obj_array56);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    org.apache.commons.math.exception.util.Localizable localizable62 = null;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException(localizable61, localizable62, obj_array64);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable59, localizable60, obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException51, localizable58, obj_array64);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException(localizable23, (java.lang.Number)100.0d, obj_array64);
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException72 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    org.apache.commons.math.exception.util.Localizable localizable77 = null;
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    org.apache.commons.math.exception.util.Localizable localizable79 = null;
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException(localizable80, localizable81, obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException85 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable78, localizable79, obj_array83);
    java.lang.Object[] obj_array86 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException87 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable76, localizable77, obj_array83);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException88 = new org.apache.commons.math.exception.MathIllegalStateException(localizable74, localizable75, obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException72, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array83);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException("", obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException91 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, localizable69, obj_array83);
    java.lang.Object[] obj_array92 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException93 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable23, obj_array92);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException97 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)2.0957224973007147d, (java.lang.Number)3.9939405740966345d, (java.lang.Number)0.0015173922090170727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1)+ "'", number52.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test435"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-3.0790862902844696d), 4.889477779914584d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.778214719383161d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(6.564486674631742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9606949843649365d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.11890988040064276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.451604426018786d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test438"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)6.338253E29f);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 6.338253E29f+ "'", number2.equals(6.338253E29f));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test439"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(10.0d, 1.4142135623730951d);
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4142135623730951d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test440"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.4617486098173957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.313495558317573d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test441"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.7909709339027736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6692111145360266d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test442"); }


    float f2 = org.apache.commons.math.util.FastMath.max(6.3382526E29f, 1.298074E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.298074E35f);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test443"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array4 = outOfRangeException3.getSuppressed();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = outOfRangeException10.getSuppressed();
    java.lang.Number number12 = outOfRangeException10.getHi();
    mathException6.addSuppressed((java.lang.Throwable)outOfRangeException10);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException17 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(localizable21, localizable22, obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable19, localizable20, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException26);
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    org.apache.commons.math.exception.util.Localizable localizable29 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array34 = outOfRangeException33.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException(localizable29, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException26, localizable28, obj_array34);
    org.apache.commons.math.exception.util.Localizable localizable37 = mathIllegalStateException36.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException39 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number40 = tooManyEvaluationsException39.getMax();
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException39, localizable41, localizable42, obj_array44);
    java.lang.Object[] obj_array46 = tooManyEvaluationsException39.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException(localizable37, obj_array46);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable37, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.Localizable localizable55 = null;
    org.apache.commons.math.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException(localizable55, localizable56, obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable53, localizable54, obj_array58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException(localizable52, obj_array58);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException17, localizable37, obj_array58);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    java.lang.Object[] obj_array71 = mathIllegalStateException70.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array71);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException73 = new org.apache.commons.math.exception.MaxCountExceededException(localizable63, (java.lang.Number)1.0d, obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, obj_array71);
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException10, localizable37, obj_array78);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException82 = new org.apache.commons.math.exception.NullArgumentException(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0.0f+ "'", number12.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-1)+ "'", number40.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test444"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(3.7778932E22f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.7778932E22f);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test445"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array9 = curveFitter8.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint13 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.0d, 1.4711012241324821d, 0.999999998750125d);
    double d14 = weightedObservedPoint13.getX();
    curveFitter8.addObservedPoint(weightedObservedPoint13);
    double d16 = weightedObservedPoint13.getWeight();
    double d17 = weightedObservedPoint13.getY();
    double d18 = weightedObservedPoint13.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.4711012241324821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.999999998750125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test446"); }


    java.lang.Number number0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, number1, false);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (null)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (null)"));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test447"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(short)1);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (short)1+ "'", number2.equals((short)1));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test448"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.6290837498277201d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5615305560432878d));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test449"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException(localizable52, localizable53, obj_array55);
    java.lang.Object[] obj_array57 = mathIllegalStateException56.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array57);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException(localizable49, (java.lang.Number)1.0d, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException(localizable23, obj_array57);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException62 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException65 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable63, (java.lang.Number)10.0d);
    java.lang.Object[] obj_array66 = notStrictlyPositiveException65.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException(localizable23, obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test450"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)4.889477779914584d, (java.lang.Number)(-1L), false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test451"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.122462048309373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test452"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = mathIllegalStateException28.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array29);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException(localizable38, localizable39, obj_array41);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable36, localizable37, obj_array41);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, localizable35, obj_array41);
    org.apache.commons.math.exception.ConvergenceException convergenceException46 = new org.apache.commons.math.exception.ConvergenceException(localizable33, obj_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException47 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, number32, obj_array41);
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException(localizable51, localizable52, obj_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable49, localizable50, obj_array54);
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.util.Localizable localizable60 = null;
    org.apache.commons.math.exception.util.Localizable localizable61 = null;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException(localizable60, localizable61, obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException65 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable58, localizable59, obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException56, "hi!", obj_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array63);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException69 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array63);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException73 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array74 = outOfRangeException73.getSuppressed();
    java.lang.Number number75 = outOfRangeException73.getHi();
    java.lang.Number number76 = outOfRangeException73.getLo();
    org.apache.commons.math.exception.util.Localizable localizable78 = null;
    org.apache.commons.math.exception.util.Localizable localizable79 = null;
    org.apache.commons.math.exception.util.Localizable localizable80 = null;
    org.apache.commons.math.exception.util.Localizable localizable81 = null;
    java.lang.Object[] obj_array83 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException(localizable80, localizable81, obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException85 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable78, localizable79, obj_array83);
    java.lang.Object[] obj_array86 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException87 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException73, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array86);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException88 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number75 + "' != '" + 0.0f+ "'", number75.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number76 + "' != '" + 100+ "'", number76.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.585446030826508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.5435866990448d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test454"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, localizable5, obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException(throwable1, localizable2, localizable3, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array9);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.String str16 = optimizationException15.getPattern();
    java.lang.String str17 = optimizationException15.toString();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.optimization.OptimizationException: "+ "'", str17.equals("org.apache.commons.math.optimization.OptimizationException: "));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test455"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(6.253100775490992E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test456"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 2.372564279228625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9802322387695312E-8d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test458"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    int i9 = levenbergMarquardtOptimizer5.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction12 = null;
    double[] d_array15 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getPoint();
    double[] d_array20 = vectorialPointValuePair18.getValue();
    double[] d_array21 = vectorialPointValuePair18.getPointRef();
    double[] d_array24 = new double[] { 10.0d, 0.0d };
    double[] d_array25 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array28, false);
    double[] d_array31 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array31, true);
    double[] d_array34 = vectorialPointValuePair33.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer40 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.07074101207510715d), 10.0d, 1.122462048309373d, 1.4142135623730951d, 10.596684731221178d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter41 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer40);
    double[] d_array44 = new double[] { 10.0d, 0.0d };
    double[] d_array45 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    double[] d_array48 = vectorialPointValuePair47.getPoint();
    double[] d_array49 = vectorialPointValuePair47.getValue();
    double[] d_array50 = vectorialPointValuePair47.getPointRef();
    double[] d_array53 = new double[] { 10.0d, 0.0d };
    double[] d_array54 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    double[] d_array57 = vectorialPointValuePair56.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair59 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array57, false);
    double[] d_array62 = new double[] { 10.0d, 0.0d };
    double[] d_array63 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array63, false);
    double[] d_array66 = vectorialPointValuePair65.getPoint();
    double[] d_array67 = vectorialPointValuePair65.getValue();
    double[] d_array68 = vectorialPointValuePair65.getPointRef();
    double[] d_array71 = new double[] { 10.0d, 0.0d };
    double[] d_array72 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array71, d_array72, false);
    double[] d_array75 = vectorialPointValuePair74.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array68, d_array75, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array68, false);
    double[] d_array80 = gaussianFitter41.fit(d_array57);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array80);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array82 = curveFitter10.fit(0, parametricUnivariateRealFunction12, d_array80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test459"); }


    double d2 = org.apache.commons.math.util.FastMath.max(608.4087085432599d, 9.67001865888779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 608.4087085432599d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test460"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable6, localizable7, obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, localizable5, obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException(throwable1, localizable2, localizable3, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(localizable17, localizable18, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable15, localizable16, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array30 = outOfRangeException29.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException(localizable25, obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException22, localizable24, obj_array30);
    org.apache.commons.math.exception.util.Localizable localizable33 = mathIllegalStateException32.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException37 = new org.apache.commons.math.exception.OutOfRangeException(localizable33, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException(localizable39, localizable40, obj_array42);
    java.lang.Object[] obj_array44 = mathIllegalStateException43.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException("", obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array44);
    java.lang.Number number47 = null;
    org.apache.commons.math.exception.util.Localizable localizable48 = null;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    org.apache.commons.math.exception.util.Localizable localizable50 = null;
    org.apache.commons.math.exception.util.Localizable localizable51 = null;
    org.apache.commons.math.exception.util.Localizable localizable52 = null;
    org.apache.commons.math.exception.util.Localizable localizable53 = null;
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException(localizable53, localizable54, obj_array56);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException58 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable51, localizable52, obj_array56);
    java.lang.Object[] obj_array59 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array56);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable49, localizable50, obj_array56);
    org.apache.commons.math.exception.ConvergenceException convergenceException61 = new org.apache.commons.math.exception.ConvergenceException(localizable48, obj_array56);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException(localizable33, number47, obj_array56);
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.Localizable localizable66 = null;
    org.apache.commons.math.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException70 = new org.apache.commons.math.exception.MathIllegalStateException(localizable66, localizable67, obj_array69);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException71 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable64, localizable65, obj_array69);
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.util.Localizable localizable76 = null;
    java.lang.Object[] obj_array78 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math.exception.MathIllegalStateException(localizable75, localizable76, obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException80 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable73, localizable74, obj_array78);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException71, "hi!", obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array78);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NumberIsTooSmallException: null is smaller than, or equal to, the minimum (10)", obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException84 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable33, obj_array78);
    org.apache.commons.math.exception.ConvergenceException convergenceException85 = new org.apache.commons.math.exception.ConvergenceException(localizable33);
    org.apache.commons.math.exception.util.Localizable localizable86 = null;
    org.apache.commons.math.exception.util.Localizable localizable87 = null;
    java.lang.Object[] obj_array89 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math.exception.MathIllegalStateException(localizable86, localizable87, obj_array89);
    java.lang.Object[] obj_array91 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array89);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException14, localizable33, obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test461"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException24 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number25 = tooManyEvaluationsException24.getMax();
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException24, localizable26, localizable27, obj_array29);
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException(localizable34, localizable35, obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable32, localizable33, obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException24, localizable31, obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException24);
    java.lang.Object[] obj_array42 = convergenceException41.getArguments();
    java.lang.Object[] obj_array43 = convergenceException41.getArguments();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException(localizable18, obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (-1)+ "'", number25.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test462"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, 1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2);
    java.lang.Object[] obj_array4 = dimensionMismatchException2.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable5 = dimensionMismatchException2.getGeneralPattern();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.122462048309373d);
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(localizable10, localizable11, obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, localizable9, obj_array13);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException15);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.Localizable localizable18 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array23 = outOfRangeException22.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException(localizable18, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException15, localizable17, obj_array23);
    org.apache.commons.math.exception.util.Localizable localizable26 = mathIllegalStateException25.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException30 = new org.apache.commons.math.exception.OutOfRangeException(localizable26, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException7, localizable26, obj_array31);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException34 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable26, (java.lang.Number)(-0.9129031725059056d));
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException38 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array39 = outOfRangeException38.getSuppressed();
    java.lang.Number number40 = outOfRangeException38.getHi();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException38);
    org.apache.commons.math.exception.util.Localizable localizable42 = mathException41.getSpecificPattern();
    org.apache.commons.math.exception.util.Localizable localizable43 = mathException41.getSpecificPattern();
    java.lang.Object[] obj_array44 = mathException41.getArguments();
    java.lang.Object[] obj_array45 = mathException41.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable26, obj_array45);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException(localizable5, localizable26, obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 0.0f+ "'", number40.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test463"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(10, 1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2);
    int i4 = dimensionMismatchException2.getDimension();
    int i5 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test464"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException(localizable4, localizable5, obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, localizable3, obj_array7);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException9);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException16 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array17 = outOfRangeException16.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException(localizable12, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException9, localizable11, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable20 = mathIllegalStateException19.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException22 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number23 = tooManyEvaluationsException22.getMax();
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException28 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException22, localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = tooManyEvaluationsException22.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException(localizable20, obj_array29);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException32 = new org.apache.commons.math.exception.ConvergenceException(localizable20, obj_array31);
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(localizable37, localizable38, obj_array40);
    java.lang.Object[] obj_array42 = mathIllegalStateException41.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array42);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException(localizable34, (java.lang.Number)1.0d, obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1, localizable20, localizable33, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException51 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array52 = outOfRangeException51.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException(localizable47, obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException45, "", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + (-1)+ "'", number23.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test465"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.5f);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.exception.util.Localizable localizable4 = optimizationException3.getGeneralPattern();
    java.lang.String str5 = optimizationException3.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0}"+ "'", str5.equals("{0}"));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test466"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(short)1, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    org.apache.commons.math.exception.util.Localizable localizable7 = numberIsTooSmallException4.getSpecificPattern();
    boolean b8 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)1+ "'", number6.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (short)1+ "'", number10.equals((short)1));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test467"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.6414631560782394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-54.20333560482974d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test469"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.7241400178893855d, 0.0d, 2.0957224973007147d, 5.293304824724491d, 1.0392592260318434d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test470"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.03681524421224381d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test471"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9653724449687696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9825336864295136d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test472"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.3741700499638097d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test473"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(2.73974764037252d, 1.1262684148563817d);
    double d4 = gaussian2.value(0.035842974497802965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.01984739910468399d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test474"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)0.6116944089688983d, (java.lang.Number)6.253101590505044E-4d, (java.lang.Number)3.9939405740966345d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer58 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i59 = levenbergMarquardtOptimizer58.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter60 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer58);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter61 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer58);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array62 = curveFitter61.getObservations();
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(localizable23, (java.lang.Object[])weightedObservedPoint_array62);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException66 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    org.apache.commons.math.exception.util.Localizable localizable68 = null;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.util.Localizable localizable70 = null;
    org.apache.commons.math.exception.util.Localizable localizable71 = null;
    org.apache.commons.math.exception.util.Localizable localizable72 = null;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.util.Localizable localizable74 = null;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    java.lang.Object[] obj_array77 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException78 = new org.apache.commons.math.exception.MathIllegalStateException(localizable74, localizable75, obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException79 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable72, localizable73, obj_array77);
    java.lang.Object[] obj_array80 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException81 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable70, localizable71, obj_array77);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(localizable68, localizable69, obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException66, "org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: 0 out of [100, 0] range", obj_array77);
    org.apache.commons.math.optimization.OptimizationException optimizationException85 = new org.apache.commons.math.optimization.OptimizationException(localizable23, obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.9469044187132551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01652659980822931d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test476"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.1056185231381375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test477"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-3.66859356800754d), 8.881784197001252E-16d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test478"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-45), (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-45));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test479"); }


    int i1 = org.apache.commons.math.util.FastMath.round(3.2451855E34f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test480"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(9.67001865888779d, (-0.47162571251991114d), 0.0d, 22025.46579480672d, (-0.07062336226086595d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    double d7 = levenbergMarquardtOptimizer5.getRMS();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test481"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(2.3007237881607816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test482"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.2427898279887161d), 0.34245224568076815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4197861850354196d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test483"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.2980742E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 116);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test484"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException(localizable18, (java.lang.Number)0.1849470383556199d, (java.lang.Number)0.0f, (java.lang.Number)3.1622776601683795d);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException(localizable24, localizable25, obj_array27);
    java.lang.Object[] obj_array29 = mathIllegalStateException28.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable18, obj_array29);
    java.lang.Number number32 = null;
    org.apache.commons.math.exception.util.Localizable localizable33 = null;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException(localizable38, localizable39, obj_array41);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable36, localizable37, obj_array41);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable34, localizable35, obj_array41);
    org.apache.commons.math.exception.ConvergenceException convergenceException46 = new org.apache.commons.math.exception.ConvergenceException(localizable33, obj_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException47 = new org.apache.commons.math.exception.MaxCountExceededException(localizable18, number32, obj_array41);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException(localizable18, obj_array48);
    java.lang.Object[] obj_array50 = convergenceException49.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test485"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction11 = null;
    double[] d_array14 = new double[] { 10.0d, 0.0d };
    double[] d_array15 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    double[] d_array18 = vectorialPointValuePair17.getPoint();
    double[] d_array19 = vectorialPointValuePair17.getValue();
    double[] d_array20 = vectorialPointValuePair17.getPointRef();
    double[] d_array23 = new double[] { 10.0d, 0.0d };
    double[] d_array24 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array27 = vectorialPointValuePair26.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array27, false);
    double[] d_array32 = new double[] { 10.0d, 0.0d };
    double[] d_array33 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array33, false);
    double[] d_array36 = vectorialPointValuePair35.getPoint();
    double[] d_array37 = vectorialPointValuePair35.getValue();
    double[] d_array38 = vectorialPointValuePair35.getPointRef();
    double[] d_array41 = new double[] { 10.0d, 0.0d };
    double[] d_array42 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    double[] d_array45 = vectorialPointValuePair44.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array45, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array38, false);
    double[] d_array52 = new double[] { 10.0d, 0.0d };
    double[] d_array53 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array52, d_array53, false);
    double[] d_array56 = vectorialPointValuePair55.getPoint();
    double[] d_array57 = vectorialPointValuePair55.getValue();
    double[] d_array58 = vectorialPointValuePair55.getPointRef();
    double[] d_array62 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array62, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array58, false);
    double[] d_array69 = new double[] { 10.0d, 0.0d };
    double[] d_array70 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    double[] d_array73 = vectorialPointValuePair72.getPoint();
    double[] d_array74 = vectorialPointValuePair72.getValue();
    double[] d_array75 = vectorialPointValuePair72.getPointRef();
    double[] d_array78 = new double[] { 10.0d, 0.0d };
    double[] d_array79 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array78, d_array79, false);
    double[] d_array82 = vectorialPointValuePair81.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair84 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array82, false);
    double[] d_array85 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair87 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array85, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair89 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array75, true);
    double[] d_array90 = curveFitter10.fit(parametricUnivariateRealFunction11, d_array58);
    curveFitter10.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test486"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(98, 1);
    org.apache.commons.math.exception.util.Localizable localizable3 = dimensionMismatchException2.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.09558237531998345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test488"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)(-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.util.Localizable localizable3 = optimizationException2.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable3, (java.lang.Number)1.4260624389053682d);
    boolean b6 = notStrictlyPositiveException5.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test489"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.6414631560782394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-1.7925274837903817d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.166538713380895d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test491"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.9461508781830721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5757760779008474d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test492"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array20 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPoint();
    double[] d_array25 = vectorialPointValuePair23.getValue();
    double[] d_array26 = vectorialPointValuePair23.getPointRef();
    double[] d_array29 = new double[] { 10.0d, 0.0d };
    double[] d_array30 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array33, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array26, false);
    double[] d_array38 = vectorialPointValuePair37.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test493"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.2980742E35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.2980743E35f);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test494"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array9 = vectorialPointValuePair5.getPointRef();
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPoint();
    double[] d_array17 = vectorialPointValuePair15.getValue();
    double[] d_array18 = vectorialPointValuePair15.getPointRef();
    double[] d_array21 = new double[] { 10.0d, 0.0d };
    double[] d_array22 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array25, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array25, false);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    double[] d_array31 = vectorialPointValuePair29.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test495"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.5538979213935188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5260063232934069d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test496"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(9.67001865888779d, 0.5036840977237058d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5036840977237058d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test497"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array13 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPoint();
    double[] d_array17 = vectorialPointValuePair15.getValue();
    double[] d_array18 = vectorialPointValuePair15.getPointRef();
    double[] d_array22 = new double[] { 0.0d, 10.0d, 1.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array22, true);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer30 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.0d, 0.0d, 1.0d, 1.0d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter31 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer30);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter32 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer30);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array35 = gaussianFitter32.fit(d_array34);
    double[] d_array36 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array35);
    double[] d_array39 = curveFitter8.fit(parametricUnivariateRealFunction9, d_array35);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array40 = curveFitter8.getObservations();
    curveFitter8.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array42 = curveFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array42);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test498"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException(localizable2, localizable3, obj_array5);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, localizable1, obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException14 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array15 = outOfRangeException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException(localizable10, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable9, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable18 = mathIllegalStateException17.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number21 = tooManyEvaluationsException20.getMax();
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException20, localizable22, localizable23, obj_array25);
    java.lang.Object[] obj_array27 = tooManyEvaluationsException20.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException(localizable18, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)(short)1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException32 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number33 = tooManyEvaluationsException32.getMax();
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException32, localizable34, localizable35, obj_array37);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException(localizable18, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException(localizable18);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)2.8421709430404007E-14d);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException44 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable18, (java.lang.Number)0.18708502498190485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1)+ "'", number21.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1)+ "'", number33.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test499"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array3 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array2, d_array3, false);
    double[] d_array6 = vectorialPointValuePair5.getPoint();
    double[] d_array7 = vectorialPointValuePair5.getValue();
    double[] d_array8 = vectorialPointValuePair5.getPointRef();
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array15, false);
    double[] d_array18 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array18, true);
    double[] d_array21 = vectorialPointValuePair20.getValue();
    double[] d_array22 = vectorialPointValuePair20.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array22);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test500"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7615941559557649d), (java.lang.Number)(-0.9534903170187385d), false);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException(localizable7, localizable8, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, localizable6, obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalArgumentException12);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException19 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.0d, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Object[] obj_array20 = outOfRangeException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable15, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException12, localizable14, obj_array20);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException25 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-1));
    java.lang.Number number26 = tooManyEvaluationsException25.getMax();
    org.apache.commons.math.exception.util.Localizable localizable27 = null;
    org.apache.commons.math.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)0 };
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException25, localizable27, localizable28, obj_array30);
    java.lang.Object[] obj_array32 = tooManyEvaluationsException25.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException(localizable23, obj_array32);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable23, (java.lang.Number)0.0f, (java.lang.Number)200.0d, false);
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.util.Localizable localizable41 = null;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { 0L };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(localizable41, localizable42, obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable39, localizable40, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array44);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException3, localizable23, obj_array44);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException52 = new org.apache.commons.math.exception.OutOfRangeException(localizable23, (java.lang.Number)0.6116944089688983d, (java.lang.Number)6.253101590505044E-4d, (java.lang.Number)3.9939405740966345d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer58 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.298342365610589d, 100.0d, 0.0d, 0.0d, 0.0d);
    int i59 = levenbergMarquardtOptimizer58.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter60 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer58);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter61 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer58);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array62 = curveFitter61.getObservations();
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException(localizable23, (java.lang.Object[])weightedObservedPoint_array62);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException66 = new org.apache.commons.math.exception.DimensionMismatchException(localizable23, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1)+ "'", number26.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array62);

  }

}
