
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(9.103240505279896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9591960168316136d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.814583695375307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(69.15970045633662d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 17.289925114084156d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 3);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.1623445747086112d, 0.6031696231764194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.26292169328427156d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, (-1248.0076985104433d), 0.0d, 0.0d, 2.8934439858858716d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    incrementor0.incrementCount(3);
    incrementor0.resetCount();
    incrementor0.setMaximalCount(0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-22.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.792456423065796E9d));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d5 = levenbergMarquardtOptimizer4.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    curveFitter6.addObservedPoint(5.62949953421312E14d, 0.834032445247956d);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer10 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter11 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer10);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer12 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter13 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer12);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint17 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d18 = weightedObservedPoint17.getY();
    curveFitter13.addObservedPoint(weightedObservedPoint17);
    gaussianFitter11.addObservedPoint(weightedObservedPoint17);
    gaussianFitter11.addObservedPoint(2.2250738585072014E-306d, 0.7853981633974483d);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer24 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter25 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer24);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint29 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d30 = weightedObservedPoint29.getY();
    curveFitter25.addObservedPoint(weightedObservedPoint29);
    double d32 = weightedObservedPoint29.getWeight();
    double d33 = weightedObservedPoint29.getWeight();
    double d34 = weightedObservedPoint29.getWeight();
    gaussianFitter11.addObservedPoint(weightedObservedPoint29);
    curveFitter6.addObservedPoint(weightedObservedPoint29);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array37 = curveFitter6.getObservations();
    org.apache.commons.math.exception.ConvergenceException convergenceException38 = new org.apache.commons.math.exception.ConvergenceException(localizable0, (java.lang.Object[])weightedObservedPoint_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array37);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, 5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.11082683747953995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10510463665517232d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, localizable7, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array10);
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException17 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, number16);
    java.lang.String str18 = localizedFormats4.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (byte)10+ "'", number2.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "row index ({0})"+ "'", str18.equals("row index ({0})"));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.0f, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0f);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.9846542223795024d, 0.9842071306474365d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    double d5 = gaussian2.value((-0.004333692059104167d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.24465923283476396d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.1630508967218381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40379561255892576d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException4 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException7);
    java.lang.Object[] obj_array9 = mathException8.getArguments();
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.24999994f), 7.523164E-37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.24999994f);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 3);
    org.apache.commons.math.exception.ZeroException zeroException4 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount((-127));
    int i5 = incrementor0.getCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)Double.NaN, obj_array8);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(byte)0, obj_array8);
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException15 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number13, (java.lang.Number)(byte)0);
    java.lang.Number number16 = outOfRangeException15.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array24);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array29);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number37 = maxCountExceededException36.getMax();
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException36);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("", obj_array46);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("hi!", obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array46);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException51 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array46);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException52 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, localizable34, obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array46);
    java.lang.Object[] obj_array54 = convergenceException53.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException55 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array54);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_BOUND_SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException58 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number59 = maxCountExceededException58.getMax();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException58);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException("", obj_array67);
    java.lang.Object[] obj_array69 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array67);
    java.lang.Object[] obj_array70 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array67);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException62, (org.apache.commons.math.exception.util.Localizable)localizedFormats63, localizable64, obj_array67);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException60, (org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array67);
    java.lang.Object[] obj_array73 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array67);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException74 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array67);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats76 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats77 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array80 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException81 = new org.apache.commons.math.optimization.OptimizationException("", obj_array80);
    java.lang.Object[] obj_array82 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array80);
    java.lang.Object[] obj_array83 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array80);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats76, (org.apache.commons.math.exception.util.Localizable)localizedFormats77, obj_array83);
    org.apache.commons.math.optimization.OptimizationException optimizationException85 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array83);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array83);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException87 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (byte)10+ "'", number37.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number59 + "' != '" + (byte)10+ "'", number59.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter7.addObservedPoint(5.024812563222455d, 0.21901982081425353d, 0.0021676486303294083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.3453718287492438d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.103945016238854d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9321950959796603d, (-1.546708218677627d), (-0.004333692059104167d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    int i7 = incrementor0.getCount();
    incrementor0.setMaximalCount(320);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-1.546708218677627d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    float f2 = org.apache.commons.math.util.FastMath.max(7.2759585E-12f, 5.877473E-39f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.2759585E-12f);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 24);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)Double.NaN, obj_array6);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array11);
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException20 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array23);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.URL_CONTAINS_NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.CARDAN_ANGLES_SINGULARITY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException("", obj_array30);
    java.lang.Object[] obj_array32 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array30);
    java.lang.Object[] obj_array33 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array30);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array30);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array36);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException40 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array41 = notStrictlyPositiveException40.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)optimizationException16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array41);
    java.lang.String str45 = mathIllegalStateException44.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.apache.commons.math.exception.MathIllegalStateException: illegal state"+ "'", str45.equals("org.apache.commons.math.exception.MathIllegalStateException: illegal state"));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    gaussianFitter1.addObservedPoint(0.17543139267904395d, Double.NaN);
    gaussianFitter1.clearObservations();
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    double[] d_array14 = vectorialPointValuePair13.getPointRef();
    double[] d_array15 = vectorialPointValuePair13.getPoint();
    double[] d_array16 = vectorialPointValuePair13.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array7, d_array16, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = gaussianFitter1.fit(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9853235165275156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5259983868437146d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    int i5 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(1023);
    int i8 = incrementor0.getMaximalCount();
    incrementor0.incrementCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1023);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0L, (java.lang.Number)0.834032445247956d, (java.lang.Number)7.2759576E-12f);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable6, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array9);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str17 = localizedFormats16.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException19 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, (java.lang.Number)1, obj_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array39);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array39);
    java.lang.Object[] obj_array43 = outOfRangeException3.getArguments();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException47 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, (java.lang.Number)8.4703295E-22f);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException49 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_2x2;
    java.lang.Number number52 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException54 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number52, (java.lang.Number)(byte)0);
    java.lang.Number number55 = outOfRangeException54.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats57 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException58 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException("", obj_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException58, (org.apache.commons.math.exception.util.Localizable)localizedFormats59, (org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array63);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats67 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array68 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException58, (org.apache.commons.math.exception.util.Localizable)localizedFormats66, (org.apache.commons.math.exception.util.Localizable)localizedFormats67, obj_array68);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException71 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable73 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException75 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number76 = maxCountExceededException75.getMax();
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException75);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats78 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats79 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats80 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats82 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException("", obj_array85);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException87 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats82, obj_array85);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException("hi!", obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException89 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats80, obj_array85);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException90 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException77, (org.apache.commons.math.exception.util.Localizable)localizedFormats78, (org.apache.commons.math.exception.util.Localizable)localizedFormats79, obj_array85);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException91 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException71, (org.apache.commons.math.exception.util.Localizable)localizedFormats72, localizable73, obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats67, obj_array85);
    java.lang.Object[] obj_array93 = convergenceException92.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException94 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException54, (org.apache.commons.math.exception.util.Localizable)localizedFormats56, (org.apache.commons.math.exception.util.Localizable)localizedFormats57, obj_array93);
    java.lang.Object[] obj_array95 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array93);
    org.apache.commons.math.ConvergenceException convergenceException96 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array95);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException97 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array95);
    org.apache.commons.math.MathException mathException98 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "all weights must be finite real numbers, but {0}-th is {1}", obj_array95);
    java.lang.Number number99 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "maximal count ({0}) exceeded"+ "'", str17.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number76 + "' != '" + (byte)10+ "'", number76.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number99 + "' != '" + 0.834032445247956d+ "'", number99.equals(0.834032445247956d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.9604645E-8f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3841858E-7f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10.0f, (java.lang.Number)1.1920929E-7f, false);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    java.lang.Object[] obj_array6 = numberIsTooSmallException3.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.17454378018118977d, 0.17193371309896593d, 2.8934439858858716d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.9846542223795024d, 0.9842071306474365d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    double d5 = gaussian2.value(0.23049322211231332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.30222040056035226d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array6 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair8 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array6, true);
    double[] d_array9 = vectorialPointValuePair8.getValueRef();
    double[] d_array10 = vectorialPointValuePair8.getValue();
    double[] d_array11 = vectorialPointValuePair8.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array6 = curveFitter5.getObservations();
    curveFitter5.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array8 = curveFitter5.getObservations();
    curveFitter5.clearObservations();
    curveFitter5.addObservedPoint(1.9816071816565837d, 0.21901982081425353d, 0.029493145128379163d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array8);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.3848776148539087d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.LOESS_EXPECTS_AT_LEAST_ONE_POINT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.FRACTION_CONVERSION_OVERFLOW;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number7 = maxCountExceededException6.getMax();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array16);
    java.lang.Throwable[] throwable_array22 = mathRuntimeException21.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (java.lang.Object[])throwable_array22);
    boolean b25 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)10+ "'", number7.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i5 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer4.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array13 = curveFitter12.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", (java.lang.Object[])weightedObservedPoint_array13);
    org.apache.commons.math.exception.util.Localizable localizable15 = optimizationException14.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable15);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array8);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    long long2 = org.apache.commons.math.util.FastMath.min(100L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(5.877472E-39f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.877472E-39f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(4.8015355494018355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6870451909427053d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(5.024812563222455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7127998729777203d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.6942370948315757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.960770886449511d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.015318522550386805d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(17.289925114084156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp((-1.1920932E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.192093E-7f));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.5852524582983982d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4430347664335961d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.3956124250860895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17428922754163298d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536744E-7f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.8805004473187511d, 3.2254656408127456E16d, 0.7386894544908232d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.01632646514607395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.016325014752750545d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number3, (java.lang.Number)(byte)0);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable9, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    java.lang.Object[] obj_array26 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (java.lang.Number)0.41671114415975286d, obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException5, "number of trials ({0})", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array24);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number41 = maxCountExceededException40.getMax();
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException40);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException("", obj_array50);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("hi!", obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array50);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException55 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array50);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException56 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, localizable38, obj_array50);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array50);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException60 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException("", obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException60, (org.apache.commons.math.exception.util.Localizable)localizedFormats61, (org.apache.commons.math.exception.util.Localizable)localizedFormats62, obj_array65);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats69 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException60, (org.apache.commons.math.exception.util.Localizable)localizedFormats68, (org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array70);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException73 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable75 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException77 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number78 = maxCountExceededException77.getMax();
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException77);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats80 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats81 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats82 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats84 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array87 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException88 = new org.apache.commons.math.optimization.OptimizationException("", obj_array87);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException89 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats84, obj_array87);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException("hi!", obj_array87);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats82, obj_array87);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException92 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException79, (org.apache.commons.math.exception.util.Localizable)localizedFormats80, (org.apache.commons.math.exception.util.Localizable)localizedFormats81, obj_array87);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException93 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException73, (org.apache.commons.math.exception.util.Localizable)localizedFormats74, localizable75, obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException95 = new org.apache.commons.math.ConvergenceException("hi!", obj_array87);
    org.apache.commons.math.MathException mathException96 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException57, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array87);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException97 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (byte)10+ "'", number41.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number78 + "' != '" + (byte)10+ "'", number78.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.12419711798518869d, 0.0d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter10 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction13 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer17 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d18 = levenbergMarquardtOptimizer17.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d22 = simpleVectorialValueChecker21.getAbsoluteThreshold();
    levenbergMarquardtOptimizer17.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker21);
    double[] d_array28 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array31 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array31, true);
    double[] d_array34 = vectorialPointValuePair33.getPointRef();
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    double[] d_array39 = vectorialPointValuePair38.getPointRef();
    double[] d_array40 = new double[] {  };
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array44 = vectorialPointValuePair43.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array44, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array44, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer52 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker53 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d54 = simpleVectorialValueChecker53.getAbsoluteThreshold();
    levenbergMarquardtOptimizer52.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker53);
    double[] d_array57 = new double[] {  };
    double[] d_array58 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker63 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array65 = new double[] {  };
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66, false);
    double[] d_array72 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array75 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array72, d_array75, true);
    double[] d_array78 = vectorialPointValuePair77.getPointRef();
    boolean b79 = simpleVectorialValueChecker63.converged(100, vectorialPointValuePair68, vectorialPointValuePair77);
    boolean b80 = simpleVectorialValueChecker53.converged(10, vectorialPointValuePair60, vectorialPointValuePair68);
    double[] d_array81 = vectorialPointValuePair60.getPointRef();
    boolean b82 = simpleVectorialValueChecker21.converged((-3), vectorialPointValuePair48, vectorialPointValuePair60);
    double[] d_array83 = vectorialPointValuePair60.getPointRef();
    double[] d_array84 = curveFitter12.fit(parametricUnivariateRealFunction13, d_array83);
    double[] d_array85 = gaussianFitter10.fit(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException4 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number9 = maxCountExceededException8.getMax();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("", obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable6, obj_array18);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array18);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException("", obj_array30);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array30);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException35 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array36 = tooManyEvaluationsException35.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalArgumentException32, "cutoff singular value is {0}, should be at most {1}", obj_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, "cutoff singular value is {0}, should be at most {1}", obj_array36);
    org.apache.commons.math.exception.util.Localizable localizable39 = tooManyEvaluationsException1.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (byte)10+ "'", number9.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable39);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.24999994f), 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.0071971E15f));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.REAL_FORMAT;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.5130018504899816d, (java.lang.Number)(-0.0d), (java.lang.Number)1.6143881523981927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = localizedFormats0.getLocalizedString(locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-24), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-24));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.22649632404876321d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.47591629941489d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i9 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 1.9377047211159066E-16d);
    double d3 = simpleVectorialValueChecker2.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DISTRIBUTION_NOT_LOADED;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException(localizable3, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array16);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array18);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException21 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array22 = notStrictlyPositiveException21.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array22);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException27 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (java.lang.Number)74.20321057778882d, (java.lang.Number)1.0001171824489765d, (java.lang.Number)1.4E-45f);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException31 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (java.lang.Number)0.42666441422675727d, (java.lang.Number)0.19184771387583882d, false);
    boolean b32 = numberIsTooSmallException31.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    int i6 = incrementor0.getCount();
    int i7 = incrementor0.getCount();
    incrementor0.setMaximalCount(24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer1 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter2 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer1);
    gaussianFitter2.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter2.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array11 = gaussianFitter2.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("number of trials ({0})", (java.lang.Object[])weightedObservedPoint_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])weightedObservedPoint_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array11);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i10 = levenbergMarquardtOptimizer3.getEvaluations();
    double d11 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter12 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.539389084184541d, 0.03630431142972685d, 10.049887281886782d, 0.26292169328427156d, 1.2386361718743168d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array6 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair8 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array6, true);
    double[] d_array9 = vectorialPointValuePair8.getValueRef();
    double[] d_array10 = vectorialPointValuePair8.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1023), (java.lang.Number)0.15876933789804415d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.15876933789804415d+ "'", number4.equals(0.15876933789804415d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-2.141620522519941E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01227058172589947d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.1528414173966003d), 0.7513628385767359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-22));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.6723912533266585E32d, 0.870590142610378d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.22653677904854638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23053586511376756d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.5413620741743261d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.009082016163860031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009041022670495707d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(7.523164E-37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.523164E-37f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0400286024837415d, 0.8340324452479561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0400286024837415d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    java.lang.Number number3 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number3, (java.lang.Number)(byte)0);
    java.lang.Number number6 = outOfRangeException5.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number27 = maxCountExceededException26.getMax();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, localizable24, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array36);
    java.lang.Object[] obj_array44 = convergenceException43.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array44);
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("elements cannot be retrieved from a negative array index {0}", obj_array44);
    java.lang.Throwable[] throwable_array48 = convergenceException47.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (byte)10+ "'", number27.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.10510463665517232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i9 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction11 = null;
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPointRef();
    double[] d_array17 = new double[] {  };
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18, false);
    double[] d_array21 = vectorialPointValuePair20.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array21, false);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array28, false);
    double[] d_array31 = vectorialPointValuePair30.getValueRef();
    double[] d_array32 = vectorialPointValuePair30.getValue();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i37 = levenbergMarquardtOptimizer36.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter38 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker41 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d42 = simpleVectorialValueChecker41.getAbsoluteThreshold();
    levenbergMarquardtOptimizer36.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker41);
    int i44 = levenbergMarquardtOptimizer36.getEvaluations();
    double d45 = levenbergMarquardtOptimizer36.getRMS();
    double d46 = levenbergMarquardtOptimizer36.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter47 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array48 = curveFitter47.getObservations();
    curveFitter47.addObservedPoint(0.8311239841681523d, 1.960770886449511d, 0.7933572799772842d);
    curveFitter47.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction55 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker58 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array60 = new double[] {  };
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array67 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array70 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array67, d_array70, true);
    double[] d_array73 = vectorialPointValuePair72.getPointRef();
    boolean b74 = simpleVectorialValueChecker58.converged(100, vectorialPointValuePair63, vectorialPointValuePair72);
    double[] d_array75 = vectorialPointValuePair72.getValueRef();
    double[] d_array76 = curveFitter47.fit(5, parametricUnivariateRealFunction55, d_array75);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer80 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i81 = levenbergMarquardtOptimizer80.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter82 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer80);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter83 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer80);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction84 = null;
    double[] d_array85 = new double[] {  };
    double[] d_array86 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair88 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array85, d_array86, false);
    double[] d_array89 = vectorialPointValuePair88.getPointRef();
    double[] d_array90 = new double[] {  };
    double[] d_array91 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair93 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array90, d_array91, false);
    double[] d_array94 = vectorialPointValuePair93.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair96 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array89, d_array94, false);
    double[] d_array97 = gaussianFitter83.fit(parametricUnivariateRealFunction84, d_array89);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair98 = levenbergMarquardtOptimizer3.optimize((-23), differentiableMultivariateVectorialFunction11, d_array32, d_array75, d_array97);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.00908201616386003d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_32_BITS;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException(throwable13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array29);
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array29);
    java.lang.Object[] obj_array37 = mathIllegalStateException36.getArguments();
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array37);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException44 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer45 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter46 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer45);
    gaussianFitter46.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter46.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array55 = gaussianFitter46.getObservations();
    org.apache.commons.math.exception.ConvergenceException convergenceException56 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, (java.lang.Object[])weightedObservedPoint_array55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Object[])weightedObservedPoint_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array55);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.2483022646960281d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)5.9604645E-8f);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEGREES_OF_FREEDOM;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, number2, (java.lang.Number)2.220446049250313E-16d, (java.lang.Number)0.16162116388785808d);
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.ZeroException zeroException1 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)zeroException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.3956124250860895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0374464491245434d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.4210855E-14f, 6.162975822039155E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210854E-14f);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)58.17066163002873d, (java.lang.Number)0.9035178940040632d, (java.lang.Number)1.5707963267948966d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.5707963267948966d+ "'", number4.equals(1.5707963267948966d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    org.apache.commons.math.exception.ZeroException zeroException0 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException0);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException4 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException4, "", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1, "org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable16 = convergenceException15.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException18, "", obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { localizedFormats31 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array32);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException34 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats29);
    java.lang.Number number37 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException39 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number37, (java.lang.Number)(byte)0);
    java.lang.Number number40 = outOfRangeException39.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException43 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException("", obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array53 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException43, (org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array53);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException56 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats57 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable58 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number61 = maxCountExceededException60.getMax();
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException60);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats67 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array70 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException71 = new org.apache.commons.math.optimization.OptimizationException("", obj_array70);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats67, obj_array70);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("hi!", obj_array70);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats65, obj_array70);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException75 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException62, (org.apache.commons.math.exception.util.Localizable)localizedFormats63, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array70);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException76 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException56, (org.apache.commons.math.exception.util.Localizable)localizedFormats57, localizable58, obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array70);
    java.lang.Object[] obj_array78 = convergenceException77.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException79 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException39, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, obj_array78);
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array78);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException81 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable16, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array78);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number61 + "' != '" + (byte)10+ "'", number61.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.16234457470861122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7895622202100289d));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    long long1 = org.apache.commons.math.util.FastMath.round(163.86116486507237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 164L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.336880001217558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.301802272128107d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array9, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    double[] d_array23 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array26, true);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    boolean b30 = simpleVectorialValueChecker14.converged(100, vectorialPointValuePair19, vectorialPointValuePair28);
    boolean b31 = simpleVectorialValueChecker4.converged(10, vectorialPointValuePair11, vectorialPointValuePair19);
    double d32 = simpleVectorialValueChecker4.getRelativeThreshold();
    double d33 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.1102230246251565E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 2.2250738585072014E-306d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-21.781843429243967d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21241613070438614d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536744E-7f, (-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9999999f));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.4210804127942926d, 5.62949953421312E14d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException33 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, localizable15, obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array27);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException37 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException37, "hi!", obj_array43);
    java.lang.Object[] obj_array45 = tooManyEvaluationsException37.getArguments();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, (java.lang.Number)0.17725352966084673d, obj_array45);
    java.lang.Object[] obj_array47 = maxCountExceededException46.getArguments();
    java.lang.Number number48 = maxCountExceededException46.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (byte)10+ "'", number18.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + 0.17725352966084673d+ "'", number48.equals(0.17725352966084673d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(2.636274515629546d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2082408796265256d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.4779787358485924d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4779787358485924d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker15);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter17 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i18 = levenbergMarquardtOptimizer3.getEvaluations();
    int i19 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    incrementor0.incrementCount(3);
    int i7 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    int i10 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    int i6 = incrementor0.getMaximalCount();
    int i7 = incrementor0.getMaximalCount();
    incrementor0.incrementCount((-1));
    incrementor0.setMaximalCount((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException20, "", obj_array27);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { localizedFormats33 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException16, localizable17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array34);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException("", obj_array42);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("hi!", obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException16, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array42);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable49 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException("", obj_array52);
    java.lang.Object[] obj_array54 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array52);
    java.lang.Object[] obj_array55 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array52);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, localizable49, obj_array52);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array52);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException61 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)(-1.0f), true);
    java.lang.Object[] obj_array62 = numberIsTooSmallException61.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable63 = null;
    org.apache.commons.math.exception.ZeroException zeroException64 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException64);
    java.lang.Object[] obj_array66 = convergenceException65.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException61, localizable63, obj_array66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    float f2 = org.apache.commons.math.util.FastMath.min(4.2E-45f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.5569652335664038d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 31.91175721887307d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.1460183660255168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.14613764251654d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.814583695375307d, (java.lang.Number)5.960466E-8f, false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException2, "", obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizedFormats15 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException19 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException19, "", obj_array26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { localizedFormats32 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable37 = convergenceException36.getGeneralPattern();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException36);
    org.apache.commons.math.exception.util.Localizable localizable39 = mathRuntimeException38.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable39);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    incrementor0.incrementCount(3);
    incrementor0.resetCount();
    int i9 = incrementor0.getCount();
    int i10 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, localizable7, obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array10);
    java.lang.Object[] obj_array16 = mathIllegalStateException15.getArguments();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker22 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException15, "array sizes should have difference 1 ({0} != {1} + 1)", obj_array23);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable30 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number33 = maxCountExceededException32.getMax();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException32);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException("", obj_array42);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("hi!", obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException47 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException48 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, localizable30, obj_array42);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str51 = localizedFormats50.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException53 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable54 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("", obj_array59);
    java.lang.Object[] obj_array61 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array59);
    java.lang.Object[] obj_array62 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats55, (org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException(localizable54, obj_array62);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException64, (org.apache.commons.math.exception.util.Localizable)localizedFormats65, (org.apache.commons.math.exception.util.Localizable)localizedFormats66, obj_array67);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer73 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i74 = levenbergMarquardtOptimizer73.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter75 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer73);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker78 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d79 = simpleVectorialValueChecker78.getAbsoluteThreshold();
    levenbergMarquardtOptimizer73.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker78);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter81 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer73);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array82 = curveFitter81.getObservations();
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException68, "", (java.lang.Object[])weightedObservedPoint_array82);
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, (java.lang.Object[])weightedObservedPoint_array82);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException15, "invalid bracketing parameters:  lower bound={0},  initial={1}, upper bound={2}", (java.lang.Object[])weightedObservedPoint_array82);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException86 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])weightedObservedPoint_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (byte)10+ "'", number2.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (byte)10+ "'", number33.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "maximal count ({0}) exceeded"+ "'", str51.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array82);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.9997098955515158d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.312438341272753d, 0.12419711798518869d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.3157711472216134d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.17725352966084673d, (java.lang.Number)0.0f, (java.lang.Number)(-2));
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)outOfRangeException3);
    java.lang.Object[] obj_array5 = optimizationException4.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(33.96421184743732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.218671206641434d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d5 = levenbergMarquardtOptimizer4.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer7 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer7);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint12 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d13 = weightedObservedPoint12.getY();
    curveFitter8.addObservedPoint(weightedObservedPoint12);
    curveFitter6.addObservedPoint(weightedObservedPoint12);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array16 = curveFitter6.getObservations();
    curveFitter6.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array18 = curveFitter6.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("{0} is not a power of 2 plus one", (java.lang.Object[])weightedObservedPoint_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array18);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ROWS_NOT_INITIALIZED_YET;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException2, "hi!", obj_array8);
    org.apache.commons.math.exception.ConvergenceException convergenceException10 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(319.99997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 319.99997f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(2.4121065366633574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException2, "", obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizedFormats15 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException19 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException19, "", obj_array26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { localizedFormats32 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable37 = convergenceException36.getGeneralPattern();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException38 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException("", obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException45);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException45);
    java.lang.Throwable[] throwable_array48 = optimizationException47.getSuppressed();
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException(localizable37, (java.lang.Object[])throwable_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException("", obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException59 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array57);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array57);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException65 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)(-1.0f), true);
    java.lang.Object[] obj_array66 = numberIsTooSmallException65.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException67 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException68 = new org.apache.commons.math.ConvergenceException("{0} is larger than the maximum ({1})", obj_array66);
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException(localizable37, obj_array66);
    org.apache.commons.math.optimization.OptimizationException optimizationException70 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)optimizationException69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(2.636274515629546d, 0.0d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_EVALUATIONS_EXCEEDED;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException3, "", obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizedFormats16 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException20 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException20, "", obj_array27);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { localizedFormats33 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("array sizes should have difference 1 ({0} != {1} + 1)", obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.1102230246251565E-14d, (java.lang.Number)(-21.781843429243967d), (java.lang.Number)0.41884530877048626d);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array10);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException15 = new org.apache.commons.math.exception.MathRuntimeException(throwable4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable6, obj_array10);
    java.lang.String str16 = localizedFormats5.getSourceString();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_CONVERT_OBJECT_TO_FRACTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array24);
    java.lang.Number number30 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (java.lang.Number)0, number30, true);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException32);
    org.apache.commons.math.exception.util.Localizable localizable34 = numberIsTooSmallException32.getGeneralPattern();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer39 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i40 = levenbergMarquardtOptimizer39.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter41 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer39);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array42 = curveFitter41.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", (java.lang.Object[])weightedObservedPoint_array42);
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException(localizable34, (java.lang.Object[])weightedObservedPoint_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (java.lang.Object[])weightedObservedPoint_array42);
    java.lang.Number number47 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException49 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Number)0.16093321357524806d, number47, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "insufficient data: only {0} rows and {1} columns."+ "'", str16.equals("insufficient data: only {0} rows and {1} columns."));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array42);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.9853235165275156d, 1.175498655231204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9853235165275156d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.6236608376226687d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 93.02891335645498d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_ITERATIONS_EXCEEDED;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-107));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-60));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 60);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_ARRAY_ELEMENT;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException3, "", obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizedFormats16 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException22 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException22, "", obj_array29);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { localizedFormats35 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException18, localizable19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array36);
    java.lang.String str41 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array contains an infinite element, {0} at index {1}"+ "'", str41.equals("Array contains an infinite element, {0} at index {1}"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    int i5 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getValue();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer23 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i24 = levenbergMarquardtOptimizer23.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter25 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker28 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d29 = simpleVectorialValueChecker28.getAbsoluteThreshold();
    levenbergMarquardtOptimizer23.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker28);
    int i31 = levenbergMarquardtOptimizer23.getEvaluations();
    double d32 = levenbergMarquardtOptimizer23.getRMS();
    double d33 = levenbergMarquardtOptimizer23.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter34 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer23);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array35 = curveFitter34.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction36 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    double[] d_array48 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array51 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array51, true);
    double[] d_array54 = vectorialPointValuePair53.getPointRef();
    boolean b55 = simpleVectorialValueChecker39.converged(100, vectorialPointValuePair44, vectorialPointValuePair53);
    double[] d_array56 = vectorialPointValuePair44.getValueRef();
    double[] d_array57 = vectorialPointValuePair44.getPointRef();
    double[] d_array58 = curveFitter34.fit(parametricUnivariateRealFunction36, d_array57);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array57, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(6.953372184412073E-42d, 4.138027701316752E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6803590227777976E-52d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.1599463290041633d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1592720827214222d));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NotStrictlyPositiveException: 1 is smaller than, or equal to, the minimum (0)", obj_array1);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.015308831465985804d), 0.5180124415015006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 2.2250738585072014E-306d);
    double d4 = gaussian2.value(19.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.6031696231764194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.55907373850508d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DIFFERENT_ROWS_LENGTHS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)Double.NaN, obj_array7);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array12);
    org.apache.commons.math.exception.ConvergenceException convergenceException18 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array12);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException22 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-6.407718500825805E-5d), (java.lang.Number)1.1249568118917463d, (java.lang.Number)1.3122876742057652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.6628829510616496d, number1, (java.lang.Number)0.7314882941489586d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array9, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    double[] d_array23 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array26, true);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    boolean b30 = simpleVectorialValueChecker14.converged(100, vectorialPointValuePair19, vectorialPointValuePair28);
    boolean b31 = simpleVectorialValueChecker4.converged(10, vectorialPointValuePair11, vectorialPointValuePair19);
    double[] d_array32 = vectorialPointValuePair11.getPointRef();
    double[] d_array33 = new double[] {  };
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    double[] d_array37 = vectorialPointValuePair36.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array37, true);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker42 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    double[] d_array51 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array54 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array54, true);
    double[] d_array57 = vectorialPointValuePair56.getPointRef();
    boolean b58 = simpleVectorialValueChecker42.converged(100, vectorialPointValuePair47, vectorialPointValuePair56);
    double[] d_array59 = vectorialPointValuePair47.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array59, true);
    double[] d_array62 = new double[] {  };
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array63, false);
    double[] d_array66 = vectorialPointValuePair65.getPointRef();
    double[] d_array67 = new double[] {  };
    double[] d_array68 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array67, d_array68, false);
    double[] d_array71 = vectorialPointValuePair70.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array71, false);
    double[] d_array74 = new double[] {  };
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75, false);
    double[] d_array78 = vectorialPointValuePair77.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair80 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array78, false);
    double[] d_array81 = vectorialPointValuePair80.getValueRef();
    double[] d_array82 = vectorialPointValuePair80.getPoint();
    double[] d_array83 = vectorialPointValuePair80.getValueRef();
    double[] d_array84 = vectorialPointValuePair80.getPointRef();
    double[] d_array85 = vectorialPointValuePair80.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number25 = maxCountExceededException24.getMax();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException24);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException40 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, localizable22, obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array34);
    java.lang.Object[] obj_array42 = convergenceException41.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array42);
    java.lang.Number number44 = outOfRangeException3.getLo();
    java.lang.Number number45 = outOfRangeException3.getLo();
    java.lang.Number number46 = outOfRangeException3.getLo();
    java.lang.Number number47 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.NO_CONVERGENCE_WITH_ANY_START_POINT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException50 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException56 = new org.apache.commons.math.optimization.OptimizationException("", obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException50, (org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException("", obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array61);
    java.lang.Object[] obj_array64 = mathIllegalArgumentException63.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException65 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array64);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException66 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array64);
    java.lang.Number number67 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (byte)10+ "'", number25.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + (byte)0+ "'", number47.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number67 + "' != '" + (byte)0+ "'", number67.equals((byte)0));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_REGRESSION_ARRAY;
    java.lang.String str1 = localizedFormats0.getSourceString();
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.18148297420509202d), (java.lang.Number)(-0.24830226469602806d), (java.lang.Number)0.546767689228766d);
    java.lang.Number number6 = outOfRangeException5.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_STRICTLY_INCREASING_SEQUENCE;
    org.apache.commons.math.exception.ZeroException zeroException8 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_MULTIPLICATION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException12 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, (java.lang.Number)1.279681769263902d);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException14 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}"+ "'", str1.equals("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.24830226469602806d)+ "'", number6.equals((-0.24830226469602806d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.1630508967218381d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6088143475494094d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.015624996f, 5.3687098E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.015624996f);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double d7 = levenbergMarquardtOptimizer3.getRMS();
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2250738585072014E-306d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.020916383848700953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.021136664549868577d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, (-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)dimensionMismatchException3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException4);
    java.lang.Object[] obj_array8 = null;
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathIllegalStateException: dimension (NOT_POSITIVE_LENGTH)", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException4, "insufficient data: only {0} rows and {1} columns.", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.5536072235318847d, 0.09515594688507101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.031112073370748616d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number11, (java.lang.Number)(byte)0);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    java.lang.Object[] obj_array22 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array20);
    java.lang.Object[] obj_array23 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, localizable17, obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    java.lang.Object[] obj_array34 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    java.lang.Object[] obj_array35 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, (java.lang.Number)0.41671114415975286d, obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException13, "number of trials ({0})", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException(throwable8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array32);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array32);
    boolean b41 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.String str42 = numberIsTooSmallException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: -1 is smaller than, or equal to, the minimum (1.961): -1x1.961 and {2}x{3} matrices are not subtraction compatible"+ "'", str42.equals("org.apache.commons.math.exception.NumberIsTooSmallException: -1 is smaller than, or equal to, the minimum (1.961): -1x1.961 and {2}x{3} matrices are not subtraction compatible"));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    java.util.Locale locale10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = localizedFormats0.getLocalizedString(locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17278206351636377d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.6236608376226687d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6343991548499575d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.8699831333471925E-17d, 1.5174271293851465d, 0.17453292519943298d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.14613764251654d, (java.lang.Number)1.7848229996318725E8d, (java.lang.Number)4251.530792427806d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.6627014945097361d), (java.lang.Number)0.00908201616386003d, (java.lang.Number)127);
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.00908201616386003d+ "'", number4.equals(0.00908201616386003d));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9761108846333083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01050084437325219d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.8168243187580034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.20233123936480213d));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.clearObservations();
    gaussianFitter1.clearObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d17 = levenbergMarquardtOptimizer16.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint22 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    curveFitter18.addObservedPoint(weightedObservedPoint22);
    gaussianFitter1.addObservedPoint(weightedObservedPoint22);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array25 = gaussianFitter1.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_BOUNDS_QUANTILE_VALUE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DISTRIBUTION_NOT_LOADED;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException(localizable4, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array17);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array23 = notStrictlyPositiveException22.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array23);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array23);
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.16011699818583253d, number27, (java.lang.Number)1.1920929E-7f);
    java.lang.Number number30 = outOfRangeException29.getLo();
    org.apache.commons.math.exception.util.Localizable localizable31 = outOfRangeException29.getGeneralPattern();
    java.lang.Object[] obj_array32 = outOfRangeException29.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.24999994f, 320);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.8805004473187511d, 3.2254656408127456E16d, 0.7386894544908232d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1736481776669303d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(11584.049478088478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 107.62922223117883d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.008275268667570054d), 0.17278206351636377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04785768706482368d));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.019053357428787276d), 0.61375892469463d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException7);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException7);
    java.lang.Object[] obj_array10 = optimizationException9.getArguments();
    java.lang.String str11 = optimizationException9.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{0}"+ "'", str11.equals("{0}"));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.8705901426103781d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4035121340383754d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.6482707601405976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_INCREASING_SEQUENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable25 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException("", obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array31);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("hi!", obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException(throwable25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array41);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.ARRAY_SUMS_TO_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException("", obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException59 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array57);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array57);
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array57);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array57);
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array57);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException65 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array57);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)nullArgumentException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array57);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException67 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats23);
    org.apache.commons.math.exception.util.Localizable localizable68 = nullArgumentException67.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable68);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker15);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter17 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction19 = null;
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker29 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d30 = simpleVectorialValueChecker29.getAbsoluteThreshold();
    levenbergMarquardtOptimizer28.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker29);
    double[] d_array33 = new double[] {  };
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array41 = new double[] {  };
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array42, false);
    double[] d_array48 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array51 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array51, true);
    double[] d_array54 = vectorialPointValuePair53.getPointRef();
    boolean b55 = simpleVectorialValueChecker39.converged(100, vectorialPointValuePair44, vectorialPointValuePair53);
    boolean b56 = simpleVectorialValueChecker29.converged(10, vectorialPointValuePair36, vectorialPointValuePair44);
    double[] d_array57 = vectorialPointValuePair36.getPointRef();
    double[] d_array58 = new double[] {  };
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    double[] d_array62 = vectorialPointValuePair61.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array62, true);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker67 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array69 = new double[] {  };
    double[] d_array70 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    double[] d_array76 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array79 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array76, d_array79, true);
    double[] d_array82 = vectorialPointValuePair81.getPointRef();
    boolean b83 = simpleVectorialValueChecker67.converged(100, vectorialPointValuePair72, vectorialPointValuePair81);
    double[] d_array84 = vectorialPointValuePair72.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array84, true);
    double[] d_array87 = vectorialPointValuePair86.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair88 = levenbergMarquardtOptimizer3.optimize(5, differentiableMultivariateVectorialFunction19, d_array21, d_array24, d_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.6152487717693996d), 1.103945016238854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.48869624446945437d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.842171E-14f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math.exception.ConvergenceException convergenceException12 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array7);
    org.apache.commons.math.exception.ConvergenceException convergenceException13 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.17543139267904395d, 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003061845845406326d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.37974728684176856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.37974728684176856d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.06018625451626682d));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH;
    org.apache.commons.math.exception.ConvergenceException convergenceException8 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats7);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException10 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (java.lang.Number)1.0673344337075779d);
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    java.lang.Object[] obj_array18 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException(localizable11, obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array24);
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException30 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9846542223795024d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NEGATIVE_COMPLEX_MODULE;
    java.lang.Throwable throwable32 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number37 = maxCountExceededException36.getMax();
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException36);
    java.lang.String str39 = mathException38.getPattern();
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException("", obj_array43);
    java.lang.Object[] obj_array45 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException38, "", obj_array45);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException47 = new org.apache.commons.math.exception.MathRuntimeException(throwable32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException50 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException56 = new org.apache.commons.math.optimization.OptimizationException("", obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException50, (org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    org.apache.commons.math.exception.ConvergenceException convergenceException58 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array55);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException60 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array55);
    java.lang.Object[] obj_array61 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array55);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException27, "number of trials ({0})", obj_array61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array61);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    java.lang.Object[] obj_array65 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (byte)10+ "'", number37.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "{0}"+ "'", str39.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)Double.NaN, obj_array6);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array11);
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    java.lang.Throwable[] throwable_array17 = optimizationException16.getSuppressed();
    java.lang.String str18 = optimizationException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "weigth array must contain at least one non-zero value"+ "'", str18.equals("weigth array must contain at least one non-zero value"));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getPointRef();
    double[] d_array5 = new double[] {  };
    double[] d_array6 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair8 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array5, d_array6, false);
    double[] d_array9 = vectorialPointValuePair8.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array9, false);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getValueRef();
    double[] d_array20 = vectorialPointValuePair18.getValue();
    double[] d_array21 = vectorialPointValuePair18.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.078695879299457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0030981191127089d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-1.0f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_ARRAY_ELEMENT;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException5, "", obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { localizedFormats18 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math.exception.util.Localizable localizable21 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException24 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException("", obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException24, "", obj_array31);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { localizedFormats37 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException20, localizable21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array38);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException45 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, (java.lang.Number)1.2182829050172777d);
    java.lang.String str46 = localizedFormats43.getSourceString();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker51 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array52);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException55 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number56 = maxCountExceededException55.getMax();
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException55);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array65 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException("", obj_array65);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats62, obj_array65);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("hi!", obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException69 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array65);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException70 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException57, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, (org.apache.commons.math.exception.util.Localizable)localizedFormats59, obj_array65);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array65);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException72 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array65);
    org.apache.commons.math.exception.ConvergenceException convergenceException73 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "observed counts are all 0 in observed array {0}"+ "'", str46.equals("observed counts are all 0 in observed array {0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number56 + "' != '" + (byte)10+ "'", number56.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.15876933789804415d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15876933789804415d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.24830226469602806d), (java.lang.Number)0.9933262816834988d, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter4.clearObservations();
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer6 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer6);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint11 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d12 = weightedObservedPoint11.getY();
    curveFitter7.addObservedPoint(weightedObservedPoint11);
    double d14 = weightedObservedPoint11.getWeight();
    double d15 = weightedObservedPoint11.getWeight();
    curveFitter4.addObservedPoint(weightedObservedPoint11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.0030665476806875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.9999998f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array9);
    org.apache.commons.math.exception.ConvergenceException convergenceException14 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array9);
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)convergenceException14);
    java.lang.String str16 = convergenceException14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.exception.ConvergenceException: Discrete cumulative probability function returned NaN for argument CONVERGENCE_FAILED"+ "'", str16.equals("org.apache.commons.math.exception.ConvergenceException: Discrete cumulative probability function returned NaN for argument CONVERGENCE_FAILED"));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, (-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)dimensionMismatchException3);
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-9.0071971E15f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2147483648));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable2, obj_array5);
    org.apache.commons.math.exception.util.Localizable localizable10 = mathException0.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable10);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable12 = nullArgumentException0.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable12);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_WINDOW_SIZE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "window size must be positive ({0})"+ "'", str1.equals("window size must be positive ({0})"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array6 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair8 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array6, true);
    double[] d_array9 = null;
    double[] d_array13 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array16, true);
    double[] d_array19 = vectorialPointValuePair18.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array19, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array19, true);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array28, false);
    double[] d_array34 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array37, true);
    double[] d_array40 = vectorialPointValuePair39.getPointRef();
    double[] d_array41 = vectorialPointValuePair39.getValueRef();
    double[] d_array42 = vectorialPointValuePair39.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array42);
    double[] d_array44 = vectorialPointValuePair43.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)7.488947122823007E-27d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INTEGRATION_METHOD_NEEDS_AT_LEAST_ONE_PREVIOUS_POINT;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NON_CONVERGENT_CONTINUED_FRACTION;
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number17 = maxCountExceededException16.getMax();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException16);
    java.lang.String str19 = mathException18.getPattern();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException24 = new org.apache.commons.math.optimization.OptimizationException("", obj_array23);
    java.lang.Object[] obj_array25 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException18, "", obj_array25);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException(throwable12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array25);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException30 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.9901174723371614d, (java.lang.Number)(-7.999998f), true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException36 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats35);
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array37);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException41 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array42 = notStrictlyPositiveException41.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array42);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.OVERFLOW_IN_FRACTION;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException45 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats44);
    java.lang.Number number47 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException49 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number47, true);
    org.apache.commons.math.exception.util.Localizable localizable50 = numberIsTooSmallException49.getGeneralPattern();
    java.lang.Object[] obj_array51 = numberIsTooSmallException49.getArguments();
    java.lang.Number number52 = numberIsTooSmallException49.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException60 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array61 = numberIsTooSmallException60.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, (org.apache.commons.math.exception.util.Localizable)localizedFormats55, (java.lang.Object[])throwable_array61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException("", obj_array68);
    java.lang.Object[] obj_array70 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array68);
    java.lang.Object[] obj_array71 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException63, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, localizable65, obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array68);
    org.apache.commons.math.optimization.OptimizationException optimizationException74 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException49, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array68);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array68);
    java.lang.Object[] obj_array77 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException78 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (byte)10+ "'", number17.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{0}"+ "'", str19.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (-1L)+ "'", number52.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.018286554460360524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = curveFitter8.fit(parametricUnivariateRealFunction9, d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.9816071816565837d, 7.944406201417462d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-1.0202371334228384d), 2.452460102162533d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1023), 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8421713E-14f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.5254040795191397d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.52540407951914d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.12419711798518869d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0858853143801004d));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException18, "", obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { localizedFormats31 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable35 = mathException34.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable35);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.6605533755317905d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5837583753117399d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_BOUND_SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    java.lang.Object[] obj_array26 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array27);
    org.apache.commons.math.exception.ZeroException zeroException31 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.URL_CONTAINS_NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.CARDAN_ANGLES_SINGULARITY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("", obj_array37);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    java.lang.Object[] obj_array40 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array37);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array43);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(short)0);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.ALPHA;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException52 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException54 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("", obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException54, (org.apache.commons.math.exception.util.Localizable)localizedFormats55, (org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException52, "", obj_array59);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { localizedFormats65 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException52, (org.apache.commons.math.exception.util.Localizable)localizedFormats63, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array66);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException69 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException71 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException77 = new org.apache.commons.math.optimization.OptimizationException("", obj_array76);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException78 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException71, (org.apache.commons.math.exception.util.Localizable)localizedFormats72, (org.apache.commons.math.exception.util.Localizable)localizedFormats73, obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException69, "", obj_array76);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats80 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats81 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats82 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array83 = new java.lang.Object[] { localizedFormats82 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException69, (org.apache.commons.math.exception.util.Localizable)localizedFormats80, (org.apache.commons.math.exception.util.Localizable)localizedFormats81, obj_array83);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array83);
    org.apache.commons.math.MathException mathException86 = new org.apache.commons.math.MathException("array sizes should have difference 1 ({0} != {1} + 1)", obj_array83);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException87 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array83);
    java.lang.Object[] obj_array88 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array83);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException89 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException45, localizable46, obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException(localizable1, obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array14);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer20 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d21 = levenbergMarquardtOptimizer20.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter22 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer20);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer23 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter24 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer23);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint28 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d29 = weightedObservedPoint28.getY();
    curveFitter24.addObservedPoint(weightedObservedPoint28);
    curveFitter22.addObservedPoint(weightedObservedPoint28);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array32 = curveFitter22.getObservations();
    curveFitter22.addObservedPoint(0.19184771387583882d, 0.984807753012208d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array36 = curveFitter22.getObservations();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, (java.lang.Number)0.4167195582583417d, (java.lang.Object[])weightedObservedPoint_array36);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("{0} is larger than the maximum ({1})", (java.lang.Object[])weightedObservedPoint_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.19712800865894897d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.19463251069313514d));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.8882073618965751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.093428566266913d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-1.0d), (java.lang.Number)4.9E-324d, true);
    org.apache.commons.math.exception.util.Localizable localizable5 = numberIsTooSmallException4.getSpecificPattern();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.7853981633974483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1932800507380155d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.12986648189656907d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_COLUMNS_NOT_INITIALIZED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException(throwable3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array19);
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.ARRAY_SUMS_TO_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array35);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.0001171824489765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1023, 1023);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1023);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17454378018118977d, 1.5259983868437146d, (-0.031149082925462673d), (-0.5852524582983982d), 1.446438866984304d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.9997098955515158d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, (-2147483648), (-86));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(18.05538513813743d, (-0.4648576019333586d), 1.1102230246251627E-14d, 0.25092723749358303d, 2.220446049250313E-16d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(10.0f, 1.0872557221670818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999999f);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.7115006130709232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.2305794513940214d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2305794513940214d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.23053586511376756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.15344283664589062d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1522553125856444d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getPointRef();
    double[] d_array5 = vectorialPointValuePair3.getValueRef();
    double[] d_array6 = vectorialPointValuePair3.getValueRef();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i11 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array19 = curveFitter18.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction20 = null;
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array30, false);
    double[] d_array33 = curveFitter18.fit(parametricUnivariateRealFunction20, d_array25);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array33, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.3881318E-21f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("", obj_array1);
    org.apache.commons.math.exception.util.Localizable localizable3 = convergenceException2.getSpecificPattern();
    java.lang.Object[] obj_array4 = convergenceException2.getArguments();
    java.lang.String str5 = convergenceException2.getPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POWER_OF_TWO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array13);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array13);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException20 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException20);
    java.lang.Throwable[] throwable_array22 = convergenceException20.getSuppressed();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_BOUND_SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number27 = maxCountExceededException26.getMax();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    java.lang.Object[] obj_array37 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array35);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, localizable32, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array35);
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array35);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException49 = new org.apache.commons.math.optimization.OptimizationException("", obj_array48);
    java.lang.Object[] obj_array50 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array48);
    java.lang.Object[] obj_array51 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array51);
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (byte)10+ "'", number27.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker11 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker11);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.9933262816834988d, 3.2254656408127456E16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.2254656408127456E16d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.7868463412580683d, 0.9901174723371614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7887126390127246d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array15 = curveFitter14.getObservations();
    curveFitter14.addObservedPoint(0.8311239841681523d, 1.960770886449511d, 0.7933572799772842d);
    curveFitter14.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction22 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker25 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    double[] d_array34 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array37, true);
    double[] d_array40 = vectorialPointValuePair39.getPointRef();
    boolean b41 = simpleVectorialValueChecker25.converged(100, vectorialPointValuePair30, vectorialPointValuePair39);
    double[] d_array42 = vectorialPointValuePair39.getValueRef();
    double[] d_array43 = curveFitter14.fit(5, parametricUnivariateRealFunction22, d_array42);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array44 = curveFitter14.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array44);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer6 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer6);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint11 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d12 = weightedObservedPoint11.getY();
    curveFitter7.addObservedPoint(weightedObservedPoint11);
    curveFitter5.addObservedPoint(weightedObservedPoint11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array15 = curveFitter5.getObservations();
    curveFitter5.addObservedPoint(0.19184771387583882d, 0.984807753012208d);
    curveFitter5.addObservedPoint(0.8564001050021037d, (-0.7244203912838959d), 0.41884530877048626d);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction23 = null;
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPointRef();
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array33, false);
    double[] d_array36 = new double[] {  };
    double[] d_array37 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    double[] d_array40 = vectorialPointValuePair39.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getValueRef();
    double[] d_array44 = vectorialPointValuePair42.getPoint();
    double[] d_array45 = vectorialPointValuePair42.getValueRef();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array46 = curveFitter5.fit(parametricUnivariateRealFunction23, d_array45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(5.024812563222456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 151.141736483123d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(131.928407798297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.575392226937111d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(4.037446449124545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.7599986041525284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9504488038149053d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException(localizable0, 10, (-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)dimensionMismatchException3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException4);
    java.lang.Object[] obj_array6 = optimizationException4.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.6031696231764194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1920935E-7f, 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920936E-7f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.18706335448147207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18706335448147207d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920932E-7f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920932E-7f);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.07618888579311128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07604197806051662d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(2.688117141816136E43d, 1.279681769263902d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d4 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d5 = simpleVectorialValueChecker2.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.279681769263902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.279681769263902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.688117141816136E43d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i5 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer4.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    int i12 = levenbergMarquardtOptimizer4.getEvaluations();
    double d13 = levenbergMarquardtOptimizer4.getRMS();
    double d14 = levenbergMarquardtOptimizer4.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter15 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array16 = curveFitter15.getObservations();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("permutation k ({0}) must be positive", (java.lang.Object[])weightedObservedPoint_array16);
    java.lang.Object[] obj_array18 = mathException17.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.17454378018118977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1907028704313292d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(10.050531568283175d, (-1.0067007113224513d), 1.664199147185287d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException33 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, localizable15, obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array27);
    java.lang.Object[] obj_array35 = convergenceException34.getArguments();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException37 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException("", obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException37, "", obj_array44);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { localizedFormats50 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException37, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array51);
    convergenceException34.addSuppressed((java.lang.Throwable)mathIllegalStateException53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException53);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException56 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (byte)10+ "'", number18.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(17.289925114084156d, (-185.83856558601425d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.339067708499561E-231d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-60), 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("", obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable16, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable26 = mathIllegalStateException25.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable26, (java.lang.Number)0.17453292519943298d);
    java.lang.Number number29 = notStrictlyPositiveException28.getMin();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 0+ "'", number29.equals(0));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter10.addObservedPoint(1.2818473308364149d, 1.0050746621740465d, 1.0890055592005194d);
    curveFitter10.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker22 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array31 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array34 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array34, true);
    double[] d_array37 = vectorialPointValuePair36.getPointRef();
    boolean b38 = simpleVectorialValueChecker22.converged(100, vectorialPointValuePair27, vectorialPointValuePair36);
    double[] d_array39 = vectorialPointValuePair36.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array39);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    long long2 = org.apache.commons.math.util.FastMath.max(164L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 164L);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-8388606), 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 86);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i8 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter10 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d11 = levenbergMarquardtOptimizer3.getRMS();
    int i12 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i13 = levenbergMarquardtOptimizer3.getEvaluations();
    double d14 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.19068994544354348d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable3 = notStrictlyPositiveException1.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIFFERENT_ROWS_LENGTHS;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array20);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException(localizable3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)10+ "'", number11.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    gaussianFitter1.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter1.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    gaussianFitter1.addObservedPoint((-0.0d), 0.41884530877048626d, 1.3055138307277429E-102d);
    gaussianFitter1.addObservedPoint((-1.180821767140282d), 58.17066163002873d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.2759576E-12f, 1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.2759576E-12f);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)7.27596E-12f);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    long long1 = org.apache.commons.math.util.FastMath.round(19.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 19L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)0, number12, true);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_DIMENSION;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException18, "", obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { localizedFormats31 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException37 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException("", obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException37, "", obj_array44);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { localizedFormats50 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException37, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException33, localizable34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array51);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("", obj_array59);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array59);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array59);
    boolean b65 = numberIsTooSmallException14.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array66 = numberIsTooSmallException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker15);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker19 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.1102230246251565E-14d, 0.8340324452479561d);
    double d20 = simpleVectorialValueChecker19.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.1102230246251565E-14d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.150174006300185d, 0.17453292519943317d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    double d4 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.17453292519943317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.17453292519943317d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.04022211784514523d, 0.018286554460360524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.018286554460360524d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.003061845845406326d, 3.560476571618193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.003061845845406326d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.41671114415975286d, obj_array4);
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException(localizable11, obj_array14);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)10, obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array26);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (java.lang.Number)Double.NaN, obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array28);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    java.lang.Object[] obj_array17 = tooManyEvaluationsException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.8813735870195429d), 0.9325099184145089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.051136331394965984d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(5.013386383358289d, (-5.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.354857642209929d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.19184771387583882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9846542223795024d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)(-1.0f), true);
    java.lang.Object[] obj_array8 = numberIsTooSmallException7.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.ZeroException zeroException10 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException10);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException7, localizable9, obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException1, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(55, (-22));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.8214893926872855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1714211150997484d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable2, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException11 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("", obj_array17);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    java.lang.Object[] obj_array20 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (java.lang.Number)0.41671114415975286d, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array17);
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException22);
    org.apache.commons.math.exception.util.Localizable localizable24 = optimizationException23.getSpecificPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException28 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.01717765495140376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01717596570310501d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.23049322211231332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.0f);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.8882073618965751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4307682554603307d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    int i1 = org.apache.commons.math.util.FastMath.round((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.4057729008722414d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7403339744451946d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.8813735870195429d));
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)notStrictlyPositiveException1);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.009931847247884304d), 2.291904389212817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009931847247884302d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.17703234088598696d, 1.016459732919404d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-57.67970199159431d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    gaussianFitter1.addObservedPoint(0.17543139267904395d, Double.NaN);
    gaussianFitter1.addObservedPoint(0.0d, (-0.18148297420509205d), 2.1460183660255168d);
    gaussianFitter1.clearObservations();

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d6 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(1.5654153643168323d, 0.7801241036617774d, (-0.12986648189656907d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.09515594688507101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09089677037473103d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.1727924348551594d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.5531316423643079d, 1.2483666764136787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5531316423643079d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-1.0067007113224513d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.Number number6 = outOfRangeException3.getLo();
    java.lang.Number number7 = outOfRangeException3.getArgument();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (byte)0+ "'", number4.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)0+ "'", number5.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.834032445247956d+ "'", number7.equals(0.834032445247956d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(1.2796817692639018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }


    double[] d_array0 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i5 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer4.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array13 = curveFitter12.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction14 = null;
    double[] d_array15 = new double[] {  };
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    double[] d_array19 = vectorialPointValuePair18.getPointRef();
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    double[] d_array24 = vectorialPointValuePair23.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array24, false);
    double[] d_array27 = curveFitter12.fit(parametricUnivariateRealFunction14, d_array19);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction28 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker31 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array33 = new double[] {  };
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array34, false);
    double[] d_array40 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array43 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair45 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array43, true);
    double[] d_array46 = vectorialPointValuePair45.getPointRef();
    boolean b47 = simpleVectorialValueChecker31.converged(100, vectorialPointValuePair36, vectorialPointValuePair45);
    double[] d_array48 = vectorialPointValuePair36.getValueRef();
    double[] d_array49 = vectorialPointValuePair36.getValue();
    double[] d_array50 = curveFitter12.fit(parametricUnivariateRealFunction28, d_array49);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array50, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(19L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 19L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.17278206351636377d, 1.2120601415182943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2243134517476806d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_INTEGRATION_INTERVAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException12 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException12, "", obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { localizedFormats25 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array26);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException29 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException29, "", obj_array36);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { localizedFormats42 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array43);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, number10, obj_array43);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array47);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer54 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker55 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d56 = simpleVectorialValueChecker55.getAbsoluteThreshold();
    levenbergMarquardtOptimizer54.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker55);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter58 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer54);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array59 = curveFitter58.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", (java.lang.Object[])weightedObservedPoint_array59);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, (java.lang.Object[])weightedObservedPoint_array59);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException("", obj_array67);
    java.lang.Object[] obj_array69 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array67);
    java.lang.Object[] obj_array70 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array67);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array67);
    org.apache.commons.math.optimization.OptimizationException optimizationException72 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array67);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { localizedFormats73 };
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array74);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array74);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("null is not allowed", obj_array74);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter11.clearObservations();
    curveFitter11.addObservedPoint(4.8699831333471925E-17d, 1.4210804127942926d, 2.0891889967373913d);
    curveFitter11.addObservedPoint((-0.38016488499419976d), 2.688117141816136E43d);
    curveFitter11.addObservedPoint((-88.15695677413095d), 2.814583695375307d, 10.067661995777765d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint24 = null;
    curveFitter11.addObservedPoint(weightedObservedPoint24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-0.99999976f), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.49999988f));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999998f);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.6224699106035597d);
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)notStrictlyPositiveException1);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.6723912533266585E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32.22333788750675d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double d7 = levenbergMarquardtOptimizer3.getRMS();
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i10 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    incrementor0.incrementCount(3);
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.incrementCount(1);
    incrementor0.setMaximalCount(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_SUCCESS_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.UNKNOWN_MODE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException5 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats4);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException8 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException8, "", obj_array15);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { localizedFormats21 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException8, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException5, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array22);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException29 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException29, "", obj_array36);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { localizedFormats42 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array43);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException46 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException48 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException("", obj_array53);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException46, "", obj_array53);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats57 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { localizedFormats59 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException46, (org.apache.commons.math.exception.util.Localizable)localizedFormats57, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array60);
    org.apache.commons.math.exception.ConvergenceException convergenceException63 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array60);
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(163.86116486507237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 163.0d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)2.6088143475494094d, true);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-1.192093E-7f), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.6605533755317905d, 1.672391253326658E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6605533755317906d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)3.600244966869294E10d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(6, 10);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.4210804127942926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02480253213886056d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.3687098E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 29);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_2x2;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number7 = maxCountExceededException6.getMax();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException22 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, localizable4, obj_array16);
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array16);
    java.lang.Object[] obj_array24 = optimizationException23.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)10+ "'", number7.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    float f2 = org.apache.commons.math.util.FastMath.min(5.9604645E-8f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.28790610219309176d, (java.lang.Number)1.0872557221670818d, true);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.018286554460360524d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01828655446036052d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.7314882941489586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.8699831333471925E-17d, 1.5174271293851465d, 0.17453292519943298d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array10 = new double[] {  };
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair13 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array11, false);
    double[] d_array17 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array20 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array20, true);
    double[] d_array23 = vectorialPointValuePair22.getPointRef();
    boolean b24 = simpleVectorialValueChecker8.converged(100, vectorialPointValuePair13, vectorialPointValuePair22);
    double[] d_array25 = vectorialPointValuePair13.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker28 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array37 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array40 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array40, true);
    double[] d_array43 = vectorialPointValuePair42.getPointRef();
    boolean b44 = simpleVectorialValueChecker28.converged(100, vectorialPointValuePair33, vectorialPointValuePair42);
    double[] d_array45 = vectorialPointValuePair42.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array45);
    double[] d_array47 = gaussianFitter5.fit(d_array45);
    double[] d_array51 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array54 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array54, true);
    double[] d_array57 = vectorialPointValuePair56.getValueRef();
    double[] d_array58 = vectorialPointValuePair56.getValue();
    double[] d_array59 = gaussianFitter5.fit(d_array58);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker62 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array64 = new double[] {  };
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array64, d_array65, false);
    double[] d_array71 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array74 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair76 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array71, d_array74, true);
    double[] d_array77 = vectorialPointValuePair76.getPointRef();
    boolean b78 = simpleVectorialValueChecker62.converged(100, vectorialPointValuePair67, vectorialPointValuePair76);
    double[] d_array79 = vectorialPointValuePair67.getPoint();
    double[] d_array80 = vectorialPointValuePair67.getValueRef();
    double[] d_array81 = vectorialPointValuePair67.getValueRef();
    double[] d_array82 = vectorialPointValuePair67.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array12 = curveFitter11.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction13 = null;
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    double[] d_array18 = vectorialPointValuePair17.getPointRef();
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    double[] d_array23 = vectorialPointValuePair22.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair25 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array23, false);
    double[] d_array26 = curveFitter11.fit(parametricUnivariateRealFunction13, d_array18);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction27 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker30 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array32 = new double[] {  };
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array33, false);
    double[] d_array39 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array42 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair44 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array39, d_array42, true);
    double[] d_array45 = vectorialPointValuePair44.getPointRef();
    boolean b46 = simpleVectorialValueChecker30.converged(100, vectorialPointValuePair35, vectorialPointValuePair44);
    double[] d_array47 = vectorialPointValuePair35.getValueRef();
    double[] d_array48 = vectorialPointValuePair35.getValue();
    double[] d_array49 = curveFitter11.fit(parametricUnivariateRealFunction27, d_array48);
    curveFitter11.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction52 = null;
    double[] d_array53 = new double[] {  };
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    double[] d_array57 = vectorialPointValuePair56.getPointRef();
    double[] d_array58 = new double[] {  };
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair61 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array59, false);
    double[] d_array62 = vectorialPointValuePair61.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array62, false);
    double[] d_array65 = new double[] {  };
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array66, false);
    double[] d_array69 = vectorialPointValuePair68.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair71 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array69, false);
    double[] d_array72 = vectorialPointValuePair71.getValueRef();
    double[] d_array73 = vectorialPointValuePair71.getPoint();
    double[] d_array74 = vectorialPointValuePair71.getValueRef();
    double[] d_array75 = vectorialPointValuePair71.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array76 = curveFitter11.fit((-107), parametricUnivariateRealFunction52, d_array75);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.4001462210065622d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.4779787358485924d);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)tooManyEvaluationsException3);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.9846542223795024d, 0.0d, 1.0091236347991934d);
    double d5 = gaussian3.value(31.91175721887307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 6.913554753282895E-218d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.1932800507380155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("Continued fraction convergents failed to converge (in less than {0} iterations) for value {1}", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException1, "illegal state", obj_array8);
    java.lang.String str11 = notStrictlyPositiveException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.exception.NotStrictlyPositiveException: 2,918,873,375,210,475,700,000,000,000,000 is smaller than, or equal to, the minimum (0)"+ "'", str11.equals("org.apache.commons.math.exception.NotStrictlyPositiveException: 2,918,873,375,210,475,700,000,000,000,000 is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.1279085958580564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    int i7 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i8 = levenbergMarquardtOptimizer3.getEvaluations();
    int i9 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(5.575392226937111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(2.718281828459045d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.718281828459045d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9147328830530583d, 1.1917602223703325d, 10.049887281886782d);
    double d4 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    double d2 = org.apache.commons.math.util.FastMath.min(74.20321057778882d, 1.1279085958580564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1279085958580564d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.N_POINTS_GAUSS_LEGENDRE_INTEGRATOR_NOT_SUPPORTED;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("", obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array22);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException25 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException("", obj_array30);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array30);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException25, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array35);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException38 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable40 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number43 = maxCountExceededException42.getMax();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException42);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException("", obj_array52);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("hi!", obj_array52);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array52);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array52);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats39, localizable40, obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array52);
    java.lang.Object[] obj_array60 = convergenceException59.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number43 + "' != '" + (byte)10+ "'", number43.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(8.37307872146953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_DECREASING_SEQUENCE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    double[] d_array3 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array6 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair8 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array6, true);
    double[] d_array9 = null;
    double[] d_array13 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array16 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array16, true);
    double[] d_array19 = vectorialPointValuePair18.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array9, d_array19, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array3, d_array19, true);
    double[] d_array24 = new double[] {  };
    double[] d_array25 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array28, false);
    double[] d_array31 = vectorialPointValuePair30.getValueRef();
    double[] d_array32 = vectorialPointValuePair30.getValueRef();
    double[] d_array33 = vectorialPointValuePair30.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.util.Localizable localizable6 = outOfRangeException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (byte)0+ "'", number4.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)0+ "'", number5.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable6);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.7887126390127246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.30778975480249265d, 0.016194621505473003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3077897548024926d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException19 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (-127), 1);
    org.apache.commons.math.exception.util.Localizable localizable20 = dimensionMismatchException19.getGeneralPattern();
    java.lang.Number number21 = dimensionMismatchException19.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-127)+ "'", number21.equals((-127)));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    java.lang.String str5 = mathException4.getPattern();
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4, "", obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.6723912533266578E32d);
    org.apache.commons.math.exception.util.Localizable localizable16 = maxCountExceededException15.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException22 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (java.lang.Number)(-1.0d), (java.lang.Number)4.9E-324d, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException24 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (java.lang.Number)0.8340324452479561d);
    java.lang.Object[] obj_array25 = notStrictlyPositiveException24.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException15, "org.apache.commons.math.exception.NotStrictlyPositiveException: -0.248 is smaller than, or equal to, the minimum (0)", obj_array25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POWER_OF_TWO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array35);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0}"+ "'", str5.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }


    long long2 = org.apache.commons.math.util.FastMath.min(5L, 11584L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.setMaximalCount((-3));
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-3));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-23), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.8199381493365874d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter15 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter16 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.17428922754163298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)Double.NaN, obj_array8);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(byte)0, obj_array8);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException13 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.5707963267948966d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException16 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.41671114415975286d);
    java.lang.Number number17 = tooManyEvaluationsException16.getMax();
    java.lang.Object[] obj_array18 = tooManyEvaluationsException16.getArguments();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException13, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 0.41671114415975286d+ "'", number17.equals(0.41671114415975286d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9132537682637593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7914965433704878d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (java.lang.Number)Double.NaN, obj_array27);
    java.lang.Object[] obj_array29 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array27);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (java.lang.Number)(byte)0, obj_array27);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException32 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (java.lang.Number)1.5707963267948966d);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats19);
    java.lang.Number number34 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException36 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.DISTRIBUTION_NOT_LOADED;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException("", obj_array43);
    java.lang.Object[] obj_array45 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array43);
    java.lang.Object[] obj_array46 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException(localizable38, obj_array46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array51);
    java.lang.Object[] obj_array53 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array53);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException56 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array57 = notStrictlyPositiveException56.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException58 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array57);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, number34, obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array15);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array15);
    java.lang.Object[] obj_array18 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, localizable12, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array15);
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array15);
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException25 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number23, (java.lang.Number)(byte)0);
    java.lang.Number number26 = outOfRangeException25.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException29 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array39 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array39);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException42 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable44 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number47 = maxCountExceededException46.getMax();
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException57 = new org.apache.commons.math.optimization.OptimizationException("", obj_array56);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException58 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array56);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("hi!", obj_array56);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array56);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException61 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array56);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException62 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, localizable44, obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array56);
    java.lang.Object[] obj_array64 = convergenceException63.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException65 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException25, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array64);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException66 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats67 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException72 = new org.apache.commons.math.optimization.OptimizationException("", obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException73 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException66, (org.apache.commons.math.exception.util.Localizable)localizedFormats67, (org.apache.commons.math.exception.util.Localizable)localizedFormats68, obj_array71);
    java.lang.Object[] obj_array74 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException75 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats68, obj_array74);
    java.lang.String str76 = optimizationException75.getPattern();
    java.lang.Object[] obj_array77 = optimizationException75.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException78 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException79 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + (byte)10+ "'", number47.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "length must be positive ({0})"+ "'", str76.equals("length must be positive ({0})"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getY();
    double d6 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-3), 1);
    java.lang.Object[] obj_array3 = dimensionMismatchException2.getArguments();
    int i4 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = mathRuntimeException4.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable5);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.24830226469602812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.7853981633974483d);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException4 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException4, "", obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { localizedFormats17 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array18);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException21 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException("", obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException21, "", obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { localizedFormats34 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException37);
    java.lang.String str39 = mathException37.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable40 = mathException37.getGeneralPattern();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException45 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats44);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException45);
    java.lang.Throwable[] throwable_array47 = convergenceException45.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException41, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, (java.lang.Object[])throwable_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException(localizable40, (java.lang.Object[])throwable_array47);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "org.apache.commons.math.exception.NotStrictlyPositiveException: 2,918,873,375,210,475,700,000,000,000,000 is smaller than, or equal to, the minimum (0)", (java.lang.Object[])throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "{0} is larger than the maximum ({1})"+ "'", str39.equals("{0} is larger than the maximum ({1})"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SUBARRAY_ENDS_AFTER_ARRAY_END;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5597861293914359d, (java.lang.Number)0.0f, (java.lang.Number)5.551115123125783E-17d);
    java.lang.Number number5 = outOfRangeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5597861293914359d+ "'", number5.equals(0.5597861293914359d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.8813735870195429d));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(10.05053156391609d, 75.20993994919473d, 0.0d, 0.3848776148539087d, 0.771057642952595d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.17543139267904387d, 3.141592653589793d, 2.9188733752104757E30d);
    double d4 = weightedObservedPoint3.getX();
    double d5 = weightedObservedPoint3.getX();
    double d6 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.17543139267904387d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.9188733752104757E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9188733752104757E30d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-102.39279629650804d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9579473860292688d));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    double d9 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.5202350444438292d), 1.7293812244899607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5202350444438292d));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException1, "", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizedFormats14 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException18, "", obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { localizedFormats31 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array32);
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException34);
    java.lang.String str36 = mathException34.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable37 = mathException34.getGeneralPattern();
    org.apache.commons.math.exception.ZeroException zeroException38 = new org.apache.commons.math.exception.ZeroException(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "{0} is larger than the maximum ({1})"+ "'", str36.equals("{0} is larger than the maximum ({1})"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.5597861293914358d, 0.834032445247956d, 0.6826353005177082d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker((-0.3893885290377651d), 0.03140207943639481d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array13);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("", obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array22);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException34 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException(throwable16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array32);
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array32);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.SIMPLEX_NEED_ONE_POINT;
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("", obj_array46);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array46);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException55 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException58 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number59 = maxCountExceededException58.getMax();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException58);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException("", obj_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats65, obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("hi!", obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array68);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException73 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException60, (org.apache.commons.math.exception.util.Localizable)localizedFormats61, (org.apache.commons.math.exception.util.Localizable)localizedFormats62, obj_array68);
    org.apache.commons.math.optimization.OptimizationException optimizationException74 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array68);
    org.apache.commons.math.exception.ConvergenceException convergenceException77 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array68);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalArgumentException49, "org.apache.commons.math.ConvergenceException: points 1 and {1} are not decreasing ({2} < {3})", obj_array68);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number59 + "' != '" + (byte)10+ "'", number59.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.2305794513940214d, 0.6968941422947036d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6968941422947036d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.0d);
    java.lang.Object[] obj_array4 = notStrictlyPositiveException3.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4);
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(8.37307872146953d, 2.636274515629546d, (-22.0d));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NON_SYMMETRIC_MATRIX;
    org.apache.commons.math.exception.ZeroException zeroException2 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math.exception.ConvergenceException convergenceException13 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)zeroException2, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array10);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)zeroException2);
    java.lang.Object[] obj_array16 = zeroException2.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array16);
    java.lang.String str18 = localizedFormats1.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "non symmetric matrix: the difference between entries at ({0},{1}) and ({1},{0}) is larger than {2}"+ "'", str18.equals("non symmetric matrix: the difference between entries at ({0},{1}) and ({1},{0}) is larger than {2}"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    double d1 = org.apache.commons.math.util.FastMath.log(2.4924191082468443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9132537682637591d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.2386361718743168d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.677799721293237d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.16234457470861122d);
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)notStrictlyPositiveException1);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)(-0.9999998f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException15 = new org.apache.commons.math.exception.MathRuntimeException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException("", obj_array3);
    java.lang.Object[] obj_array5 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array3);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array3);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException7);
    java.lang.Throwable throwable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathIllegalStateException7.addSuppressed(throwable9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.7386894544908232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8311239841681521d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer0 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer();
    int i1 = levenbergMarquardtOptimizer0.getJacobianEvaluations();
    double d2 = levenbergMarquardtOptimizer0.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter3 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.ZeroException zeroException2 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.10510463665517232d, 0.6224699106035597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1672731717642347d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d6 = levenbergMarquardtOptimizer3.getRMS();
    int i7 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    int i8 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(throwable1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array8);
    org.apache.commons.math.exception.util.Localizable localizable12 = convergenceException11.getSpecificPattern();
    java.lang.String str13 = convergenceException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.ConvergenceException: out of range"+ "'", str13.equals("org.apache.commons.math.ConvergenceException: out of range"));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.0151147681115325d, 0.0d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker14 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    double[] d_array23 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array26, true);
    double[] d_array29 = vectorialPointValuePair28.getPointRef();
    boolean b30 = simpleVectorialValueChecker14.converged(100, vectorialPointValuePair19, vectorialPointValuePair28);
    double[] d_array31 = vectorialPointValuePair19.getPoint();
    double[] d_array32 = vectorialPointValuePair19.getValueRef();
    double[] d_array33 = vectorialPointValuePair19.getValue();
    double[] d_array34 = vectorialPointValuePair19.getPointRef();
    double[] d_array35 = vectorialPointValuePair19.getPointRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker38 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array40 = new double[] {  };
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array40, d_array41, false);
    double[] d_array47 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array50 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array47, d_array50, true);
    double[] d_array53 = vectorialPointValuePair52.getPointRef();
    boolean b54 = simpleVectorialValueChecker38.converged(100, vectorialPointValuePair43, vectorialPointValuePair52);
    double[] d_array55 = vectorialPointValuePair43.getValue();
    boolean b56 = simpleVectorialValueChecker9.converged((-86), vectorialPointValuePair19, vectorialPointValuePair43);
    double[] d_array57 = vectorialPointValuePair43.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.6968941422947036d, (java.lang.Number)131.928407798297d, (java.lang.Number)1.6723912533266585E32d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 131.928407798297d+ "'", number4.equals(131.928407798297d));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.24830226469602812d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)Double.NaN, obj_array8);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array13);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array13);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.URL_CONTAINS_NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.CARDAN_ANGLES_SINGULARITY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    java.lang.Object[] obj_array34 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    java.lang.Object[] obj_array35 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array32);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array32);
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array38);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException42 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array43 = notStrictlyPositiveException42.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array43);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)optimizationException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array43);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    java.lang.Number number48 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException50 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number48, (java.lang.Number)(byte)0);
    java.lang.Number number51 = outOfRangeException50.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException54 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("", obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException54, (org.apache.commons.math.exception.util.Localizable)localizedFormats55, (org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array59);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array64 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException54, (org.apache.commons.math.exception.util.Localizable)localizedFormats62, (org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array64);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException67 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable69 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException71 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number72 = maxCountExceededException71.getMax();
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException71);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats75 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats76 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats78 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array81 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException82 = new org.apache.commons.math.optimization.OptimizationException("", obj_array81);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException83 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats78, obj_array81);
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException("hi!", obj_array81);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException85 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats76, obj_array81);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException86 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException73, (org.apache.commons.math.exception.util.Localizable)localizedFormats74, (org.apache.commons.math.exception.util.Localizable)localizedFormats75, obj_array81);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException87 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException67, (org.apache.commons.math.exception.util.Localizable)localizedFormats68, localizable69, obj_array81);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array81);
    java.lang.Object[] obj_array89 = convergenceException88.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException90 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException50, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array89);
    java.lang.Object[] obj_array91 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array89);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array91);
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException(throwable1, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array91);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException("the closest orthogonal matrix has a negative determinant {0}", obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number72 + "' != '" + (byte)10+ "'", number72.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.Number number6 = outOfRangeException3.getHi();
    java.lang.Number number7 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)0+ "'", number5.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)0+ "'", number6.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)0+ "'", number7.equals((byte)0));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.17453292519943317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1763269807084652d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.4161468365471424d), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-53.26679507803423d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("sample size ({0}) exceeds collection size ({1})", obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable19 = convergenceException18.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    double d11 = weightedObservedPoint7.getX();
    double d12 = weightedObservedPoint7.getWeight();
    double d13 = weightedObservedPoint7.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-9.0071971E15f), 7.523164E-37f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.0071971E15f);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter15 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i16 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter17 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }


    int i2 = org.apache.commons.math.util.FastMath.min(86, (-23));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-23));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.051136331394965984d, (-0.1005311887492368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.1005311887492368d));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter14 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker15 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker15);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker17 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker17);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.8214893926872855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.181057619613298d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(byte)1);
    java.lang.String str2 = notStrictlyPositiveException1.toString();
    org.apache.commons.math.exception.util.Localizable localizable3 = notStrictlyPositiveException1.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.NotStrictlyPositiveException: 1 is smaller than, or equal to, the minimum (0)"+ "'", str2.equals("org.apache.commons.math.exception.NotStrictlyPositiveException: 1 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable3);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 2.0d, 1.0477423924147886d);
    double d4 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 2.0d, 1.0477423924147886d);
    double d11 = levenbergMarquardtOptimizer10.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer15 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d16 = levenbergMarquardtOptimizer15.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker19 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d20 = simpleVectorialValueChecker19.getAbsoluteThreshold();
    levenbergMarquardtOptimizer15.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker19);
    double d22 = simpleVectorialValueChecker19.getRelativeThreshold();
    double d23 = simpleVectorialValueChecker19.getRelativeThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker19);
    int i25 = levenbergMarquardtOptimizer10.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker28 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.1917602223703325d, 2.1460183660255168d);
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker28);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker28);
    double d31 = simpleVectorialValueChecker28.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.1917602223703325d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    int i7 = incrementor0.getCount();
    int i8 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1);
    int i10 = incrementor0.getMaximalCount();
    int i11 = incrementor0.getMaximalCount();
    incrementor0.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.17543139267904395d, 2.080083823051904d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i10 = levenbergMarquardtOptimizer5.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 8.25062095925582E-44d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { localizedFormats11 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("null is not allowed", obj_array12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException16 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException15);
    java.lang.Throwable throwable17 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException15.addSuppressed(throwable17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.6942370948315757d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-5.0d));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-5.0d)+ "'", number2.equals((-5.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-5.0d)+ "'", number3.equals((-5.0d)));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.024802532138860564d, 0.47591629941489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.024802532138860568d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.9147328830530582d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210856E-14f);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    java.lang.Number number2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, number2, obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("{0} is not a power of 2 plus one", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker6 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array7);
    java.lang.String str10 = mathIllegalStateException9.toString();
    java.lang.Throwable[] throwable_array11 = mathIllegalStateException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.exception.MathIllegalStateException: illegal state: Loess expects the abscissa and ordinate arrays to be of the same size, but got \uFFFD abscissae and {1} ordinatae"+ "'", str10.equals("org.apache.commons.math.exception.MathIllegalStateException: illegal state: Loess expects the abscissa and ordinate arrays to be of the same size, but got \uFFFD abscissae and {1} ordinatae"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter11.clearObservations();
    curveFitter11.addObservedPoint(4.8699831333471925E-17d, 1.4210804127942926d, 2.0891889967373913d);
    curveFitter11.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction18 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array30 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array33, true);
    double[] d_array36 = vectorialPointValuePair35.getPointRef();
    boolean b37 = simpleVectorialValueChecker21.converged(100, vectorialPointValuePair26, vectorialPointValuePair35);
    double[] d_array38 = vectorialPointValuePair26.getPoint();
    double[] d_array39 = vectorialPointValuePair26.getValueRef();
    double[] d_array40 = vectorialPointValuePair26.getValue();
    double[] d_array41 = vectorialPointValuePair26.getPointRef();
    double[] d_array42 = curveFitter11.fit(parametricUnivariateRealFunction18, d_array41);
    curveFitter11.addObservedPoint(0.6931471805599454d, 0.0d, 0.6951507250010158d);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction47 = null;
    double[] d_array51 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array54 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array54, true);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker59 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array61 = new double[] {  };
    double[] d_array62 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair64 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array61, d_array62, false);
    double[] d_array68 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array71 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair73 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array68, d_array71, true);
    double[] d_array74 = vectorialPointValuePair73.getPointRef();
    boolean b75 = simpleVectorialValueChecker59.converged(100, vectorialPointValuePair64, vectorialPointValuePair73);
    double[] d_array76 = vectorialPointValuePair64.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array76);
    double[] d_array78 = vectorialPointValuePair77.getPoint();
    double[] d_array79 = vectorialPointValuePair77.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array80 = curveFitter11.fit(parametricUnivariateRealFunction47, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("sample size ({0}) exceeds collection size ({1})", obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException25 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number29 = maxCountExceededException28.getMax();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException("", obj_array38);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array38);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array38);
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array38);
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array38);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException50 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 10);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException50);
    java.lang.Throwable[] throwable_array52 = mathException51.getSuppressed();
    java.lang.Object[] obj_array53 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array52);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException18, "number of trials ({0})", obj_array53);
    java.lang.String str56 = mathException55.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (byte)10+ "'", number29.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "number of trials ({0})"+ "'", str56.equals("number of trials ({0})"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-0.5202350444438292d));
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9846542223795024d);
    boolean b4 = notStrictlyPositiveException3.getBoundIsAllowed();
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)notStrictlyPositiveException3);
    java.lang.Number number6 = notStrictlyPositiveException3.getMin();
    java.lang.Object[] obj_array7 = notStrictlyPositiveException3.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.2182829050172777d, 0.12419711798518869d, 0.771057642952595d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = gaussianFitter4.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_OUT_OF_RANGE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)58.17066163002873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_DISCARD_NEGATIVE_NUMBER_OF_ELEMENTS;
    org.apache.commons.math.exception.ZeroException zeroException1 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.1579210199578214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1592470494907498d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.01227058172589947d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.012195605120136649d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.24830226469602806d), (java.lang.Number)(-0.1005311887492368d), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.1005311887492368d)+ "'", number4.equals((-0.1005311887492368d)));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(5.7525982769849175d, 3.4694896239172574E-10d, 1.2796817692639018d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker4);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable2, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException11 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("", obj_array17);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    java.lang.Object[] obj_array20 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (java.lang.Number)0.41671114415975286d, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable23 = mathIllegalStateException22.getSpecificPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException26 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, (java.lang.Number)(-0.9999998f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH;
    org.apache.commons.math.exception.ConvergenceException convergenceException28 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats27);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array34);
    java.lang.Object[] obj_array40 = mathIllegalStateException39.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(4.3307011852817875E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.04785768706482368d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.938893903907228E-18d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(4.8699831333471925E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.8699831333471925E-17d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NON_CONVERGENT_CONTINUED_FRACTION;
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException17);
    java.lang.String str20 = mathException19.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    java.lang.Object[] obj_array26 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException19, "", obj_array26);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException28 = new org.apache.commons.math.exception.MathRuntimeException(throwable13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (byte)10+ "'", number18.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "{0}"+ "'", str20.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.0f), (java.lang.Number)3.2254656408127456E16d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.16299630528890735d, (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5544539002314315E-7d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.75072399413488d, 2864.7889756541163d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.75072399413488d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }


    org.apache.commons.math.exception.ConvergenceException convergenceException0 = new org.apache.commons.math.exception.ConvergenceException();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Number)1.1920929E-7f, (java.lang.Number)0.5672556355670378d, false);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.5805623283533137d, 0.9686636760172601d, 0.8311239841681523d);
    double d4 = weightedObservedPoint3.getX();
    double d5 = weightedObservedPoint3.getWeight();
    double d6 = weightedObservedPoint3.getY();
    double d7 = weightedObservedPoint3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9686636760172601d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.5805623283533137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.8311239841681523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8311239841681523d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-0.0d), 0.21901982081425353d);
    double d4 = gaussian2.value(0.0d);
    double d6 = gaussian2.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.8214893926872855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.8214893926872855d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(3);
    int i5 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 3);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter5.addObservedPoint(5.62949953421312E14d, 0.834032445247956d);
    curveFitter5.addObservedPoint(0.0d, 5.551115123125783E-17d, 0.0171784997375465d);
    curveFitter5.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.9842071306474365d, 0.21901982081425353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.351830032109454d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.5852524582983983d), 18.0d, 0.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_SHAPE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.07618888579311128d, (java.lang.Number)0.7967334303964352d, (java.lang.Number)(-3));
    java.lang.Throwable[] throwable_array5 = outOfRangeException4.getSuppressed();
    java.lang.Number number6 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-3)+ "'", number6.equals((-3)));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)0.41671114415975286d, obj_array5);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("cutoff singular value is {0}, should be at most {1}", obj_array10);
    java.lang.String str12 = mathException11.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "cutoff singular value is {0}, should be at most {1}"+ "'", str12.equals("cutoff singular value is {0}, should be at most {1}"));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException4 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException4.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException8 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.7551396174826666d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.7551396174826667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2989267967352471d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(185.0d, 12.985633799559256d, 0.5569652335664038d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint5 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d6 = weightedObservedPoint5.getY();
    curveFitter1.addObservedPoint(weightedObservedPoint5);
    curveFitter1.addObservedPoint(3.2254656408127456E16d, 2.080083823051904d, 1.0d);
    curveFitter1.clearObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d17 = levenbergMarquardtOptimizer16.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint22 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    curveFitter18.addObservedPoint(weightedObservedPoint22);
    curveFitter1.addObservedPoint(weightedObservedPoint22);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint28 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0235224582317108d, 0.9325099184145089d, 0.21901982081425353d);
    curveFitter1.addObservedPoint(weightedObservedPoint28);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array30 = curveFitter1.getObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint34 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(100.0d, 1.6723912533266578E32d, 0.18338490352528075d);
    curveFitter1.addObservedPoint(weightedObservedPoint34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array30);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d8 = simpleVectorialValueChecker7.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker7);
    double[] d_array14 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array17 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array17, true);
    double[] d_array20 = vectorialPointValuePair19.getPointRef();
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array30, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array30, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d40 = simpleVectorialValueChecker39.getAbsoluteThreshold();
    levenbergMarquardtOptimizer38.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker39);
    double[] d_array43 = new double[] {  };
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker49 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    double[] d_array58 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array61 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array61, true);
    double[] d_array64 = vectorialPointValuePair63.getPointRef();
    boolean b65 = simpleVectorialValueChecker49.converged(100, vectorialPointValuePair54, vectorialPointValuePair63);
    boolean b66 = simpleVectorialValueChecker39.converged(10, vectorialPointValuePair46, vectorialPointValuePair54);
    double[] d_array67 = vectorialPointValuePair46.getPointRef();
    boolean b68 = simpleVectorialValueChecker7.converged((-3), vectorialPointValuePair34, vectorialPointValuePair46);
    double[] d_array69 = vectorialPointValuePair46.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i10 = levenbergMarquardtOptimizer3.getEvaluations();
    double d11 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker12 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker12);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.1741993380359886d, 0.7233609964714679d, 7.488947122823007E-27d, 0.9999999999999999d, 0.6718946133449655d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.8805004473187511d, 3.2254656408127456E16d, 0.7386894544908232d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer5 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer5);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer7 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer7);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint12 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d13 = weightedObservedPoint12.getY();
    curveFitter8.addObservedPoint(weightedObservedPoint12);
    gaussianFitter6.addObservedPoint(weightedObservedPoint12);
    double d16 = weightedObservedPoint12.getX();
    double d17 = weightedObservedPoint12.getWeight();
    curveFitter4.addObservedPoint(weightedObservedPoint12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)1.0091236347991934d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.031112073370748616d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03112211568467978d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.912017655871742d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0438136070242703d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.0438136070242703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5960682237975614d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.8564001050021037d, 2.718281828459045d, 0.8564001050021037d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.718281828459045d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.6951507250010158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7686295506400479d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.Localizable localizable1 = nullArgumentException0.getGeneralPattern();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array20);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException26 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array20);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array20);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException28 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException34 = new org.apache.commons.math.optimization.OptimizationException("", obj_array33);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array33);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array38);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException41 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable43 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException45 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number46 = maxCountExceededException45.getMax();
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException56 = new org.apache.commons.math.optimization.OptimizationException("", obj_array55);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("hi!", obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array55);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException60 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array55);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException61 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException41, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, localizable43, obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array55);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer66 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker67 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d68 = simpleVectorialValueChecker67.getAbsoluteThreshold();
    levenbergMarquardtOptimizer66.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker67);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter70 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer66);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array71 = curveFitter70.getObservations();
    java.lang.Object[] obj_array72 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array71);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException73 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array72);
    java.lang.String str74 = localizedFormats4.getSourceString();
    org.apache.commons.math.exception.ZeroException zeroException75 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)10+ "'", number11.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number46 + "' != '" + (byte)10+ "'", number46.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "Abscissa {0} is duplicated at both indices {1} and {2}"+ "'", str74.equals("Abscissa {0} is duplicated at both indices {1} and {2}"));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.4711276743037347d, 0.17543139267904395d);
    double d4 = gaussian2.value(0.0d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction7 = gaussian2.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction8 = gaussian2.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.2211077375964856E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction8);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    int i1 = org.apache.commons.math.util.FastMath.round(327679.94f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 327680);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.1579210199578214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15662118508334436d));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(5.1698776E-26f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.1698776E-26f);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.41467734748721036d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException();
    maxCountExceededException1.addSuppressed((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.ZeroException zeroException7 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = convergenceException8.getSpecificPattern();
    java.lang.Object[] obj_array10 = convergenceException8.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("", obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array18);
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException3, localizable5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array18);
    java.lang.Object[] obj_array25 = convergenceException3.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable26 = convergenceException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (byte)10+ "'", number2.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(2.2250738585072014E-306d, 0.7853981633974483d);
    gaussianFitter1.addObservedPoint(1.0000000000000002d, (-0.1005311887492368d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.150174006300185d, 1.9377047211159068E-16d, 1.6772971326337218d);
    double d21 = weightedObservedPoint20.getY();
    double d22 = weightedObservedPoint20.getY();
    gaussianFitter1.addObservedPoint(weightedObservedPoint20);
    gaussianFitter1.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.6772971326337218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.6772971326337218d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-0.18148297420509202d), 0.739351609300417d, 93.02891335645498d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)(-59.403962873049096d));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    java.lang.Number number12 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)0, number12, true);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_DIMENSION;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException18, "", obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { localizedFormats31 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable34 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException37 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException("", obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException39, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException37, "", obj_array44);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { localizedFormats50 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException37, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException33, localizable34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array51);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException("", obj_array59);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException61 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array59);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("hi!", obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array59);
    org.apache.commons.math.exception.ConvergenceException convergenceException65 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (java.lang.Number)Double.NaN, obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException(throwable0, "org.apache.commons.math.exception.NullArgumentException: null is not allowed: permutation size ({0}) exceeds permuation domain ({1})", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException13);
    java.lang.String str15 = convergenceException13.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.exception.NullArgumentException: null is not allowed: permutation size ({0}) exceeds permuation domain ({1})"+ "'", str15.equals("org.apache.commons.math.exception.NullArgumentException: null is not allowed: permutation size ({0}) exceeds permuation domain ({1})"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("{0} is larger than the maximum ({1})", obj_array1);
    org.apache.commons.math.optimization.OptimizationException optimizationException3 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathException2);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_ORDER_ABSCISSA_ARRAY;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)2.302585092994046d, (java.lang.Number)8.4703295E-22f, (java.lang.Number)(-0.1001945542386441d));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array14);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array14);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.ARGUMENT_OUTSIDE_DOMAIN;
    java.lang.Throwable throwable25 = null;
    java.lang.Number number28 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException30 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number28, (java.lang.Number)(byte)0);
    java.lang.Number number31 = outOfRangeException30.getLo();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException34 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException34, "", obj_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { localizedFormats47 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException34, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException30, "{0}", obj_array48);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException(throwable25, "maximal count ({0}) exceeded", obj_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array48);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array48);
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    int i5 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.0171784997375465d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017326898703508266d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)nullArgumentException0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.008275268667570054d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.008275079775747447d));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_SUCCESS_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array7);
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)0, number13, true);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException15);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_DIMENSION;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException19 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException19, "", obj_array26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { localizedFormats32 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable35 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException38 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException40 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("", obj_array45);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException38, "", obj_array45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { localizedFormats51 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException53 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array52);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException34, localizable35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array52);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats57 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException("", obj_array60);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException62 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats57, obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("hi!", obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException34, (org.apache.commons.math.exception.util.Localizable)localizedFormats55, obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array60);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array60);
    java.util.Locale locale67 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str68 = localizedFormats0.getLocalizedString(locale67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9, "org.apache.commons.math.exception.MathIllegalStateException: dimension (NOT_POSITIVE_LENGTH)", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

}
