
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest6 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test001"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(2.0d, 0.18706335448147207d, (-0.44020349172182777d));
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.18706335448147207d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.009082016163860031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.520361195658774d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test003"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-0.1736481776669303d), 1.6484579356344977d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test004"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.13517578279458267d, 0.015308831465987648d, (-0.3028776703164716d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test005"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.18706335448147207d, 3.2254656408127456E16d, 3.0374464491245434d, 1.175498655231204d, 7.488947122823007E-27d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.28790610219309176d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2451208860586125d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1455512534172205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4130627859079685d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test008"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array3 = notStrictlyPositiveException2.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.OVERFLOW_IN_FRACTION;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats5);
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number8, true);
    org.apache.commons.math.exception.util.Localizable localizable11 = numberIsTooSmallException10.getGeneralPattern();
    java.lang.Object[] obj_array12 = numberIsTooSmallException10.getArguments();
    java.lang.Number number13 = numberIsTooSmallException10.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array22 = numberIsTooSmallException21.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    java.lang.Object[] obj_array32 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, localizable26, obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array29);
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array29);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array29);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.OBJECT_TRANSFORMATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("", obj_array45);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats42, obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array45);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.NON_CONVERGENT_CONTINUED_FRACTION;
    java.lang.Throwable throwable51 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException55 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number56 = maxCountExceededException55.getMax();
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException55);
    java.lang.String str58 = mathException57.getPattern();
    java.lang.Object[] obj_array62 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException63 = new org.apache.commons.math.optimization.OptimizationException("", obj_array62);
    java.lang.Object[] obj_array64 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException57, "", obj_array64);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException66 = new org.apache.commons.math.exception.MathRuntimeException(throwable51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array64);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array64);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array64);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException4, "Continued fraction convergents failed to converge (in less than {0} iterations) for value {1}", obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-1L)+ "'", number13.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number56 + "' != '" + (byte)10+ "'", number56.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "{0}"+ "'", str58.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test009"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(19.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6382779622295387d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test010"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(3.0d, 0.546767689228766d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test011"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.8699831333471925E-17d, 1.5174271293851465d, 0.17453292519943298d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = gaussianFitter5.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test012"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.03112211568467978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.031132169677614247d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test013"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_DECREASING_NUMBER_OF_POINTS;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (-1), (-23));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Number)8.4703295E-22f);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException20 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array26);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException29 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (java.lang.Number)Double.NaN, obj_array28);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException34 = new org.apache.commons.math.optimization.OptimizationException("", obj_array33);
    java.lang.Object[] obj_array35 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array33);
    java.lang.Object[] obj_array36 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array33);
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array33);
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", obj_array33);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable41 = mathException40.getGeneralPattern();
    org.apache.commons.math.exception.ConvergenceException convergenceException42 = new org.apache.commons.math.exception.ConvergenceException(localizable41);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException46 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)10.0f, (java.lang.Number)1.1920929E-7f, false);
    java.lang.String str47 = numberIsTooSmallException46.toString();
    java.lang.Object[] obj_array48 = numberIsTooSmallException46.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable41, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException55 = new org.apache.commons.math.optimization.OptimizationException("", obj_array54);
    java.lang.Object[] obj_array56 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array54);
    java.lang.Object[] obj_array57 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array54);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array54);
    org.apache.commons.math.optimization.OptimizationException optimizationException59 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array54);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { localizedFormats60 };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array61);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array61);
    org.apache.commons.math.optimization.OptimizationException optimizationException65 = new org.apache.commons.math.optimization.OptimizationException("invalid bracketing parameters:  lower bound={0},  initial={1}, upper bound={2}", obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)"+ "'", str47.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test014"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test015"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    int i5 = incrementor0.getCount();
    incrementor0.resetCount();
    int i7 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test016"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test017"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)8.4703295E-22f);
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)8.4703295E-22f, number4, false);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ROWS_NOT_INITIALIZED_YET;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException9 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException9, "hi!", obj_array15);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array15);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException23 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number27 = maxCountExceededException26.getMax();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array36);
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array36);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException45 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, (java.lang.Number)9.536743E-7f, obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array36);
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.LOWER_ENDPOINT_ABOVE_UPPER_ENDPOINT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException57 = new org.apache.commons.math.optimization.OptimizationException("", obj_array56);
    java.lang.Object[] obj_array58 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array56);
    java.lang.Object[] obj_array59 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array56);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, (java.lang.Number)1, obj_array59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array59);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, (java.lang.Number)0.1741993380359886d, obj_array59);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException(throwable47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (byte)10+ "'", number27.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test018"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(10.05053156391609d, 75.20993994919473d, 0.0d, 0.3848776148539087d, 0.771057642952595d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    int i7 = levenbergMarquardtOptimizer5.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test019"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.0f), (java.lang.Number)3.2254656408127456E16d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Number number6 = numberIsTooSmallException4.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str20 = localizedFormats19.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    java.lang.Object[] obj_array32 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException(localizable24, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException22, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array32);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array32);
    org.apache.commons.math.exception.util.Localizable localizable37 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException40 = new org.apache.commons.math.exception.DimensionMismatchException(localizable37, 10, (-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)dimensionMismatchException40);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException41);
    java.lang.Object[] obj_array45 = null;
    java.lang.Object[] obj_array46 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array45);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathIllegalStateException: dimension (NOT_POSITIVE_LENGTH)", obj_array46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException41, "insufficient data: only {0} rows and {1} columns.", obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array46);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException53 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (java.lang.Number)0.18929229354042945d, (java.lang.Number)0.4167195582583417d, (java.lang.Number)0.9842071306474366d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 3.2254656408127456E16d+ "'", number5.equals(3.2254656408127456E16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.0f)+ "'", number6.equals((-0.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "maximal count ({0}) exceeded"+ "'", str20.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test020"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1);
    int i10 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i12 = incrementor0.getCount();
    incrementor0.setMaximalCount((-1));
    incrementor0.incrementCount((-120));
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test021"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.10070130029008618d));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test022"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter5 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction7 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker10 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.0d, 0.4001462210065622d);
    double[] d_array12 = new double[] {  };
    double[] d_array13 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array13, false);
    double[] d_array16 = vectorialPointValuePair15.getPointRef();
    double[] d_array17 = vectorialPointValuePair15.getPoint();
    double[] d_array18 = vectorialPointValuePair15.getPointRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array30 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array33, true);
    double[] d_array36 = vectorialPointValuePair35.getPointRef();
    boolean b37 = simpleVectorialValueChecker21.converged(100, vectorialPointValuePair26, vectorialPointValuePair35);
    double[] d_array38 = vectorialPointValuePair26.getValue();
    double[] d_array39 = vectorialPointValuePair26.getPoint();
    boolean b40 = simpleVectorialValueChecker10.converged(23, vectorialPointValuePair15, vectorialPointValuePair26);
    double[] d_array41 = vectorialPointValuePair26.getValue();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array42 = gaussianFitter5.fit((-120), parametricUnivariateRealFunction7, d_array41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.1452097700089463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9804191754332168d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test024"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(2.842171E-14f, 0.23049322211231332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421713E-14f);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test025"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(3.3881318E-21f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.6940659E-21f);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test026"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.17543139267904395d, 2.080083823051904d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    double d10 = levenbergMarquardtOptimizer5.getRMS();
    double d11 = levenbergMarquardtOptimizer5.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test027"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.2083941066597148d, number2, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test028"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.016325014752750545d, (-0.16586737327972256d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01632501475275054d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test029"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POWER_NEGATIVE_PARAMETERS;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array1);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Continued fraction convergents failed to converge (in less than {0} iterations) for value {1}", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException5, "illegal state", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2, "cutoff singular value is {0}, should be at most {1}", obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable16 = mathException15.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable16);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test030"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.0235224582317108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010097376435845972d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test031"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException2 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.exception.ConvergenceException convergenceException10 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array7);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException14 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 127);
    int i15 = dimensionMismatchException14.getDimension();
    int i16 = dimensionMismatchException14.getDimension();
    int i17 = dimensionMismatchException14.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 127);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test032"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.2717719303634322d, 0.6605533755317906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.39032141573123774d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test033"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer8 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer8.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker19 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array28 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array31 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array31, true);
    double[] d_array34 = vectorialPointValuePair33.getPointRef();
    boolean b35 = simpleVectorialValueChecker19.converged(100, vectorialPointValuePair24, vectorialPointValuePair33);
    boolean b36 = simpleVectorialValueChecker9.converged(10, vectorialPointValuePair16, vectorialPointValuePair24);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    double d38 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test034"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(0, 320);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test035"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.19184771387583882d, 0.21901982081425353d, (-1.7530649092322816d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test036"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.2211077375964856E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test037"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.1102230246251565E-16d, (java.lang.Number)(short)(-1), (java.lang.Number)0.9998524677129572d);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)(-1.0f), true);
    java.lang.Object[] obj_array9 = numberIsTooSmallException8.getArguments();
    org.apache.commons.math.exception.ConvergenceException convergenceException10 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    java.lang.Object[] obj_array18 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, localizable13, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException22 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException21);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException("", obj_array28);
    java.lang.Object[] obj_array30 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array28);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array28);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, (java.lang.Number)0.41671114415975286d, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array28);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException22, "null is not allowed", obj_array35);
    convergenceException10.addSuppressed((java.lang.Throwable)mathRuntimeException22);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(11585.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 202.1963938435431d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test039"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.17193371309896593d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test040"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.010712114049421226d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.02142422809884245d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test041"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(6.0d, 1.016459732919404d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test042"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.17725352966084673d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test043"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_INCREASING_SEQUENCE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-20), (-26));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test044"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = gaussianFitter8.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test045"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 2.0d, 1.0477423924147886d);
    double d4 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer8 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d9 = levenbergMarquardtOptimizer8.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker12 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d13 = simpleVectorialValueChecker12.getAbsoluteThreshold();
    levenbergMarquardtOptimizer8.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker12);
    double d15 = simpleVectorialValueChecker12.getRelativeThreshold();
    double d16 = simpleVectorialValueChecker12.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker12);
    int i18 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.1917602223703325d, 2.1460183660255168d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker21);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker23 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker23);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.log(100.69314718055995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.612077745577306d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3860292320770566d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test048"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.5340742704645072d, 0.24830226469602812d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test049"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array6);
    org.apache.commons.math.exception.util.Localizable localizable12 = optimizationException11.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable12);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test050"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getPointRef();
    double[] d_array5 = vectorialPointValuePair3.getPointRef();
    double[] d_array6 = vectorialPointValuePair3.getValue();
    double[] d_array7 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(3.0374464491245434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test052"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EULER_ANGLES_SINGULARITY;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException2 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array7);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array12);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable17 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number20 = maxCountExceededException19.getMax();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array29);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException34 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array29);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException35 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, localizable17, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array29);
    java.lang.Object[] obj_array37 = convergenceException36.getArguments();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_SHAPE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException42 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, (java.lang.Number)0.07618888579311128d, (java.lang.Number)0.7967334303964352d, (java.lang.Number)(-3));
    java.lang.Throwable throwable43 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker49 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException(throwable43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array50);
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array50);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_ITERATIONS_EXCEEDED;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number56, (java.lang.Number)(byte)0);
    java.lang.Number number59 = outOfRangeException58.getLo();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException62 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException64 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException70 = new org.apache.commons.math.optimization.OptimizationException("", obj_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException64, (org.apache.commons.math.exception.util.Localizable)localizedFormats65, (org.apache.commons.math.exception.util.Localizable)localizedFormats66, obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException62, "", obj_array69);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats75 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { localizedFormats75 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException62, (org.apache.commons.math.exception.util.Localizable)localizedFormats73, (org.apache.commons.math.exception.util.Localizable)localizedFormats74, obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException58, "{0}", obj_array76);
    java.lang.Number number79 = outOfRangeException58.getLo();
    java.lang.Number number80 = outOfRangeException58.getHi();
    java.lang.Object[] obj_array81 = outOfRangeException58.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array81);
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array81);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array81);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException85 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (byte)10+ "'", number20.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number80 + "' != '" + (byte)0+ "'", number80.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test053"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint9 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.17543139267904387d, 3.141592653589793d, 2.9188733752104757E30d);
    double d10 = weightedObservedPoint9.getY();
    double d11 = weightedObservedPoint9.getY();
    curveFitter5.addObservedPoint(weightedObservedPoint9);
    double d13 = weightedObservedPoint9.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.9188733752104757E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 2.9188733752104757E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.9188733752104757E30d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test054"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-0.49999988f), 8.25062095925582E-44d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.49999985f));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test055"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number1, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    java.lang.Object[] obj_array5 = numberIsTooSmallException3.getArguments();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array15 = numberIsTooSmallException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, (java.lang.Object[])throwable_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("", obj_array22);
    java.lang.Object[] obj_array24 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array22);
    java.lang.Object[] obj_array25 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, localizable19, obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array22);
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array22);
    java.lang.Number number30 = numberIsTooSmallException3.getMin();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer36 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i37 = levenbergMarquardtOptimizer36.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter38 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker41 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d42 = simpleVectorialValueChecker41.getAbsoluteThreshold();
    levenbergMarquardtOptimizer36.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker41);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter44 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer36);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array45 = curveFitter44.getObservations();
    curveFitter44.addObservedPoint(0.7551396174826667d, 1.233403117511217d, 0.9147328830530583d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array50 = curveFitter44.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (java.lang.Object[])weightedObservedPoint_array50);
    java.util.Locale locale52 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str53 = localizedFormats31.getLocalizedString(locale52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1L)+ "'", number6.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array50);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test056"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException2, "", obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizedFormats15 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException19 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException19, "", obj_array26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { localizedFormats32 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array33);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array33);
    org.apache.commons.math.exception.util.Localizable localizable37 = convergenceException36.getGeneralPattern();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException38 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test057"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(7.27596E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.6736174E-19f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test058"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.009082016163860031d, 0.17453292519943298d, (-0.09986061248092828d));
    double d4 = weightedObservedPoint3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.09986061248092828d));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test059"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer12 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter13 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer12);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint17 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d18 = weightedObservedPoint17.getY();
    curveFitter13.addObservedPoint(weightedObservedPoint17);
    curveFitter13.addObservedPoint(3.2254656408127456E16d, 2.080083823051904d, 1.0d);
    curveFitter13.clearObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d29 = levenbergMarquardtOptimizer28.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter30 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint34 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    curveFitter30.addObservedPoint(weightedObservedPoint34);
    curveFitter13.addObservedPoint(weightedObservedPoint34);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint40 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0235224582317108d, 0.9325099184145089d, 0.21901982081425353d);
    curveFitter13.addObservedPoint(weightedObservedPoint40);
    curveFitter11.addObservedPoint(weightedObservedPoint40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test060"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.4210854E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test061"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.0f, (-5.1698776E-26f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test062"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (java.lang.Number)Double.NaN, obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, localizable1, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test063"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.incrementCount((-60));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test064"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    double d8 = levenbergMarquardtOptimizer5.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    gaussianFitter9.addObservedPoint(0.0d, 0.33161255787892263d, 0.6968941422947036d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test065"); }


    int i2 = org.apache.commons.math.util.FastMath.max(4, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test066"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.17703234088598696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test067"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.539389084184541d, 0.5180124415015006d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test068"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(0.015624996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.313226E-10f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test069"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian0 = new org.apache.commons.math.analysis.function.Gaussian();
    double d2 = gaussian0.value(0.012410167390581745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3989115605842126d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test070"); }


    org.apache.commons.math.exception.ZeroException zeroException0 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.exception.ConvergenceException convergenceException11 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)zeroException0, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array8);
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)zeroException0);
    java.lang.Object[] obj_array14 = zeroException0.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable15 = zeroException0.getGeneralPattern();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException(localizable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable15);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test071"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.DEGREES_OF_FREEDOM;
    java.lang.String str1 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "degrees of freedom ({0})"+ "'", str1.equals("degrees of freedom ({0})"));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test072"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.0151147681115325d, 0.0d);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer15 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker16 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d17 = simpleVectorialValueChecker16.getAbsoluteThreshold();
    levenbergMarquardtOptimizer15.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker16);
    double[] d_array20 = new double[] {  };
    double[] d_array21 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair23 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array21, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker26 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29, false);
    double[] d_array35 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array38 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array38, true);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    boolean b42 = simpleVectorialValueChecker26.converged(100, vectorialPointValuePair31, vectorialPointValuePair40);
    boolean b43 = simpleVectorialValueChecker16.converged(10, vectorialPointValuePair23, vectorialPointValuePair31);
    double[] d_array44 = vectorialPointValuePair23.getPointRef();
    double[] d_array48 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array51 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array51, true);
    double[] d_array54 = vectorialPointValuePair53.getPointRef();
    double[] d_array55 = new double[] {  };
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array56, false);
    double[] d_array59 = vectorialPointValuePair58.getPointRef();
    double[] d_array60 = new double[] {  };
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array64 = vectorialPointValuePair63.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array64, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array54, d_array64, false);
    double[] d_array69 = vectorialPointValuePair68.getPointRef();
    double[] d_array70 = vectorialPointValuePair68.getPoint();
    boolean b71 = simpleVectorialValueChecker9.converged((-55), vectorialPointValuePair23, vectorialPointValuePair68);
    double d72 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test073"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction6 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.8699831333471925E-17d, 1.5174271293851465d, 0.17453292519943298d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter12 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array17 = new double[] {  };
    double[] d_array18 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array18, false);
    double[] d_array24 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array27, true);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    boolean b31 = simpleVectorialValueChecker15.converged(100, vectorialPointValuePair20, vectorialPointValuePair29);
    double[] d_array32 = vectorialPointValuePair20.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker35 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38, false);
    double[] d_array44 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array47 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array47, true);
    double[] d_array50 = vectorialPointValuePair49.getPointRef();
    boolean b51 = simpleVectorialValueChecker35.converged(100, vectorialPointValuePair40, vectorialPointValuePair49);
    double[] d_array52 = vectorialPointValuePair49.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair53 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array32, d_array52);
    double[] d_array54 = gaussianFitter12.fit(d_array52);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction56 = null;
    double[] d_array57 = new double[] {  };
    double[] d_array58 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array57, d_array58, false);
    double[] d_array61 = vectorialPointValuePair60.getPointRef();
    double[] d_array62 = vectorialPointValuePair60.getPointRef();
    double[] d_array63 = gaussianFitter12.fit(100, parametricUnivariateRealFunction56, d_array62);
    double[] d_array64 = curveFitter4.fit(2, parametricUnivariateRealFunction6, d_array62);
    curveFitter4.addObservedPoint((-0.3028776703164716d), 0.078695879299457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test074"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.0f));
    org.apache.commons.math.exception.util.Localizable localizable2 = maxCountExceededException1.getGeneralPattern();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-0.0f)+ "'", number3.equals((-0.0f)));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test075"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9147328830530583d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DIGEST_NOT_INITIALIZED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.TWO_OR_MORE_CATEGORIES_REQUIRED;
    java.lang.Object[] obj_array4 = null;
    java.lang.Object[] obj_array5 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array4);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array12);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ELEMENT_NOT_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (java.lang.Number)8.4703295E-22f);
    java.lang.Number number24 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (java.lang.Number)8.4703295E-22f, number24, false);
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, number27);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats29);
    java.lang.Object[] obj_array31 = convergenceException30.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array31);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.NAN_VALUE_CONVERSION;
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("", obj_array45);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats42, obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array45);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array45);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array45);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array45);
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array45);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException(throwable35, "cutoff singular value is {0}, should be at most {1}", obj_array45);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array45);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable57 = null;
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException("", obj_array60);
    java.lang.Object[] obj_array62 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array60);
    java.lang.Object[] obj_array63 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException55, (org.apache.commons.math.exception.util.Localizable)localizedFormats56, localizable57, obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array60);
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException65);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats67 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str68 = localizedFormats67.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException70 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats67, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats71 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException77 = new org.apache.commons.math.optimization.OptimizationException("", obj_array76);
    java.lang.Object[] obj_array78 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array76);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array76);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException80 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats72, (org.apache.commons.math.exception.util.Localizable)localizedFormats73, obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException65, (org.apache.commons.math.exception.util.Localizable)localizedFormats67, (org.apache.commons.math.exception.util.Localizable)localizedFormats71, obj_array79);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException82 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array79);
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "maximal count ({0}) exceeded"+ "'", str68.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test076"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array5);
    boolean b7 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number8 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test077"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.ZeroException zeroException1 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.Localizable localizable2 = zeroException1.getGeneralPattern();
    java.lang.Number number3 = zeroException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test078"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.6803590227777976E-52d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6803590227777976E-52d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test079"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("null is not allowed", obj_array1);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test080"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test081"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair5 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array4);
    double[] d_array6 = vectorialPointValuePair5.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array6);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test082"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(10.05053156391609d, 75.20993994919473d, 0.0d, 0.3848776148539087d, 0.771057642952595d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    int i7 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    double d8 = levenbergMarquardtOptimizer5.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer12 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0d, 2.307625525038305d, 11585.0d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker13 = levenbergMarquardtOptimizer12.getConvergenceChecker();
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker13);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test083"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-2.141620522519941E-4d), 1.1279085958580564d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.141620522519941E-4d));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test084"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    double d5 = levenbergMarquardtOptimizer3.getRMS();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 0.739351609300417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.739351609300417d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test086"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException("", obj_array3);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array14);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalArgumentException5, "org.apache.commons.math.exception.MathIllegalStateException: illegal state: the fraction to divide by must not be zero: 1/{1}", obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalArgumentException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test087"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.4210856E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-46));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test088"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.15876933789804415d, 0.0d, 0.009082016163860031d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    double d6 = gaussian3.value((-0.8241367140399003d));
    double d8 = gaussian3.value(0.6031696231764194d);
    double d10 = gaussian3.value((-0.1522553125856444d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4858914259039618E-62d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test089"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i5 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker9 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d10 = simpleVectorialValueChecker9.getAbsoluteThreshold();
    levenbergMarquardtOptimizer4.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker9);
    int i12 = levenbergMarquardtOptimizer4.getEvaluations();
    double d13 = levenbergMarquardtOptimizer4.getRMS();
    double d14 = levenbergMarquardtOptimizer4.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter15 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    curveFitter15.addObservedPoint(1.0d, 0.0d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array19 = curveFitter15.getObservations();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Object[])weightedObservedPoint_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array19);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.0014569943669297345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0014569933359460082d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test091"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.12419711798518869d, 0.0d);
    levenbergMarquardtOptimizer5.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter10 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter11 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test092"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test093"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)6);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test094"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.984807753012208d, (-0.12984862298318273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9848077530122079d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test095"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.0891889967373913d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test096"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException(number0);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test097"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.009041022670495705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test098"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getLo();
    java.lang.Number number7 = outOfRangeException3.getArgument();
    java.lang.Number number8 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.834032445247956d+ "'", number7.equals(0.834032445247956d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test099"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint5 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d6 = weightedObservedPoint5.getY();
    curveFitter1.addObservedPoint(weightedObservedPoint5);
    curveFitter1.addObservedPoint(3.2254656408127456E16d, 2.080083823051904d, 1.0d);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction12 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i17 = levenbergMarquardtOptimizer16.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d22 = simpleVectorialValueChecker21.getAbsoluteThreshold();
    levenbergMarquardtOptimizer16.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker21);
    int i24 = levenbergMarquardtOptimizer16.getEvaluations();
    double d25 = levenbergMarquardtOptimizer16.getRMS();
    double d26 = levenbergMarquardtOptimizer16.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter27 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array28 = curveFitter27.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction29 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker32 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array34 = new double[] {  };
    double[] d_array35 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array35, false);
    double[] d_array41 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array44 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array41, d_array44, true);
    double[] d_array47 = vectorialPointValuePair46.getPointRef();
    boolean b48 = simpleVectorialValueChecker32.converged(100, vectorialPointValuePair37, vectorialPointValuePair46);
    double[] d_array49 = vectorialPointValuePair37.getValueRef();
    double[] d_array50 = vectorialPointValuePair37.getPointRef();
    double[] d_array51 = curveFitter27.fit(parametricUnivariateRealFunction29, d_array50);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array52 = curveFitter1.fit(parametricUnivariateRealFunction12, d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(31.91175721887307d, (-0.16741410041888313d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.6723912533266585E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6028797018963968E16d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test102"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)33.96421184743732d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test103"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.8168243187580034d, 1.175498655231204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8168243187580034d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.17453292519943298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.000000000000002d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test105"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.08347962799940903d, 0.135587825474159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15922596116127144d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test106"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getPointRef();
    double[] d_array5 = vectorialPointValuePair3.getValueRef();
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPointRef();
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array15, false);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19, false);
    double[] d_array22 = vectorialPointValuePair21.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker28 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d29 = simpleVectorialValueChecker28.getAbsoluteThreshold();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer34 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i35 = levenbergMarquardtOptimizer34.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter36 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer34);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d40 = simpleVectorialValueChecker39.getAbsoluteThreshold();
    levenbergMarquardtOptimizer34.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker39);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer46 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker47 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d48 = simpleVectorialValueChecker47.getAbsoluteThreshold();
    levenbergMarquardtOptimizer46.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker47);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker57 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array59 = new double[] {  };
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    double[] d_array66 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array69 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair71 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array69, true);
    double[] d_array72 = vectorialPointValuePair71.getPointRef();
    boolean b73 = simpleVectorialValueChecker57.converged(100, vectorialPointValuePair62, vectorialPointValuePair71);
    boolean b74 = simpleVectorialValueChecker47.converged(10, vectorialPointValuePair54, vectorialPointValuePair62);
    double[] d_array75 = new double[] {  };
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array76, false);
    double[] d_array79 = vectorialPointValuePair78.getPointRef();
    double[] d_array80 = new double[] {  };
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array80, d_array81, false);
    double[] d_array84 = vectorialPointValuePair83.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array79, d_array84, false);
    boolean b87 = simpleVectorialValueChecker39.converged(3, vectorialPointValuePair62, vectorialPointValuePair86);
    double[] d_array88 = new double[] {  };
    double[] d_array89 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair91 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array88, d_array89, false);
    boolean b92 = simpleVectorialValueChecker28.converged((-24), vectorialPointValuePair86, vectorialPointValuePair91);
    double[] d_array93 = vectorialPointValuePair91.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair95 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array93, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair97 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array5, d_array93, true);
    double[] d_array98 = vectorialPointValuePair97.getPoint();
    double[] d_array99 = vectorialPointValuePair97.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array99);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.08357662126696136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0034945592406934d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.3848776148539087d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test109"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getPoint();
    double[] d_array20 = vectorialPointValuePair7.getValueRef();
    double[] d_array21 = vectorialPointValuePair7.getValueRef();
    double[] d_array22 = vectorialPointValuePair7.getPointRef();
    double[] d_array23 = vectorialPointValuePair7.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test110"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.99999994f), 7.2759576E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test111"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(2.8995417357987923d, (-0.0d), 9.260210570766459d);
    double d4 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.0d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test112"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.17543139267904395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3944523874714152d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test113"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(202.1963938435431d, (-1.75072399413488d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5794546426635738d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test114"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.5130018504899816d, 0.024802532138860564d, 2.0652765851990975d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test115"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array12 = curveFitter11.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction13 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker16 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19, false);
    double[] d_array25 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array28 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array28, true);
    double[] d_array31 = vectorialPointValuePair30.getPointRef();
    boolean b32 = simpleVectorialValueChecker16.converged(100, vectorialPointValuePair21, vectorialPointValuePair30);
    double[] d_array33 = vectorialPointValuePair21.getPoint();
    double[] d_array34 = vectorialPointValuePair21.getPointRef();
    double[] d_array35 = vectorialPointValuePair21.getPoint();
    double[] d_array36 = curveFitter11.fit(parametricUnivariateRealFunction13, d_array35);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array37 = curveFitter11.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array37);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test116"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i7 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test117"); }


    float f2 = org.apache.commons.math.util.FastMath.min(319.99994f, 319.99997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 319.99994f);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test118"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    java.lang.Object[] obj_array2 = mathException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test119"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 86);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test120"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.61375892469463d, (java.lang.Number)0.10510463665517232d, (java.lang.Number)18.0d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 18.0d+ "'", number4.equals(18.0d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test121"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test122"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.3687098E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 536870976);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test123"); }


    long long2 = org.apache.commons.math.util.FastMath.min(164L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test124"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.16586737327972256d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0028949317853656244d));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test125"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-9.0071971E15f), 5.1698776E-26f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.1698776E-26f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test126"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(4.037446449124545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 55.68141896200233d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test127"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(1.710869372198488d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2332168516807399d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test128"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-1.0d), Double.NaN, 10.0d, 1.1917602223703325d, 0.41671114415975286d);
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = levenbergMarquardtOptimizer5.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test129"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_PARSE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.2332168516807399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test130"); }


    long long2 = org.apache.commons.math.util.FastMath.max(164L, 164L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 164L);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test131"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array6);
    java.lang.Number number8 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.834032445247956d+ "'", number4.equals(0.834032445247956d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)0+ "'", number8.equals((byte)0));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test132"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test133"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.4035121340383754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test134"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker17 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array18);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, (java.lang.Number)1.0151147681115325d, (java.lang.Number)(-0.019054510274467504d), true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException("", obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array31);
    java.lang.Object[] obj_array36 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array31);
    java.lang.Object[] obj_array37 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", obj_array36);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException40 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException42 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException48 = new org.apache.commons.math.optimization.OptimizationException("", obj_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException40, "", obj_array47);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { localizedFormats53 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException40, (org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array54);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException64 = new org.apache.commons.math.optimization.OptimizationException("", obj_array63);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException65 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array63);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException67 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array63);
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array63);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array63);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException38, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array63);
    org.apache.commons.math.exception.ConvergenceException convergenceException71 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test135"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.2305794513940214d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.2305794513940214d+ "'", number2.equals(1.2305794513940214d));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test136"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.7744309117784794d), (java.lang.Number)(-1.0067007113224513d), false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test137"); }


    int i2 = org.apache.commons.math.util.FastMath.min(6, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test138"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number7 = maxCountExceededException6.getMax();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException6);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException21 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array16);
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array16);
    org.apache.commons.math.exception.ConvergenceException convergenceException25 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.Localizable localizable26 = convergenceException25.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)10+ "'", number7.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test139"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable8, obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array11);
    java.lang.Object[] obj_array17 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("sample size ({0}) exceeds collection size ({1})", obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException25 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException28 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number29 = maxCountExceededException28.getMax();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException("", obj_array38);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array38);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array38);
    org.apache.commons.math.optimization.OptimizationException optimizationException44 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array38);
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array38);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException50 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 10);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException50);
    java.lang.Throwable[] throwable_array52 = mathException51.getSuppressed();
    java.lang.Object[] obj_array53 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array52);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array53);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException18, "number of trials ({0})", obj_array53);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException59 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2L, (java.lang.Number)0.9987655750228893d, true);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException59);
    convergenceException18.addSuppressed((java.lang.Throwable)numberIsTooSmallException59);
    java.lang.Object[] obj_array62 = numberIsTooSmallException59.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (byte)10+ "'", number29.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.3336320731171299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.atan((-0.18148297420509202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.17952899969001343d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test142"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.0007651674170766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.260081704497915d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test143"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException2 = new org.apache.commons.math.optimization.OptimizationException(localizable0, obj_array1);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test144"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-1023), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test145"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.446438866984304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4464388669843042d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test146"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-3), (-24));
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.8934439858858716d, (java.lang.Number)70.14875050124249d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test147"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.01050084437325219d), (java.lang.Number)1L, (java.lang.Number)0.24968379929302376d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test148"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.5597861293914358d, 0.834032445247956d, 0.6826353005177082d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker11 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d12 = simpleVectorialValueChecker11.getAbsoluteThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker11);
    double[] d_array15 = new double[] {  };
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair18 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array16, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker21 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array30 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array33 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair35 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array33, true);
    double[] d_array36 = vectorialPointValuePair35.getPointRef();
    boolean b37 = simpleVectorialValueChecker21.converged(100, vectorialPointValuePair26, vectorialPointValuePair35);
    boolean b38 = simpleVectorialValueChecker11.converged(10, vectorialPointValuePair18, vectorialPointValuePair26);
    double d39 = simpleVectorialValueChecker11.getRelativeThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.1102230246251565E-14d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test149"); }


    double d2 = org.apache.commons.math.util.FastMath.max(5.18250521725967d, 1.3122876742057652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.18250521725967d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test150"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_ORDER_ABSCISSA_ARRAY;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.302585092994046d, (java.lang.Number)8.4703295E-22f, (java.lang.Number)(-0.1001945542386441d));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array13);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array13);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array13);
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array13);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array13);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.ARGUMENT_OUTSIDE_DOMAIN;
    java.lang.Throwable throwable24 = null;
    java.lang.Number number27 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number27, (java.lang.Number)(byte)0);
    java.lang.Number number30 = outOfRangeException29.getLo();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException33 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException35 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException("", obj_array40);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException33, "", obj_array40);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { localizedFormats46 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException29, "{0}", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException(throwable24, "maximal count ({0}) exceeded", obj_array47);
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array47);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array47);
    org.apache.commons.math.optimization.OptimizationException optimizationException53 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test151"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.44020349172182777d), (java.lang.Number)1.8189894035458565E-12d, false);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer5 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer5);
    gaussianFitter6.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter6.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array15 = gaussianFitter6.getObservations();
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException3, "numerator format", (java.lang.Object[])weightedObservedPoint_array15);
    java.lang.String str18 = convergenceException17.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "numerator format"+ "'", str18.equals("numerator format"));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test152"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("", obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable16, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable26 = mathIllegalStateException25.getGeneralPattern();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException(localizable26, (java.lang.Number)0.17453292519943298d);
    java.lang.Number number29 = notStrictlyPositiveException28.getMin();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.19068994544354348d);
    boolean b32 = notStrictlyPositiveException31.getBoundIsAllowed();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException33 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException31);
    notStrictlyPositiveException28.addSuppressed((java.lang.Throwable)mathRuntimeException33);
    java.lang.Object[] obj_array35 = mathRuntimeException33.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 0+ "'", number29.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test153"); }


    java.lang.Object[] obj_array0 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException1 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array0);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer7 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer7.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter11 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer7);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array12 = curveFitter11.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", (java.lang.Object[])weightedObservedPoint_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException1, "all weights must be finite real numbers, but {0}-th is {1}", (java.lang.Object[])weightedObservedPoint_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array12);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test154"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.8689876969685282d, 2.302585092994046d, 0.1005311887492368d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test155"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    java.lang.String str12 = localizedFormats9.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "illegal state"+ "'", str12.equals("illegal state"));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test156"); }


    float f2 = org.apache.commons.math.util.FastMath.max(5.877472E-39f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test157"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(7.2759576E-12f, (-0.49999985f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.2759576E-12f));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test158"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.AT_LEAST_ONE_ROW;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(71.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 71.0d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test160"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.040211273372905997d, (-0.6627014945097361d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.040211273372905997d));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test161"); }


    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException(localizable3, obj_array6);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math.exception.MaxCountExceededException(localizable1, (java.lang.Number)(byte)10, obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("Array contains an infinite element, {0} at index {1}", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test162"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    incrementor0.incrementCount(3);
    incrementor0.incrementCount();
    int i9 = incrementor0.getMaximalCount();
    int i10 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 4);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test163"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.1279085958580564d, (java.lang.Number)0.01632573992042034d, (java.lang.Number)0.19068994544354348d);
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("", obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException(throwable5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException3, localizable4, obj_array21);
    org.apache.commons.math.exception.ZeroException zeroException29 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException32 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("", obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array37);
    org.apache.commons.math.exception.ConvergenceException convergenceException40 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array37);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)zeroException29, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array37);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException45 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 10);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException45);
    java.lang.Throwable[] throwable_array47 = mathException46.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)zeroException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, (java.lang.Object[])throwable_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException27, "org.apache.commons.math.exception.MathIllegalStateException: illegal state", (java.lang.Object[])throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test164"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    curveFitter1.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction3 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer7 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i8 = levenbergMarquardtOptimizer7.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer7);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array10 = curveFitter9.getObservations();
    curveFitter9.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction12 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker17 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d18 = simpleVectorialValueChecker17.getAbsoluteThreshold();
    levenbergMarquardtOptimizer16.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker17);
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker27 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array29 = new double[] {  };
    double[] d_array30 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array30, false);
    double[] d_array36 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array39 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array39, true);
    double[] d_array42 = vectorialPointValuePair41.getPointRef();
    boolean b43 = simpleVectorialValueChecker27.converged(100, vectorialPointValuePair32, vectorialPointValuePair41);
    boolean b44 = simpleVectorialValueChecker17.converged(10, vectorialPointValuePair24, vectorialPointValuePair32);
    double[] d_array45 = vectorialPointValuePair24.getPointRef();
    double[] d_array46 = new double[] {  };
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47, false);
    double[] d_array50 = vectorialPointValuePair49.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array50, true);
    double[] d_array53 = curveFitter9.fit(parametricUnivariateRealFunction12, d_array45);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array54 = curveFitter1.fit(parametricUnivariateRealFunction3, d_array45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test165"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.016459732919404d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test166"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d6 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = null;
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test167"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 0.5180124415015006d, 1.279681769263902d, 2.8995417357987923d, (-0.05532861058694771d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test168"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.012410167390581745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0124874930616716d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test169"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint9 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    curveFitter5.addObservedPoint(weightedObservedPoint9);
    double d11 = weightedObservedPoint9.getY();
    double d12 = weightedObservedPoint9.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test170"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1);
    int i10 = incrementor0.getMaximalCount();
    int i11 = incrementor0.getMaximalCount();
    int i12 = incrementor0.getMaximalCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test171"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test172"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0L, (java.lang.Number)0.834032445247956d, (java.lang.Number)7.2759576E-12f);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable6, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array9);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str17 = localizedFormats16.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException19 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, (java.lang.Number)1, obj_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array39);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array39);
    java.lang.Object[] obj_array43 = outOfRangeException3.getArguments();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3);
    java.lang.Number number45 = outOfRangeException3.getHi();
    org.apache.commons.math.exception.util.Localizable localizable46 = outOfRangeException3.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "maximal count ({0}) exceeded"+ "'", str17.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + 7.2759576E-12f+ "'", number45.equals(7.2759576E-12f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable46);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test173"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, "hi!", obj_array7);
    java.lang.String str9 = mathException8.getPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException("", obj_array16);
    java.lang.Object[] obj_array18 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, (org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array19);
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException21);
    java.lang.Object[] obj_array23 = mathException22.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8, "number of trials ({0})", obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.024802532138860568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6055039789400056d));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test175"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d8 = simpleVectorialValueChecker7.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker7);
    double[] d_array14 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array17 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array17, true);
    double[] d_array20 = vectorialPointValuePair19.getPointRef();
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array30, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array30, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d40 = simpleVectorialValueChecker39.getAbsoluteThreshold();
    levenbergMarquardtOptimizer38.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker39);
    double[] d_array43 = new double[] {  };
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker49 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    double[] d_array58 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array61 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array61, true);
    double[] d_array64 = vectorialPointValuePair63.getPointRef();
    boolean b65 = simpleVectorialValueChecker49.converged(100, vectorialPointValuePair54, vectorialPointValuePair63);
    boolean b66 = simpleVectorialValueChecker39.converged(10, vectorialPointValuePair46, vectorialPointValuePair54);
    double[] d_array67 = vectorialPointValuePair46.getPointRef();
    boolean b68 = simpleVectorialValueChecker7.converged((-3), vectorialPointValuePair34, vectorialPointValuePair46);
    double d69 = simpleVectorialValueChecker7.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.17453292519943295d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test176"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array5);
    java.lang.Number number7 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test177"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NAN_VALUE_CONVERSION;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test178"); }


    float f2 = org.apache.commons.math.util.FastMath.max(5.960466E-8f, 3.3881318E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.960466E-8f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test179"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException("", obj_array3);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array14);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalArgumentException5, "org.apache.commons.math.exception.MathIllegalStateException: illegal state: the fraction to divide by must not be zero: 1/{1}", obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable22 = mathIllegalArgumentException5.getGeneralPattern();
    java.lang.Number number23 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array34);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable39 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException41 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number42 = maxCountExceededException41.getMax();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException52 = new org.apache.commons.math.optimization.OptimizationException("", obj_array51);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("hi!", obj_array51);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array51);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException56 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException43, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array51);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException57 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, localizable39, obj_array51);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array51);
    java.lang.Object[] obj_array59 = convergenceException58.getArguments();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math.exception.MaxCountExceededException(localizable22, number23, obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number42 + "' != '" + (byte)10+ "'", number42.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test180"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-8388606.0f), 2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8388606.0f);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.2483666764136787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test182"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)1.2182829050172777d, (java.lang.Number)3.600244966869294E10d, (java.lang.Number)1.7064492766059838d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.5597861293914358d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test184"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.9147328830530582d, (-0.031149082925462673d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.604835828256914d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test185"); }


    double[] d_array0 = new double[] {  };
    double[] d_array1 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair3 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array0, d_array1, false);
    double[] d_array4 = vectorialPointValuePair3.getPointRef();
    double[] d_array5 = vectorialPointValuePair3.getValueRef();
    double[] d_array6 = new double[] {  };
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair9 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array6, d_array7, false);
    double[] d_array10 = vectorialPointValuePair9.getPointRef();
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array15, false);
    double[] d_array18 = new double[] {  };
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array18, d_array19, false);
    double[] d_array22 = vectorialPointValuePair21.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker28 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d29 = simpleVectorialValueChecker28.getAbsoluteThreshold();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer34 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i35 = levenbergMarquardtOptimizer34.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter36 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer34);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker39 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d40 = simpleVectorialValueChecker39.getAbsoluteThreshold();
    levenbergMarquardtOptimizer34.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker39);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer46 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker47 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d48 = simpleVectorialValueChecker47.getAbsoluteThreshold();
    levenbergMarquardtOptimizer46.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker47);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker57 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array59 = new double[] {  };
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    double[] d_array66 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array69 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair71 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array69, true);
    double[] d_array72 = vectorialPointValuePair71.getPointRef();
    boolean b73 = simpleVectorialValueChecker57.converged(100, vectorialPointValuePair62, vectorialPointValuePair71);
    boolean b74 = simpleVectorialValueChecker47.converged(10, vectorialPointValuePair54, vectorialPointValuePair62);
    double[] d_array75 = new double[] {  };
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array75, d_array76, false);
    double[] d_array79 = vectorialPointValuePair78.getPointRef();
    double[] d_array80 = new double[] {  };
    double[] d_array81 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair83 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array80, d_array81, false);
    double[] d_array84 = vectorialPointValuePair83.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array79, d_array84, false);
    boolean b87 = simpleVectorialValueChecker39.converged(3, vectorialPointValuePair62, vectorialPointValuePair86);
    double[] d_array88 = new double[] {  };
    double[] d_array89 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair91 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array88, d_array89, false);
    boolean b92 = simpleVectorialValueChecker28.converged((-24), vectorialPointValuePair86, vectorialPointValuePair91);
    double[] d_array93 = vectorialPointValuePair91.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair95 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array93, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair97 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array5, d_array93, true);
    double[] d_array98 = vectorialPointValuePair97.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array98);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test186"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.4210856E-14f, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.388132E-21f);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test187"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_SHAPE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.07618888579311128d, (java.lang.Number)0.7967334303964352d, (java.lang.Number)(-3));
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker11 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(throwable5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array12);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException17 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException17, "", obj_array24);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { localizedFormats30 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException17, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array31);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException34 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException36 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException34, "", obj_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array48 = new java.lang.Object[] { localizedFormats47 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException34, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Throwable throwable53 = null;
    java.lang.Number number56 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException58 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number56, (java.lang.Number)(byte)0);
    java.lang.Number number59 = outOfRangeException58.getLo();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException62 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException64 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException70 = new org.apache.commons.math.optimization.OptimizationException("", obj_array69);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException64, (org.apache.commons.math.exception.util.Localizable)localizedFormats65, (org.apache.commons.math.exception.util.Localizable)localizedFormats66, obj_array69);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException62, "", obj_array69);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats75 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array76 = new java.lang.Object[] { localizedFormats75 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException62, (org.apache.commons.math.exception.util.Localizable)localizedFormats73, (org.apache.commons.math.exception.util.Localizable)localizedFormats74, obj_array76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException58, "{0}", obj_array76);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException(throwable53, "maximal count ({0}) exceeded", obj_array76);
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array76);
    org.apache.commons.math.exception.ConvergenceException convergenceException81 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array76);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats82 = org.apache.commons.math.exception.util.LocalizedFormats.EULER_ANGLES_SINGULARITY;
    java.lang.Object[] obj_array85 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException("", obj_array85);
    java.lang.Object[] obj_array87 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    java.lang.Object[] obj_array88 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats82, obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array85);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException91 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)optimizationException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test188"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, 327680);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test189"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2796817692639018d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.POWER_NEGATIVE_PARAMETERS;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.ARRAY_ELEMENT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_SIMPLE;
    org.apache.commons.math.exception.ZeroException zeroException9 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException9);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException13 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException13, "", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException10, "org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array20);
    java.lang.Object[] obj_array26 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array20);
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array26);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.0d);
    java.lang.Object[] obj_array32 = notStrictlyPositiveException31.getArguments();
    java.lang.Object[] obj_array33 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("points {0} and {1} are not decreasing ({2} < {3})", obj_array33);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException35 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (java.lang.Number)1.4210855E-14f, obj_array33);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.ARRAY_ELEMENT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_SIMPLE;
    org.apache.commons.math.exception.ZeroException zeroException38 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException38);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException42 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException("", obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException42, "", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException39, "org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array49);
    java.lang.Object[] obj_array55 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException56 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test190"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NEGATIVE_COMPLEX_MODULE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (-2), 3);
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException(throwable4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array20);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException26 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_INCREASING_SEQUENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array35);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException46 = new org.apache.commons.math.optimization.OptimizationException("", obj_array45);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException47 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats42, obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("hi!", obj_array45);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats40, obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException(throwable29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array45);
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.ARRAY_SUMS_TO_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats56 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException("", obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array61);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("hi!", obj_array61);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException65 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats56, obj_array61);
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array61);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array61);
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException69 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array61);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException((java.lang.Throwable)nullArgumentException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable72 = convergenceException71.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable72);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test191"); }


    float f2 = org.apache.commons.math.util.FastMath.min(3.388132E-21f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.388132E-21f);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test192"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.2581008643532257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test193"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker12 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    double[] d_array21 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array24 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array24, true);
    double[] d_array27 = vectorialPointValuePair26.getPointRef();
    boolean b28 = simpleVectorialValueChecker12.converged(100, vectorialPointValuePair17, vectorialPointValuePair26);
    double[] d_array29 = vectorialPointValuePair17.getValueRef();
    double[] d_array30 = vectorialPointValuePair17.getValue();
    double[] d_array31 = gaussianFitter8.fit(parametricUnivariateRealFunction9, d_array30);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array32 = gaussianFitter8.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array32);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test194"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(34.55907373850508d, (-22.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1376874536328083d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test195"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    incrementor0.incrementCount(3);
    incrementor0.incrementCount();
    incrementor0.setMaximalCount((-86));
    int i11 = incrementor0.getCount();
    int i12 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-86));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test196"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.4901161E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4901161E-8f);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.015308831465985806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.015308831465985807d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-4.389264860334725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test199"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1280.0f, 3.5527137E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.5527137E-15f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test200"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(8.470333E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.00974196E-28f);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test201"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.8241367140399003d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7514051079250585d));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test202"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.24999994f);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.17543139267904387d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test204"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.N_POINTS_GAUSS_LEGENDRE_INTEGRATOR_NOT_SUPPORTED;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_DECREASING_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Throwable throwable5 = null;
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException10 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number8, (java.lang.Number)(byte)0);
    java.lang.Number number11 = outOfRangeException10.getLo();
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException14 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("", obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException14, "", obj_array21);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { localizedFormats27 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException10, "{0}", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException(throwable5, "maximal count ({0}) exceeded", obj_array28);
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.NumberIsTooSmallException: 10 is smaller than, or equal to, the minimum (0)", obj_array28);
    org.apache.commons.math.exception.ConvergenceException convergenceException33 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.EULER_ANGLES_SINGULARITY;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("", obj_array37);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    java.lang.Object[] obj_array40 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array37);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test205"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException(localizable0, (java.lang.Number)23, (java.lang.Number)1.1102230246251565E-14d, (java.lang.Number)0.009931847247884304d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test206"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException17 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (java.lang.Number)1.1102230246251565E-16d, (java.lang.Number)(short)(-1), (java.lang.Number)0.9998524677129572d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    java.lang.Object[] obj_array26 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    java.lang.Number number29 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException31 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException33 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException39 = new org.apache.commons.math.optimization.OptimizationException("", obj_array38);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException31, "", obj_array38);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { localizedFormats44 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException31, (org.apache.commons.math.exception.util.Localizable)localizedFormats42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array45);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException48 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException50 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException56 = new org.apache.commons.math.optimization.OptimizationException("", obj_array55);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException50, (org.apache.commons.math.exception.util.Localizable)localizedFormats51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException48, "", obj_array55);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array62 = new java.lang.Object[] { localizedFormats61 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException48, (org.apache.commons.math.exception.util.Localizable)localizedFormats59, (org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array62);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array62);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException65 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, number29, obj_array62);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("hi!", obj_array62);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException17, "{0} is not a power of 2 plus one", obj_array62);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException68 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, (java.lang.Number)7.944406201417462d, obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test207"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_BOUND_SIGNIFICANCE_LEVEL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_BRACKET_OPTIMUM_IN_LINE_SEARCH;
    org.apache.commons.math.exception.ConvergenceException convergenceException2 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1);
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array3);
    java.lang.String str5 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "out of bounds significance level {0}, must be between {1} and {2}"+ "'", str5.equals("out of bounds significance level {0}, must be between {1} and {2}"));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test208"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.08076455682151862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.432255244717834d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.8495411001169223d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 48.675119559600574d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test210"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)8.4703295E-22f);
    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException4 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    java.util.Locale locale5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = localizedFormats0.getLocalizedString(locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test211"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 0.9693310515945375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9693310515945375d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test212"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test213"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)0+ "'", number6.equals((byte)0));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test214"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NUMERATOR_OVERFLOW_AFTER_MULTIPLY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array10);
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array10);
    org.apache.commons.math.exception.util.Localizable localizable13 = optimizationException12.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.UNKNOWN_MODE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException18 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats17);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException21 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException("", obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException21, "", obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { localizedFormats34 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array35);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException42 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException("", obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException42, "", obj_array49);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { localizedFormats55 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException42, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, (org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array56);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException59 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException61 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException67 = new org.apache.commons.math.optimization.OptimizationException("", obj_array66);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException61, (org.apache.commons.math.exception.util.Localizable)localizedFormats62, (org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array66);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException59, "", obj_array66);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats70 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats71 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array73 = new java.lang.Object[] { localizedFormats72 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException59, (org.apache.commons.math.exception.util.Localizable)localizedFormats70, (org.apache.commons.math.exception.util.Localizable)localizedFormats71, obj_array73);
    org.apache.commons.math.MathException mathException75 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array73);
    org.apache.commons.math.exception.ConvergenceException convergenceException76 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable13, obj_array73);
    org.apache.commons.math.optimization.OptimizationException optimizationException78 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.MathException: maximal count (1) exceeded", obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test215"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.setMaximalCount((-3));
    incrementor0.incrementCount((-24));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test216"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.09515594688507101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test217"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array3 = notStrictlyPositiveException2.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.OVERFLOW_IN_FRACTION;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats5);
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number8, true);
    org.apache.commons.math.exception.util.Localizable localizable11 = numberIsTooSmallException10.getGeneralPattern();
    java.lang.Object[] obj_array12 = numberIsTooSmallException10.getArguments();
    java.lang.Number number13 = numberIsTooSmallException10.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array22 = numberIsTooSmallException21.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Object[])throwable_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    java.lang.Object[] obj_array32 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, localizable26, obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array29);
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array29);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array29);
    java.lang.String str38 = mathException37.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-1L)+ "'", number13.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "overflow in fraction {0}/{1}, cannot negate"+ "'", str38.equals("overflow in fraction {0}/{1}, cannot negate"));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.009931847247884304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009931683972931477d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test219"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(74.20321057778882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8704226964657162d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test220"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0173260392802046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test221"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker8 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i9 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker12 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array14 = new double[] {  };
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array15, false);
    double[] d_array21 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array24 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array24, true);
    double[] d_array27 = vectorialPointValuePair26.getPointRef();
    boolean b28 = simpleVectorialValueChecker12.converged(100, vectorialPointValuePair17, vectorialPointValuePair26);
    double d29 = simpleVectorialValueChecker12.getRelativeThreshold();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker33 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    double[] d_array42 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array45 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array42, d_array45, true);
    double[] d_array48 = vectorialPointValuePair47.getPointRef();
    boolean b49 = simpleVectorialValueChecker33.converged(100, vectorialPointValuePair38, vectorialPointValuePair47);
    double[] d_array53 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array56 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array56, true);
    double[] d_array59 = vectorialPointValuePair58.getPointRef();
    boolean b60 = simpleVectorialValueChecker12.converged(0, vectorialPointValuePair47, vectorialPointValuePair58);
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker12);
    int i62 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test222"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161356E43d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test223"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb((-9.0071971E15f), (-107));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-5.5511138E-17f));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test224"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(2.452460102162533d, 0.21901982081425353d, 0.010712114049421226d);
    double d4 = weightedObservedPoint3.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.010712114049421226d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test225"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.5707963267948966d, (java.lang.Number)0.9846542223795024d, true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE_BOUND_EXCLUDED;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NUMERATOR;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array19);
    java.lang.String str24 = mathIllegalStateException23.toString();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException25 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException23);
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathRuntimeException25);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException26);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathRuntimeException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)"+ "'", str24.equals("org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)"));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test226"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-1248.0076985104433d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-71505.57392448367d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test227"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-2));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test228"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.23148161659496339d), 0.2121042619370936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2121042619370936d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test229"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.24830226469602812d, 1.1917602223703325d, 0.01632573992042034d);
    double d4 = weightedObservedPoint3.getWeight();
    double d5 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.24830226469602812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1917602223703325d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test230"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-0.24999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.24999994f);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test231"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9842071306474366d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test232"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.135587825474159d, 1.2818473308364149d, (-0.6152487717693996d));
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter4 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction6 = null;
    double[] d_array7 = null;
    double[] d_array8 = new double[] {  };
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array9, false);
    double[] d_array12 = vectorialPointValuePair11.getPointRef();
    double[] d_array13 = new double[] {  };
    double[] d_array14 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array13, d_array14, false);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array17, false);
    double[] d_array23 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array26 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair28 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array26, true);
    double[] d_array29 = null;
    double[] d_array33 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array36 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array36, true);
    double[] d_array39 = vectorialPointValuePair38.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array29, d_array39, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array39, true);
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    double[] d_array48 = vectorialPointValuePair47.getPointRef();
    double[] d_array49 = new double[] {  };
    double[] d_array50 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair52 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array49, d_array50, false);
    double[] d_array53 = vectorialPointValuePair52.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array53, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array48, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array17, d_array48);
    double[] d_array59 = new double[] {  };
    double[] d_array60 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair62 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array60, false);
    double[] d_array63 = vectorialPointValuePair62.getPointRef();
    double[] d_array64 = vectorialPointValuePair62.getPoint();
    double[] d_array65 = vectorialPointValuePair62.getPointRef();
    double[] d_array66 = null;
    double[] d_array70 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array73 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair75 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array70, d_array73, true);
    double[] d_array76 = vectorialPointValuePair75.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair78 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array66, d_array76, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array65, d_array76);
    double[] d_array80 = vectorialPointValuePair79.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = levenbergMarquardtOptimizer3.optimize(60, differentiableMultivariateVectorialFunction6, d_array7, d_array17, d_array80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9843915635452489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test234"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-1.0d), Double.NaN, 10.0d, 1.1917602223703325d, 0.41671114415975286d);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction7 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer11 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i12 = levenbergMarquardtOptimizer11.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter13 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer11);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction15 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i20 = levenbergMarquardtOptimizer19.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter21 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer19);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker24 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d25 = simpleVectorialValueChecker24.getAbsoluteThreshold();
    levenbergMarquardtOptimizer19.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker24);
    int i27 = levenbergMarquardtOptimizer19.getEvaluations();
    double d28 = levenbergMarquardtOptimizer19.getRMS();
    double d29 = levenbergMarquardtOptimizer19.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter30 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer19);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array31 = curveFitter30.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction32 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker35 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array37 = new double[] {  };
    double[] d_array38 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array37, d_array38, false);
    double[] d_array44 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array47 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array47, true);
    double[] d_array50 = vectorialPointValuePair49.getPointRef();
    boolean b51 = simpleVectorialValueChecker35.converged(100, vectorialPointValuePair40, vectorialPointValuePair49);
    double[] d_array52 = vectorialPointValuePair40.getValueRef();
    double[] d_array53 = vectorialPointValuePair40.getPointRef();
    double[] d_array54 = curveFitter30.fit(parametricUnivariateRealFunction32, d_array53);
    double[] d_array55 = curveFitter13.fit(7, parametricUnivariateRealFunction15, d_array54);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker58 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array60 = new double[] {  };
    double[] d_array61 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array61, false);
    double[] d_array67 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array70 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array67, d_array70, true);
    double[] d_array73 = vectorialPointValuePair72.getPointRef();
    boolean b74 = simpleVectorialValueChecker58.converged(100, vectorialPointValuePair63, vectorialPointValuePair72);
    double[] d_array75 = vectorialPointValuePair63.getPoint();
    double[] d_array76 = vectorialPointValuePair63.getValueRef();
    double[] d_array77 = vectorialPointValuePair63.getValueRef();
    double[] d_array78 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair79 = levenbergMarquardtOptimizer5.optimize((-6), differentiableMultivariateVectorialFunction7, d_array55, d_array77, d_array78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.870590142610378d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.870590142610378d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test236"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    double d11 = weightedObservedPoint7.getY();
    double d12 = weightedObservedPoint7.getY();
    double d13 = weightedObservedPoint7.getWeight();
    double d14 = weightedObservedPoint7.getY();
    double d15 = weightedObservedPoint7.getX();
    double d16 = weightedObservedPoint7.getY();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test237"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array12);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException22 = new org.apache.commons.math.optimization.OptimizationException("", obj_array21);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable16, obj_array21);
    org.apache.commons.math.exception.util.Localizable localizable26 = mathIllegalStateException25.getGeneralPattern();
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable26);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test238"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.031149082925462673d), 0.7488836552993811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7495311831682919d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test239"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array6 = curveFitter5.getObservations();
    curveFitter5.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array8 = curveFitter5.getObservations();
    curveFitter5.clearObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction10 = null;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer14 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    levenbergMarquardtOptimizer14.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    double[] d_array19 = new double[] {  };
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker25 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array27 = new double[] {  };
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair30 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array27, d_array28, false);
    double[] d_array34 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array37 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array34, d_array37, true);
    double[] d_array40 = vectorialPointValuePair39.getPointRef();
    boolean b41 = simpleVectorialValueChecker25.converged(100, vectorialPointValuePair30, vectorialPointValuePair39);
    boolean b42 = simpleVectorialValueChecker15.converged(10, vectorialPointValuePair22, vectorialPointValuePair30);
    double[] d_array43 = vectorialPointValuePair22.getPointRef();
    double[] d_array44 = new double[] {  };
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair47 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array45, false);
    double[] d_array48 = vectorialPointValuePair47.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array48, true);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker53 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array55 = new double[] {  };
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array56, false);
    double[] d_array62 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array65 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array65, true);
    double[] d_array68 = vectorialPointValuePair67.getPointRef();
    boolean b69 = simpleVectorialValueChecker53.converged(100, vectorialPointValuePair58, vectorialPointValuePair67);
    double[] d_array70 = vectorialPointValuePair58.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array70, true);
    double[] d_array73 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair74 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array73);
    double[] d_array75 = vectorialPointValuePair74.getPoint();
    double[] d_array76 = curveFitter5.fit(parametricUnivariateRealFunction10, d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test240"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)2.515911276041704d, (java.lang.Number)6, (java.lang.Number)(-57.29577951308232d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test241"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test242"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException3 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException2);
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2, "Euler angles singularity", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test243"); }


    float f2 = org.apache.commons.math.util.FastMath.min(8.4703295E-22f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test244"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number25 = maxCountExceededException24.getMax();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException24);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException40 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, localizable22, obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array34);
    java.lang.Object[] obj_array42 = convergenceException41.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array42);
    java.lang.Number number44 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3);
    java.lang.Number number46 = outOfRangeException3.getLo();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException3);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException55 = new org.apache.commons.math.optimization.OptimizationException("", obj_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("hi!", obj_array54);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array54);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException47, "org.apache.commons.math.exception.MathIllegalStateException: illegal state: the fraction to divide by must not be zero: 1/{1}", obj_array54);
    java.lang.Throwable[] throwable_array60 = mathException59.getSuppressed();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException63 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number64 = maxCountExceededException63.getMax();
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException63);
    java.lang.String str66 = mathException65.getPattern();
    java.lang.Object[] obj_array70 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException71 = new org.apache.commons.math.optimization.OptimizationException("", obj_array70);
    java.lang.Object[] obj_array72 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException65, "", obj_array72);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array72);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.6723912533266578E32d);
    org.apache.commons.math.exception.util.Localizable localizable77 = maxCountExceededException76.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats79 = org.apache.commons.math.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException83 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats79, (java.lang.Number)(-1.0d), (java.lang.Number)4.9E-324d, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException85 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats79, (java.lang.Number)0.8340324452479561d);
    java.lang.Object[] obj_array86 = notStrictlyPositiveException85.getArguments();
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException76, "org.apache.commons.math.exception.NotStrictlyPositiveException: -0.248 is smaller than, or equal to, the minimum (0)", obj_array86);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array86);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats89 = org.apache.commons.math.exception.util.LocalizedFormats.FAILED_FRACTION_CONVERSION;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException92 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.0d);
    java.lang.Object[] obj_array93 = notStrictlyPositiveException92.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException("hi!", obj_array93);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException95 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException59, (org.apache.commons.math.exception.util.Localizable)localizedFormats61, (org.apache.commons.math.exception.util.Localizable)localizedFormats89, obj_array93);
    java.lang.Number number96 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException99 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats89, number96, (java.lang.Number)7.944406201417462d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (byte)10+ "'", number25.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number64 + "' != '" + (byte)10+ "'", number64.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str66 + "' != '" + "{0}"+ "'", str66.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test245"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.019631677886999814d, 0.5180124415015006d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test246"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test247"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-55), 1);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    org.apache.commons.math.exception.ZeroException zeroException4 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.exception.ConvergenceException convergenceException15 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array12);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)zeroException4, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)zeroException4);
    java.lang.Object[] obj_array18 = zeroException4.getArguments();
    org.apache.commons.math.exception.util.Localizable localizable19 = zeroException4.getGeneralPattern();
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)dimensionMismatchException2, localizable19, obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-55)+ "'", number3.equals((-55)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test248"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.9843915635452489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9933262816834988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9966575548720327d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test250"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.009082265876131874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20864023847987997d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test251"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(4.138027701316752E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 35);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test252"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.1920928E-7f, (java.lang.Number)3L, false);
    java.lang.String str6 = numberIsTooSmallException5.toString();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException7 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)numberIsTooSmallException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: 0 is smaller than, or equal to, the minimum (3): list of chromosomes bigger than maxPopulationSize"+ "'", str6.equals("org.apache.commons.math.exception.NumberIsTooSmallException: 0 is smaller than, or equal to, the minimum (3): list of chromosomes bigger than maxPopulationSize"));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test253"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number1, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array10 = numberIsTooSmallException9.getSuppressed();
    boolean b11 = numberIsTooSmallException9.getBoundIsAllowed();
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    java.lang.Number number16 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number16, (java.lang.Number)(byte)0);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, localizable22, obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array25);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException30);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("", obj_array37);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    java.lang.Object[] obj_array40 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException41 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, (java.lang.Number)0.41671114415975286d, obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException18, "number of trials ({0})", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException(throwable13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array37);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)numberIsTooSmallException9, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException(localizable4, obj_array37);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException47 = new org.apache.commons.math.exception.NullArgumentException(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test254"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(2.3157711472216134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3646956386436229d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.5755847313900342d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.831833528946299d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.776356839400251E-15d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.677799721293237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.16889861407762277d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test258"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.4210854E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210854E-14f);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test259"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.12404674823314253d, (java.lang.Number)0.7282131458587041d, true);
    org.apache.commons.math.exception.util.Localizable localizable4 = numberIsTooSmallException3.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test260"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test261"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0235224582317108d, 0.9325099184145089d, 0.21901982081425353d);
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.21901982081425353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9325099184145089d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test262"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.6574544541530771d, 35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.694970140157598E10d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test263"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.150174006300185d, 1.1102230246251569E-14d, 2.3025850929940455d, (-0.10036296089267417d), 0.9147328830530582d);
    double d6 = levenbergMarquardtOptimizer5.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test264"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array7);
    java.lang.Number number11 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException13 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number11, (java.lang.Number)(byte)0);
    java.lang.Number number14 = outOfRangeException13.getHi();
    java.lang.Throwable[] throwable_array15 = outOfRangeException13.getSuppressed();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("illegal state", (java.lang.Object[])throwable_array15);
    org.apache.commons.math.exception.ConvergenceException convergenceException17 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (byte)0+ "'", number14.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test265"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException2 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats1);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException5 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException5, "", obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { localizedFormats18 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException2, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array19);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException23);
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException28 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, (java.lang.Number)8.4703295E-22f);
    java.lang.Number number30 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException32 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, (java.lang.Number)8.4703295E-22f, number30, false);
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException34 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, number33);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable36 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException(localizable36, obj_array44);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array49 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException46, (org.apache.commons.math.exception.util.Localizable)localizedFormats47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array49);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable52 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException59 = new org.apache.commons.math.optimization.OptimizationException("", obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats55, obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array58);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException("", obj_array68);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats65, obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("hi!", obj_array68);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array68);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException(throwable52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array68);
    org.apache.commons.math.optimization.OptimizationException optimizationException74 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array68);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats75 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats76 = org.apache.commons.math.exception.util.LocalizedFormats.SIMPLEX_NEED_ONE_POINT;
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException78 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException74, (org.apache.commons.math.exception.util.Localizable)localizedFormats75, (org.apache.commons.math.exception.util.Localizable)localizedFormats76, obj_array77);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats79 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array82 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException83 = new org.apache.commons.math.optimization.OptimizationException("", obj_array82);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException84 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats79, obj_array82);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException85 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, (org.apache.commons.math.exception.util.Localizable)localizedFormats76, obj_array82);
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array82);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException87 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException23, localizable25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array82);
    org.apache.commons.math.exception.ZeroException zeroException88 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test266"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)1.734723475976807E-18d);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException2 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException1);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException4 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number5 = maxCountExceededException4.getMax();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException4);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.ROW_INDEX;
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, localizable10, obj_array13);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array13);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_BRACKETING_PARAMETERS;
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.exception.ConvergenceException convergenceException30 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker38 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException30, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array39);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("", obj_array46);
    java.lang.Object[] obj_array48 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array46);
    java.lang.Object[] obj_array49 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array46);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats42, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array49);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException52 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, localizable20, obj_array49);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.NAN_VALUE_CONVERSION;
    java.lang.Throwable throwable54 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array64 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException65 = new org.apache.commons.math.optimization.OptimizationException("", obj_array64);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array64);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("hi!", obj_array64);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats59, obj_array64);
    org.apache.commons.math.optimization.OptimizationException optimizationException69 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array64);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array64);
    org.apache.commons.math.optimization.OptimizationException optimizationException71 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array64);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException(throwable54, "cutoff singular value is {0}, should be at most {1}", obj_array64);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array64);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable20, obj_array64);
    org.apache.commons.math.exception.ConvergenceException convergenceException75 = new org.apache.commons.math.exception.ConvergenceException(localizable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test267"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NORMALIZE_INFINITE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)(-0.9999998f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException15 = new org.apache.commons.math.exception.MathRuntimeException(throwable0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array9);
    org.apache.commons.math.exception.util.Localizable localizable16 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException18 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("", obj_array22);
    java.lang.Object[] obj_array24 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException18, "hi!", obj_array24);
    java.lang.Number number26 = tooManyEvaluationsException18.getMax();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException29 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array32);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.URL_CONTAINS_NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.CARDAN_ANGLES_SINGULARITY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException("", obj_array39);
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    java.lang.Object[] obj_array42 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array39);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array39);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, obj_array45);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.GCD_OVERFLOW_32_BITS;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException49 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException51 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException57 = new org.apache.commons.math.optimization.OptimizationException("", obj_array56);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException51, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array56);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException49, "", obj_array56);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { localizedFormats62 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException49, (org.apache.commons.math.exception.util.Localizable)localizedFormats60, (org.apache.commons.math.exception.util.Localizable)localizedFormats61, obj_array63);
    org.apache.commons.math.exception.util.Localizable localizable65 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException68 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException70 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats71 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array75 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException76 = new org.apache.commons.math.optimization.OptimizationException("", obj_array75);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException70, (org.apache.commons.math.exception.util.Localizable)localizedFormats71, (org.apache.commons.math.exception.util.Localizable)localizedFormats72, obj_array75);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException68, "", obj_array75);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats79 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats80 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats81 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array82 = new java.lang.Object[] { localizedFormats81 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException83 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException68, (org.apache.commons.math.exception.util.Localizable)localizedFormats79, (org.apache.commons.math.exception.util.Localizable)localizedFormats80, obj_array82);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException64, localizable65, (org.apache.commons.math.exception.util.Localizable)localizedFormats66, obj_array82);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats85 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats87 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array90 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException91 = new org.apache.commons.math.optimization.OptimizationException("", obj_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException92 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats87, obj_array90);
    org.apache.commons.math.MathException mathException93 = new org.apache.commons.math.MathException("hi!", obj_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException94 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException64, (org.apache.commons.math.exception.util.Localizable)localizedFormats85, obj_array90);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException95 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats47, obj_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException96 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array90);
    java.lang.Object[] obj_array97 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array90);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException98 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException15, localizable16, obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 10.0f+ "'", number26.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array97);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test268"); }


    double d2 = org.apache.commons.math.util.FastMath.max(6.055401730113595E-12d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test269"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter10 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint14 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.28790610219309176d, (-41.50623101378292d), 0.0d);
    double d15 = weightedObservedPoint14.getY();
    double d16 = weightedObservedPoint14.getWeight();
    curveFitter10.addObservedPoint(weightedObservedPoint14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.28790610219309176d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test270"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.00974196E-28f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.00974196E-28f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test271"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getLo();
    java.lang.Number number7 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)0+ "'", number7.equals((byte)0));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test272"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.1698776E-26f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.081488E-33f);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test273"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9846542223795024d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable3 = notStrictlyPositiveException1.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable3);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test274"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double d7 = levenbergMarquardtOptimizer3.getChiSquare();
    int i8 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test275"); }


    double d2 = org.apache.commons.math.util.FastMath.min(5.1751165085984454E-39d, 0.9848077530122079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.1751165085984454E-39d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test276"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.017176810289875864d, 818.1524422205695d, 0.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test277"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.015308831465985807d, 0.01632573992042034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01530883146598581d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test278"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(0.0d, 2.2250738585072014E-306d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = gaussian2.derivative();
    double d5 = gaussian2.value(0.7185859809719456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.5536072235318847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test280"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-27.03274004183787d));
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.UNABLE_TO_COMPUTE_COVARIANCE_SINGULAR_PROBLEM;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.CLOSEST_ORTHOGONAL_MATRIX_HAS_NEGATIVE_DETERMINANT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException7 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException7);
    java.lang.Throwable[] throwable_array9 = convergenceException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (java.lang.Object[])throwable_array9);
    java.lang.Throwable[] throwable_array11 = mathException3.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1, "window size must be positive ({0})", (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test281"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ROWS_NOT_INITIALIZED_YET;
    org.apache.commons.math.exception.ZeroException zeroException1 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.util.Localizable localizable2 = zeroException1.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable2);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test282"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException2);
    java.lang.String str5 = mathException4.getPattern();
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4, "", obj_array11);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIFFERENT_ROWS_LENGTHS;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number22 = maxCountExceededException21.getMax();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException21);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException32 = new org.apache.commons.math.optimization.OptimizationException("", obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array31);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException36 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array31);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException37 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, localizable19, obj_array31);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array31);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException13, localizable14, obj_array31);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)mathIllegalStateException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (byte)10+ "'", number3.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0}"+ "'", str5.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (byte)10+ "'", number22.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test283"); }


    org.apache.commons.math.exception.ZeroException zeroException1 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException1);
    java.lang.Object[] obj_array3 = convergenceException2.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException4 = new org.apache.commons.math.optimization.OptimizationException("points {0} and {1} are not decreasing ({2} < {3})", obj_array3);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array3);
    java.lang.Throwable[] throwable_array6 = mathIllegalStateException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(2.1376874536328083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.037309684444466126d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test285"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint((-0.3028776703164716d), 0.9853235165275156d, 0.1741993380359886d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test286"); }


    int i2 = org.apache.commons.math.util.FastMath.max(100, 29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test287"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-2.185039863261519d));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test288"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint5 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d6 = weightedObservedPoint5.getY();
    curveFitter1.addObservedPoint(weightedObservedPoint5);
    curveFitter1.addObservedPoint(3.2254656408127456E16d, 2.080083823051904d, 1.0d);
    curveFitter1.clearObservations();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer16 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d17 = levenbergMarquardtOptimizer16.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter18 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer16);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint22 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    curveFitter18.addObservedPoint(weightedObservedPoint22);
    curveFitter1.addObservedPoint(weightedObservedPoint22);
    curveFitter1.addObservedPoint(2.7853783525172527E20d, 1.8217235642884797d);
    curveFitter1.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test289"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    double d7 = levenbergMarquardtOptimizer3.getRMS();
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter9 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i10 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test290"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-2.0d));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException4 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_NAN_DIVERGENCE;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array19);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable24 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number27 = maxCountExceededException26.getMax();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException26);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException41 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array36);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, localizable24, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array36);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (byte)10+ "'", number27.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test291"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.0d);
    java.lang.Object[] obj_array3 = notStrictlyPositiveException2.getArguments();
    java.lang.Object[] obj_array4 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("points {0} and {1} are not decreasing ({2} < {3})", obj_array4);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException7 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DUPLICATED_ABSCISSA;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number15 = maxCountExceededException14.getMax();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException25 = new org.apache.commons.math.optimization.OptimizationException("", obj_array24);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array24);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException29 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array24);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, localizable12, obj_array24);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, obj_array24);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException33 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9686636760172601d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_STANDARD_DEVIATION;
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException39 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number40 = maxCountExceededException39.getMax();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException39);
    java.lang.String str42 = mathException41.getPattern();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("", obj_array46);
    java.lang.Object[] obj_array48 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException41, "", obj_array48);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException50 = new org.apache.commons.math.exception.MathRuntimeException(throwable35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array48);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats55 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException59 = new org.apache.commons.math.optimization.OptimizationException("", obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats55, obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", obj_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException62 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array58);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException63 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array58);
    java.lang.Object[] obj_array64 = convergenceException5.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (byte)10+ "'", number15.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (byte)10+ "'", number40.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{0}"+ "'", str42.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test292"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.16011699818583253d, number1, (java.lang.Number)1.1920929E-7f);
    java.lang.Number number4 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.Localizable localizable5 = outOfRangeException3.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_LARGE_CUTOFF_SINGULAR_VALUE;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException8 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array7);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("", obj_array13);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, (java.lang.Number)1, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array16);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array16);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array16);
    org.apache.commons.math.exception.util.Localizable localizable21 = mathIllegalStateException20.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable21);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test293"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test294"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1280.0f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0f);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test295"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.0d, 2.307625525038305d, 74.1969774662833d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test296"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0000000000000002d, 0.0d, 0.0d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer7 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.5597861293914358d, 0.834032445247956d, 0.6826353005177082d);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer7);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker9 = levenbergMarquardtOptimizer7.getConvergenceChecker();
    levenbergMarquardtOptimizer3.setConvergenceChecker(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker9);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test297"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)2.515911276041704d, number1, (java.lang.Number)0.9853235165275156d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test298"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getPoint();
    double[] d_array20 = null;
    double[] d_array24 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array27 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array24, d_array27, true);
    double[] d_array30 = vectorialPointValuePair29.getValueRef();
    double[] d_array31 = new double[] {  };
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    double[] d_array35 = vectorialPointValuePair34.getPointRef();
    double[] d_array36 = new double[] {  };
    double[] d_array37 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair39 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array36, d_array37, false);
    double[] d_array40 = vectorialPointValuePair39.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair42 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array40, false);
    double[] d_array43 = vectorialPointValuePair42.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker46 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array48 = new double[] {  };
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair51 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array48, d_array49, false);
    double[] d_array55 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array58 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair60 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array55, d_array58, true);
    double[] d_array61 = vectorialPointValuePair60.getPointRef();
    boolean b62 = simpleVectorialValueChecker46.converged(100, vectorialPointValuePair51, vectorialPointValuePair60);
    double[] d_array63 = vectorialPointValuePair51.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array63, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array63, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair68 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array63);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair70 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array19, d_array20, true);
    double[] d_array71 = vectorialPointValuePair70.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test299"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.05532861058694771d), 0.01240984884005803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.056703258263658816d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test300"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.6224699106035597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7889676232923375d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test301"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.5544539002314315E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.94265633834783E-4d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.2120601415182943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.360400426803555d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test303"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.739351609300417d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.ROOTS_OF_UNITY_NOT_COMPUTED_YET;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array8);
    java.lang.Number number14 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, (java.lang.Number)0, number14, true);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_ROW_DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array25);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats30, obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException(throwable19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException41 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats18, obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array35);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException45 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, (java.lang.Number)8.4703295E-22f);
    java.lang.Object[] obj_array46 = null;
    org.apache.commons.math.exception.ConvergenceException convergenceException47 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException54 = new org.apache.commons.math.optimization.OptimizationException("", obj_array53);
    java.lang.Object[] obj_array55 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array53);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException56 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, (java.lang.Number)Double.NaN, obj_array55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException61 = new org.apache.commons.math.optimization.OptimizationException("", obj_array60);
    java.lang.Object[] obj_array62 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array60);
    java.lang.Object[] obj_array63 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array60);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array60);
    org.apache.commons.math.optimization.OptimizationException optimizationException65 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array60);
    org.apache.commons.math.optimization.OptimizationException optimizationException66 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", obj_array60);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array60);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats69 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_2x2;
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException71 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array70);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException73 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array77 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException78 = new org.apache.commons.math.optimization.OptimizationException("", obj_array77);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array77);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException73, "hi!", obj_array79);
    java.lang.Object[] obj_array81 = tooManyEvaluationsException73.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException82 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, (org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array81);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats83 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POWER_OF_TWO_PLUS_ONE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats84 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats85 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker88 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array89 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException90 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats84, (org.apache.commons.math.exception.util.Localizable)localizedFormats85, obj_array89);
    org.apache.commons.math.optimization.OptimizationException optimizationException91 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats83, obj_array89);
    java.lang.String str92 = optimizationException91.getPattern();
    java.lang.Object[] obj_array93 = optimizationException91.getArguments();
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats69, obj_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str92 + "' != '" + "{0} is not a power of 2 plus one"+ "'", str92.equals("{0} is not a power of 2 plus one"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array93);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test304"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NO_RESULT_AVAILABLE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.ZeroException zeroException2 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test305"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker8 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d9 = simpleVectorialValueChecker8.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker8);
    int i11 = levenbergMarquardtOptimizer3.getEvaluations();
    double d12 = levenbergMarquardtOptimizer3.getRMS();
    double d13 = levenbergMarquardtOptimizer3.getRMS();
    double d14 = levenbergMarquardtOptimizer3.getRMS();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test306"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)5.1751165085984454E-39d, (java.lang.Number)Double.POSITIVE_INFINITY, (java.lang.Number)8.470331E-22f);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable9, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array12);
    java.lang.Object[] obj_array18 = mathIllegalStateException17.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)outOfRangeException5, "", obj_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException(throwable0, "{0} is not a power of 2", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test307"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.2989267967352471d, (-0.009931847247884304d));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test308"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-7.999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.999998f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test309"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable2, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array5);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException11 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathIllegalStateException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NO_DATA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("", obj_array17);
    java.lang.Object[] obj_array19 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    java.lang.Object[] obj_array20 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (java.lang.Number)0.41671114415975286d, obj_array17);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathRuntimeException11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array17);
    org.apache.commons.math.exception.ZeroException zeroException23 = new org.apache.commons.math.exception.ZeroException((org.apache.commons.math.exception.util.Localizable)localizedFormats12);
    org.apache.commons.math.exception.util.Localizable localizable24 = zeroException23.getGeneralPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable24);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test310"); }


    org.apache.commons.math.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number18 = maxCountExceededException17.getMax();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException28 = new org.apache.commons.math.optimization.OptimizationException("", obj_array27);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("hi!", obj_array27);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array27);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException33 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, localizable15, obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array27);
    java.lang.Object[] obj_array35 = convergenceException34.getArguments();
    java.lang.String str36 = convergenceException34.getPattern();
    org.apache.commons.math.exception.util.Localizable localizable37 = convergenceException34.getGeneralPattern();
    java.lang.String str38 = convergenceException34.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (byte)10+ "'", number18.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "illegal state"+ "'", str36.equals("illegal state"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.ConvergenceException: illegal state"+ "'", str38.equals("org.apache.commons.math.ConvergenceException: illegal state"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test311"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount((-24));
    int i5 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-107));
    incrementor0.setMaximalCount(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 10);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test312"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint5 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d6 = weightedObservedPoint5.getY();
    curveFitter1.addObservedPoint(weightedObservedPoint5);
    curveFitter1.addObservedPoint(0.3336320731171299d, 0.19184771387583882d);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction12 = null;
    double[] d_array16 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array19 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair21 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array19, true);
    double[] d_array22 = null;
    double[] d_array26 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array29 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array29, true);
    double[] d_array32 = vectorialPointValuePair31.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array22, d_array32, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair36 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array32, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array37 = curveFitter1.fit((-1023), parametricUnivariateRealFunction12, d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test313"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.7386894544908233d, 1.198659631249631d, 0.8168243187580034d);
    double d4 = weightedObservedPoint3.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.7386894544908233d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test314"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter3 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer2);
    gaussianFitter3.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter3.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array12 = gaussianFitter3.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("number of trials ({0})", (java.lang.Object[])weightedObservedPoint_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException14 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.ConvergenceException: Discrete cumulative probability function returned NaN for argument CONVERGENCE_FAILED", (java.lang.Object[])weightedObservedPoint_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array12);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test315"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)100.0d, number1, false);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException3);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test316"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.3068480933998843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test317"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.07618888579311128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(5.000000000000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.3805150062465747d));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test319"); }


    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint3 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d4 = weightedObservedPoint3.getY();
    double d5 = weightedObservedPoint3.getX();
    double d6 = weightedObservedPoint3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test320"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(-0.5220212641514076d));
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.41671114415975286d);
    java.lang.Number number4 = tooManyEvaluationsException3.getMax();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException7 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array8 = notStrictlyPositiveException7.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.OVERFLOW_IN_FRACTION;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats10);
    java.lang.Number number13 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-1L), number13, true);
    org.apache.commons.math.exception.util.Localizable localizable16 = numberIsTooSmallException15.getGeneralPattern();
    java.lang.Object[] obj_array17 = numberIsTooSmallException15.getArguments();
    java.lang.Number number18 = numberIsTooSmallException15.getArgument();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NON_POSITIVE_POLYNOMIAL_DEGREE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException26 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (java.lang.Number)(short)(-1), (java.lang.Number)1.960770886449511d, false);
    java.lang.Throwable[] throwable_array27 = numberIsTooSmallException26.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, (java.lang.Object[])throwable_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable31 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    java.lang.Object[] obj_array36 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array34);
    java.lang.Object[] obj_array37 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, localizable31, obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array34);
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException15, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array34);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array34);
    java.lang.Throwable throwable43 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException("", obj_array50);
    java.lang.Object[] obj_array52 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array50);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException53 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats46, (java.lang.Number)Double.NaN, obj_array52);
    java.lang.Object[] obj_array54 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats45, obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException(throwable43, "org.apache.commons.math.exception.NullArgumentException: null is not allowed: permutation size ({0}) exceeds permuation domain ({1})", obj_array54);
    org.apache.commons.math.optimization.OptimizationException optimizationException57 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array54);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_2x2;
    java.lang.Object[] obj_array59 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException60 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array59);
    org.apache.commons.math.exception.ZeroException zeroException62 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException62);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_REGRESSION_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_FRACTION_TO_DIVIDE_BY;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException67 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException72 = new org.apache.commons.math.optimization.OptimizationException("", obj_array71);
    java.lang.Object[] obj_array73 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException67, "hi!", obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats65, obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)zeroException62, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array73);
    org.apache.commons.math.optimization.OptimizationException optimizationException77 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array73);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException78 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array73);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException79 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)tooManyEvaluationsException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array73);
    java.lang.Throwable throwable80 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats81 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math.exception.util.Localizable localizable82 = null;
    java.lang.Object[] obj_array86 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException87 = new org.apache.commons.math.optimization.OptimizationException("", obj_array86);
    java.lang.Object[] obj_array88 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array86);
    java.lang.Object[] obj_array89 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array86);
    org.apache.commons.math.ConvergenceException convergenceException90 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array86);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException91 = new org.apache.commons.math.exception.MathRuntimeException(throwable80, (org.apache.commons.math.exception.util.Localizable)localizedFormats81, localizable82, obj_array86);
    org.apache.commons.math.MathException mathException92 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.41671114415975286d+ "'", number4.equals(0.41671114415975286d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (-1L)+ "'", number18.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test321"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException();
    maxCountExceededException1.addSuppressed((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.CONTINUED_FRACTION_INFINITY_DIVERGENCE;
    org.apache.commons.math.exception.ZeroException zeroException7 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException7);
    org.apache.commons.math.exception.util.Localizable localizable9 = convergenceException8.getSpecificPattern();
    java.lang.Object[] obj_array10 = convergenceException8.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("", obj_array18);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("hi!", obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array18);
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array18);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException3, localizable5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array18);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_ARRAY_ELEMENT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.ENDPOINTS_NOT_AN_INTERVAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number35 = maxCountExceededException34.getMax();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException34);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException45 = new org.apache.commons.math.optimization.OptimizationException("", obj_array44);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("hi!", obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array44);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException49 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, (org.apache.commons.math.exception.util.Localizable)localizedFormats38, obj_array44);
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array44);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array44);
    org.apache.commons.math.exception.ConvergenceException convergenceException53 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array44);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException56 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 10);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException56);
    java.lang.Throwable[] throwable_array58 = mathException57.getSuppressed();
    java.lang.Object[] obj_array59 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array58);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException60 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array59);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats61 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats63 = org.apache.commons.math.exception.util.LocalizedFormats.POLYNOMIAL;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException66 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats64, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException69 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number70 = maxCountExceededException69.getMax();
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException69);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats73 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats76 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array79 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException80 = new org.apache.commons.math.optimization.OptimizationException("", obj_array79);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException81 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats76, obj_array79);
    org.apache.commons.math.MathException mathException82 = new org.apache.commons.math.MathException("hi!", obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException83 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats74, obj_array79);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException84 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException71, (org.apache.commons.math.exception.util.Localizable)localizedFormats72, (org.apache.commons.math.exception.util.Localizable)localizedFormats73, obj_array79);
    org.apache.commons.math.optimization.OptimizationException optimizationException85 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array79);
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array79);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException87 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats63, obj_array79);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException88 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats61, (java.lang.Number)9.536743E-7f, obj_array79);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException89 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathRuntimeException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (byte)10+ "'", number2.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + (byte)10+ "'", number35.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number70 + "' != '" + (byte)10+ "'", number70.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test322"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array2 = gaussianFitter1.getObservations();
    gaussianFitter1.addObservedPoint(0.17453292519943317d, 1.3956124250860895d, 0.7551396174826666d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer10 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i11 = levenbergMarquardtOptimizer10.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter12 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker15 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d16 = simpleVectorialValueChecker15.getAbsoluteThreshold();
    levenbergMarquardtOptimizer10.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker15);
    int i18 = levenbergMarquardtOptimizer10.getEvaluations();
    double d19 = levenbergMarquardtOptimizer10.getRMS();
    double d20 = levenbergMarquardtOptimizer10.getRMS();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter21 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer10);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array22 = curveFitter21.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction23 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker26 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array28 = new double[] {  };
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair31 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array28, d_array29, false);
    double[] d_array35 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array38 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair40 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array38, true);
    double[] d_array41 = vectorialPointValuePair40.getPointRef();
    boolean b42 = simpleVectorialValueChecker26.converged(100, vectorialPointValuePair31, vectorialPointValuePair40);
    double[] d_array43 = vectorialPointValuePair31.getValueRef();
    double[] d_array44 = vectorialPointValuePair31.getPointRef();
    double[] d_array45 = curveFitter21.fit(parametricUnivariateRealFunction23, d_array44);
    double[] d_array46 = null;
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array44, d_array46, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array49 = gaussianFitter1.fit(d_array44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test323"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.9544821250111526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9769760104583698d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test324"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(185.0d, 12.985633799559256d, 0.5569652335664038d);
    double d5 = gaussian3.value(1.9377047211159068E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.6922495141477817E-116d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test325"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.7127998729777203d, 0.03140207943639481d, 0.0d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test326"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.9863767327422832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.013716915465473498d));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test327"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.6482707601405976d, 0.10510463665517232d, 0.031112073370748616d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test328"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.17453292519943295d, (-0.38016488499419976d), 0.009082016163860031d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = gaussian3.derivative();
    double d7 = gaussian3.value(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test329"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-46), 60);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test330"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(151.141736483123d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 151.141736483123d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-3.3805150062465747d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5008165933320052d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test332"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(5.024812563222455d, 1.0001171824489765d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0001171824489765d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test333"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2796817692639018d);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number6 = maxCountExceededException5.getMax();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array15);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("hi!", obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats10, obj_array15);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException20 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array15);
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)10+ "'", number6.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test334"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.0438136070242703d, 1.0856161071414355E30d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.18955279092433358d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19070666004876052d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test336"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker4 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i5 = levenbergMarquardtOptimizer3.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test337"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    java.lang.String str1 = mathException0.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0}"+ "'", str1.equals("{0}"));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-88.15695677413095d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test339"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.5254040795191397d, 0.016325014752750545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5600946433825205d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test340"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-7.2759576E-12f), 1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-7.275957E-12f));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test341"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.1986596312496312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.020920557176047176d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test342"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.024802532138860568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test343"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)11584.049482244931d);
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0L, (java.lang.Number)0.834032445247956d, (java.lang.Number)7.2759576E-12f);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, localizable9, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException17);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str20 = localizedFormats19.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException29 = new org.apache.commons.math.optimization.OptimizationException("", obj_array28);
    java.lang.Object[] obj_array30 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array28);
    java.lang.Object[] obj_array31 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException32 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException17, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array31);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException("", obj_array39);
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    java.lang.Object[] obj_array42 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array39);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException43 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats35, (java.lang.Number)1, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException45 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array42);
    java.lang.Object[] obj_array46 = outOfRangeException6.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxCountExceededException1, "org.apache.commons.math.exception.MathIllegalStateException: illegal state", obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "maximal count ({0}) exceeded"+ "'", str20.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-306d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test345"); }


    java.lang.Number number0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException(number0, (java.lang.Number)5.9604645E-8f, number2);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test346"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { localizedFormats10 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.exception.ConvergenceException convergenceException22 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array19);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException23 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException22);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker30 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array31);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, obj_array31);
    org.apache.commons.math.optimization.OptimizationException optimizationException34 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array31);
    org.apache.commons.math.exception.ConvergenceException convergenceException35 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test347"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    int i5 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i6 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d8 = levenbergMarquardtOptimizer3.getChiSquare();
    int i9 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test348"); }


    float f2 = org.apache.commons.math.util.FastMath.min((-0.99999976f), 9.0071971E15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999976f));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.17453292519943298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17453292519943298d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test350"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getValueRef();
    double[] d_array20 = vectorialPointValuePair7.getValue();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer24 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.8699831333471925E-17d, 1.5174271293851465d, 0.17453292519943298d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter25 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer24);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter26 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer24);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker29 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array31 = new double[] {  };
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair34 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array31, d_array32, false);
    double[] d_array38 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array41 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair43 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array41, true);
    double[] d_array44 = vectorialPointValuePair43.getPointRef();
    boolean b45 = simpleVectorialValueChecker29.converged(100, vectorialPointValuePair34, vectorialPointValuePair43);
    double[] d_array46 = vectorialPointValuePair34.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker49 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array51 = new double[] {  };
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair54 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array51, d_array52, false);
    double[] d_array58 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array61 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair63 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array58, d_array61, true);
    double[] d_array64 = vectorialPointValuePair63.getPointRef();
    boolean b65 = simpleVectorialValueChecker49.converged(100, vectorialPointValuePair54, vectorialPointValuePair63);
    double[] d_array66 = vectorialPointValuePair63.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair67 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array66);
    double[] d_array68 = gaussianFitter26.fit(d_array66);
    double[] d_array72 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array75 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array72, d_array75, true);
    double[] d_array78 = vectorialPointValuePair77.getValueRef();
    double[] d_array79 = vectorialPointValuePair77.getValue();
    double[] d_array80 = gaussianFitter26.fit(d_array79);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair82 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array79, false);
    double[] d_array83 = vectorialPointValuePair82.getValueRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test351"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FIRST_ELEMENT_NOT_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)8.4703295E-22f);
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)8.4703295E-22f, number5, false);
    java.lang.Number number8 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, number8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException11 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats10);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NAN_VALUE_CONVERSION;
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, obj_array26);
    org.apache.commons.math.optimization.OptimizationException optimizationException31 = new org.apache.commons.math.optimization.OptimizationException("cutoff singular value is {0}, should be at most {1}", obj_array26);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("maximal count ({0}) exceeded", obj_array26);
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("sample size ({0}) exceeds collection size ({1})", obj_array26);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException(throwable16, "cutoff singular value is {0}, should be at most {1}", obj_array26);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array26);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("", obj_array41);
    java.lang.Object[] obj_array43 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, localizable38, obj_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array41);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException46);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str49 = localizedFormats48.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException51 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats48, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats54 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException58 = new org.apache.commons.math.optimization.OptimizationException("", obj_array57);
    java.lang.Object[] obj_array59 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array57);
    java.lang.Object[] obj_array60 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array57);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException61 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, (org.apache.commons.math.exception.util.Localizable)localizedFormats54, obj_array60);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException46, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, obj_array60);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array60);
    org.apache.commons.math.exception.ConvergenceException convergenceException64 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "maximal count ({0}) exceeded"+ "'", str49.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test352"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.12419711798518869d, 0.6605533755317905d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test353"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.0071971E15f, 319.99997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.0071971E15f);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test354"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9928425774393297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5347086766351652d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test355"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.1452097700089463d, 2.080083823051904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1452097700089463d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test356"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array2 = tooManyEvaluationsException1.getArguments();
    java.lang.Throwable[] throwable_array3 = tooManyEvaluationsException1.getSuppressed();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Object[])throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.3201381800226732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.039410235516817d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test358"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(2.2250738585072014E-306d, 0.7853981633974483d);
    gaussianFitter1.addObservedPoint(0.15922596116127144d, 0.7233609964714679d, 0.16234457470861122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test359"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException5 = new org.apache.commons.math.optimization.OptimizationException("", obj_array4);
    java.lang.Object[] obj_array6 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array4);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array4);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { localizedFormats10 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array11);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test360"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException2 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test361"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1);
    int i10 = incrementor0.getMaximalCount();
    incrementor0.incrementCount((-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test362"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math.exception.ConvergenceException convergenceException1 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    java.lang.Throwable[] throwable_array3 = convergenceException1.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable4 = convergenceException1.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.URL_CONTAINS_NO_DATA;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException("", obj_array22);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array22);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array22);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException34 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("hi!", obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException(throwable16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array32);
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array32);
    java.lang.Object[] obj_array40 = mathIllegalStateException39.getArguments();
    java.lang.Object[] obj_array41 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array40);
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array40);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException50 = new org.apache.commons.math.optimization.OptimizationException("", obj_array49);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException44, (org.apache.commons.math.exception.util.Localizable)localizedFormats45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, obj_array49);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats52 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException44, (org.apache.commons.math.exception.util.Localizable)localizedFormats52, (org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array54);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException57 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable59 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException61 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number62 = maxCountExceededException61.getMax();
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException61);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats65 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats66 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException72 = new org.apache.commons.math.optimization.OptimizationException("", obj_array71);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException73 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats68, obj_array71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("hi!", obj_array71);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats66, obj_array71);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException76 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException63, (org.apache.commons.math.exception.util.Localizable)localizedFormats64, (org.apache.commons.math.exception.util.Localizable)localizedFormats65, obj_array71);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException77 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException57, (org.apache.commons.math.exception.util.Localizable)localizedFormats58, localizable59, obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, obj_array71);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException81 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array85 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException86 = new org.apache.commons.math.optimization.OptimizationException("", obj_array85);
    java.lang.Object[] obj_array87 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException((java.lang.Throwable)tooManyEvaluationsException81, "hi!", obj_array87);
    java.lang.Object[] obj_array89 = tooManyEvaluationsException81.getArguments();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException90 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats53, (java.lang.Number)0.17725352966084673d, obj_array89);
    java.lang.Object[] obj_array91 = maxCountExceededException90.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException92 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats43, obj_array91);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats93 = org.apache.commons.math.exception.util.LocalizedFormats.IDENTICAL_ABSCISSAS_DIVISION_BY_ZERO;
    org.apache.commons.math.exception.util.Localizable localizable94 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException96 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    java.lang.Object[] obj_array97 = tooManyEvaluationsException96.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException98 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats93, localizable94, obj_array97);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException99 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number62 + "' != '" + (byte)10+ "'", number62.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array97);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test363"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker5 = levenbergMarquardtOptimizer3.getConvergenceChecker();
    int i6 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    double d7 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    double d9 = levenbergMarquardtOptimizer3.getRMS();
    int i10 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test364"); }


    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)0.0d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.8689876969685282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6455999492124771d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test366"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.0235224582317108d, 3.560476571618193d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test367"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    incrementor0.incrementCount(3);
    incrementor0.incrementCount();
    incrementor0.setMaximalCount((-86));
    int i11 = incrementor0.getCount();
    incrementor0.incrementCount((-70));
    incrementor0.incrementCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 4);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test368"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.3877787807814457E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test369"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_ARRAY_ELEMENT;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException3 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException5 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException3, "", obj_array10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizedFormats16 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math.exception.util.Localizable localizable19 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_EXPANSION_MODE;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException22 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException30 = new org.apache.commons.math.optimization.OptimizationException("", obj_array29);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException24, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException22, "", obj_array29);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { localizedFormats35 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException37 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException22, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException18, localizable19, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException40 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array36);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException44 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.9811258793441653d, (java.lang.Number)1.4130627859079685d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test370"); }


    org.apache.commons.math.exception.ZeroException zeroException0 = new org.apache.commons.math.exception.ZeroException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException("", obj_array8);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array8);
    org.apache.commons.math.exception.ConvergenceException convergenceException11 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)zeroException0, "input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)2.9188733752104757E30d);
    java.lang.Object[] obj_array19 = notStrictlyPositiveException18.getArguments();
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException24 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (java.lang.Number)8.4703295E-22f);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.44020349172182777d), (java.lang.Number)1.8189894035458565E-12d, false);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer31 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter32 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer31);
    gaussianFitter32.addObservedPoint(0.834032445247956d, 0.5597861293914358d, 1.1917602223703325d);
    gaussianFitter32.addObservedPoint(4.9E-324d, 2.0d, 1.5805623283533137d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array41 = gaussianFitter32.getObservations();
    java.lang.Object[] obj_array42 = org.apache.commons.math.exception.util.ArgUtils.flatten((java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException29, "numerator format", (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, (java.lang.Number)0.9999999f, (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)zeroException0, "invalid bracketing parameters:  lower bound={0},  initial={1}, upper bound={2}", (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.exception.util.Localizable localizable47 = convergenceException46.getGeneralPattern();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable47, (java.lang.Number)(-1248.0076985104433d), (java.lang.Number)1.6484579356344977d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable47);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test371"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("hi!", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array6);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException(localizable0, obj_array11);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_CAPACITY_NOT_POSITIVE;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException18 = new org.apache.commons.math.exception.OutOfRangeException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, (java.lang.Number)0.9999999f, (java.lang.Number)0.8805004473187511d, (java.lang.Number)(-1.0f));
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException23 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number21, (java.lang.Number)(byte)0);
    java.lang.Number number24 = outOfRangeException23.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, (org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array32);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array37 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException27, (org.apache.commons.math.exception.util.Localizable)localizedFormats35, (org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array37);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable42 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException44 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number45 = maxCountExceededException44.getMax();
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException44);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats48 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats49 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats51 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException55 = new org.apache.commons.math.optimization.OptimizationException("", obj_array54);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats51, obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("hi!", obj_array54);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats49, obj_array54);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException59 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException46, (org.apache.commons.math.exception.util.Localizable)localizedFormats47, (org.apache.commons.math.exception.util.Localizable)localizedFormats48, obj_array54);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException60 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, localizable42, obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats36, obj_array54);
    java.lang.Object[] obj_array62 = convergenceException61.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException63 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats25, (org.apache.commons.math.exception.util.Localizable)localizedFormats26, obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("{0} is larger than the maximum ({1})", obj_array62);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array62);
    java.lang.Object[] obj_array66 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number45 + "' != '" + (byte)10+ "'", number45.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8882073618965751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7105071842350376d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(4.6274682401175395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9963964003402295d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test374"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9804191754332168d, 2.0007651674170766d, 0.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test375"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.24830226469602812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test376"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker0 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d1 = simpleVectorialValueChecker0.getAbsoluteThreshold();
    double d2 = simpleVectorialValueChecker0.getRelativeThreshold();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker6 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array8 = new double[] {  };
    double[] d_array9 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair11 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array8, d_array9, false);
    double[] d_array15 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array18 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair20 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array18, true);
    double[] d_array21 = vectorialPointValuePair20.getPointRef();
    boolean b22 = simpleVectorialValueChecker6.converged(100, vectorialPointValuePair11, vectorialPointValuePair20);
    double[] d_array23 = vectorialPointValuePair11.getValueRef();
    double[] d_array24 = vectorialPointValuePair11.getPoint();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer28 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i29 = levenbergMarquardtOptimizer28.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter30 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer28);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker33 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d34 = simpleVectorialValueChecker33.getAbsoluteThreshold();
    levenbergMarquardtOptimizer28.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker33);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer40 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker41 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d42 = simpleVectorialValueChecker41.getAbsoluteThreshold();
    levenbergMarquardtOptimizer40.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker41);
    double[] d_array45 = new double[] {  };
    double[] d_array46 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair48 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array46, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker51 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array53 = new double[] {  };
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair56 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array54, false);
    double[] d_array60 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array63 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair65 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array60, d_array63, true);
    double[] d_array66 = vectorialPointValuePair65.getPointRef();
    boolean b67 = simpleVectorialValueChecker51.converged(100, vectorialPointValuePair56, vectorialPointValuePair65);
    boolean b68 = simpleVectorialValueChecker41.converged(10, vectorialPointValuePair48, vectorialPointValuePair56);
    double[] d_array69 = new double[] {  };
    double[] d_array70 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair72 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array69, d_array70, false);
    double[] d_array73 = vectorialPointValuePair72.getPointRef();
    double[] d_array74 = new double[] {  };
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75, false);
    double[] d_array78 = vectorialPointValuePair77.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair80 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array73, d_array78, false);
    boolean b81 = simpleVectorialValueChecker33.converged(3, vectorialPointValuePair56, vectorialPointValuePair80);
    boolean b82 = simpleVectorialValueChecker0.converged(10, vectorialPointValuePair11, vectorialPointValuePair80);
    double d83 = simpleVectorialValueChecker0.getAbsoluteThreshold();
    double d84 = simpleVectorialValueChecker0.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1102230246251565E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 2.2250738585072014E-306d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.7489441158215927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test378"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17453292519943298d, (-0.24830226469602812d), 0.19068994544354348d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction6 = null;
    double[] d_array10 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array13 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair15 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array13, true);
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    double[] d_array20 = vectorialPointValuePair19.getPointRef();
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array25, false);
    double[] d_array28 = vectorialPointValuePair27.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array28);
    double[] d_array30 = new double[] {  };
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair33 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array30, d_array31, false);
    double[] d_array34 = vectorialPointValuePair33.getPointRef();
    double[] d_array35 = vectorialPointValuePair33.getPointRef();
    double[] d_array36 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair37 = levenbergMarquardtOptimizer3.optimize(0, differentiableMultivariateVectorialFunction6, d_array28, d_array35, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test379"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(4.9367E-320d, Double.NEGATIVE_INFINITY, 0.0d);
    int i4 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test380"); }


    float f1 = org.apache.commons.math.util.FastMath.abs((-8388606.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8388606.0f);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test381"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)5L);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test382"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 58.17066163002873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test383"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    int i6 = incrementor0.getMaximalCount();
    incrementor0.incrementCount((-6));
    incrementor0.incrementCount((-127));
    int i11 = incrementor0.getMaximalCount();
    incrementor0.incrementCount();
    int i13 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 10);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test384"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(1.672391253326658E32d, 2.636274515629546d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test385"); }


    long long2 = org.apache.commons.math.util.FastMath.min(3L, 11584L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test386"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (java.lang.Number)1, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = optimizationException16.getGeneralPattern();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer21 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i22 = levenbergMarquardtOptimizer21.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter23 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer21);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array24 = curveFitter23.getObservations();
    curveFitter23.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array26 = curveFitter23.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable5, localizable17, (java.lang.Object[])weightedObservedPoint_array26);
    java.lang.Number number28 = null;
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math.exception.MaxCountExceededException(localizable17, number28, obj_array29);
    java.lang.Number number31 = maxCountExceededException30.getMax();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException32 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test387"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException7, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array17);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable22 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number25 = maxCountExceededException24.getMax();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException24);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats28 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException35 = new org.apache.commons.math.optimization.OptimizationException("", obj_array34);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("hi!", obj_array34);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException39 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException26, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, (org.apache.commons.math.exception.util.Localizable)localizedFormats28, obj_array34);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException40 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException20, (org.apache.commons.math.exception.util.Localizable)localizedFormats21, localizable22, obj_array34);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array34);
    java.lang.Object[] obj_array42 = convergenceException41.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array42);
    java.lang.Number number44 = outOfRangeException3.getLo();
    java.lang.Number number45 = outOfRangeException3.getLo();
    java.lang.Number number46 = outOfRangeException3.getLo();
    java.lang.Number number47 = outOfRangeException3.getLo();
    java.lang.Number number48 = outOfRangeException3.getHi();
    java.lang.Number number49 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (byte)10+ "'", number25.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + (byte)0+ "'", number48.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number49);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test388"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(0.15876933789804415d, 0.0d, 0.009082016163860031d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    double d6 = gaussian3.value((-0.8241367140399003d));
    double d8 = gaussian3.value(0.6031696231764194d);
    double d10 = gaussian3.value(4251.530792427806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test389"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-3.3805150062465747d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test390"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array6);
    org.apache.commons.math.exception.ConvergenceException convergenceException9 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array6);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker17 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array18);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array18);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats12, (java.lang.Number)1.0151147681115325d, (java.lang.Number)(-0.019054510274467504d), true);
    java.lang.Number number25 = numberIsTooSmallException24.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (-0.019054510274467504d)+ "'", number25.equals((-0.019054510274467504d)));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test391"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    double d7 = levenbergMarquardtOptimizer5.getChiSquare();
    double d8 = levenbergMarquardtOptimizer5.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter9 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test392"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.EXPONENT;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)1.2796817692639018d);
    java.lang.Object[] obj_array4 = notStrictlyPositiveException3.getArguments();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test393"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)(-0.0f));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_COMPUTE_BETA_DENSITY_AT_1_FOR_SOME_BETA;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, (org.apache.commons.math.exception.util.Localizable)localizedFormats6, obj_array9);
    org.apache.commons.math.exception.ConvergenceException convergenceException12 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array9);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException13 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)convergenceException12);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_ONE;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker20 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array21);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array21);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException26 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (-1), 5);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSIONS_MISMATCH_SIMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats29 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException33 = new org.apache.commons.math.optimization.OptimizationException("", obj_array32);
    java.lang.Object[] obj_array34 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    java.lang.Object[] obj_array35 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats29, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", obj_array32);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats27, obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array32);
    java.lang.Object[] obj_array40 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test394"); }


    java.lang.Number number4 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number4, (java.lang.Number)(byte)0);
    java.lang.Number number7 = outOfRangeException6.getLo();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array15);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array15);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.ILLEGAL_STATE;
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats18, (org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array20);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    org.apache.commons.math.exception.util.Localizable localizable25 = null;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException27 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number28 = maxCountExceededException27.getMax();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException27);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats34 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException38 = new org.apache.commons.math.optimization.OptimizationException("", obj_array37);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats34, obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("hi!", obj_array37);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array37);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)mathException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats30, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array37);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, localizable25, obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array37);
    java.lang.Object[] obj_array45 = convergenceException44.getArguments();
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException46 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException6, (org.apache.commons.math.exception.util.Localizable)localizedFormats8, (org.apache.commons.math.exception.util.Localizable)localizedFormats9, obj_array45);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("elements cannot be retrieved from a negative array index {0}", obj_array45);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("input data array length = {0} does not match the number of observations = {1} and the number of regressors = {2}", obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + (byte)10+ "'", number28.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test395"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.834032445247956d, number1, (java.lang.Number)(byte)0);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getLo();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, (org.apache.commons.math.exception.util.Localizable)localizedFormats10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)nullArgumentException9);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException17);
    org.apache.commons.math.exception.util.Localizable localizable19 = mathException18.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array25);
    java.lang.Object[] obj_array30 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, localizable19, obj_array30);
    java.lang.Number number33 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException35 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.16011699818583253d, number33, (java.lang.Number)1.1920929E-7f);
    java.lang.Number number36 = outOfRangeException35.getLo();
    org.apache.commons.math.exception.util.Localizable localizable37 = outOfRangeException35.getGeneralPattern();
    java.lang.Object[] obj_array38 = outOfRangeException35.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException3, localizable6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array38);
    java.lang.Number number40 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (byte)0+ "'", number4.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (byte)0+ "'", number40.equals((byte)0));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test396"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.1249568118917463d, 1.7581226324091723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2299942887499757d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test397"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EMPTY_SELECTED_ROW_INDEX_ARRAY;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test398"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.6152487717693996d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5405064158452213d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test399"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.4210854E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.4703295E-22f);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test400"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.99999994f), (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test401"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(0.9987655750228893d, 1.0001171824489765d);
    double d3 = simpleVectorialValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0001171824489765d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test402"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker7 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d8 = simpleVectorialValueChecker7.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker7);
    int i10 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    double d11 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test403"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(2.5130018504899816d, 2.4813090024894954E-20d, 4.999916003536064d, (-0.9963964003402295d), 1.7453292519943295d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test404"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.4711276743037347d, 100.0d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    curveFitter4.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint9 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.17193371309896593d, 1.3956124250860895d, 1.2796817692639018d);
    curveFitter4.addObservedPoint(weightedObservedPoint9);
    double d11 = weightedObservedPoint9.getWeight();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.17193371309896593d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.734723475976807E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.734723475976807E-18d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test406"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.010097376435845972d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2161405152507176d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test407"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException7 = new org.apache.commons.math.optimization.OptimizationException("", obj_array6);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array6);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, obj_array9);
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.exception.NullArgumentException: null is not allowed", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test408"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getValue();
    double[] d_array20 = vectorialPointValuePair7.getPoint();
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair27 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array25, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test409"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.01632646514607395d, 0.01717765495140376d, 0.5597861293914359d);
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.1986596312496312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.875508356841568d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test411"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.6772971326337218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.677297132633722d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test412"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp((-1.1920933E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test413"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(8.47033E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.47033E-22f);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test414"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian((-0.16518660318175682d), 1.5713088006770572d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.41467734748721036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.33944662446820945d));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.024802532138860568d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.024499942458830345d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test417"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.016459732919404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0164597329194043d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test418"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(2.354857642209929d, (-1.75072399413488d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.934346438087039d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test419"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(0.015624996f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.015624997f);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test420"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)(-1.0d), (java.lang.Number)4.9E-324d, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)0.8340324452479561d);
    java.lang.Object[] obj_array9 = notStrictlyPositiveException8.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(localizable0, localizable1, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.analysis.function.Gaussian gaussian2 = new org.apache.commons.math.analysis.function.Gaussian(55.68141896200233d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.0030981191127089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test423"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer((-4.389264860334725d), (-0.12984862298318273d), 0.7599986041525284d, 4.9E-324d, 0.771057642952595d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = null;
    levenbergMarquardtOptimizer5.setConvergenceChecker(convergenceChecker6);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test424"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0.17725352966084673d, (java.lang.Number)0.0f, (java.lang.Number)(-2));
    java.lang.Object[] obj_array5 = outOfRangeException4.getArguments();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("weigth array must contain at least one non-zero value", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test425"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.incrementCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(1);
    int i10 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.incrementCount();
    incrementor0.setMaximalCount((-1));
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test426"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 8.47033E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test427"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint5 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d6 = weightedObservedPoint5.getY();
    curveFitter1.addObservedPoint(weightedObservedPoint5);
    curveFitter1.addObservedPoint(3.2254656408127456E16d, 2.080083823051904d, 1.0d);
    curveFitter1.addObservedPoint(0.17703234088598696d, 0.0d, 0.0d);
    curveFitter1.clearObservations();
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer17 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter18 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer17);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer19 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter20 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer19);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint24 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d25 = weightedObservedPoint24.getY();
    curveFitter20.addObservedPoint(weightedObservedPoint24);
    gaussianFitter18.addObservedPoint(weightedObservedPoint24);
    double d28 = weightedObservedPoint24.getY();
    double d29 = weightedObservedPoint24.getX();
    double d30 = weightedObservedPoint24.getX();
    double d31 = weightedObservedPoint24.getX();
    double d32 = weightedObservedPoint24.getWeight();
    curveFitter1.addObservedPoint(weightedObservedPoint24);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array34 = curveFitter1.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array34);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test428"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 11584L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test429"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.6224699106035597d, (-60));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.399065835065897E-19d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test430"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.18955279092433358d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5744383081213852d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test431"); }


    long long2 = org.apache.commons.math.util.FastMath.max(3L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test432"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.6723912533266578E32d);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException2, (org.apache.commons.math.exception.util.Localizable)localizedFormats3, localizable4, obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array7);
    org.apache.commons.math.exception.util.Localizable localizable13 = mathIllegalStateException12.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException19 = new org.apache.commons.math.optimization.OptimizationException("", obj_array18);
    java.lang.Object[] obj_array20 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array18);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, (java.lang.Number)Double.NaN, obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1, localizable13, obj_array20);
    java.lang.Object[] obj_array23 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test433"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)8.4703295E-22f);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 8.4703295E-22f+ "'", number2.equals(8.4703295E-22f));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test434"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.11082683747953995d, 60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.27774644217729696E17d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test435"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    java.lang.Number number10 = null;
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException12 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException12, "", obj_array19);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { localizedFormats25 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException12, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, (org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array26);
    org.apache.commons.math.exception.TooManyEvaluationsException tooManyEvaluationsException29 = new org.apache.commons.math.exception.TooManyEvaluationsException((java.lang.Number)10.0f);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException31 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException38 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException31, (org.apache.commons.math.exception.util.Localizable)localizedFormats32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)tooManyEvaluationsException29, "", obj_array36);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math.exception.util.LocalizedFormats.OBSERVED_COUNTS_ALL_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_64_BITS;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { localizedFormats42 };
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException29, (org.apache.commons.math.exception.util.Localizable)localizedFormats40, (org.apache.commons.math.exception.util.Localizable)localizedFormats41, obj_array43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats24, obj_array43);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException46 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, number10, obj_array43);
    org.apache.commons.math.optimization.OptimizationException optimizationException47 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathIllegalStateException: illegal state: the fraction to divide by must not be zero: 1/{1}", obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.019053357428787276d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019053357428787276d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test437"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.192093E-7f, (-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9999999f));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test438"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test439"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.020920557176047176d, (-120));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.57388779369588E-38d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test440"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.9846542223795024d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.NEGATIVE_COMPLEX_MODULE;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_UPPER_BOUND;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)(byte)10);
    java.lang.Number number8 = maxCountExceededException7.getMax();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException7);
    java.lang.String str10 = mathException9.getPattern();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    java.lang.Object[] obj_array16 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException9, "", obj_array16);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.exception.MathRuntimeException(throwable3, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array16);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math.exception.util.LocalizedFormats.POPULATION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_TOO_LARGE;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException27 = new org.apache.commons.math.optimization.OptimizationException("", obj_array26);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, (org.apache.commons.math.exception.util.Localizable)localizedFormats23, obj_array26);
    org.apache.commons.math.exception.ConvergenceException convergenceException29 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats19, obj_array26);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException31 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)notStrictlyPositiveException1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, obj_array26);
    org.apache.commons.math.exception.util.Localizable localizable32 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math.exception.util.LocalizedFormats.NUMBER_OF_SUCCESSES;
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer38 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i39 = levenbergMarquardtOptimizer38.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter40 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer38);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array41 = curveFitter40.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException42 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math.exception.MathIllegalStateException(localizable32, (org.apache.commons.math.exception.util.Localizable)localizedFormats33, (java.lang.Object[])weightedObservedPoint_array41);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats44 = org.apache.commons.math.exception.util.LocalizedFormats.NON_SYMMETRIC_MATRIX;
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException51 = new org.apache.commons.math.optimization.OptimizationException("", obj_array50);
    java.lang.Object[] obj_array52 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array50);
    java.lang.Object[] obj_array53 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException54 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException45, (org.apache.commons.math.exception.util.Localizable)localizedFormats46, localizable47, obj_array50);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException55 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array50);
    java.lang.Object[] obj_array56 = mathIllegalStateException55.getArguments();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats33, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array56);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats58 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException62 = new org.apache.commons.math.optimization.OptimizationException("", obj_array61);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats58, obj_array61);
    org.apache.commons.math.exception.util.Localizable localizable64 = mathIllegalArgumentException63.getSpecificPattern();
    java.lang.Object[] obj_array65 = mathIllegalArgumentException63.getArguments();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException66 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (org.apache.commons.math.exception.util.Localizable)localizedFormats44, obj_array65);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats68 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_SUBTRACTION_COMPATIBLE_MATRICES;
    java.lang.Object[] obj_array72 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException73 = new org.apache.commons.math.optimization.OptimizationException("", obj_array72);
    java.lang.Object[] obj_array74 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array72);
    java.lang.Object[] obj_array75 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array72);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException76 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats68, (java.lang.Number)0.41671114415975286d, obj_array72);
    java.lang.Object[] obj_array77 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array72);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("cutoff singular value is {0}, should be at most {1}", obj_array77);
    java.lang.Object[] obj_array79 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array77);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException83 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, 7, 24);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException85 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats2, (java.lang.Number)0.41467734748721036d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)10+ "'", number8.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{0}"+ "'", str10.equals("{0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array79);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test441"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker4 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d5 = simpleVectorialValueChecker4.getAbsoluteThreshold();
    levenbergMarquardtOptimizer3.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker4);
    double d7 = levenbergMarquardtOptimizer3.getRMS();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test442"); }


    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker2 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array4 = new double[] {  };
    double[] d_array5 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair7 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array4, d_array5, false);
    double[] d_array11 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array14 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair16 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array14, true);
    double[] d_array17 = vectorialPointValuePair16.getPointRef();
    boolean b18 = simpleVectorialValueChecker2.converged(100, vectorialPointValuePair7, vectorialPointValuePair16);
    double[] d_array19 = vectorialPointValuePair7.getPoint();
    double[] d_array20 = vectorialPointValuePair7.getValueRef();
    double[] d_array21 = vectorialPointValuePair7.getValueRef();
    double[] d_array22 = vectorialPointValuePair7.getPointRef();
    double[] d_array23 = vectorialPointValuePair7.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test443"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter6 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test444"); }


    double d2 = org.apache.commons.math.util.FastMath.max(104.37707167325918d, (-53.26679507803423d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 104.37707167325918d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test445"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.9863767327422832d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6863122418640621d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test446"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)1.6723912533266578E32d);
    org.apache.commons.math.exception.util.Localizable localizable2 = maxCountExceededException1.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.PROPAGATION_DIRECTION_MISMATCH;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (java.lang.Number)(-1.0d), (java.lang.Number)4.9E-324d, true);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException10 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, (java.lang.Number)0.8340324452479561d);
    java.lang.Object[] obj_array11 = notStrictlyPositiveException10.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)maxCountExceededException1, "org.apache.commons.math.exception.NotStrictlyPositiveException: -0.248 is smaller than, or equal to, the minimum (0)", obj_array11);
    java.lang.Object[] obj_array13 = mathException12.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(localizable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test447"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.00974196E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.00974196E-28f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test448"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException0, (org.apache.commons.math.exception.util.Localizable)localizedFormats1, localizable2, obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array5);
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException10);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math.exception.util.LocalizedFormats.DISCRETE_CUMULATIVE_PROBABILITY_RETURNED_NAN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException21 = new org.apache.commons.math.optimization.OptimizationException("", obj_array20);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats17, obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats15, obj_array20);
    org.apache.commons.math.exception.ConvergenceException convergenceException25 = new org.apache.commons.math.exception.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats14, obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((org.apache.commons.math.exception.util.Localizable)localizedFormats13, obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)optimizationException11, "hi!", obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test449"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_SCALE;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-1.75072399413488d), (java.lang.Number)4.612077745577306d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.7010126354280475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test451"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.ARITHMETIC_EXCEPTION;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException1 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0);
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.5852524582983983d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.7010126354280475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9355355401881512d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test453"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    java.lang.Object[] obj_array8 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (org.apache.commons.math.exception.util.Localizable)localizedFormats2, obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException(localizable0, obj_array8);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math.exception.util.LocalizedFormats.IMAGINARY_FORMAT;
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException10, (org.apache.commons.math.exception.util.Localizable)localizedFormats11, (org.apache.commons.math.exception.util.Localizable)localizedFormats12, obj_array13);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer19 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d20 = levenbergMarquardtOptimizer19.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter21 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer19);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer22 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter23 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer22);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint27 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d28 = weightedObservedPoint27.getY();
    curveFitter23.addObservedPoint(weightedObservedPoint27);
    curveFitter21.addObservedPoint(weightedObservedPoint27);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array31 = curveFitter21.getObservations();
    curveFitter21.addObservedPoint(0.19184771387583882d, 0.984807753012208d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array35 = curveFitter21.getObservations();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats11, (java.lang.Number)0.4167195582583417d, (java.lang.Object[])weightedObservedPoint_array35);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_REGRESSION_ARRAY;
    org.apache.commons.math.exception.util.Localizable localizable38 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException("", obj_array42);
    java.lang.Object[] obj_array44 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array42);
    java.lang.Object[] obj_array45 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats39, obj_array42);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException47 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)maxCountExceededException36, (org.apache.commons.math.exception.util.Localizable)localizedFormats37, localizable38, obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test454"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException6 = new org.apache.commons.math.optimization.OptimizationException("", obj_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array5);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, (java.lang.Number)Double.NaN, obj_array7);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException13 = new org.apache.commons.math.optimization.OptimizationException("", obj_array12);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    java.lang.Object[] obj_array15 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException17 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats1, obj_array12);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException("all weights must be finite real numbers, but {0}-th is {1}", obj_array12);
    java.lang.String str19 = optimizationException18.getPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_MULTIPLICATION_COMPATIBLE_MATRICES;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException22 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats20, (java.lang.Number)1.279681769263902d);
    java.lang.Throwable throwable23 = null;
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException(throwable23, "org.apache.commons.math.exception.MathIllegalStateException: NUMERATOR is larger than, or equal to, the maximum (1)", obj_array25);
    org.apache.commons.math.exception.util.Localizable localizable27 = convergenceException26.getGeneralPattern();
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException29 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException18, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, localizable27, obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math.exception.util.LocalizedFormats.UNSUPPORTED_OPERATION;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException34 = new org.apache.commons.math.exception.NumberIsTooSmallException((org.apache.commons.math.exception.util.Localizable)localizedFormats30, (java.lang.Number)(byte)(-1), (java.lang.Number)0.3848776148539087d, true);
    boolean b35 = numberIsTooSmallException34.getBoundIsAllowed();
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)numberIsTooSmallException34);
    mathRuntimeException29.addSuppressed((java.lang.Throwable)convergenceException36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "all weights must be finite real numbers, but {0}-th is {1}"+ "'", str19.equals("all weights must be finite real numbers, but {0}-th is {1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test455"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.009041022670495705d, 0.8564001050021037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8564001050021037d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test456"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(2.2581008643532257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test457"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer0 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter1 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer0);
    int i2 = levenbergMarquardtOptimizer0.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter3 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = gaussianFitter3.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test458"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.335512343758676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test459"); }


    org.apache.commons.math.util.Incrementor incrementor0 = new org.apache.commons.math.util.Incrementor();
    incrementor0.setMaximalCount(10);
    incrementor0.resetCount();
    incrementor0.incrementCount((-1));
    int i6 = incrementor0.getMaximalCount();
    incrementor0.incrementCount((-6));
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test460"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.EXPANSION_FACTOR_SMALLER_THAN_ONE;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math.exception.util.LocalizedFormats.MISMATCHED_LOESS_ABSCISSA_ORDINATE_ARRAYS;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException3 = new org.apache.commons.math.exception.NullArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats2);
    java.lang.Throwable[] throwable_array4 = nullArgumentException3.getSuppressed();
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, number1, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.07660712355493002d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.3201381800226732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0748436424155228d));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test463"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)(-0.99999976f), (java.lang.Number)7.1054274E-15f, (java.lang.Number)0.17795850320892082d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    java.lang.Number number5 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.17795850320892082d+ "'", number4.equals(0.17795850320892082d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.17795850320892082d+ "'", number5.equals(0.17795850320892082d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.6826353005177083d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5203611956587741d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test465"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.NEGATIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 0, (-2));
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.CANNOT_TRANSFORM_TO_DOUBLE;
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math.exception.DimensionMismatchException(localizable5, 10, (-1));
    org.apache.commons.math.optimization.OptimizationException optimizationException9 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)dimensionMismatchException8);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException10 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)optimizationException9);
    java.lang.Object[] obj_array13 = null;
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array13);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("org.apache.commons.math.exception.MathIllegalStateException: dimension (NOT_POSITIVE_LENGTH)", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)optimizationException9, "insufficient data: only {0} rows and {1} columns.", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException18 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test466"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.9846542223795024d, 2.2250738585072014E-306d, 2.302585092994046d, 0.0d, 1.6772971326337218d);
    double d6 = levenbergMarquardtOptimizer5.getRMS();
    int i7 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter8 = new org.apache.commons.math.optimization.fitting.GaussianFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    double[] d_array12 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array15 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair17 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array12, d_array15, true);
    double[] d_array18 = gaussianFitter8.fit(d_array15);
    gaussianFitter8.addObservedPoint(0.62875325926304d, 0.17453292519943295d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array22 = gaussianFitter8.fit();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test467"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-0.009931847247884302d), true);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test468"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(10.05053156391609d, 75.20993994919473d, 0.0d, 0.3848776148539087d, 0.771057642952595d);
    int i6 = levenbergMarquardtOptimizer5.getMaxEvaluations();
    int i7 = levenbergMarquardtOptimizer5.getJacobianEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter8 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer5);
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction9 = null;
    double[] d_array10 = null;
    double[] d_array14 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array17 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array14, d_array17, true);
    double[] d_array20 = vectorialPointValuePair19.getValueRef();
    double[] d_array21 = new double[] {  };
    double[] d_array22 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair24 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array21, d_array22, false);
    double[] d_array25 = vectorialPointValuePair24.getPointRef();
    double[] d_array26 = new double[] {  };
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array26, d_array27, false);
    double[] d_array30 = vectorialPointValuePair29.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair32 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array25, d_array30, false);
    double[] d_array33 = vectorialPointValuePair32.getValueRef();
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker36 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array38 = new double[] {  };
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array39, false);
    double[] d_array45 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array48 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair50 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array45, d_array48, true);
    double[] d_array51 = vectorialPointValuePair50.getPointRef();
    boolean b52 = simpleVectorialValueChecker36.converged(100, vectorialPointValuePair41, vectorialPointValuePair50);
    double[] d_array53 = vectorialPointValuePair41.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array33, d_array53, true);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair57 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array20, d_array53, false);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array10, d_array53);
    double[] d_array59 = curveFitter8.fit(parametricUnivariateRealFunction9, d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test469"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 0.17278206351636377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test470"); }


    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException((java.lang.Number)0L, (java.lang.Number)0.834032445247956d, (java.lang.Number)7.2759576E-12f);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math.exception.util.LocalizedFormats.NULL_NOT_ALLOWED;
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException10 = new org.apache.commons.math.optimization.OptimizationException("", obj_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathException4, (org.apache.commons.math.exception.util.Localizable)localizedFormats5, localizable6, obj_array9);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array9);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException((java.lang.Throwable)mathIllegalStateException14);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str17 = localizedFormats16.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException19 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math.exception.util.LocalizedFormats.INITIAL_COLUMN_AFTER_FINAL_COLUMN;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException26 = new org.apache.commons.math.optimization.OptimizationException("", obj_array25);
    java.lang.Object[] obj_array27 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    java.lang.Object[] obj_array28 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array25);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats21, (org.apache.commons.math.exception.util.Localizable)localizedFormats22, obj_array28);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats20, obj_array28);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_NORM_FOR_ROTATION_AXIS;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException37 = new org.apache.commons.math.optimization.OptimizationException("", obj_array36);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    java.lang.Object[] obj_array39 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array36);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException40 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, (java.lang.Number)1, obj_array39);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array39);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException42 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)outOfRangeException3, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, (org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array39);
    java.lang.Throwable[] throwable_array43 = outOfRangeException3.getSuppressed();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer48 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i49 = levenbergMarquardtOptimizer48.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter50 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer48);
    curveFitter50.clearObservations();
    curveFitter50.addObservedPoint(0.0d, 0.1005311887492368d);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint58 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(0.17543139267904387d, 3.141592653589793d, 2.9188733752104757E30d);
    double d59 = weightedObservedPoint58.getY();
    double d60 = weightedObservedPoint58.getY();
    curveFitter50.addObservedPoint(weightedObservedPoint58);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array62 = curveFitter50.getObservations();
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException((java.lang.Throwable)outOfRangeException3, "fraction", (java.lang.Object[])weightedObservedPoint_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "maximal count ({0}) exceeded"+ "'", str17.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 2.9188733752104757E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 2.9188733752104757E30d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array62);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test471"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.9591960168316136d, (-0.46445970195430597d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0195377224062274d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test472"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9147328830530583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test473"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.009931847247884304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21495291738359648d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test474"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    double d4 = levenbergMarquardtOptimizer3.getChiSquare();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter5 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer6 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter7 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer6);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint11 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d12 = weightedObservedPoint11.getY();
    curveFitter7.addObservedPoint(weightedObservedPoint11);
    curveFitter5.addObservedPoint(weightedObservedPoint11);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array15 = curveFitter5.getObservations();
    curveFitter5.addObservedPoint(1.6772971326337218d, 0.8805004473187511d, 1.4711276743037347d);
    curveFitter5.clearObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array15);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test475"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-8388606), 29);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test476"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math.exception.OutOfRangeException(number0, (java.lang.Number)1.2299942887499757d, (java.lang.Number)0.2121042619370936d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test477"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.17453292519943295d);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("", obj_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    java.lang.Object[] obj_array10 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array7);
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("null is not allowed", obj_array7);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, obj_array7);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math.exception.NullArgumentException();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math.exception.util.LocalizedFormats.DIMENSION;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_LENGTH;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException20 = new org.apache.commons.math.optimization.OptimizationException("", obj_array19);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException14, (org.apache.commons.math.exception.util.Localizable)localizedFormats15, (org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array19);
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.optimization.OptimizationException optimizationException23 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats16, obj_array22);
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException26 = new org.apache.commons.math.exception.DimensionMismatchException((-1), 10);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)dimensionMismatchException26);
    int i28 = dimensionMismatchException26.getDimension();
    java.lang.Number number29 = dimensionMismatchException26.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable30 = dimensionMismatchException26.getGeneralPattern();
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math.exception.util.LocalizedFormats.SHAPE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math.exception.util.LocalizedFormats.CONTRACTION_CRITERIA_SMALLER_THAN_EXPANSION_FACTOR;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException36 = new org.apache.commons.math.optimization.OptimizationException("", obj_array35);
    java.lang.Object[] obj_array37 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array35);
    java.lang.Object[] obj_array38 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array35);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats32, obj_array35);
    org.apache.commons.math.optimization.OptimizationException optimizationException40 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array35);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math.exception.util.LocalizedFormats.INVALID_MAX_ITERATIONS;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { localizedFormats41 };
    org.apache.commons.math.optimization.OptimizationException optimizationException43 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats31, obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math.exception.MathIllegalStateException(obj_array42);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException45 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)optimizationException23, localizable30, obj_array42);
    org.apache.commons.math.exception.util.Localizable localizable46 = null;
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException49 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.00908201616386003d);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats50 = org.apache.commons.math.exception.util.LocalizedFormats.LCM_OVERFLOW_32_BITS;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException55 = new org.apache.commons.math.optimization.OptimizationException("", obj_array54);
    java.lang.Object[] obj_array56 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array54);
    java.lang.Object[] obj_array57 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("maximal count ({0}) exceeded", obj_array54);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats59 = org.apache.commons.math.exception.util.LocalizedFormats.ZERO_DENOMINATOR;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats60 = org.apache.commons.math.exception.util.LocalizedFormats.TOO_SMALL_COST_RELATIVE_TOLERANCE;
    java.lang.Throwable throwable61 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats62 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats64 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException68 = new org.apache.commons.math.optimization.OptimizationException("", obj_array67);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException69 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats64, obj_array67);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("hi!", obj_array67);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException71 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats62, obj_array67);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats72 = org.apache.commons.math.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats74 = org.apache.commons.math.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    java.lang.Object[] obj_array77 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException78 = new org.apache.commons.math.optimization.OptimizationException("", obj_array77);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException79 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats74, obj_array77);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException("hi!", obj_array77);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException81 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats72, obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException(throwable61, (org.apache.commons.math.exception.util.Localizable)localizedFormats62, obj_array77);
    org.apache.commons.math.optimization.OptimizationException optimizationException83 = new org.apache.commons.math.optimization.OptimizationException((org.apache.commons.math.exception.util.Localizable)localizedFormats60, obj_array77);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException84 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)convergenceException58, (org.apache.commons.math.exception.util.Localizable)localizedFormats59, obj_array77);
    java.lang.Object[] obj_array85 = mathIllegalStateException84.getArguments();
    java.lang.Object[] obj_array86 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array85);
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)notStrictlyPositiveException49, (org.apache.commons.math.exception.util.Localizable)localizedFormats50, obj_array85);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException88 = new org.apache.commons.math.exception.MaxCountExceededException(localizable46, (java.lang.Number)1.7581226324091723d, obj_array85);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathIllegalStateException13, localizable30, obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (-1)+ "'", number29.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test478"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i4 = levenbergMarquardtOptimizer3.getEvaluations();
    double d5 = levenbergMarquardtOptimizer3.getChiSquare();
    int i6 = levenbergMarquardtOptimizer3.getMaxEvaluations();
    int i7 = levenbergMarquardtOptimizer3.getEvaluations();
    org.apache.commons.math.analysis.DifferentiableMultivariateVectorialFunction differentiableMultivariateVectorialFunction9 = null;
    double[] d_array10 = null;
    double[] d_array11 = new double[] {  };
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair14 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array11, d_array12, false);
    double[] d_array15 = vectorialPointValuePair14.getPointRef();
    double[] d_array16 = new double[] {  };
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair19 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array16, d_array17, false);
    double[] d_array20 = vectorialPointValuePair19.getPointRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair22 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array20, false);
    double[] d_array23 = new double[] {  };
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair26 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array23, d_array24, false);
    double[] d_array27 = vectorialPointValuePair26.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair29 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array15, d_array27, false);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer33 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker34 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d35 = simpleVectorialValueChecker34.getAbsoluteThreshold();
    levenbergMarquardtOptimizer33.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker34);
    double[] d_array38 = new double[] {  };
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair41 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array38, d_array39, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker44 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array46 = new double[] {  };
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair49 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array46, d_array47, false);
    double[] d_array53 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array56 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair58 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array53, d_array56, true);
    double[] d_array59 = vectorialPointValuePair58.getPointRef();
    boolean b60 = simpleVectorialValueChecker44.converged(100, vectorialPointValuePair49, vectorialPointValuePair58);
    boolean b61 = simpleVectorialValueChecker34.converged(10, vectorialPointValuePair41, vectorialPointValuePair49);
    double[] d_array62 = vectorialPointValuePair41.getPointRef();
    double[] d_array63 = new double[] {  };
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair66 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array63, d_array64, false);
    double[] d_array67 = vectorialPointValuePair66.getPoint();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair69 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array67, true);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker72 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array74 = new double[] {  };
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair77 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array74, d_array75, false);
    double[] d_array81 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array84 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair86 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array81, d_array84, true);
    double[] d_array87 = vectorialPointValuePair86.getPointRef();
    boolean b88 = simpleVectorialValueChecker72.converged(100, vectorialPointValuePair77, vectorialPointValuePair86);
    double[] d_array89 = vectorialPointValuePair77.getValueRef();
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair91 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array62, d_array89, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair92 = levenbergMarquardtOptimizer3.optimize(320, differentiableMultivariateVectorialFunction9, d_array10, d_array15, d_array62);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test479"); }


    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer0 = null;
    org.apache.commons.math.optimization.fitting.GaussianFitter gaussianFitter1 = new org.apache.commons.math.optimization.fitting.GaussianFitter(differentiableMultivariateVectorialOptimizer0);
    org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer differentiableMultivariateVectorialOptimizer2 = null;
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter3 = new org.apache.commons.math.optimization.fitting.CurveFitter(differentiableMultivariateVectorialOptimizer2);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint7 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.0d, 100.0d, 0.0d);
    double d8 = weightedObservedPoint7.getY();
    curveFitter3.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(weightedObservedPoint7);
    gaussianFitter1.addObservedPoint(2.2250738585072014E-306d, 0.7853981633974483d);
    gaussianFitter1.addObservedPoint(1.0000000000000002d, (-0.1005311887492368d));
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint weightedObservedPoint20 = new org.apache.commons.math.optimization.fitting.WeightedObservedPoint(1.150174006300185d, 1.9377047211159068E-16d, 1.6772971326337218d);
    double d21 = weightedObservedPoint20.getY();
    double d22 = weightedObservedPoint20.getY();
    gaussianFitter1.addObservedPoint(weightedObservedPoint20);
    gaussianFitter1.addObservedPoint(1.7982792672886432d, 0.6470916333327068d);
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer30 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker31 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker();
    double d32 = simpleVectorialValueChecker31.getAbsoluteThreshold();
    levenbergMarquardtOptimizer30.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker31);
    double[] d_array35 = new double[] {  };
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair38 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array35, d_array36, false);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker41 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array43 = new double[] {  };
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair46 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array43, d_array44, false);
    double[] d_array50 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array53 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair55 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array50, d_array53, true);
    double[] d_array56 = vectorialPointValuePair55.getPointRef();
    boolean b57 = simpleVectorialValueChecker41.converged(100, vectorialPointValuePair46, vectorialPointValuePair55);
    boolean b58 = simpleVectorialValueChecker31.converged(10, vectorialPointValuePair38, vectorialPointValuePair46);
    double[] d_array59 = vectorialPointValuePair38.getPointRef();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer63 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i64 = levenbergMarquardtOptimizer63.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter65 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer63);
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker68 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.5707963267948966d, 0.17453292519943295d);
    double d69 = simpleVectorialValueChecker68.getAbsoluteThreshold();
    levenbergMarquardtOptimizer63.setConvergenceChecker((org.apache.commons.math.optimization.ConvergenceChecker)simpleVectorialValueChecker68);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter71 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer63);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array72 = curveFitter71.getObservations();
    org.apache.commons.math.analysis.ParametricUnivariateRealFunction parametricUnivariateRealFunction73 = null;
    org.apache.commons.math.optimization.SimpleVectorialValueChecker simpleVectorialValueChecker76 = new org.apache.commons.math.optimization.SimpleVectorialValueChecker(1.4711276743037347d, Double.NaN);
    double[] d_array78 = new double[] {  };
    double[] d_array79 = new double[] {  };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair81 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array78, d_array79, false);
    double[] d_array85 = new double[] { (-1.0d), 1.0d, 10.0d };
    double[] d_array88 = new double[] { 10.0d, 100.0d };
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair90 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array85, d_array88, true);
    double[] d_array91 = vectorialPointValuePair90.getPointRef();
    boolean b92 = simpleVectorialValueChecker76.converged(100, vectorialPointValuePair81, vectorialPointValuePair90);
    double[] d_array93 = vectorialPointValuePair81.getPoint();
    double[] d_array94 = vectorialPointValuePair81.getPointRef();
    double[] d_array95 = vectorialPointValuePair81.getPoint();
    double[] d_array96 = curveFitter71.fit(parametricUnivariateRealFunction73, d_array95);
    org.apache.commons.math.optimization.VectorialPointValuePair vectorialPointValuePair97 = new org.apache.commons.math.optimization.VectorialPointValuePair(d_array59, d_array95);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array98 = gaussianFitter1.fit(d_array95);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.6772971326337218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.6772971326337218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2.2250738585072014E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test480"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.MAX_COUNT_EXCEEDED;
    java.lang.String str1 = localizedFormats0.getSourceString();
    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math.exception.NotStrictlyPositiveException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0f);
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math.exception.util.LocalizedFormats.NOT_POSITIVE_DEGREES_OF_FREEDOM;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math.exception.util.LocalizedFormats.WEIGHT_AT_LEAST_ONE_NON_ZERO;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.FUNCTION_NOT_DIFFERENTIABLE;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException11 = new org.apache.commons.math.optimization.OptimizationException("", obj_array10);
    java.lang.Object[] obj_array12 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array10);
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math.exception.MathIllegalStateException((org.apache.commons.math.exception.util.Localizable)localizedFormats6, (org.apache.commons.math.exception.util.Localizable)localizedFormats7, obj_array13);
    org.apache.commons.math.optimization.OptimizationException optimizationException15 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", obj_array13);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math.exception.MathIllegalArgumentException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, (org.apache.commons.math.exception.util.Localizable)localizedFormats4, obj_array13);
    java.lang.String str17 = localizedFormats4.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "maximal count ({0}) exceeded"+ "'", str1.equals("maximal count ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "degrees of freedom must be positive ({0})"+ "'", str17.equals("degrees of freedom must be positive ({0})"));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test481"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(1.0000000000000002d, 0.0d, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = levenbergMarquardtOptimizer3.guessParametersErrors();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test482"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer4 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i5 = levenbergMarquardtOptimizer4.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter6 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer4);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array7 = curveFitter6.getObservations();
    org.apache.commons.math.optimization.OptimizationException optimizationException8 = new org.apache.commons.math.optimization.OptimizationException("maximal count ({0}) exceeded", (java.lang.Object[])weightedObservedPoint_array7);
    java.lang.Object[] obj_array9 = optimizationException8.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.7967334303964352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.22723512239113872d));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test484"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(31.91175721887307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test485"); }


    org.apache.commons.math.analysis.function.Gaussian gaussian3 = new org.apache.commons.math.analysis.function.Gaussian(1.0477423924147886d, (-0.015308831465985804d), 0.9922974465247315d);
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = gaussian3.derivative();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction5 = gaussian3.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateRealFunction5);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test486"); }


    float f2 = org.apache.commons.math.util.FastMath.min(5.6E-45f, (-0.9999998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9999998f));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.3055138307277429E-102d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3055138307277429E-102d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test488"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer5 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.8805004473187511d, 0.5597861293914358d, (-2.3124383412727525d), 0.0d, 0.7551396174826666d);
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker6 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    org.apache.commons.math.optimization.ConvergenceChecker convergenceChecker7 = levenbergMarquardtOptimizer5.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker7);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test489"); }


    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math.exception.MaxCountExceededException((java.lang.Number)0.16299630528890735d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.24830226469602806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test491"); }


    double d2 = org.apache.commons.math.util.FastMath.max(1.4307682554603307d, 1.2989267967352471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4307682554603307d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test492"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException(1, 7);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test493"); }


    org.apache.commons.math.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math.exception.NotStrictlyPositiveException((java.lang.Number)0.41671114415975286d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test494"); }


    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math.exception.DimensionMismatchException((-2147483648), 86);
    java.lang.String str3 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: -2,147,483,648 != 86"+ "'", str3.equals("org.apache.commons.math.exception.DimensionMismatchException: dimensions mismatch: -2,147,483,648 != 86"));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test495"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-3), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.24830226469602812d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test497"); }


    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer3 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.6498695646195984d, 0.5256425808667102d, 6.162975822039155E-33d);
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter4 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer3);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array5 = curveFitter4.getObservations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test498"); }


    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math.exception.util.LocalizedFormats.SAMPLE_SIZE_LARGER_THAN_POPULATION_SIZE;
    org.apache.commons.math.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math.exception.DimensionMismatchException((org.apache.commons.math.exception.util.Localizable)localizedFormats0, 100, 3);
    org.apache.commons.math.exception.MathRuntimeException mathRuntimeException4 = new org.apache.commons.math.exception.MathRuntimeException((java.lang.Throwable)dimensionMismatchException3);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    org.apache.commons.math.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math.exception.util.LocalizedFormats.OUT_OF_RANGE;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)1 };
    org.apache.commons.math.optimization.OptimizationException optimizationException12 = new org.apache.commons.math.optimization.OptimizationException("", obj_array11);
    java.lang.Object[] obj_array13 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    java.lang.Object[] obj_array14 = org.apache.commons.math.exception.util.ArgUtils.flatten(obj_array11);
    org.apache.commons.math.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math.exception.MaxCountExceededException((org.apache.commons.math.exception.util.Localizable)localizedFormats7, (java.lang.Number)1, obj_array14);
    org.apache.commons.math.optimization.OptimizationException optimizationException16 = new org.apache.commons.math.optimization.OptimizationException("", obj_array14);
    org.apache.commons.math.exception.util.Localizable localizable17 = optimizationException16.getGeneralPattern();
    org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer levenbergMarquardtOptimizer21 = new org.apache.commons.math.optimization.general.LevenbergMarquardtOptimizer(0.17543139267904395d, 2.302585092994046d, (-0.38016488499419976d));
    int i22 = levenbergMarquardtOptimizer21.getEvaluations();
    org.apache.commons.math.optimization.fitting.CurveFitter curveFitter23 = new org.apache.commons.math.optimization.fitting.CurveFitter((org.apache.commons.math.optimization.DifferentiableMultivariateVectorialOptimizer)levenbergMarquardtOptimizer21);
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array24 = curveFitter23.getObservations();
    curveFitter23.clearObservations();
    org.apache.commons.math.optimization.fitting.WeightedObservedPoint[] weightedObservedPoint_array26 = curveFitter23.getObservations();
    org.apache.commons.math.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable5, localizable17, (java.lang.Object[])weightedObservedPoint_array26);
    org.apache.commons.math.exception.util.Localizable localizable28 = dimensionMismatchException3.getSpecificPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(weightedObservedPoint_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizable28);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test499"); }


    double d1 = org.apache.commons.math.util.FastMath.log(0.7282131458587041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3171614908650178d));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test500"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.4167195582583417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

}
